GNU Autoconf Archive
********************

This manual is for GNU Autoconf Archive version 2019.01.06, a collection
of freely re-usable Autoconf macros.

Copyright (C) 2016 Autoconf Archive Maintainers
<autoconf-archive-maintainers@gnu.org>

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.3 or
any later version published by the Free Software Foundation; with no
Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.  A
copy of the license is included in the section entitled "GNU Free
Documentation License".

1 Introduction
**************

The GNU Autoconf Archive is a collection of more than 500 macros for GNU
Autoconf (https://www.gnu.org/software/autoconf) that have been
contributed as free software by friendly supporters of the cause from
all over the Internet.  Every single one of those macros can be re-used
without imposing any restrictions whatsoever on the licensing of the
generated 'configure' script.  In particular, it is possible to use all
those macros in 'configure' scripts that are meant for non-free
software.  This policy is unusual for a Free Software Foundation
project.  The FSF firmly believes that software ought to be free, and
software licenses like the GPL are specifically designed to ensure that
derivative work based on free software must be free as well.  In case of
Autoconf, however, an exception has been made, because Autoconf is at
such a pivotal position in the software development tool chain that the
benefits from having this tool available as widely as possible outweigh
the disadvantage that some authors may choose to use it, too, for
proprietary software.

This official web site of this project is located at
<https://www.gnu.org/software/autoconf-archive/>.  All available
information concerning this project is referenced from there.

If you have questions, suggestions, are any other feedback that you'd
like to share, then please don't hesitate to contact the Archive
maintainers at <autoconf-archive-maintainers@gnu.org>.

2 Downloading the GNU Autoconf Archive
**************************************

The macros distributed by the Archive are maintained in a public Git
repository at 'git://git.sv.gnu.org/autoconf-archive.git'.  That
repository can be cloned anonymously, which is probably the most
convenient way to access the Archive.  Gitweb offers an RSS feed
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=rss) for
subscription that informs about changes to the repository.  The same
information is available via e-mail, too, on the commits mailing list
(http://lists.gnu.org/mailman/listinfo/autoconf-archive-commits).

For the benefit of everyone who doesn't use Git, traditional release
archives can be downloaded from any GNU mirror, i.e.
<http://ftpmirror.gnu.org/autoconf-archive/>.  New release are always
announced on the low-traffic announcements mailing list
(http://lists.gnu.org/mailman/listinfo/autoconf-archive-announce).

3 How to contribute to the GNU Autoconf Archive
***********************************************

3.1 Macro Format
================

Each macro in the Archive has an all-upper-case name with the prefix
'AX_'.  The macro is stored in a file with the same name, in lower case,
and with the suffix '.m4'.  Unless absolutely necessary, the file
contents should be in ASCII. For example, use apostrophe (U+27) for
quoting identifiers instead of Unicode quotation mark characters U+2018,
U+2019.

The file should begin with a header comment containing three named
sections: synopsis, description, and license.

The synopsis gives a summary of the macro usage and arguments.  In this
section, square brackets ('[]') are used to indicate optional
parameters, and may be nested.

The description contains a prose description of the macro.  It should
describe the function of the macro, and the meaning of any arguments
given in the synopsis.  The description should also identify:

   * any default macro parameter values
   * any new '--with' or '--enable' options, and their default values
   * any argument variables consulted ('AC_ARG_VAR')
   * any substituted variables ('AC_SUBST')
   * any defined precompiler constants ('AC_DEFINE')

Macros should be defined with 'AC_DEFUN', using correct quoting.
Comments should be used liberally within the macro, with 'dnl' used for
comments at the m4sh level and '#' used for comments at the shell level.

If a macro is renamed, the 'AU_ALIAS' macro should be used to guide
users of the old name to the new name:

     AU_ALIAS([OLD_NAME], [AX_NEW_NAME])

3.2 Submitting Macros
=====================

To submit updates to the Autoconf Archive, please create an issue in the
patch tracker
(http://savannah.gnu.org/patch/?func=additem&group=autoconf-archive) and
attach a (preferably 'git-format-patch(1)'-formatted) patch file.  Users
of 'github.com' may prefer to create a pull request for the Autoconf
Archive Mirror at Github
(https://github.com/autoconf-archive/autoconf-archive).  Please make
sure your submission contains the following items:

   * a synopsis that shows how the macro must be be called,

   * a brief description of the macro's purpose,

   * the list of authors (optionally with e-mail addresses),

   * licensing terms, and

   * the m4 source code.

Macros can be submitted under any GPL-compatible free software license
(https://www.gnu.org/licenses/license-list.html#GPLCompatibleLicenses).
The Free Software Foundation, however, recommends use of the
all-permissive license
(https://www.gnu.org/prep/maintain/html_node/License-Notices-for-Other-Files.html)
for Autoconf macros.

3.3 Writing Highly Usable Macros
================================

Autoconf macros are used in a surprising variety of ways, and a
well-written macro should be flexible enough to suit all of these uses.

See the Autotools Mythbuster
(http://www.flameeyes.eu/autotools-mythbuster) for suggestions on how to
write well-encapsulated, portable macros.

4 The Macros
************

ax_absolute_header
==================

Synopsis
********

     AX_ABSOLUTE_HEADER(HEADER1 HEADER2 ...)

Description
***********

Find the absolute name of a header file, assuming the header exists.  If
the header were sys/inttypes.h, this macro would define
ABSOLUTE_SYS_INTTYPES_H to the '""' quoted absolute name of
sys/inttypes.h in config.h (e.g.  '#define ABSOLUTE_SYS_INTTYPES_H
"///usr/include/sys/inttypes.h"').  The three "///" are to pacify Sun C
5.8, which otherwise would say "warning: #include of /usr/include/...
may be non-portable".  Use '""', not '<>', so that the /// cannot be
confused with a C99 comment.

Source Code
***********

Download the latest version of 'ax_absolute_header.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_absolute_header.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_absolute_header.m4).

License
*******

Copyright (C) 2009 Derek Price
Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ac_append_to_file
====================

Synopsis
********

     AX_AC_APPEND_TO_FILE([FILE],[DATA])

Description
***********

Appends the specified data to the specified Autoconf is run.  If you
want to append to a file when configure is run use AX_APPEND_TO_FILE
instead.

Source Code
***********

Download the latest version of 'ax_ac_append_to_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ac_append_to_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ac_append_to_file.m4).

License
*******

Copyright (C) 2009 Allan Caffee <allan.caffee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ac_print_to_file
===================

Synopsis
********

     AX_AC_PRINT_TO_FILE([FILE],[DATA])

Description
***********

Writes the specified data to the specified file when Autoconf is run.
If you want to print to a file when configure is run use
AX_PRINT_TO_FILE instead.

Source Code
***********

Download the latest version of 'ax_ac_print_to_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ac_print_to_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ac_print_to_file.m4).

License
*******

Copyright (C) 2009 Allan Caffee <allan.caffee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_am_macro
===============

Synopsis
********

     AX_ADD_AM_MACRO([RULE])

Description
***********

Adds the specified rule to $AMINCLUDE. This macro will only work
properly with implementations of Make which allow include statements.
See also AX_ADD_AM_MACRO_STATIC.

Source Code
***********

Download the latest version of 'ax_add_am_macro.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_am_macro.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_am_macro.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_am_macro_static
======================

Synopsis
********

     AX_ADD_AM_MACRO_STATIC([RULE])

Description
***********

Adds the specified rule to $AMINCLUDE.

Source Code
***********

Download the latest version of 'ax_add_am_macro_static.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_am_macro_static.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_am_macro_static.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>
Copyright (C) 2009 Allan Caffee <allan.caffee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_am_trilinos_makefile_export
==================================

Synopsis
********

     AX_ADD_AM_TRILINOS_MAKEFILE_EXPORT(EXPORT_SUFFIX [, ACTION-IF-NOT-FOUND])

Description
***********

Checks if a file named <Makefile.export.EXPORT_SUFFIX> appears in the
$TRILINOS_INCLUDE directory.  If so, adds an include for it using the
AX_AM_MACROS framework.

If ACTION-IF-NOT-FOUND is not provided, configure fails.

Source Code
***********

Download the latest version of 'ax_add_am_trilinos_makefile_export.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_am_trilinos_makefile_export.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_am_trilinos_makefile_export.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_fortify_source
=====================

Synopsis
********

     AX_ADD_FORTIFY_SOURCE

Description
***********

Check whether -D_FORTIFY_SOURCE=2 can be added to CPPFLAGS without macro
redefinition warnings.  Some distributions (such as Gentoo Linux) enable
_FORTIFY_SOURCE globally in their compilers, leading to unnecessary
warnings in the form of

       <command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
       <built-in>: note: this is the location of the previous definition

which is a problem if -Werror is enabled.  This macro checks whether
_FORTIFY_SOURCE is already defined, and if not, adds -D_FORTIFY_SOURCE=2
to CPPFLAGS.

Source Code
***********

Download the latest version of 'ax_add_fortify_source.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_fortify_source.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_fortify_source.m4).

License
*******

Copyright (C) 2017 David Seifert <soap@gentoo.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_recursive_am_macro
=========================

Synopsis
********

     AX_ADD_RECURSIVE_AM_MACRO([TARGET],[RULE])

Description
***********

Adds the specified rule to $AMINCLUDE along with a TARGET-recursive rule
that will call TARGET for the current directory and TARGET-am
recursively for each subdirectory.  See also
AX_ADD_RECURSIVE_AM_MACRO_STATIC.

Source Code
***********

Download the latest version of 'ax_add_recursive_am_macro.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_recursive_am_macro.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_recursive_am_macro.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_add_recursive_am_macro_static
================================

Synopsis
********

     AX_ADD_RECURSIVE_AM_MACRO_STATIC([TARGET],[RULE])

Description
***********

Adds the specified rule to AMINCLUDE_STATIC along with a
TARGET-recursive rule that will call TARGET for the current directory
and TARGET-am recursively for each subdirectory.

Source Code
***********

Download the latest version of 'ax_add_recursive_am_macro_static.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_add_recursive_am_macro_static.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_add_recursive_am_macro_static.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>
Copyright (C) 2009 Allan Caffee <allan.caffee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_afs
======

Synopsis
********

     AX_AFS

Description
***********

This sets up the proper includes and libs needed for building programs
that link with AFS. It adds a -with-afsdir option that lets you specify
where the AFS includes and libs are (defaulting to /usr/afsws).

It also adds the -I and -L options to CPPFLAGS and LDFLAGS

It creates an AC_SUBST(AFSWS) that contains the directory being used.

It checks for -lBSD, -lsocket and -lnsl since AFS needs those if they
exist.  It also adds -R/usr/ucblib -L/usr/ucblib -lucb if on Solaris.

It sets VICE_ETC_PATH to be the directory where /usr/vice/etc lives,
since AFS 3.4 uses a different define than AFS 3.5 does for that path.

Finally, it defines AFS_int32 to be the in32 type needed.  In older
versions of afs it was 'int32', and in newer versions it's 'afs_int32'.

Source Code
***********

Download the latest version of 'ax_afs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_afs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_afs.m4).

License
*******

Copyright (C) 2008 Scott Grosch <Scott.Grosch@intel.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_am_jobserver
===============

Synopsis
********

     AX_AM_JOBSERVER([default_value])

Description
***********

Enables the use of make's jobserver for the purpose of parallel building
by passing the -j option to make.

The option -enable-jobserver is added to configure which can accept a
yes, no, or an integer.  The integer is the number of separate jobs to
allow.  If 'yes' is given, then the is assumed to be one more than the
number of CPUs (determined through AX_COUNT_CPUS). If the value of no is
given, then the jobserver is disabled.  The default value is given by
the first argument of the macro, or 'yes' if the argument is omitted.

This macro makes use of AX_AM_MACROS, so you must add the following line

       @INC_AMINCLUDE@

to your Makefile.am files.

Source Code
***********

Download the latest version of 'ax_am_jobserver.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_am_jobserver.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_am_jobserver.m4).

License
*******

Copyright (C) 2008 Michael Paul Bailey <jinxidoru@byu.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_am_macros
============

Synopsis
********

     AX_AM_MACROS

Description
***********

Adds support for macros that create Make rules.  You must manually add
the following line

       @INC_AMINCLUDE@

to your Makefile.in (or Makefile.am if you use Automake) files.

Source Code
***********

Download the latest version of 'ax_am_macros.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_am_macros.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_am_macros.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_am_macros_static
===================

Synopsis
********

     AX_AM_MACROS_STATIC

Description
***********

Adds support for macros that create Automake rules.  You must manually
add the following line

       include $(top_srcdir)/aminclude_static.am

to your Makefile.am files.

Source Code
***********

Download the latest version of 'ax_am_macros_static.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_am_macros_static.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_am_macros_static.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>
Copyright (C) 2009 Allan Caffee <allan.caffee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_am_override_var
==================

Synopsis
********

     AX_AM_OVERRIDE_VAR([varname1 varname ... ])
     AX_AM_OVERRIDE_FINALIZE

Description
***********

This autoconf macro generalizes the approach given in
<http://lists.gnu.org/archive/html/automake/2005-09/msg00108.html> which
moves user specified values for variable 'varname' given at configure
time into the corresponding AM_${varname} variable and clears out
'varname', allowing further manipulation by the configure script so that
target specific variables can be given specialized versions.  'varname
may still be specified on the make command line and will be appended as
usual.

As an example usage, consider a project which might benefit from
different compiler flags for different components.  Typically this is
done via target specific flags, e.g.

      libgtest_la_CXXFLAGS    =                        \
                       -I $(top_srcdir)/tests          \
                       -I $(top_builddir)/tests        \
                       $(GTEST_CXXFLAGS)

automake will automatically append $(CXXFLAGS) - provided by the user -
to the build rule for libgtest_la.  That might be problematic, as
CXXFLAGS may contain compiler options which are inappropriate for
libgtest_la.

The approach laid out in the referenced mailing list message is to
supply a base value for a variable during _configure_ time, during which
it is possible to amend it for specific targets.  The user may
subsequently specify a value for the variable during _build_ time, which
make will apply (via the standard automake rules) to all appropriate
targets.

For example,

      AX_AM_OVERRIDE_VAR([CXXFLAGS])

will store the value of CXXFLAGS specified at configure time into the
AM_CXXFLAGS variable, AC_SUBST it, and clear CXXFLAGS. configure may
then create a target specific set of flags based upon AM_CXXFLAGS, e.g.

      # googletest uses variadic macros, which g++ -pedantic-errors
      # is very unhappy about
      AC_SUBST([GTEST_CXXFLAGS],
         [`AS_ECHO_N(["$AM_CXXFLAGS"]) \
               | sed s/-pedantic-errors/-pedantic/`
          ]
       )

which would be used in a Makefile.am as above.  Since CXXFLAGS is
cleared, the configure time value will not affect the build for
libgtest_la.

Prior to _any other command_ which may set ${varname}, call

      AX_AM_OVERRIDE_VAR([varname])

This will preserve the value (if any) passed to configure in
AM_${varname} and AC_SUBST([AM_${varname}).  You may pass a space
separated list of variable names, or may call AX_AM_OVERRIDE_VAR
multiple times for the same effect.

If any subsequent configure commands set ${varname} and you wish to
capture the resultant value into AM_${varname} in the case where
${varname} was _not_ provided at configure time, call

      AX_AM_OVERRIDE_FINALIZE

after _all_ commands which might affect any of the variables specified
in calls to AX_AM_OVERRIDE_VAR. This need be done only once, but
repeated calls will not cause harm.

There is a bit of trickery required to allow further manipulation of the
AM_${varname} in a Makefile.am file.  If AM_CFLAGS is used as is in a
Makefile.am, e.g.

      libfoo_la_CFLAGS = $(AM_CFLAGS)

then automake will emit code in Makefile.in which sets AM_CFLAGS from
the configure'd value.

If however, AM_CFLAGS is manipulated (i.e.  appended to), you will have
to explicitly arrange for the configure'd value to be substituted:

      AM_CFLAGS = @AM_CFLAGS@
      AM_CFLAGS += -lfoo

or else automake will complain about using += before =.

Source Code
***********

Download the latest version of 'ax_am_override_var.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_am_override_var.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_am_override_var.m4).

License
*******

Copyright (C) 2013 Smithsonian Astrophysical Observatory
Copyright (C) 2013 Diab Jerius <djerius@cfa.harvard.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_append_compile_flags
=======================

Synopsis
********

     AX_APPEND_COMPILE_FLAGS([FLAG1 FLAG2 ...], [FLAGS-VARIABLE], [EXTRA-FLAGS], [INPUT])

Description
***********

For every FLAG1, FLAG2 it is checked whether the compiler works with the
flag.  If it does, the flag is added FLAGS-VARIABLE

If FLAGS-VARIABLE is not specified, the current language's flags (e.g.
CFLAGS) is used.  During the check the flag is always added to the
current language's flags.

If EXTRA-FLAGS is defined, it is added to the current language's default
flags (e.g.  CFLAGS) when the check is done.  The check is thus made
with the flags: "CFLAGS EXTRA-FLAGS FLAG". This can for example be used
to force the compiler to issue an error when a bad flag is given.

INPUT gives an alternative input source to AC_COMPILE_IFELSE.

NOTE: This macro depends on the AX_APPEND_FLAG and
AX_CHECK_COMPILE_FLAG. Please keep this macro in sync with
AX_APPEND_LINK_FLAGS.

Source Code
***********

Download the latest version of 'ax_append_compile_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_append_compile_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_append_compile_flags.m4).

License
*******

Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_append_flag
==============

Synopsis
********

     AX_APPEND_FLAG(FLAG, [FLAGS-VARIABLE])

Description
***********

FLAG is appended to the FLAGS-VARIABLE shell variable, with a space
added in between.

If FLAGS-VARIABLE is not specified, the current language's flags (e.g.
CFLAGS) is used.  FLAGS-VARIABLE is not changed if it already contains
FLAG. If FLAGS-VARIABLE is unset in the shell, it is set to exactly
FLAG.

NOTE: Implementation based on AX_CFLAGS_GCC_OPTION.

Source Code
***********

Download the latest version of 'ax_append_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_append_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_append_flag.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_append_link_flags
====================

Synopsis
********

     AX_APPEND_LINK_FLAGS([FLAG1 FLAG2 ...], [FLAGS-VARIABLE], [EXTRA-FLAGS], [INPUT])

Description
***********

For every FLAG1, FLAG2 it is checked whether the linker works with the
flag.  If it does, the flag is added FLAGS-VARIABLE

If FLAGS-VARIABLE is not specified, the linker's flags (LDFLAGS) is
used.  During the check the flag is always added to the linker's flags.

If EXTRA-FLAGS is defined, it is added to the linker's default flags
when the check is done.  The check is thus made with the flags: "LDFLAGS
EXTRA-FLAGS FLAG". This can for example be used to force the linker to
issue an error when a bad flag is given.

INPUT gives an alternative input source to AC_COMPILE_IFELSE.

NOTE: This macro depends on the AX_APPEND_FLAG and AX_CHECK_LINK_FLAG.
Please keep this macro in sync with AX_APPEND_COMPILE_FLAGS.

Source Code
***********

Download the latest version of 'ax_append_link_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_append_link_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_append_link_flags.m4).

License
*******

Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_append_to_file
=================

Synopsis
********

     AX_APPEND_TO_FILE([FILE],[DATA])

Description
***********

Appends the specified data to the specified file.

Source Code
***********

Download the latest version of 'ax_append_to_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_append_to_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_append_to_file.m4).

License
*******

Copyright (C) 2008 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_arg_with_path_style
======================

Synopsis
********

     AX_ARG_WITH_PATH_STYLE

Description
***********

_AC_DEFINE(PATH_STYLE) describing the filesys interface.  The value is
numeric, where the basetype is encoded as 16 = dos/win, 32 = unix, 64 =
url/www, 0 = other

some extra semantics are described in other bits of the value,
especially

      1024  accepts "/" as a dir separator
      2048  accepts ";" as a path separator
      4096  accepts "," as a path separator

the macro provides a configure' -with-path-style option that can be used
with descriptive arg names.  If not explicitly given, the $target_os
will be checked to provide a sane default.  Additional (lower) bits can
be used by the user for some additional magic, higher bits are reserved
for this macro.

the mnemonic "strict" or "also" is used to instruct the code that
additional separators shall be accepted but converted to the separator
of the underlying pathstyle system.  (or-512)

      example: --with-path-style=win,slash
               to make it accept ";" as pathsep, and
               both "/" and "\" as dirseps.

Source Code
***********

Download the latest version of 'ax_arg_with_path_style.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_arg_with_path_style.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_arg_with_path_style.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_asm_inline
=============

Synopsis
********

     AX_ASM_INLINE()

Description
***********

Tests for C compiler support of inline assembly instructions.  If inline
assembly is supported, this macro #defines ASM_INLINE to be the
appropriate keyword.

Source Code
***********

Download the latest version of 'ax_asm_inline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_asm_inline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_asm_inline.m4).

License
*******

Copyright (C) 2008 Alan Woodland <ajw05@aber.ac.uk>
Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>
Copyright (C) 2017 Reini Urban <rurban@cpan.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_at_check_pattern
===================

Synopsis
********

     AX_AT_CHECK_PATTERN(COMMANDS, [STATUS], [STDOUT-RE], [STDERR-RE], [RUN-IF-FAIL], [RUN-IF-PASS])
     AX_AT_DIFF_PATTERN(PATTERN-FILE, TEST-FILE, [STATUS=0], [DIFFERENCES])

Description
***********

AX_AT_CHECK_PATTERN() executes a test similar to AT_CHECK(), except that
stdout and stderr are awk regular expressions (REs).

NOTE: as autoconf uses [] for quoting, the use of [brackets] in the RE
arguments STDOUT-RE and STDERR-RE can be awkward and require careful
extra quoting, or quadrigraphs '@<:@' (for '[') and '@:>@' (for ']').

awk is invoked via $AWK, which defaults to "awk" if unset or empty.

Implemented using AT_CHECK() with a custom value for $at_diff that
invokes diff with an awk post-processor.

AX_AT_DIFF_PATTERN() checks that the PATTERN-FILE applies to TEST-FILE.
If there are differences, STATUS will be 1 and they should be
DIFFERENCES.

Source Code
***********

Download the latest version of 'ax_at_check_pattern.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_at_check_pattern.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_at_check_pattern.m4).

License
*******

Copyright (C) 2013-2014 Luke Mewburn <luke@mewburn.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_auto_include_headers
=======================

Synopsis
********

     AX_AUTO_INCLUDE_HEADERS(INCLUDE-FILE ...)

Description
***********

Given a space-separated list of INCLUDE-FILEs, AX_AUTO_INCLUDE_HEADERS
will output a conditional #include for each INCLUDE-FILE. The following
example demonstrates how AX_AUTO_INCLUDE_HEADERS's might be used in a
configure.ac script:

       AH_BOTTOM([
         AX_AUTO_INCLUDE_HEADERS([sys/resource.h invent.h sys/sysinfo.h])dnl
       ])

The preceding invocation instructs autoheader to put the following code
at the bottom of the config.h file:

       #ifdef HAVE_SYS_RESOURCE_H
       # include <sys/resource.h>
       #endif
       #ifdef HAVE_INVENT_H
       # include <invent.h>
       #endif
       #ifdef HAVE_SYS_SYSINFO_H
       # include <sys/sysinfo.h>
       #endif

Note that AX_AUTO_INCLUDE_HEADERS merely outputs #ifdef/#include/#endif
blocks.  The configure.ac script still needs to invoke AC_CHECK_HEADERS
to #define the various HAVE_*_H preprocessor macros.

Here's an easy way to get from config.h a complete list of header files
who existence is tested by the configure script:

       cat config.h | perl -ane '/ HAVE_\S+_H / && do {$_=$F[$#F-1]; s/^HAVE_//; s/_H/.h/; s|_|/|g; tr/A-Z/a-z/; print "$_ "}'

You can then manually edit the resulting list and incorporate it into
one or more calls to AX_AUTO_INCLUDE_HEADERS.

Source Code
***********

Download the latest version of 'ax_auto_include_headers.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_auto_include_headers.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_auto_include_headers.m4).

License
*******

Copyright (C) 2008 Scott Pakin <pakin@uiuc.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_berkeley_db
==============

Synopsis
********

     AX_BERKELEY_DB([MINIMUM-VERSION [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find Berkeley DB. It honors MINIMUM-VERSION if
given.

If libdb is found, DB_HEADER and DB_LIBS variables are set and
ACTION-IF-FOUND shell code is executed if specified.  DB_HEADER is set
to location of db.h header in quotes (e.g.  "db3/db.h") and
AC_DEFINE_UNQUOTED is called on it, so that you can type

       #include DB_HEADER

in your C/C++ code.  DB_LIBS is set to linker flags needed to link
against the library (e.g.  -ldb3.1) and AC_SUBST is called on it.

when specified user-selected spot (via -with-libdb) also sets

       DB_CPPFLAGS to the include directives required
       DB_LDFLAGS to the -L flags required

Source Code
***********

Download the latest version of 'ax_berkeley_db.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_berkeley_db.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_berkeley_db.m4).

License
*******

Copyright (C) 2008 Vaclav Slavik <vaclav.slavik@matfyz.cz>
Copyright (C) 2014 Kirill A. Korinskiy <catap@catap.ru>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_berkeley_db_cxx
==================

Synopsis
********

     AX_BERKELEY_DB_CXX([MINIMUM-VERSION [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find Berkeley DB C++ support.  It honors
MINIMUM-VERSION if given.

If libdb_cxx is found, DB_CXX_HEADER and DB_CXX_LIBS variables are set
and ACTION-IF-FOUND shell code is executed if specified.  DB_CXX_HEADER
is set to location of db.h header in quotes (e.g.  "db3/db_cxx.h") and
AC_DEFINE_UNQUOTED is called on it, so that you can type

       #include DB_CXX_HEADER

in your C/C++ code.  DB_CXX_LIBS is set to linker flags needed to link
against the library (e.g.  -ldb3.1_cxx) and AC_SUBST is called on it.

when specified user-selected spot (via -with-libdb) also sets

       DB_CXX_CPPFLAGS to the include directives required
       DB_CXX_LDFLAGS to the -L flags required

Source Code
***********

Download the latest version of 'ax_berkeley_db_cxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_berkeley_db_cxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_berkeley_db_cxx.m4).

License
*******

Copyright (C) 2008 Vaclav Slavik <vaclav.slavik@matfyz.cz>
Copyright (C) 2011 Stephan Suerken <absurd@debian.org>
Copyright (C) 2014 Kirill A. Korinskiy <catap@catap.ru>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_blas
=======

Synopsis
********

     AX_BLAS([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro looks for a library that implements the BLAS linear-algebra
interface (see http://www.netlib.org/blas/).  On success, it sets the
BLAS_LIBS output variable to hold the requisite library linkages.

To link with BLAS, you should link with:

       $BLAS_LIBS $LIBS $FLIBS

in that order.  FLIBS is the output variable of the
AC_F77_LIBRARY_LDFLAGS macro (called if necessary by AX_BLAS), and is
sometimes necessary in order to link with F77 libraries.  Users will
also need to use AC_F77_DUMMY_MAIN (see the autoconf manual), for the
same reason.

Many libraries are searched for, from ATLAS to CXML to ESSL. The user
may also use -with-blas=<lib> in order to use some specific BLAS library
<lib>.  In order to link successfully, however, be aware that you will
probably need to use the same Fortran compiler (which can be set via the
F77 env.  var.)  as was used to compile the BLAS library.

ACTION-IF-FOUND is a list of shell commands to run if a BLAS library is
found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
not found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_BLAS.

Source Code
***********

Download the latest version of 'ax_blas.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_blas.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_blas.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_blas_f77_func
================

Synopsis
********

     AX_BLAS_F77_FUNC([ACTION-IF-PASS[, ACTION-IF-FAIL[, ACTION-IF-CROSS-COMPILING]])
     AX_BLAS_WITH_F77_FUNC([ACTION-IF-FOUND-AND-PASS[, ACTION-IF-NOT-FOUND-OR-FAIL]])

Description
***********

These macros are intended as a supplement to the AX_BLAS macro, to
verify that BLAS functions are properly callable from Fortran.  This is
necessary, for example, if you want to build the LAPACK library on top
of the BLAS.

AX_BLAS_F77_FUNC uses the defined BLAS_LIBS and Fortran environment to
check for compatibility, and takes a specific action in case of success,
resp.  failure, resp.  cross-compilation.

AX_BLAS_WITH_F77_FUNC is a drop-in replacement wrapper for AX_BLAS that
calls AX_BLAS_F77_FUNC after detecting a BLAS library and rejects it on
failure (i.e.  pretends that no library was found).

Source Code
***********

Download the latest version of 'ax_blas_f77_func.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_blas_f77_func.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_blas_f77_func.m4).

License
*******

Copyright (C) 2008 Jaroslav Hajek <highegg@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_boost_asio
=============

Synopsis
********

     AX_BOOST_ASIO

Description
***********

Test for Asio library from the Boost C++ libraries.  The macro requires
a preceding call to AX_BOOST_BASE. Further documentation is available at
<http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_ASIO_LIB)

And sets:

       HAVE_BOOST_ASIO

Source Code
***********

Download the latest version of 'ax_boost_asio.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_asio.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_asio.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Pete Greenwell <pete@mu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_base
=============

Synopsis
********

     AX_BOOST_BASE([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the Boost C++ libraries of a particular version (or newer)

If no path to the installed boost library is given the macro searchs
under /usr, /usr/local, /opt and /opt/local and evaluates the
$BOOST_ROOT environment variable.  Further documentation is available at
<http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_CPPFLAGS) / AC_SUBST(BOOST_LDFLAGS)

And sets:

       HAVE_BOOST

Source Code
***********

Download the latest version of 'ax_boost_base.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_base.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_base.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Peter Adolphs

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_chrono
===============

Synopsis
********

     AX_BOOST_CHRONO

Description
***********

Test for Chrono library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_CHRONO_LIB)

And sets:

       HAVE_BOOST_CHRONO

Source Code
***********

Download the latest version of 'ax_boost_chrono.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_chrono.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_chrono.m4).

License
*******

Copyright (C) 2012 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_context
================

Synopsis
********

     AX_BOOST_CONTEXT

Description
***********

Test for Context library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_CONTEXT_LIB)

And sets:

       HAVE_BOOST_CONTEXT

Source Code
***********

Download the latest version of 'ax_boost_context.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_context.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_context.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal
Copyright (C) 2013 Daniel Casimiro <dan.casimiro@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_coroutine
==================

Synopsis
********

     AX_BOOST_COROUTINE

Description
***********

Test for Coroutine library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_COROUTINE_LIB)

And sets:

       HAVE_BOOST_COROUTINE

Source Code
***********

Download the latest version of 'ax_boost_coroutine.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_coroutine.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_coroutine.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal
Copyright (C) 2013 Daniel Casimiro <dan.casimiro@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_date_time
==================

Synopsis
********

     AX_BOOST_DATE_TIME

Description
***********

Test for Date_Time library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_DATE_TIME_LIB)

And sets:

       HAVE_BOOST_DATE_TIME

Source Code
***********

Download the latest version of 'ax_boost_date_time.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_date_time.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_date_time.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_filesystem
===================

Synopsis
********

     AX_BOOST_FILESYSTEM

Description
***********

Test for Filesystem library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_FILESYSTEM_LIB)

And sets:

       HAVE_BOOST_FILESYSTEM

Source Code
***********

Download the latest version of 'ax_boost_filesystem.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_filesystem.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_filesystem.m4).

License
*******

Copyright (C) 2009 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Michael Tindal
Copyright (C) 2009 Roman Rybalko <libtorrent@romanr.info>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_iostreams
==================

Synopsis
********

     AX_BOOST_IOSTREAMS

Description
***********

Test for IOStreams library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_IOSTREAMS_LIB)

And sets:

       HAVE_BOOST_IOSTREAMS

Source Code
***********

Download the latest version of 'ax_boost_iostreams.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_iostreams.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_iostreams.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_locale
===============

Synopsis
********

     AX_BOOST_LOCALE

Description
***********

Test for System library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_LOCALE_LIB)

And sets:

       HAVE_BOOST_LOCALE

Source Code
***********

Download the latest version of 'ax_boost_locale.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_locale.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_locale.m4).

License
*******

Copyright (C) 2012 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_log
============

Synopsis
********

     AX_BOOST_LOG

Description
***********

Test for Log library from the Boost C++ libraries.  The macro requires a
preceding call to AX_BOOST_BASE. Further documentation is available at
<http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_LOG_LIB)

And sets:

       HAVE_BOOST_LOG

Source Code
***********

Download the latest version of 'ax_boost_log.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_log.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_log.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal
Copyright (C) 2013 Daniel Casimiro <dan.casimiro@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_log_setup
==================

Synopsis
********

     AX_BOOST_LOG_SETUP

Description
***********

Test for LogSetup library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_LOG_SETUP_LIB)

And sets:

       HAVE_BOOST_LOG_SETUP

Source Code
***********

Download the latest version of 'ax_boost_log_setup.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_log_setup.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_log_setup.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal
Copyright (C) 2013 Daniel Casimiro <dan.casimiro@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_program_options
========================

Synopsis
********

     AX_BOOST_PROGRAM_OPTIONS

Description
***********

Test for program options library from the Boost C++ libraries.  The
macro requires a preceding call to AX_BOOST_BASE. Further documentation
is available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_PROGRAM_OPTIONS_LIB)

And sets:

       HAVE_BOOST_PROGRAM_OPTIONS

Source Code
***********

Download the latest version of 'ax_boost_program_options.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_program_options.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_program_options.m4).

License
*******

Copyright (C) 2009 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_python
===============

Synopsis
********

     AX_BOOST_PYTHON

Description
***********

This macro checks to see if the Boost.Python library is installed.  It
also attempts to guess the correct library name using several attempts.
It tries to build the library name using a user supplied name or suffix
and then just the raw library.

If the library is found, HAVE_BOOST_PYTHON is defined and
BOOST_PYTHON_LIB is set to the name of the library.

This macro calls AC_SUBST(BOOST_PYTHON_LIB).

In order to ensure that the Python headers and the Boost libraries are
specified on the include path, this macro requires AX_PYTHON_DEVEL and
AX_BOOST_BASE to be called.

Source Code
***********

Download the latest version of 'ax_boost_python.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_python.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_python.m4).

License
*******

Copyright (C) 2008 Michael Tindal
Copyright (C) 2013 Daniel M"ullner <daniel@danifold.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_boost_regex
==============

Synopsis
********

     AX_BOOST_REGEX

Description
***********

Test for Regex library from the Boost C++ libraries.  The macro requires
a preceding call to AX_BOOST_BASE. Further documentation is available at
<http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_REGEX_LIB)

And sets:

       HAVE_BOOST_REGEX

Source Code
***********

Download the latest version of 'ax_boost_regex.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_regex.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_regex.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_serialization
======================

Synopsis
********

     AX_BOOST_SERIALIZATION

Description
***********

Test for Serialization library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_SERIALIZATION_LIB)

And sets:

       HAVE_BOOST_SERIALIZATION

Source Code
***********

Download the latest version of 'ax_boost_serialization.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_serialization.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_serialization.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_signals
================

Synopsis
********

     AX_BOOST_SIGNALS

Description
***********

Test for Signals library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_SIGNALS_LIB)

And sets:

       HAVE_BOOST_SIGNALS

Source Code
***********

Download the latest version of 'ax_boost_signals.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_signals.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_signals.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_system
===============

Synopsis
********

     AX_BOOST_SYSTEM

Description
***********

Test for System library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_SYSTEM_LIB)

And sets:

       HAVE_BOOST_SYSTEM

Source Code
***********

Download the latest version of 'ax_boost_system.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_system.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_system.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2008 Michael Tindal
Copyright (C) 2008 Daniel Casimiro <dan.casimiro@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_test_exec_monitor
==========================

Synopsis
********

     AX_BOOST_TEST_EXEC_MONITOR

Description
***********

Test for Test_Exec_Monitor library from the Boost C++ libraries.  The
macro requires a preceding call to AX_BOOST_BASE. Further documentation
is available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_TEST_EXEC_MONITOR_LIB)

And sets:

       HAVE_BOOST_TEST_EXEC_MONITOR

Source Code
***********

Download the latest version of 'ax_boost_test_exec_monitor.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_test_exec_monitor.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_test_exec_monitor.m4).

License
*******

Copyright (C) 2008 Dodji Seketeli <dodji@seketeli.org>
Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_thread
===============

Synopsis
********

     AX_BOOST_THREAD

Description
***********

Test for Thread library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_THREAD_LIB)

And sets:

       HAVE_BOOST_THREAD

Source Code
***********

Download the latest version of 'ax_boost_thread.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_thread.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_thread.m4).

License
*******

Copyright (C) 2009 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Michael Tindal

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_unit_test_framework
============================

Synopsis
********

     AX_BOOST_UNIT_TEST_FRAMEWORK

Description
***********

Test for Unit_Test_Framework library from the Boost C++ libraries.  The
macro requires a preceding call to AX_BOOST_BASE. Further documentation
is available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_UNIT_TEST_FRAMEWORK_LIB)

And sets:

       HAVE_BOOST_UNIT_TEST_FRAMEWORK

Source Code
***********

Download the latest version of 'ax_boost_unit_test_framework.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_unit_test_framework.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_unit_test_framework.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_wave
=============

Synopsis
********

     AX_BOOST_WAVE

Description
***********

Test for Wave library from the Boost C++ libraries.  The macro requires
a preceding call to AX_BOOST_BASE. Further documentation is available at
<http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_WAVE_LIB)

And sets:

       HAVE_BOOST_WAVE

Source Code
***********

Download the latest version of 'ax_boost_wave.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_wave.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_wave.m4).

License
*******

Copyright (C) 2009 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Michael Tindal

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_boost_wserialization
=======================

Synopsis
********

     AX_BOOST_WSERIALIZATION

Description
***********

Test for Serialization library from the Boost C++ libraries.  The macro
requires a preceding call to AX_BOOST_BASE. Further documentation is
available at <http://randspringer.de/boost/index.html>.

This macro calls:

       AC_SUBST(BOOST_WSERIALIZATION_LIB)

And sets:

       HAVE_BOOST_WSERIALIZATION

Source Code
***********

Download the latest version of 'ax_boost_wserialization.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_boost_wserialization.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_boost_wserialization.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_build_date_epoch
===================

Synopsis
********

     AX_BUILD_DATE_EPOCH(VARIABLE[, FORMAT[, ACTION-IF-FAIL]])

Description
***********

Sets VARIABLE to a string representing the current time.  It is
formatted according to FORMAT if specified, otherwise it is formatted as
the number of seconds (excluding leap seconds) since the UNIX epoch (01
Jan 1970 00:00:00 UTC).

If the SOURCE_DATE_EPOCH environment variable is set, it uses the value
of that variable instead of the current time.  See
https://reproducible-builds.org/specs/source-date-epoch).  If
SOURCE_DATE_EPOCH is set but cannot be properly interpreted as a UNIX
timestamp, then execute ACTION-IF-FAIL if specified, otherwise error.

VARIABLE is AC_SUBST-ed.

Source Code
***********

Download the latest version of 'ax_build_date_epoch.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_build_date_epoch.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_build_date_epoch.m4).

License
*******

Copyright (C) 2016 Eric Bavier <bavier@member.fsf.org>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_c99_inline
=============

Synopsis
********

     AX_C99_INLINE

Description
***********

This macro defines HAVE_C99_INLINE if the C compiler supports "inline"
and "extern inline" correctly.  An application may replace "inline" with
"static inline" as a workaround for older compilers.

Source Code
***********

Download the latest version of 'ax_c99_inline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c99_inline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c99_inline.m4).

License
*******

Copyright (C) 2009 Michael McMaster <email@michaelmcmaster.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_c___attribute__
==================

Synopsis
********

     AX_C___ATTRIBUTE__

Description
***********

Provides a test for the compiler support of __attribute__ extensions.
Defines HAVE___ATTRIBUTE__ if it is found.

Source Code
***********

Download the latest version of 'ax_c___attribute__.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c___attribute__.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c___attribute__.m4).

License
*******

Copyright (C) 2008 Stepan Kasal <skasal@redhat.com>
Copyright (C) 2008 Christian Haggstrom
Copyright (C) 2008 Ryan McCabe <ryan@numb.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_c_arithmetic_rshift
======================

Synopsis
********

     AX_C_ARITHMETIC_RSHIFT

Description
***********

Checks if the right shift operation is arithmetic.

This macro uses compile-time detection and so is cross-compile ready.

Source Code
***********

Download the latest version of 'ax_c_arithmetic_rshift.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_arithmetic_rshift.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_arithmetic_rshift.m4).

License
*******

Copyright (C) 2008 YAMAMOTO Kengo <yamaken@bp.iij4u.or.jp>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_c_compile_value
==================

Synopsis
********

     AX_C_COMPILE_VALUE (COMPILE-VALUE, ALIAS, INCLUDES)

Description
***********

The AX_C_COMPILE_VALUE macro determines a compile time value by
generating the object code and reading the value from the code.  Static
data initializers like sizeof(int) are unavailable to preprocessor.  The
macro calculates the values known to compiler's static initializer.

Assumptions: The sought value should not exceed 65535.  The shell
interpreter and the sed utility are expected to exist and work similarly
across possible build platforms.

Result: The resulting configure script will generate the preprocessor
symbol definition:

       #define COMPILE_VALUE_<ALIAS> <NUMBER>

It was important that the value was embedded into the object file in a
predefined byte order during the test.  This ensured that the result was
independent from the target platform's byte order.

The existing AC_CHECK_SIZEOF macro also computes the size of the given
type without running the test program.  However, the existing macro will
produce a piece of configure script that will take the time proportional
to the logarithm of the sought value.

Example of use in configure.in:

       AX_C_COMPILE_VALUE(sizeof(int), sizeof_int)
       AX_C_COMPILE_VALUE([sizeof(int[[543]])], sizeof_int543)

As a result of running the generated configure script, the following
definition will appear in config.h:

       #define COMPILE_VALUE_SIZEOF_INT 4
       #define COMPILE_VALUE_SIZEOF_INT543 2172

Source Code
***********

Download the latest version of 'ax_c_compile_value.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_compile_value.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_compile_value.m4).

License
*******

Copyright (C) 2008 Ilguiz Latypov

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_c_declare_block
==================

Synopsis
********

     AX_C_DECLARE_BLOCK

Description
***********

The macro will compile a test program to see whether the compiler does
allow new variable declarations in the middle of a C statement block,
i.e.  after some non-declaration line.  New compilers will allow that
which makes the behave a bit more like C++ - the gcc did support it for
quite a time already.

#define DECLARE_BLOCK_NEEDED says they need to be at the beginning of of
a statement block.  Additionally two defines DECLARE_BLOCK { and
DECLARE_END } are being set.  That makes it possible to do the following
in your source code (which this macro is really made up for):

      #define ___ DECLARE_BLOCK
      #define ____ DECLARE_END

      int f() {
       char buffer[1024];
       fgets(buffer, 1024, stdin);
       ___ int i; int ii = strlen(buffer);
       for (i=0; i < ii; i++) {
          fputc(buffer[i], stdout);
       }____;
      }

Source Code
***********

Download the latest version of 'ax_c_declare_block.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_declare_block.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_declare_block.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_c_float_words_bigendian
==========================

Synopsis
********

     AX_C_FLOAT_WORDS_BIGENDIAN([ACTION-IF-TRUE], [ACTION-IF-FALSE], [ACTION-IF-UNKNOWN])

Description
***********

Checks the ordering of words within a multi-word float.  This check is
necessary because on some systems (e.g.  certain ARM systems), the float
word ordering can be different from the byte ordering.  In a multi-word
float context, "big-endian" implies that the word containing the sign
bit is found in the memory location with the lowest address.  This
implementation was inspired by the AC_C_BIGENDIAN macro in autoconf.

The endianness is detected by first compiling C code that contains a
special double float value, then grepping the resulting object file for
certain strings of ASCII values.  The double is specially crafted to
have a binary representation that corresponds with a simple string.  In
this implementation, the string "noonsees" was selected because the
individual word values ("noon" and "sees") are palindromes, thus making
this test byte-order agnostic.  If grep finds the string "noonsees" in
the object file, the target platform stores float words in big-endian
order.  If grep finds "seesnoon", float words are in little-endian
order.  If neither value is found, the user is instructed to specify the
ordering.

Source Code
***********

Download the latest version of 'ax_c_float_words_bigendian.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_float_words_bigendian.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_float_words_bigendian.m4).

License
*******

Copyright (C) 2008 Daniel Amelang <dan@amelang.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_c_long_long
==============

Synopsis
********

     AX_C_LONG_LONG

Description
***********

Provides a test for the existence of the long long int type and defines
HAVE_LONG_LONG if it is found.

Source Code
***********

Download the latest version of 'ax_c_long_long.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_long_long.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_long_long.m4).

License
*******

Copyright (C) 2008 Caolan McNamara <caolan@skynet.ie>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_c_referenceable_passed_va_list
=================================

Synopsis
********

     AX_C_REFERENCEABLE_PASSED_VA_LIST

Description
***********

Checks whether f(va_list va){ &va; } works as expected.

This macro uses compile-time detection and so is cross-compile ready.

C99 mentioned passing a pointer to va_list to other functions (footnote
212 of "7.15 Variable arguments <stdarg.h>").  However, f(va_list va) {
&va; } produces broken pointer on some environments such as gcc on
x86_64, although { va_list va; &va; } works as expected.  See the
detection code of this file and any of pages
https://www.gnu.org/software/autoconf/manual/html_node/Function-Portability.html,
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=14557, and
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20951 for further
information.

Although C99 does not define the operations f(va_list va) { &va; } and
&va itself as standard (footnotes are declared as "normative part,
information only"), certain situations need it.  This macro provides a
type detection about va_list implementation to deal with the operation.

Following workaround will probably work on such environments although it
does not ensure to be safe and portable.  At least it is working on
x86_64-unknown-linux-gnu:

      f(va_list va)
      {
        va_list *vap;

      #if HAVE_REFERENCEABLE_PASSED_VA_LIST
          vap = &va;
      #else
          vap = (va_list *)va;
      #endif
      }

Source Code
***********

Download the latest version of 'ax_c_referenceable_passed_va_list.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_referenceable_passed_va_list.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_referenceable_passed_va_list.m4).

License
*******

Copyright (C) 2008 YAMAMOTO Kengo <yamaken@bp.iij4u.or.jp>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_c_var_func
=============

Synopsis
********

     AX_C_VAR_FUNC

Description
***********

This macro tests if the C compiler supports the C9X standard __func__
identifier.

The new C9X standard for the C language stipulates that the identifier
__func__ shall be implicitly declared by the compiler as if, immediately
following the opening brace of each function definition, the declaration

       static const char __func__[] = "function-name";

appeared, where function-name is the name of the function where the
__func__ identifier is used.

Source Code
***********

Download the latest version of 'ax_c_var_func.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_c_var_func.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_c_var_func.m4).

License
*******

Copyright (C) 2008 Christopher Currie <christopher@currie.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cache_size
=============

Synopsis
********

     AX_CACHE_SIZE

Description
***********

Find L1 and L2 caches size by reading the corresponding file on UNIX or
by requesting cpuid.  The results are available in the defines
CPU_L1_CACHE and CPU_L2_CACHE.

This macro depends on AX_GCC_X86_CPUID, AC_PROG_SED, AX_COUNT_CPUS, and
AX_CPU_VENDOR.

Source Code
***********

Download the latest version of 'ax_cache_size.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cache_size.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cache_size.m4).

License
*******

Copyright (C) 2008 Christophe Tournayre <turn3r@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_caolan_check_package
=======================

Synopsis
********

     AX_caolan_CHECK_PACKAGE(PACKAGE, FUNCTION, LIBRARY , HEADERFILE [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

Provides -with-PACKAGE, -with-PACKAGE-include and -with-PACKAGE-libdir
options to configure.  Supports the now standard -with-PACKAGE=DIR
approach where the package's include dir and lib dir are underneath DIR,
but also allows the include and lib directories to be specified
separately

adds the extra -Ipath to CFLAGS if needed adds extra -Lpath to LD_FLAGS
if needed searches for the FUNCTION in the LIBRARY with AC_CHECK_LIBRARY
and thus adds the lib to LIBS

defines HAVE_PKG_PACKAGE if it is found, (where PACKAGE in the
HAVE_PKG_PACKAGE is replaced with the actual first parameter passed)
note that autoheader will complain of not having the HAVE_PKG_PACKAGE
and you will have to add it to acconfig.h manually

Source Code
***********

Download the latest version of 'ax_caolan_check_package.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_caolan_check_package.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_caolan_check_package.m4).

License
*******

Copyright (C) 2008 Caolan McNamara <caolan@skynet.ie>
Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>
Copyright (C) 2008 Matthew Mueller <donut@azstarnet.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_caolan_search_package
========================

Synopsis
********

     AX_caolan_SEARCH_PACKAGE(PACKAGE, FUNCTION, LIBRARY LIST, HEADERFILE [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

Provides -with-PACKAGE, -with-PACKAGE-include and -with-PACKAGE-libdir
options to configure.  Supports the now standard -with-PACKAGE=DIR
approach where the package's include dir and lib dir are underneath DIR,
but also allows the include and lib directories to be specified
separately

adds the extra -Ipath to CFLAGS if needed adds extra -Lpath to LD_FLAGS
if needed searches for the FUNCTION in each of the LIBRARY LIST with
AC_SEARCH_LIBRARY and thus adds the lib to LIBS

defines HAVE_PKG_PACKAGE if it is found, (where PACKAGE in the
HAVE_PKG_PACKAGE is replaced with the actual first parameter passed)
note that autoheader will complain of not having the HAVE_PKG_PACKAGE
and you will have to add it to acconfig.h manually

Source Code
***********

Download the latest version of 'ax_caolan_search_package.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_caolan_search_package.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_caolan_search_package.m4).

License
*******

Copyright (C) 2009 Caolan McNamara <caolan@skynet.ie>
Copyright (C) 2009 Alexandre Duret-Lutz <adl@gnu.org>
Copyright (C) 2009 Matthew Mueller <donut@azstarnet.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cc_for_build
===============

Synopsis
********

     AX_CC_FOR_BUILD

Description
***********

Find a build-time compiler.  Sets CC_FOR_BUILD and EXEEXT_FOR_BUILD.

Source Code
***********

Download the latest version of 'ax_cc_for_build.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cc_for_build.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cc_for_build.m4).

License
*******

Copyright (C) 2010 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 1999 Richard Henderson <rth@redhat.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cc_maxopt
============

Synopsis
********

     AX_CC_MAXOPT

Description
***********

Try to turn on "good" C optimization flags for various compilers and
architectures, for some definition of "good".  (In our case, good for
FFTW and hopefully for other scientific codes.  Modify as needed.)

The user can override the flags by setting the CFLAGS environment
variable.  The user can also specify -enable-portable-binary in order to
disable any optimization flags that might result in a binary that only
runs on the host architecture.

Note also that the flags assume that ANSI C aliasing rules are followed
by the code (e.g.  for gcc's -fstrict-aliasing), and that floating-point
computations can be re-ordered as needed.

Requires macros: AX_CHECK_COMPILE_FLAG, AX_COMPILER_VENDOR,
AX_GCC_ARCHFLAG, AX_GCC_X86_CPUID.

Source Code
***********

Download the latest version of 'ax_cc_maxopt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cc_maxopt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cc_maxopt.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Matteo Frigo

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cf_ebcdic
============

Synopsis
********

     AX_CF_EBCDIC

Description
***********

If the target character set is EBCDIC, defines variables cf_cv_ebcdic,
EBCDIC, and NOT_ASCII.

I originally wrote this and submitted it to the Lynx distribution.
Editorial revisions by Tom Dickey, et.  al.

Source Code
***********

Download the latest version of 'ax_cf_ebcdic.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cf_ebcdic.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cf_ebcdic.m4).

License
*******

Copyright (C) 2008 Paul Gilmartin <pg@sweng.stortek.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cflags_aix_option
====================

Synopsis
********

     AX_CFLAGS_AIX_OPTION (optionflag [,[shellvar][,[A][,[NA]]])

Description
***********

AX_CFLAGS_AIX_OPTION(-qubicle) would show a message as like "checking
CFLAGS for aix/cc -qubicle ...  yes" and adds the optionflag to CFLAGS
if it is understood.  You can override the shellvar-default of CFLAGS of
course.  The order of arguments stems from the explicit macros like
AX_CFLAGS_WARN_ALL.

The cousin AX_CXXFLAGS_AIX_OPTION would check for an option to add to
CXXFLAGS - and it uses the autoconf setup for C++ instead of C (since it
is possible to use different compilers for C and C++).

The macro is a lot simpler than any special AX_CFLAGS_* macro (or
ax_cxx_rtti.m4 macro) but allows to check for arbitrary options.
However, if you use this macro in a few places, it would be great if you
would make up a new function-macro and submit it to the ac-archive.

      - $1 option-to-check-for : required ("-option" as non-value)
      - $2 shell-variable-to-add-to : CFLAGS (or CXXFLAGS in the other case)
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

note: in earlier versions, $1-$2 were swapped.  We try to detect the
situation and accept a $2=~/-/ as being the old option-to-check-for.

see also: AX_CFLAGS_GCC_OPTION for the widely used original variant.

Source Code
***********

Download the latest version of 'ax_cflags_aix_option.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_aix_option.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_aix_option.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_force_c89
===================

Synopsis
********

     AX_CFLAGS_FORCE_C89 [(shellvar [,default, [A/NA]])]

Description
***********

Try to find a compiler option that enables strict C89 mode.

For the GNU CC compiler it will be -ansi -pedantic.  The result is added
to the shellvar being CFLAGS by default.

Currently this macro knows about GCC, Solaris C compiler, Digital Unix C
compiler, C for AIX Compiler, HP-UX C compiler, IRIX C compiler, NEC
SX-5 (Super-UX 10) C compiler, and Cray J90 (Unicos 10.0.0.8) C
compiler.

      - $1 shell-variable-to-add-to : CFLAGS
      - $2 add-value-if-not-found : nothing
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

NOTE: These macros depend on AX_APPEND_FLAG.

Source Code
***********

Download the latest version of 'ax_cflags_force_c89.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_force_c89.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_force_c89.m4).

License
*******

Copyright (C) 2009 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_hpux_option
=====================

Synopsis
********

     AX_CFLAGS_HPUX_OPTION (optionflag [,[shellvar][,[A][,[NA]]])

Description
***********

AX_CFLAGS_HPUX_OPTION(-Afresh) would show a message as like "checking
CFLAGS for hpux/cc -Afresh ...  yes" and adds the optionflag to CFLAGS
if it is understood.  You can override the shellvar-default of CFLAGS of
course.  The order of arguments stems from the explicit macros like
AX_CFLAGS_WARN_ALL.

The cousin AX_CXXFLAGS_HPUX_OPTION would check for an option to add to
CXXFLAGS - and it uses the autoconf setup for C++ instead of C (since it
is possible to use different compilers for C and C++).

The macro is a lot simpler than any special AX_CFLAGS_* macro (or
ax_cxx_rtti.m4 macro) but allows to check for arbitrary options.
However, if you use this macro in a few places, it would be great if you
would make up a new function-macro and submit it to the ac-archive.

      - $1 option-to-check-for : required ("-option" as non-value)
      - $2 shell-variable-to-add-to : CFLAGS (or CXXFLAGS in the other case)
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

note: in earlier versions, $1-$2 were swapped.  We try to detect the
situation and accept a $2=~/-/ as being the old option-to-check-for.

see also: AX_CFLAGS_GCC_OPTION for the widely used original variant.

Source Code
***********

Download the latest version of 'ax_cflags_hpux_option.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_hpux_option.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_hpux_option.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_irix_option
=====================

Synopsis
********

     AX_CFLAGS_IRIX_OPTION (optionflag [,[shellvar][,[A][,[NA]]])

Description
***********

AX_CFLAGS_IRIX_OPTION(-go_for_it) would show a message as like "checking
CFLAGS for irix/cc -go_for_it ...  yes" and adds the optionflag to
CFLAGS if it is understood.  You can override the shellvar-default of
CFLAGS of course.  The order of arguments stems from the explicit macros
like AX_CFLAGS_WARN_ALL.

The cousin AX_CXXFLAGS_IRIX_OPTION would check for an option to add to
CXXFLAGS - and it uses the autoconf setup for C++ instead of C (since it
is possible to use different compilers for C and C++).

The macro is a lot simpler than any special AX_CFLAGS_* macro (or
ax_cxx_rtti.m4 macro) but allows to check for arbitrary options.
However, if you use this macro in a few places, it would be great if you
would make up a new function-macro and submit it to the ac-archive.

      - $1 option-to-check-for : required ("-option" as non-value)
      - $2 shell-variable-to-add-to : CFLAGS (or CXXFLAGS in the other case)
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

note: in earlier versions, $1-$2 were swapped.  We try to detect the
situation and accept a $2=~/-/ as being the old option-to-check-for.

see also: AX_CFLAGS_GCC_OPTION for the widely used original variant.

Source Code
***********

Download the latest version of 'ax_cflags_irix_option.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_irix_option.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_irix_option.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_no_writable_strings
=============================

Synopsis
********

     AX_CFLAGS_NO_WRITABLE_STRINGS [(shellvar [,default, [A/NA]])]

Description
***********

Try to find a compiler option that makes all string literals readonly.

The sanity check is done by looking at string.h which has a set of
strcpy definitions that should be defined with const-modifiers to not
emit a warning in all so many places.

For the GNU CC compiler it will be -fno-writable-strings -Wwrite-strings
The result is added to the shellvar being CFLAGS by default.

DEFAULTS:

      - $1 shell-variable-to-add-to : CFLAGS
      - $2 add-value-if-not-found : nothing
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

NOTE: These macros depend on AX_APPEND_FLAG.

Source Code
***********

Download the latest version of 'ax_cflags_no_writable_strings.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_no_writable_strings.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_no_writable_strings.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_strict_prototypes
===========================

Synopsis
********

     AX_CFLAGS_STRICT_PROTOTYPES [(shellvar [,default, [A/NA]]

Description
***********

Try to find a compiler option that requires strict prototypes.

The sanity check is done by looking at sys/signal.h which has a set of
macro-definitions SIG_DFL and SIG_IGN that are cast to the local
signal-handler type.  If that signal-handler type is not fully qualified
then the system headers are not seen as strictly prototype clean.

For the GNU CC compiler it will be -fstrict-prototypes
-Wstrict-prototypes The result is added to the shellvar being CFLAGS by
default.

DEFAULTS:

      - $1 shell-variable-to-add-to : CFLAGS
      - $2 add-value-if-not-found : nothing
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

NOTE: These macros depend on AX_APPEND_FLAG.

Source Code
***********

Download the latest version of 'ax_cflags_strict_prototypes.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_strict_prototypes.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_strict_prototypes.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_sun_option
====================

Synopsis
********

     AX_CFLAGS_SUN_OPTION (optionflag [,[shellvar][,[A][,[NA]]])

Description
***********

AX_CFLAGS_SUN_OPTION(+xtreme) would show a message as like "checking
CFLAGS for sun/cc +xtreme ...  yes" and adds the optionflag to CFLAGS if
it is understood.  You can override the shellvar-default of CFLAGS of
course.  The order of arguments stems from the explicit macros like
AX_CFLAGS_WARN_ALL.

The cousin AX_CXXFLAGS_SUN_OPTION would check for an option to add to
CXXFLAGS - and it uses the autoconf setup for C++ instead of C (since it
is possible to use different compilers for C and C++).

The macro is a lot simpler than any special AX_CFLAGS_* macro (or
ax_cxx_rtti.m4 macro) but allows to check for arbitrary options.
However, if you use this macro in a few places, it would be great if you
would make up a new function-macro and submit it to the ac-archive.

      - $1 option-to-check-for : required ("-option" as non-value)
      - $2 shell-variable-to-add-to : CFLAGS (or CXXFLAGS in the other case)
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

note: in earlier versions, $1-$2 were swapped.  We try to detect the
situation and accept a $2=~/-/ as being the old option-to-check-for.

see also: AX_CFLAGS_GCC_OPTION for the widely used original variant.

Source Code
***********

Download the latest version of 'ax_cflags_sun_option.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_sun_option.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_sun_option.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cflags_warn_all
==================

Synopsis
********

     AX_CFLAGS_WARN_ALL   [(shellvar [,default, [A/NA]])]
     AX_CXXFLAGS_WARN_ALL [(shellvar [,default, [A/NA]])]
     AX_FCFLAGS_WARN_ALL  [(shellvar [,default, [A/NA]])]

Description
***********

Try to find a compiler option that enables most reasonable warnings.

For the GNU compiler it will be -Wall (and -ansi -pedantic) The result
is added to the shellvar being CFLAGS, CXXFLAGS, or FCFLAGS by default.

Currently this macro knows about the GCC, Solaris, Digital Unix, AIX,
HP-UX, IRIX, NEC SX-5 (Super-UX 10), Cray J90 (Unicos 10.0.0.8), and
Intel compilers.  For a given compiler, the Fortran flags are much more
experimental than their C equivalents.

      - $1 shell-variable-to-add-to : CFLAGS, CXXFLAGS, or FCFLAGS
      - $2 add-value-if-not-found : nothing
      - $3 action-if-found : add value to shellvariable
      - $4 action-if-not-found : nothing

NOTE: These macros depend on AX_APPEND_FLAG.

Source Code
***********

Download the latest version of 'ax_cflags_warn_all.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cflags_warn_all.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cflags_warn_all.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2010 Rhys Ulerich <rhys.ulerich@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_aligned_access_required
================================

Synopsis
********

     AX_CHECK_ALIGNED_ACCESS_REQUIRED

Description
***********

While the x86 CPUs allow access to memory objects to be unaligned it
happens that most of the modern designs require objects to be aligned -
or they will fail with a buserror.  That mode is quite known by
big-endian machines (sparc, etc) however the alpha cpu is little-
endian.

The following function will test for aligned access to be required and
set a config.h define HAVE_ALIGNED_ACCESS_REQUIRED (name derived by
standard usage).  Structures loaded from a file (or mmapped to memory)
should be accessed per-byte in that case to avoid segfault type errors.

The function checks if unaligned access would ignore the lowest bit of
the address.  If that happens or if the test binary crashes, aligned
access is required.

If cross-compiling, assume that aligned access is needed to be safe.
Set ax_cv_have_aligned_access_required=no to override that assumption.

Source Code
***********

Download the latest version of 'ax_check_aligned_access_required.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_aligned_access_required.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_aligned_access_required.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_allocated_ctime
========================

Synopsis
********

     AX_CHECK_ALLOCATED_CTIME

Description
***********

Check whether we need to free the memory returned by ctime.

Source Code
***********

Download the latest version of 'ax_check_allocated_ctime.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_allocated_ctime.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_allocated_ctime.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk__v
===============

Synopsis
********

     AX_CHECK_AWK__V([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports -v option ($AWK -v var=val '<PROGRAM>').  If
successful execute ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk__v.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk__v.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk__v.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk__x_escapes
=======================

Synopsis
********

     AX_CHECK_AWK__X_ESCAPES([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports \x escape codes.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk__x_escapes.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk__x_escapes.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk__x_escapes.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_and
================

Synopsis
********

     AX_CHECK_AWK_AND([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports and() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_and.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_and.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_and.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_argind
===================

Synopsis
********

     AX_CHECK_AWK_ARGIND([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports ARGIND variable.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_argind.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_argind.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_argind.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_array_delete
=========================

Synopsis
********

     AX_CHECK_AWK_ARRAY_DELETE([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports delete on array.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_array_delete.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_array_delete.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_array_delete.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_array_delete_elem
==============================

Synopsis
********

     AX_CHECK_AWK_ARRAY_DELETE_ELEM([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports delete on array element.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_array_delete_elem.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_array_delete_elem.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_array_delete_elem.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_array_in
=====================

Synopsis
********

     AX_CHECK_AWK_ARRAY_IN([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports 'in' on array.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_array_in.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_array_in.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_array_in.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_asort
==================

Synopsis
********

     AX_CHECK_AWK_ASORT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports asort() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_asort.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_asort.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_asort.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_asorti
===================

Synopsis
********

     AX_CHECK_AWK_ASORTI([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports asorti() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_asorti.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_asorti.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_asorti.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_associative_array
==============================

Synopsis
********

     AX_CHECK_AWK_ASSOCIATIVE_ARRAY([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports associative array.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_associative_array.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_associative_array.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_associative_array.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_atan2
==================

Synopsis
********

     AX_CHECK_AWK_ATAN2([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports atan2() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_atan2.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_atan2.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_atan2.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_compl
==================

Synopsis
********

     AX_CHECK_AWK_COMPL([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports compl() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_compl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_compl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_compl.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_conditional_expression
===================================

Synopsis
********

     AX_CHECK_AWK_CONDITIONAL_EXPRESSION([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports conditional expression (e.g.  x = y ?  5 : 6).  If
successful execute ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_conditional_expression.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_conditional_expression.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_conditional_expression.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_cos
================

Synopsis
********

     AX_CHECK_AWK_COS([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports cos() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_cos.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_cos.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_cos.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_environ
====================

Synopsis
********

     AX_CHECK_AWK_ENVIRON([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports ENVIRON variable.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_environ.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_environ.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_environ.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_errno
==================

Synopsis
********

     AX_CHECK_AWK_ERRNO([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports ERRNO variable.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_errno.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_errno.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_errno.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_exit
=================

Synopsis
********

     AX_CHECK_AWK_EXIT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports exit().  If successful execute ACTION-IF-SUCCESS
otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_exit.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_exit.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_exit.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_exp
================

Synopsis
********

     AX_CHECK_AWK_EXP([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports exp() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_exp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_exp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_exp.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_gensub
===================

Synopsis
********

     AX_CHECK_AWK_GENSUB([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports gensub() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_gensub.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_gensub.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_gensub.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_getline
====================

Synopsis
********

     AX_CHECK_AWK_GETLINE([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports getline function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_getline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_getline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_getline.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_gsub
=================

Synopsis
********

     AX_CHECK_AWK_GSUB([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports gsub() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_gsub.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_gsub.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_gsub.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_ignorecase
=======================

Synopsis
********

     AX_CHECK_AWK_IGNORECASE([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports IGNORECASE variable.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_ignorecase.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_ignorecase.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_ignorecase.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_index
==================

Synopsis
********

     AX_CHECK_AWK_INDEX([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports index() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_index.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_index.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_index.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_int
================

Synopsis
********

     AX_CHECK_AWK_INT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports int() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_int.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_int.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_int.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_length
===================

Synopsis
********

     AX_CHECK_AWK_LENGTH([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports length() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_length.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_length.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_length.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_log
================

Synopsis
********

     AX_CHECK_AWK_LOG([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports log() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_log.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_log.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_log.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_lshift
===================

Synopsis
********

     AX_CHECK_AWK_LSHIFT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports lshift() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_lshift.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_lshift.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_lshift.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_match_2parms
=========================

Synopsis
********

     AX_CHECK_AWK_MATCH_2PARMS([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports match() function with 2 parameters (standard).  If
successful execute ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_match_2parms.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_match_2parms.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_match_2parms.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_match_3parms
=========================

Synopsis
********

     AX_CHECK_AWK_MATCH_3PARMS([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports match() function with 3 parameters (GNU
extension).  If successful execute ACTION-IF-SUCCESS otherwise
ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_match_3parms.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_match_3parms.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_match_3parms.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_operator_multiply_multiply
=======================================

Synopsis
********

     AX_CHECK_AWK_OPERATOR_MULTIPLY_MULTIPLY([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports the '**' operator.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of
'ax_check_awk_operator_multiply_multiply.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_operator_multiply_multiply.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_operator_multiply_multiply.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_operator_square
============================

Synopsis
********

     AX_CHECK_AWK_OPERATOR_SQUARE([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports the '^' operator.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_operator_square.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_operator_square.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_operator_square.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_or
===============

Synopsis
********

     AX_CHECK_AWK_OR([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports or() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_or.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_or.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_or.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_printf
===================

Synopsis
********

     AX_CHECK_AWK_PRINTF([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports printf() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_printf.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_printf.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_printf.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_rand
=================

Synopsis
********

     AX_CHECK_AWK_RAND([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports rand() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_rand.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_rand.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_rand.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_rshift
===================

Synopsis
********

     AX_CHECK_AWK_RSHIFT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports rshift() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_rshift.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_rshift.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_rshift.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_sin
================

Synopsis
********

     AX_CHECK_AWK_SIN([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports sin() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_sin.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_sin.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_sin.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_split
==================

Synopsis
********

     AX_CHECK_AWK_SPLIT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports split() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_split.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_split.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_split.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_sprintf
====================

Synopsis
********

     AX_CHECK_AWK_SPRINTF([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports sprintf() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_sprintf.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_sprintf.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_sprintf.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_sqrt
=================

Synopsis
********

     AX_CHECK_AWK_SQRT([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports sqrt() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_sqrt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_sqrt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_sqrt.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_srand
==================

Synopsis
********

     AX_CHECK_AWK_SRAND([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports srand() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_srand.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_srand.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_srand.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_strftime
=====================

Synopsis
********

     AX_CHECK_AWK_STRFTIME([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports strftime() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_strftime.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_strftime.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_strftime.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_strtonum
=====================

Synopsis
********

     AX_CHECK_AWK_STRTONUM([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports strtonum() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_strtonum.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_strtonum.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_strtonum.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_sub
================

Synopsis
********

     AX_CHECK_AWK_SUB([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports sub() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_sub.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_sub.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_sub.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_substr
===================

Synopsis
********

     AX_CHECK_AWK_SUBSTR([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports substr() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_substr.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_substr.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_substr.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_system
===================

Synopsis
********

     AX_CHECK_AWK_SYSTEM([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports system() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_system.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_system.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_system.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_systime
====================

Synopsis
********

     AX_CHECK_AWK_SYSTIME([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports systime() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_systime.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_systime.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_systime.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_tolower
====================

Synopsis
********

     AX_CHECK_AWK_TOLOWER([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports tolower() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_tolower.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_tolower.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_tolower.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_toupper
====================

Synopsis
********

     AX_CHECK_AWK_TOUPPER([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports toupper() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_toupper.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_toupper.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_toupper.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_user_defined_functions
===================================

Synopsis
********

     AX_CHECK_AWK_USER_DEFINED_FUNCTIONS([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports user defined functions.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_user_defined_functions.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_user_defined_functions.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_user_defined_functions.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_var_regexp
=======================

Synopsis
********

     AX_CHECK_AWK_VAR_REGEXP([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports variable regexp.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_var_regexp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_var_regexp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_var_regexp.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_variable_value_pairs
=================================

Synopsis
********

     AX_CHECK_AWK_VARIABLE_VALUE_PAIRS([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports variable=value pairs ($AWK '<PROGRAM>' var=val).
If successful execute ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_variable_value_pairs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_variable_value_pairs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_variable_value_pairs.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_awk_xor
================

Synopsis
********

     AX_CHECK_AWK_XOR([ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Check if AWK supports xor() function.  If successful execute
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_check_awk_xor.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_awk_xor.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_awk_xor.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_class
==============

Synopsis
********

     AX_CHECK_CLASS

Description
***********

AX_CHECK_CLASS tests the existence of a given Java class, either in a
jar or in a '.class' file.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_check_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_class.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_classpath
==================

Synopsis
********

     AX_CHECK_CLASSPATH

Description
***********

AX_CHECK_CLASSPATH just displays the CLASSPATH, for the edification of
the user.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_check_classpath.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_classpath.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_classpath.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_compile_flag
=====================

Synopsis
********

     AX_CHECK_COMPILE_FLAG(FLAG, [ACTION-SUCCESS], [ACTION-FAILURE], [EXTRA-FLAGS], [INPUT])

Description
***********

Check whether the given FLAG works with the current language's compiler
or gives an error.  (Warnings, however, are ignored)

ACTION-SUCCESS/ACTION-FAILURE are shell commands to execute on
success/failure.

If EXTRA-FLAGS is defined, it is added to the current language's default
flags (e.g.  CFLAGS) when the check is done.  The check is thus made
with the flags: "CFLAGS EXTRA-FLAGS FLAG". This can for example be used
to force the compiler to issue an error when a bad flag is given.

INPUT gives an alternative input source to AC_COMPILE_IFELSE.

NOTE: Implementation based on AX_CFLAGS_GCC_OPTION. Please keep this
macro in sync with AX_CHECK_{PREPROC,LINK}_FLAG.

Source Code
***********

Download the latest version of 'ax_check_compile_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_compile_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_compile_flag.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_define
===============

Synopsis
********

     AC_CHECK_DEFINE([symbol], [ACTION-IF-FOUND], [ACTION-IF-NOT])
     AX_CHECK_DEFINE([includes],[symbol], [ACTION-IF-FOUND], [ACTION-IF-NOT])

Description
***********

Complements AC_CHECK_FUNC but it does not check for a function but for a
define to exist.  Consider a usage like:

      AC_CHECK_DEFINE(__STRICT_ANSI__, CFLAGS="$CFLAGS -D_XOPEN_SOURCE=500")

Source Code
***********

Download the latest version of 'ax_check_define.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_define.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_define.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_docbook_dtd
====================

Synopsis
********

     AX_CHECK_DOCBOOK_DTD([dtd-version])

Description
***********

Check for access to a docbook DTD of a particular revision.  This macro
can be used for multiple versions within the same script.

Input:

$1 is the version of docbook to search for; default 'current'.

Output:

$HAVE_DOCBOOK_DTD_VERS will be set to 'yes' or 'no' depending on the
results of the test, where VERS is $1, with '_' substituted for '.'
$HAVE_DOCBOOK_DTD will also be set to the same value.

Example:

      AX_CHECK_DOCBOOK_DTD(4.3)
      if test "x$HAVE_DOCBOOK_DTD_4_3" = "xyes"; then
      ...

Source Code
***********

Download the latest version of 'ax_check_docbook_dtd.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_docbook_dtd.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_docbook_dtd.m4).

License
*******

Copyright (C) 2008 Zmanda Inc. <http://www.zmanda.com/>
Copyright (C) 2008 Dustin J. Mitchell <dustin@zmanda.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_docbook_xslt
=====================

Synopsis
********

     AX_CHECK_DOCBOOK_XSLT([xslt-version])

Description
***********

Check for access to docbook stylesheets of a particular revision.  This
macro can be used for multiple versions within the same script.

Input:

$1 is the version of docbook to search for; default 'current'.

Output:

$HAVE_DOCBOOK_XSLT_VERS will be set to 'yes' or 'no' depending on the
results of the test, where VERS is $1, with '_' substituted for '.'.
$HAVE_DOCBOOK_XSLT will also be set to the same value.

Example:

      AX_CHECK_DOCBOOK_XSLT(1.72.0)
      if test "x$HAVE_DOCBOOK_XSLT_1_72_0" = "xyes"; then
      ...

Source Code
***********

Download the latest version of 'ax_check_docbook_xslt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_docbook_xslt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_docbook_xslt.m4).

License
*******

Copyright (C) 2008 Zmanda Inc. <http://www.zmanda.com/>
Copyright (C) 2008 Dustin J. Mitchell <dustin@zmanda.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_docbook_xslt_min
=========================

Synopsis
********

     AX_CHECK_DOCBOOK_XSLT_MIN(min-xslt-version)

Description
***********

Check that the 'current' version of docbook is at least version
min-xslt-version.  If the test is successful,
$DOCBOOK_XSLT_CURRENT_VERSION will be set to the current docbook
version; if not, it will be set to 'no'.

Example:

      AX_CHECK_DOCBOOK_XSLT_MIN(1.72.0)
      if test "x$DOCBOOK_XSLT_CURRENT_VERSION" = "xno"; then
      ...

Source Code
***********

Download the latest version of 'ax_check_docbook_xslt_min.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_docbook_xslt_min.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_docbook_xslt_min.m4).

License
*******

Copyright (C) 2008 Zmanda Inc. <http://www.zmanda.com/>
Copyright (C) 2008 Dustin J. Mitchell <dustin@zmanda.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_dos_filesys
====================

Synopsis
********

     AX_CHECK_DOS_FILESYS_LIMITATIONS

Description
***********

Check if the target is running on DOS. DOS doesn't allow a dot as the
first character, more than one dot, more than eight characters before a
dot, and just three letters after the dot.  A DOS VM running under
Windows 9X does not have these restrictions.  A DOS program can be
running in either environment, so its important to code accordingly.
Defines HAVE_DOS_FILESYS_LIMITATIONS if under DOS.

Use in conjunction with AX_CHECK_PATHNAME_STYLE_DOS.

Source Code
***********

Download the latest version of 'ax_check_dos_filesys.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_dos_filesys.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_dos_filesys.m4).

License
*******

Copyright (C) 2008 Mark Elbrecht

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_enable_debug
=====================

Synopsis
********

     AX_CHECK_ENABLE_DEBUG([enable by default=yes/info/profile/no], [ENABLE DEBUG VARIABLES ...], [DISABLE DEBUG VARIABLES NDEBUG ...], [IS-RELEASE])

Description
***********

Check for the presence of an -enable-debug option to configure, with the
specified default value used when the option is not present.  Return the
value in the variable $ax_enable_debug.

Specifying 'yes' adds '-g -O0' to the compilation flags for all
languages.  Specifying 'info' adds '-g' to the compilation flags.
Specifying 'profile' adds '-g -pg' to the compilation flags and '-pg' to
the linking flags.  Otherwise, nothing is added.

Define the variables listed in the second argument if debug is enabled,
defaulting to no variables.  Defines the variables listed in the third
argument if debug is disabled, defaulting to NDEBUG. All lists of
variables should be space-separated.

If debug is not enabled, ensure AC_PROG_* will not add debugging flags.
Should be invoked prior to any AC_PROG_* compiler checks.

IS-RELEASE can be used to change the default to 'no' when making a
release.  Set IS-RELEASE to 'yes' or 'no' as appropriate.  By default,
it uses the value of $ax_is_release, so if you are using the
AX_IS_RELEASE macro, there is no need to pass this parameter.

       AX_IS_RELEASE([git-directory])
       AX_CHECK_ENABLE_DEBUG()

Source Code
***********

Download the latest version of 'ax_check_enable_debug.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_enable_debug.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_enable_debug.m4).

License
*******

Copyright (C) 2011 Rhys Ulerich <rhys.ulerich@gmail.com>
Copyright (C) 2014, 2015 Philip Withnall <philip@tecnocode.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.

ax_check_func_in
================

Synopsis
********

     AX_CHECK_FUNC_IN(HEADER, FUNCTION [,ACTION-IF-FOUND [,ACTION-IF-NOT-FOUND]])

Description
***********

Checking for library functions in a given header file.

Source Code
***********

Download the latest version of 'ax_check_func_in.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_func_in.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_func_in.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_gd
===========

Synopsis
********

     AX_CHECK_GD

Description
***********

Check for the gd library.  (See http://www.boutell.com/gd/) If gd is
found, the output variables GD_CFLAGS, GD_LDFLAGS and GD_LIBS will
contain the compiler flags, linker flags and libraries necessary to use
gd; otherwise, those variables will be empty.  In addition, the symbol
HAVE_GD is defined if the library is found, and the symbols HAVE_GD_GIF,
HAVE_GD_JPEG and HAVE_GD_PNG are defined if the library supports
creating images in gif, jpeg and png formats, respectively.

The user may use -with-gd=no or -without-gd to skip checking for the
library.  (The default is -with-gd=yes.)  If the library is installed in
an unusual location, -with-gd=DIR will cause the macro to look for
gdlib-config in DIR/bin or, failing that, for the headers and libraries
in DIR/include and DIR/lib.

Feedback welcome!

Source Code
***********

Download the latest version of 'ax_check_gd.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_gd.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_gd.m4).

License
*******

Copyright (C) 2008 Nick Markham <markhn@rpi.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_gir_symbols_gjs
========================

Synopsis
********

     AX_CHECK_GIR_SYMBOLS_GJS(MODULE, APIVERSION, SYMBOLS)

Description
***********

Check that each symbol from the whitespace-separated list of $SYMBOLS is
defined inside the GObject Introspection module $MODULE with API version
$APIVERSION, and is importable in GJS, GNOME's JavaScript engine
(https://wiki.gnome.org/Projects/Gjs).

GObject Introspection
(https://wiki.gnome.org/Projects/GObjectIntrospection) is a tool for
generating bindings from C libraries to higher-level languages.  The
bindings live in a GObject Introspection repository (GIR) file, which is
what this macro checks.

Note that for the purposes of GObject Introspection, the API version is
different from the release version.  For example, GTK currently has API
version 3.0, but that could mean any release from the 3.0, 3.2, 3.4,...
series.

Example:

       AX_CHECK_GIR_SYMBOLS_GJS([Gtk], [3.0], [ListBox FlowBox
                                               Widget.get_action_group])

NOTE: This macro depends on AX_PROG_GJS.

Source Code
***********

Download the latest version of 'ax_check_gir_symbols_gjs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_gir_symbols_gjs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_gir_symbols_gjs.m4).

License
*******

Copyright (C) 2013, 2016 Endless Mobile, Inc.; contributed by Philip Chimento <philip@endlessm.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_girs_gjs
=================

Synopsis
********

     AX_CHECK_GIRS_GJS(MODULE, API_VERSION [, MODULE, API_VERSION...])

Description
***********

Check that the GObject Introspection module $MODULE is importable in GJS
(GNOME's JavaScript engine, https://wiki.gnome.org/Projects/Gjs).  The
API version must be $API_VERSION.

GObject Introspection
(https://wiki.gnome.org/Projects/GObjectIntrospection) is a tool for
generating bindings from C libraries to higher-level languages.  The
bindings live in a GObject Introspection repository (GIR) file, which is
what this macro checks.

Note that for the purposes of GObject Introspection, the API version is
different from the release version.  For example, GTK currently has API
version 3.0, but that could mean any release from the 3.0, 3.2, 3.4,...
series.  To check for specific API that was added in a later version,
use AX_CHECK_GIR_SYMBOLS_GJS.

Example:

       AX_CHECK_GIRS_GJS([Gdk], [3.0],
                         [Gtk], [3.0])

NOTE: This macro depends on AX_PROG_GJS.

Source Code
***********

Download the latest version of 'ax_check_girs_gjs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_girs_gjs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_girs_gjs.m4).

License
*******

Copyright (C) 2013, 2016 Endless Mobile, Inc.; contributed by Philip Chimento <philip@endlessm.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_gl
===========

Synopsis
********

     AX_CHECK_GL([ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks for an OpenGL implementation.  If a valid OpenGL implementation
is found, this macro would set C preprocessor symbol HAVE_GL to 1.

If either a valid OpenGL header or library was not found, by default the
configuration would exits on error.  This behavior can be overwritten by
providing a custom "ACTION-IF-NOT-FOUND" hook.

If the header, library was found, and been tested for compiling and
linking the configuration would export the required compiler flags to
"GL_CFLAGS" and "GL_LIBS". These two variables can also be overwritten
by user from the command line if they want to link against the library
they specified instead of having the configuration script to detect the
flags automatically.  Note that having "GL_CFLAGS" or "GL_LIBS" set
doesn't mean it can compile or link with the flags, since it could be
overwritten by user.  However the "HAVE_GL" symbol and "ACTION-IF-FOUND"
hook is always guaranteed to reflect a valid OpenGL implementation.

If user didn't specify the "ACTION-IF-FOUND" hook, the configuration
would prepend "GL_CFLAGS" and "GL_LIBS" to "CFLAGS" and "LIBS", like
many other autoconf macros do.

OpenGL is one of the libraries that has different header names on
different platforms.  This macro does the header detection, and will
export the following symbol: "HAVE_GL_GL_H" for having "GL/gl.h" or
"HAVE_OPENGL_GL_H" for having "OpenGL/gl.h".  To write a portable OpenGL
code, you should include OpenGL header like so:

       #if defined(HAVE_WINDOWS_H) && defined(_WIN32)
       # include <windows.h>
       #endif
       #ifdef HAVE_GL_GL_H
       # include <GL/gl.h>
       #elif defined(HAVE_OPENGL_GL_H)
       # include <OpenGL/gl.h>
       #else
       # error no gl.h
       #endif

On the OSX platform, there's two possible OpenGL implementation.  One is
the OpenGL that ships with OSX, the other comes with X11/XQuartz
(http://www.xquartz.org).  To use the xquartz variant, user can use the
option -with-xquartz-gl[=path to xquartz root].  By default the
configuration will check "/opt/X11", which is the default X11 install
location on OSX.

Source Code
***********

Download the latest version of 'ax_check_gl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_gl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_gl.m4).

License
*******

Copyright (C) 2009 Braden McDaniel <braden@endoframe.com>
Copyright (C) 2012 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_glu
============

Synopsis
********

     AX_CHECK_GLU([ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks for GLUT. If a valid GLU implementation is found, the configure
script would export the C preprocessor symbol "HAVE_GLU=1".

If either a valid GLU header or library was not found, by default the
configure script would exit on error.  This behavior can be overwritten
by providing a custom "ACTION-IF-NOT-FOUND" hook.

If the header, library was found, and been tested for compiling and
linking the configuration would export the required compiler flags to
"GLU_CFLAGS" and "GLU_LIBS" environment variables.  These two variables
can also be overwritten by defining the environment variables before
executing the configure program.  If it was predefined, configure would
not try to overwrite it, but it would still perform the compile and link
test.  Only when the tests succeeded does the configure script to export
"HAVE_GLU=1" and to run "ACTION-IF-FOUND" hook.

If user didn't specify the "ACTION-IF-FOUND" hook, the configuration
would prepend "GLU_CFLAGS" and "GLU_LIBS" to "CFLAGS" and "LIBS", like
many other autoconf macros do.

If the header "GL/glu.h" is found, "HAVE_GL_GLU_H" is defined.  If the
header "OpenGL/glu.h" is found, HAVE_OPENGL_GLU_H is defined.

You should use something like this in your headers:

       # if defined(HAVE_WINDOWS_H) && defined(_WIN32)
       #  include <windows.h>
       # endif
       # if defined(HAVE_GL_GLU_H)
       #  include <GL/glu.h>
       # elif defined(HAVE_OPENGL_GLU_H)
       #  include <OpenGL/glu.h>
       # else
       #  error no glu.h
       # endif

On the OSX platform, you can use the option -with-xquartz-gl to use
X11/Xquartz GLU implementation instead of the system built in GLU
framework.

Some implementations (in particular, some versions of Mac OS X) are
known to treat the GLU tesselator callback function type as "GLvoid
(*)(...)"  rather than the standard "GLvoid (*)()".  If the former
condition is detected, this macro defines "HAVE_VARARGS_GLU_TESSCB".

Source Code
***********

Download the latest version of 'ax_check_glu.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_glu.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_glu.m4).

License
*******

Copyright (C) 2009 Braden McDaniel <braden@endoframe.com>
Copyright (C) 2013 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_glut
=============

Synopsis
********

     AX_CHECK_GLUT([ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks for GLUT. If a valid GLUT implementation is found, the configure
script would export the C preprocessor symbol "HAVE_GLUT=1".

If either a valid GLUT header or library was not found, by default the
configure script would exit on error.  This behavior can be overwritten
by providing a custom "ACTION-IF-NOT-FOUND" hook.

If the header, library was found, and been tested for compiling and
linking the configuration would export the required compiler flags to
"GLUT_CFLAGS" and "GLUT_LIBS" environment variables.  These two
variables can also be overwritten by defining the environment variables
before executing the configure program.  If it was predefined, configure
would not try to overwrite it, but it would still perform the compile
and link test.  Only when the tests succeeded does the configure script
to export "HAVE_GLUT=1" and to run "ACTION-IF-FOUND" hook.

If user didn't specify the "ACTION-IF-FOUND" hook, the configuration
would prepend "GLUT_CFLAGS" and "GLUT_LIBS" to "CFLAGS" and "LIBS", like
many other autoconf macros do.

If the header "GL/glut.h" is found, "HAVE_GL_GLUT_H" is defined.  If the
header "GLUT/glut.h" is found, HAVE_GLUT_GLUT_H is defined.

You should use something like this in your headers:

       # if HAVE_WINDOWS_H && defined(_WIN32)
       #  include <windows.h>
       # endif
       # if defined(HAVE_GL_GLUT_H)
       #  include <GL/glut.h>
       # elif defined(HAVE_GLUT_GLUT_H)
       #  include <GLUT/glut.h>
       # else
       #  error no glut.h
       # endif

On the OSX platform, you can use the option -with-xquartz-gl to use
X11/Xquartz GLUT implementation instead of the system built in GLUT
framework.

Source Code
***********

Download the latest version of 'ax_check_glut.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_glut.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_glut.m4).

License
*******

Copyright (C) 2009 Braden McDaniel <braden@endoframe.com>
Copyright (C) 2013 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_glx
============

Synopsis
********

     AX_CHECK_GLX

Description
***********

Check for GLX. If GLX is found, the required preprocessor and linker
flags are included in the output variables "GLX_CFLAGS" and "GLX_LIBS",
respectively.  If no GLX implementation is found, "no_glx" is set to
"yes".

If the header "GL/glx.h" is found, "HAVE_GL_GLX_H" is defined.  If the
header "OpenGL/glx.h" is found, HAVE_OPENGL_GLX_H is defined.  These
preprocessor definitions may not be mutually exclusive.

You should use something like this in your headers:

       # if defined(HAVE_WINDOWS_H) && defined(_WIN32)
       #  include <windows.h>
       # endif
       # if defined(HAVE_GL_GLX_H)
       #  include <GL/glx.h>
       # elif defined(HAVE_OPENGL_GLX_H)
       #  include <OpenGL/glx.h>
       # else
       #  error no glx.h
       # endif

Source Code
***********

Download the latest version of 'ax_check_glx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_glx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_glx.m4).

License
*******

Copyright (C) 2009 Braden McDaniel <braden@endoframe.com>
Copyright (C) 2013-2014 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_gnu_make
=================

Synopsis
********

     AX_CHECK_GNU_MAKE([run-if-true],[run-if-false])

Description
***********

This macro searches for a GNU version of make.  If a match is found:

       * The makefile variable `ifGNUmake' is set to the empty string, otherwise
         it is set to "#". This is useful for including a special features in a
         Makefile, which cannot be handled by other versions of make.
       * The makefile variable `ifnGNUmake' is set to #, otherwise
         it is set to the empty string. This is useful for including a special
         features in a Makefile, which can be handled
         by other versions of make or to specify else like clause.
       * The variable `_cv_gnu_make_command` is set to the command to invoke
         GNU make if it exists, the empty string otherwise.
       * The variable `ax_cv_gnu_make_command` is set to the command to invoke
         GNU make by copying `_cv_gnu_make_command`, otherwise it is unset.
       * If GNU Make is found, its version is extracted from the output of
         `make --version` as the last field of a record of space-separated
         columns and saved into the variable `ax_check_gnu_make_version`.
       * Additionally if GNU Make is found, run shell code run-if-true
         else run shell code run-if-false.

Here is an example of its use:

Makefile.in might contain:

       # A failsafe way of putting a dependency rule into a makefile
       $(DEPEND):
               $(CC) -MM $(srcdir)/*.c > $(DEPEND)

       @ifGNUmake@ ifeq ($(DEPEND),$(wildcard $(DEPEND)))
       @ifGNUmake@ include $(DEPEND)
       @ifGNUmake@ else
       fallback code
       @ifGNUmake@ endif

Then configure.in would normally contain:

       AX_CHECK_GNU_MAKE()
       AC_OUTPUT(Makefile)

Then perhaps to cause gnu make to override any other make, we could do
something like this (note that GNU make always looks for GNUmakefile
first):

       if  ! test x$_cv_gnu_make_command = x ; then
               mv Makefile GNUmakefile
               echo .DEFAULT: > Makefile ;
               echo \  $_cv_gnu_make_command \$@ >> Makefile;
       fi

Then, if any (well almost any) other make is called, and GNU make also
exists, then the other make wraps the GNU make.

Source Code
***********

Download the latest version of 'ax_check_gnu_make.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_gnu_make.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_gnu_make.m4).

License
*******

Copyright (C) 2008 John Darrington <j.darrington@elvis.murdoch.edu.au>
Copyright (C) 2015 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_icu
============

Synopsis
********

     AX_CHECK_ICU(version, action-if, action-if-not)

Description
***********

Defines ICU_LIBS, ICU_CFLAGS, ICU_CXXFLAGS. See icu-config(1) man page.

Source Code
***********

Download the latest version of 'ax_check_icu.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_icu.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_icu.m4).

License
*******

Copyright (C) 2008 Akos Maroy <darkeye@tyrell.hu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_java_home
==================

Synopsis
********

     AX_CHECK_JAVA_HOME

Description
***********

Check for Sun Java (JDK / JRE) installation, where the 'java' VM is in.
If found, set environment variable JAVA_HOME = Java installation home,
else left JAVA_HOME untouch, which in most case means JAVA_HOME is
empty.

Source Code
***********

Download the latest version of 'ax_check_java_home.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_java_home.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_java_home.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_java_plugin
====================

Synopsis
********

     AX_CHECK_JAVA_PLUGIN(<shell-variable>)

Description
***********

This macro sets <shell-variable> to empty on failure and to a compatible
version of plugin.jar otherwise.  Directories searched are /usr/java/*
and /usr/local/java/*, which are assumed to be j{dk,re} installations.
Apply the shell variable as you see fit.  If sun changes things so
<jre>/lib/plugin.jar is not the magic file it will stop working.

This macro assumes that unzip, zipinfo or pkzipc is available (and can
list the contents of the jar archive).  The first two are assumed to
work similarly enough to the infozip versions.  The pkzipc version is
assumed to work if I understand the documentation on pkware's site but
YMMV. I do not have access to pwkware's version to test it.

Source Code
***********

Download the latest version of 'ax_check_java_plugin.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_java_plugin.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_java_plugin.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_junit
==============

Synopsis
********

     AX_CHECK_JUNIT

Description
***********

AX_CHECK_JUNIT tests the availability of the Junit testing framework,
and set some variables for conditional compilation of the test suite by
automake.

If available, JUNIT is set to a command launching the text based user
interface of Junit, @JAVA_JUNIT@ is set to $JAVA_JUNIT and @TESTS_JUNIT@
is set to $TESTS_JUNIT, otherwise they are set to empty values.

You can use these variables in your Makefile.am file like this :

      # Some of the following classes are built only if junit is available
      JAVA_JUNIT  = Class1Test.java Class2Test.java AllJunitTests.java

      noinst_JAVA = Example1.java Example2.java @JAVA_JUNIT@

      EXTRA_JAVA  = $(JAVA_JUNIT)

      TESTS_JUNIT = AllJunitTests

      TESTS       = StandaloneTest1 StandaloneTest2 @TESTS_JUNIT@

      EXTRA_TESTS = $(TESTS_JUNIT)

      AllJunitTests :
         echo "#! /bin/sh" > $@
         echo "exec @JUNIT@ my.package.name.AllJunitTests" >> $@
         chmod +x $@

Source Code
***********

Download the latest version of 'ax_check_junit.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_junit.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_junit.m4).

License
*******

Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_library
================

Synopsis
********

     AX_CHECK_LIBRARY(VARIABLE-PREFIX, HEADER-FILE, LIBRARY-FILE,
                      [ACTION-IF-FOUND], [ACTION-IF-NOT_FOUND])

Description
***********

Provides a generic test for a given library, similar in concept to the
PKG_CHECK_MODULES macro used by pkg-config.

Most simplest libraries can be checked against simply through the
presence of a header file and a library to link to.  This macro allows
to wrap around the test so that it doesn't have to be recreated each
time.

Rather than define -with-$LIBRARY arguments, it uses variables in the
same way that PKG_CHECK_MODULES does.  It doesn't, though, use the same
names, since you shouldn't provide a value for LIBS or CFLAGS but rather
for LDFLAGS and CPPFLAGS, to tell the linker and compiler where to find
libraries and headers respectively.

If the library is find, HAVE_PREFIX is defined, and in all cases
PREFIX_LDFLAGS and PREFIX_CPPFLAGS are substituted.

Example:

       AX_CHECK_LIBRARY([LIBEVENT], [event.h], [event], [],
                        [AC_MSG_ERROR([Unable to find libevent])])

Source Code
***********

Download the latest version of 'ax_check_library.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_library.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_library.m4).

License
*******

Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_link_flag
==================

Synopsis
********

     AX_CHECK_LINK_FLAG(FLAG, [ACTION-SUCCESS], [ACTION-FAILURE], [EXTRA-FLAGS], [INPUT])

Description
***********

Check whether the given FLAG works with the linker or gives an error.
(Warnings, however, are ignored)

ACTION-SUCCESS/ACTION-FAILURE are shell commands to execute on
success/failure.

If EXTRA-FLAGS is defined, it is added to the linker's default flags
when the check is done.  The check is thus made with the flags: "LDFLAGS
EXTRA-FLAGS FLAG". This can for example be used to force the linker to
issue an error when a bad flag is given.

INPUT gives an alternative input source to AC_LINK_IFELSE.

NOTE: Implementation based on AX_CFLAGS_GCC_OPTION. Please keep this
macro in sync with AX_CHECK_{PREPROC,COMPILE}_FLAG.

Source Code
***********

Download the latest version of 'ax_check_link_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_link_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_link_flag.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_mysql
==============

Synopsis
********

     AX_CHECK_MYSQL([MYSQL-PLUGIN-NEEDED],[MYSQL-REQUIRED],[MINIMUM-VERSION],[INCLUDES-REQUIRED])
     AX_SOURCE_MYSQL()
     AX_CHECK_MYSQL_INSTALL([ROOT-DIR],[IF-FOUND],[IF-NOT-FOUND])

Description
***********

Looks for a MySQL installation in typical locations, or can take in a
flag designating where a MySQL installation is found.  Sets the
variables stated to various attributes of the desired MySQL
installation.

In detail, AX_CHECK_MYSQL will automatically look for a MySQL
installation in the directories that a mysql source or binary install
typically install to.  AX_CHECK_MYSQL will throw an error if it cannot
find one, and it is required.

AX_CHECK_MYSQL can also check for specific variables passed regarding a
location of a MySQL installation.

If a MySQL installation is found, AX_CHECK_MYSQL sets variables
regarding the version of MySQL, its architecture (32 or 64 bit), and
whether the version supports Plugins.

AX_CHECK_MYSQL_INSTALL will check a designated root directory for a
command, plugin, and include directory.  If a mysql binary is not found
or not found, the IF-FOUND and IF-NOT-FOUND directive will be executed,
respectively.

AX_CHECK_MYSQL adds the following flags:

       --with-mysql, for the root of a desired MySQL installation
       --with-mysql-plugin, for the path to the plugin directory of the MySQL installation
       --with-mysql-include, for the path to the include directory of the MySQL installation
       --with-mysql-command, for the path to the binary directory of the MySQL installation
       --with-mysql-source, for the path to a directory containing the source of the MySQL installation

AX_CHECK_MYSQL sets:

       MYSQL to indicate whether MySQL was found or not
       MYSQL_INCLUDES to the include directory (if one exists)
       MYSQL_PLUGINS  to the plugin directory
       MYSQL_COMMANDS  to the mysql executable directory
       MYSQL_ARCHITECTURE to whether MySQL is 32 or 64 bit (32 if 32, 64 if 64)
       MYSQL_VERSION to what the MySQL version is (5.1,5.5, etc)
       MYSQL_PLUGIN_OK to whether MySQL version supports plugins (5.1 or greater)
       MYSQL_55 to whether the version of MySQL is 5.5 or greater
       MYSQL_SOURCE  to the source directory passed by --with-mysql-source

Source Code
***********

Download the latest version of 'ax_check_mysql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_mysql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_mysql.m4).

License
*******

Copyright (C) 2011 University of Washington
Copyright (C) 2011 Yusuke Tsutsumi <tsutsumi.yusuke@gmail.com>
Copyright (C) 2011 Craig Stimmel <cstimmel@uw.edu>
Copyright (C) 2011 Eric Wu

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_mysql_db
=================

Synopsis
********

     AX_CHECK_MYSQL_DB

Description
***********

Check if the specified MySQL database exists, if yes set your
environment variable to that database name else unset your environment
variable

Example:

       AX_CHECK_MYSQL_DB(DBNAME, [fishmarket])
       if test x$DBNAME = xfishmarket; then
           bla..bla..bla..
       else
           bla..bla..bla..
       fi

Source Code
***********

Download the latest version of 'ax_check_mysql_db.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_mysql_db.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_mysql_db.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_mysqlr
===============

Synopsis
********

     AX_CHECK_MYSQLR

Description
***********

First check if mysqlconfig exists.  It fails if mysqlconfig is not in
path.  Then it checks for the libraries and replaces -lmysqlclient
statement with -lmysqlclient_r statement, to enable threaded client
library.

The following are exported environment variables:

       MYSQL_LIBS
       MYSQL_CFLAGS

Source Code
***********

Download the latest version of 'ax_check_mysqlr.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_mysqlr.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_mysqlr.m4).

License
*******

Copyright (C) 2008 Can Bican <bican@yahoo.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_off64_t
================

Synopsis
********

     AX_CHECK_OFF64_T

Description
***********

Check if off64_t is defined.  On true define HAVE_OFF64_T, also define
__LARGEFILE64_SOURCE where one is needed.  (Note that an appropriative
entry must be in config.h.in.)

Source Code
***********

Download the latest version of 'ax_check_off64_t.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_off64_t.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_off64_t.m4).

License
*******

Copyright (C) 2008 Ruslan Shevchenko <Ruslan@Shevchenko.Kiev.UA>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_openssl
================

Synopsis
********

     AX_CHECK_OPENSSL([action-if-found[, action-if-not-found]])

Description
***********

Look for OpenSSL in a number of default spots, or in a user-selected
spot (via -with-openssl).  Sets

       OPENSSL_INCLUDES to the include directives required
       OPENSSL_LIBS to the -l directives required
       OPENSSL_LDFLAGS to the -L or -R flags required

and calls ACTION-IF-FOUND or ACTION-IF-NOT-FOUND appropriately

This macro sets OPENSSL_INCLUDES such that source files should use the
openssl/ directory in include directives:

       #include <openssl/hmac.h>

Source Code
***********

Download the latest version of 'ax_check_openssl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_openssl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_openssl.m4).

License
*******

Copyright (C) 2009,2010 Zmanda Inc. <http://www.zmanda.com/>
Copyright (C) 2009,2010 Dustin J. Mitchell <dustin@zmanda.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_page_aligned_malloc
============================

Synopsis
********

     AX_CHECK_PAGE_ALIGNED_MALLOC

Description
***********

Some operating systems (generally, BSD Unix variants) lack a
posix_memalign function, a memalign function, and a working (meaning,
the memory can be freed) valloc function.  To make up for it, the malloc
function promises to return page-aligned addresses if more than one
page's worth of memory is allocated.  AX_CHECK_PAGE_ALIGNED_MALLOC
checks for this condition and defines HAVE_PAGE_ALIGNED_MALLOC if the
condition holds.

As an aside, note that valloc'd memory cannot safely be freed on all
operating systems.  (Again, some flavors of BSD are the troublemakers.)
It's best to avoid using valloc in favor of posix_memalign, memalign, or
an aligned malloc as detected by AX_CHECK_PAGE_ALIGNED_MALLOC.

Caveat: AX_CHECK_PAGE_ALIGNED_MALLOC takes a probabilistic approach.  If
100 calls to malloc all return page-aligned addresses, it assumes that
all calls will behave likewise.  It is therefore possible - albeit
extremely unlikely - that AX_CHECK_PAGE_ALIGNED_MALLOC can return a
false positive.

Source Code
***********

Download the latest version of 'ax_check_page_aligned_malloc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_page_aligned_malloc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_page_aligned_malloc.m4).

License
*******

Copyright (C) 2008 Scott Pakin <pakin@uiuc.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_pathfind
=================

Synopsis
********

     AX_CHECK_PATHFIND

Description
***********

Not all systems have pathfind(3).  See if we need to substitute.  To
make this work, you have to do horrible things.  See the doc for
AX_CHECK_STRCSPN.

Source Code
***********

Download the latest version of 'ax_check_pathfind.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_pathfind.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_pathfind.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_pathname_style
=======================

Synopsis
********

     AX_CHECK_PATHNAME_STYLE_DOS

Description
***********

Check if host OS uses DOS-style pathnames.  This includes the use of
drive letters and backslashes.  Under DOS, Windows, and OS/2, defines
HAVE_PATHNAME_STYLE_DOS and PATH_SEPARATOR to ';'.  Otherwise, defines
PATH_SEPARATOR to ':'.

This macro depends on the AC_CANONICAL_HOST.

Use for enabling code to handle drive letters, backslashes in filenames
and semicolons in the PATH.

Source Code
***********

Download the latest version of 'ax_check_pathname_style.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_pathname_style.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_pathname_style.m4).

License
*******

Copyright (C) 2008 Mark Elbrecht

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_pgsql_db
=================

Synopsis
********

     AX_CHECK_PGSQL_DB([DB], [USER], [HOST], [PASSWORD], [ACTION_IF_FAILED], [ACTION_IF_OK])

Description
***********

This macro checks whether we can connect to a PostgreSQL server with the
given data.  The macro AX_PROG_PGCLIENT is required by this one.  The
variable $pgclient_call is set for later use in Makefiles, if you'd like
to make use of this, you must do

       AC_SUBST(pgclient_call)

after having called AX_CHECK_PGSQL_DB. You can then do something like
the following in your Makefile.am:

       @pgclient_call@ -f file.sql

If you want the user to set the data, you should support something like
these configure options:

       AC_ARG_WITH(pgsql-host,
               [  --with-pgsql-host=HOST               server is running on HOST @<:@local socket@:>@],
               [pg_host=$withval], [pg_host=])

       AC_ARG_WITH(pgsql-db,
               [  --with-pgsql-db=DATABASE             use DATABASE @<:@tarantoola@:>@],
               [pg_db=$withval], [pg_db=tarantoola])

       AC_ARG_WITH(pgsql-user,
               [  --with-pgsql-user=USER               use USER @<:@postgres@:>@],
               [pg_user=$withval], [pg_user=postgres])

       AC_ARG_WITH(pgsql-password,
               [  --with-pgsql-password=PASSWORD       use PASSWORD @<:@none@:>@],
               [pg_password=$withval], [pg_password=""])

You can then call the macro like this:

       AX_CHECK_PGSQL_DB([$pg_db], [$pg_user], [$pg_host], [$pg_password], [AC_MSG_ERROR([We need a database connection!])])

Source Code
***********

Download the latest version of 'ax_check_pgsql_db.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_pgsql_db.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_pgsql_db.m4).

License
*******

Copyright (C) 2008 Moritz Sinn <moritz@freesources.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_posix_regcomp
======================

Synopsis
********

     AX_CHECK_POSIX_REGCOMP

Description
***********

Check that the POSIX compliant regular expression compiler is available
in the POSIX specified manner, and it works.  If it fails, we have a
backup - use gnu-regex.

Source Code
***********

Download the latest version of 'ax_check_posix_regcomp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_posix_regcomp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_posix_regcomp.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_posix_sysinfo
======================

Synopsis
********

     AX_CHECK_POSIX_SYSINFO

Description
***********

Check that the POSIX compliant sysinfo(2) call works properly.  Linux
has its own weirdo alternative.

Source Code
***********

Download the latest version of 'ax_check_posix_sysinfo.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_posix_sysinfo.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_posix_sysinfo.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_postgres_db
====================

Synopsis
********

     AX_CHECK_POSTGRES_DB([ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

This macro tries to find the headers and libraries for the PostgreSQL
database to build client applications.

If includes are found, the variable PQINCPATH will be set, and
have_pqinc will be 'yes'.  If libraries are found, the variable
PQLIBPATH will be set, and have_pqlib will be 'yes'.  If both PQINCPATH
and PQLIBPATH are found, HAVE_LIBPQ will be set to 'yes' (and
AC_DEFINEd), and -lpq will be added to the beginning of LIBS. If their
respective conditions are not met, have_pqinc, have_pqlib, HAVE_LIBPQ,
will be 'no'.

This macro does fails if either the headers or the library are not
found, unless ACTION-IF-NOT-FOUND is not empty.  When both are found,
ACTION-IF-FOUND, if defined, is executed after the variables have been
defined.  If -with-pgsql=no (or equivalents) is given, nothing happens.

An automake conditional can be subsequently defined as

       AM_CONDITIONAL([HAVE_LIBPQ], [test x$HAVE_LIBPQ = x$yes])

in configure.ac.

Source Code
***********

Download the latest version of 'ax_check_postgres_db.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_postgres_db.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_postgres_db.m4).

License
*******

Copyright (C) 2008 Christian Toepp <c.toepp@gmail.com>
Copyright (C) 2012 Olivier Mehani <shtrom-ax@ssji.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_preproc_flag
=====================

Synopsis
********

     AX_CHECK_PREPROC_FLAG(FLAG, [ACTION-SUCCESS], [ACTION-FAILURE], [EXTRA-FLAGS], [INPUT])

Description
***********

Check whether the given FLAG works with the current language's
preprocessor or gives an error.  (Warnings, however, are ignored)

ACTION-SUCCESS/ACTION-FAILURE are shell commands to execute on
success/failure.

If EXTRA-FLAGS is defined, it is added to the preprocessor's default
flags when the check is done.  The check is thus made with the flags:
"CPPFLAGS EXTRA-FLAGS FLAG". This can for example be used to force the
preprocessor to issue an error when a bad flag is given.

INPUT gives an alternative input source to AC_PREPROC_IFELSE.

NOTE: Implementation based on AX_CFLAGS_GCC_OPTION. Please keep this
macro in sync with AX_CHECK_{COMPILE,LINK}_FLAG.

Source Code
***********

Download the latest version of 'ax_check_preproc_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_preproc_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_preproc_flag.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_rqrd_class
===================

Synopsis
********

     AX_CHECK_RQRD_CLASS

Description
***********

AX_CHECK_RQRD_CLASS tests the existence of a given Java class, either in
a jar or in a '.class' file and fails if it doesn't exist.  Its success
or failure can depend on a proper setting of the CLASSPATH env.
variable.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_check_rqrd_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_rqrd_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_rqrd_class.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_sign
=============

Synopsis
********

     AX_CHECK_SIGN (TYPE, [ACTION-IF-SIGNED], [ACTION-IF-UNSIGNED], [INCLUDES])

Description
***********

Checks whether TYPE is signed or not.  If no INCLUDES are specified, the
default includes are used.  If ACTION-IF-SIGNED is given, it is
additional shell code to execute when the type is signed.  If
ACTION-IF-UNSIGNED is given, it is executed when the type is unsigned.

This macro assumes that the type exists.  Therefore the existence of the
type should be checked before calling this macro.  For example:

       AC_CHECK_HEADERS([wchar.h])
       AC_CHECK_TYPE([wchar_t],,[ AC_MSG_ERROR([Type wchar_t not found.]) ])
       AX_CHECK_SIGN([wchar_t],
         [ AC_DEFINE(WCHAR_T_SIGNED, 1, [Define if wchar_t is signed]) ],
         [ AC_DEFINE(WCHAR_T_UNSIGNED, 1, [Define if wchar_t is unsigned]) ], [
       #ifdef HAVE_WCHAR_H
       #include <wchar.h>
       #endif
       ])

Source Code
***********

Download the latest version of 'ax_check_sign.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_sign.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_sign.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_strcspn
================

Synopsis
********

     AX_CHECK_STRCSPN

Description
***********

Not all systems have strcspn(3).  See if we need to substitute.  To make
this work, you have to do horrible things.  In one of your Makefile.am
files, you must make an explicit rule to make this object.  It should
look like this:

       strcspn.lo : $(top_srcdir)/compat/strcspn.c
           $(LTCOMPILE) -o $@ -c $(top_srcdir)/compat/strcspn.c

and you must include "@COMPATOBJ@" in a LIBADD somewhere and, finally,
you must add another artificial dependency, something like:

       makeshell.lo : genshell.c @COMPATOBJ@

It is all pretty horrific, but I have found nothing else that works.

Source Code
***********

Download the latest version of 'ax_check_strcspn.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_strcspn.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_strcspn.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_strftime
=================

Synopsis
********

     AX_CHECK_STRFTIME

Description
***********

Check for existence and functioning of strftime routine.

Source Code
***********

Download the latest version of 'ax_check_strftime.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_strftime.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_strftime.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_struct_for
===================

Synopsis
********

     AX_CHECK_STRUCT_FOR(INCLUDES,STRUCT,MEMBER,DEFINE,[no])

Description
***********

Checks STRUCT for MEMBER and defines DEFINE if found.

Source Code
***********

Download the latest version of 'ax_check_struct_for.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_struct_for.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_struct_for.m4).

License
*******

Copyright (C) 2008 Wes Hardaker <wjhardaker@ucdavis.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_symbol
===============

Synopsis
********

     AX_CHECK_SYMBOL(SYMBOL, HEADER... [,ACTION-IF-FOUND [,ACTION-IF-NOT-FOUND]])

Description
***********

A wrapper around AC_EGREP_HEADER. The shellvar $ac_found will hold the
HEADER-name that had been containing the symbol.  This value is shown to
the user.

Source Code
***********

Download the latest version of 'ax_check_symbol.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_symbol.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_symbol.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_sys_siglist
====================

Synopsis
********

     AX_CHECK_SYS_SIGLIST

Description
***********

Check for existence of global sys_siglist[].

Source Code
***********

Download the latest version of 'ax_check_sys_siglist.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_sys_siglist.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_sys_siglist.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_typedef
================

Synopsis
********

     AX_CHECK_TYPEDEF(TYPEDEF, HEADER [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]])

Description
***********

Check if the given typedef-name is recognized as a type.  The trick is
to use a sizeof(TYPEDEF) and see if the compiler is happy with that.

This can be thought of as a mixture of AC_CHECK_TYPE(TYPEDEF,DEFAULT)
and AC_CHECK_LIB(LIBRARY,FUNCTION,ACTION-IF-FOUND,ACTION-IF-NOT-FOUND).

A convenience macro AX_CHECK_TYPEDEF_ is provided that will not emit any
message to the user - it just executes one of the actions.

Source Code
***********

Download the latest version of 'ax_check_typedef.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_typedef.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_typedef.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_uname_syscall
======================

Synopsis
********

     AX_CHECK_UNAME_SYSCALL

Description
***********

Check that the POSIX compliant uname(2) call works properly.

Source Code
***********

Download the latest version of 'ax_check_uname_syscall.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_uname_syscall.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_uname_syscall.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_user
=============

Synopsis
********

     AX_CHECK_USER

Description
***********

Check if the specified UNIX user exists, if yes set your environment
variable to that username else unset your environment variable

Example:

       AX_CHECK_USER(USER, [gleensalmon])
       if test x$USER = xgleensalmon; then
           bla..bla..bla..
       else
           bla..bla..bla..
       fi

Besides checking existence, this macro also set these environment
variables upon completion:

       USER_HOME = home directory of user, written in /etc/passwd

Source Code
***********

Download the latest version of 'ax_check_user.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_user.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_user.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_vscript
================

Synopsis
********

     AX_CHECK_VSCRIPT

Description
***********

Check whether the linker supports version scripts.  Version scripts are
used when building shared libraries to bind symbols to version nodes
(helping to detect incompatibilities) or to limit the visibility of
non-public symbols.

Output:

If version scripts are supported, VSCRIPT_LDFLAGS will contain the
appropriate flag to pass to the linker.  On GNU systems this would
typically be "-Wl,-version-script", and on Solaris it would typically be
"-Wl,-M".

Two Automake conditionals are also set:

      HAVE_VSCRIPT is true if the linker supports version scripts with
      entries that use simple wildcards, like "local: *".

      HAVE_VSCRIPT_COMPLEX is true if the linker supports version scripts with
      pattern matching wildcards, like "global: Java_*".

On systems that do not support symbol versioning, such as Mac OS X, both
conditionals will be false.  They will also be false if the user passes
"-disable-symvers" on the configure command line.

Example:

      configure.ac:

       AX_CHECK_VSCRIPT

      Makefile.am:

       if HAVE_VSCRIPT
       libfoo_la_LDFLAGS += $(VSCRIPT_LDFLAGS),@srcdir@/libfoo.map
       endif

       if HAVE_VSCRIPT_COMPLEX
       libbar_la_LDFLAGS += $(VSCRIPT_LDFLAGS),@srcdir@/libbar.map
       endif

Source Code
***********

Download the latest version of 'ax_check_vscript.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_vscript.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_vscript.m4).

License
*******

Copyright (C) 2014 Kevin Cernekee <cernekee@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_check_x86_features
=====================

Synopsis
********

     AX_CHECK_X86_FEATURES([ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks if the host cpu supports various x86 instruction set, the
instructions that will get tested are "mmx, popcnt, sse, sse2, sse3,
sse4.1, sse4.2, sse4a, avx, avx2, avx512f, fma, fma4, bmi, bmi2".  If
the instruction set is supported by the host cpu, the C preprocessor
macro HAVE_XXX_INSTRUCTIONS is set to 1.  The XXX is up-cased
instruction case with dot replaced by underscore.  For example, the test
for "sse4.2" would export HAVE_SSE4_2_INSTRUCTIONS=1.  Also the compiler
flag "-msse4.2" would be added to X86_FEATURE_CFLAGS variable, that can
be obtained in Makefile.am using @X86_FEATURE_CFLAGS@.

If any of the test for the instruction set were succeeded, the configure
script would run ACTION-IF-FOUND if it is specified, or append
X86_FEATURE_CFLAGS to CFLAGS. If none of the instruction were found,
ACTION-IF-NOT-FOUND hook is triggered.

This macro requires gcc extended builtin function "__builtin_cpu_init"
and "__builtin_cpu_supports" to detect the cpu features.  It will error
out if the compiler doesn't has these builtins.

See also AX_GCC_X86_CPU_SUPPORTS, which is the actual macro that perform
the checks for the instruction sets.

Source Code
***********

Download the latest version of 'ax_check_x86_features.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_x86_features.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_x86_features.m4).

License
*******

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_check_zlib
=============

Synopsis
********

     AX_CHECK_ZLIB([action-if-found], [action-if-not-found])

Description
***********

This macro searches for an installed zlib library.  If nothing was
specified when calling configure, it searches first in /usr/local and
then in /usr, /opt/local and /sw.  If the -with-zlib=DIR is specified,
it will try to find it in DIR/include/zlib.h and DIR/lib/libz.a.  If
-without-zlib is specified, the library is not searched at all.

If either the header file (zlib.h) or the library (libz) is not found,
shell commands 'action-if-not-found' is run.  If 'action-if-not-found'
is not specified, the configuration exits on error, asking for a valid
zlib installation directory or -without-zlib.

If both header file and library are found, shell commands
'action-if-found' is run.  If 'action-if-found' is not specified, the
default action appends '-I${ZLIB_HOME}/include' to CPFLAGS, appends
'-L$ZLIB_HOME}/lib' to LDFLAGS, prepends '-lz' to LIBS, and calls
AC_DEFINE(HAVE_LIBZ). You should use autoheader to include a definition
for this symbol in a config.h file.  Sample usage in a C/C++ source is
as follows:

       #ifdef HAVE_LIBZ
       #include <zlib.h>
       #endif /* HAVE_LIBZ */

Source Code
***********

Download the latest version of 'ax_check_zlib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_check_zlib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_check_zlib.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>
Copyright (C) 2010 Bastien Chevreux <bach@chevreux.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_code_coverage
================

Synopsis
********

     AX_CODE_COVERAGE()

Description
***********

Defines CODE_COVERAGE_CPPFLAGS, CODE_COVERAGE_CFLAGS,
CODE_COVERAGE_CXXFLAGS and CODE_COVERAGE_LIBS which should be included
in the CPPFLAGS, CFLAGS CXXFLAGS and LIBS/LIBADD variables of every
build target (program or library) which should be built with code
coverage support.  Also add rules using AX_ADD_AM_MACRO_STATIC; and
$enable_code_coverage which can be used in subsequent configure output.
CODE_COVERAGE_ENABLED is defined and substituted, and corresponds to the
value of the -enable-code-coverage option, which defaults to being
disabled.

Test also for gcov program and create GCOV variable that could be
substituted.

Note that all optimization flags in CFLAGS must be disabled when code
coverage is enabled.

Usage example:

configure.ac:

       AX_CODE_COVERAGE

Makefile.am:

       include $(top_srcdir)/aminclude_static.am

       my_program_LIBS = ... $(CODE_COVERAGE_LIBS) ...
       my_program_CPPFLAGS = ... $(CODE_COVERAGE_CPPFLAGS) ...
       my_program_CFLAGS = ... $(CODE_COVERAGE_CFLAGS) ...
       my_program_CXXFLAGS = ... $(CODE_COVERAGE_CXXFLAGS) ...

       clean-local: code-coverage-clean
       distclean-local: code-coverage-dist-clean

This results in a "check-code-coverage" rule being added to any
Makefile.am which do "include $(top_srcdir)/aminclude_static.am"
(assuming the module has been configured with -enable-code-coverage).
Running 'make check-code-coverage' in that directory will run the
module's test suite ('make check') and build a code coverage report
detailing the code which was touched, then print the URI for the report.

This code was derived from Makefile.decl in GLib, originally licensed
under LGPLv2.1+.

Source Code
***********

Download the latest version of 'ax_code_coverage.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_code_coverage.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_code_coverage.m4).

License
*******

Copyright (C) 2012, 2016 Philip Withnall
Copyright (C) 2012 Xan Lopez
Copyright (C) 2012 Christian Persch
Copyright (C) 2012 Paolo Borelli
Copyright (C) 2012 Dan Winship
Copyright (C) 2015,2018 Bastien ROUCARIES

This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at
your option) any later version.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

ax_compare_version
==================

Synopsis
********

     AX_COMPARE_VERSION(VERSION_A, OP, VERSION_B, [ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro compares two version strings.  Due to the various number of
minor-version numbers that can exist, and the fact that string
comparisons are not compatible with numeric comparisons, this is not
necessarily trivial to do in a autoconf script.  This macro makes doing
these comparisons easy.

The six basic comparisons are available, as well as checking equality
limited to a certain number of minor-version levels.

The operator OP determines what type of comparison to do, and can be one
of:

      eq  - equal (test A == B)
      ne  - not equal (test A != B)
      le  - less than or equal (test A <= B)
      ge  - greater than or equal (test A >= B)
      lt  - less than (test A < B)
      gt  - greater than (test A > B)

Additionally, the eq and ne operator can have a number after it to limit
the test to that number of minor versions.

      eq0 - equal up to the length of the shorter version
      ne0 - not equal up to the length of the shorter version
      eqN - equal up to N sub-version levels
      neN - not equal up to N sub-version levels

When the condition is true, shell commands ACTION-IF-TRUE are run,
otherwise shell commands ACTION-IF-FALSE are run.  The environment
variable 'ax_compare_version' is always set to either 'true' or 'false'
as well.

Examples:

       AX_COMPARE_VERSION([3.15.7],[lt],[3.15.8])
       AX_COMPARE_VERSION([3.15],[lt],[3.15.8])

would both be true.

       AX_COMPARE_VERSION([3.15.7],[eq],[3.15.8])
       AX_COMPARE_VERSION([3.15],[gt],[3.15.8])

would both be false.

       AX_COMPARE_VERSION([3.15.7],[eq2],[3.15.8])

would be true because it is only comparing two minor versions.

       AX_COMPARE_VERSION([3.15.7],[eq0],[3.15])

would be true because it is only comparing the lesser number of minor
versions of the two values.

Note: The characters that separate the version numbers do not matter.
An empty string is the same as version 0.  OP is evaluated by autoconf,
not configure, so must be a string, not a variable.

The author would like to acknowledge Guido Draheim whose advice about
the m4_case and m4_ifvaln functions make this macro only include the
portions necessary to perform the specific comparison specified by the
OP argument in the final configure script.

Source Code
***********

Download the latest version of 'ax_compare_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compare_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compare_version.m4).

License
*******

Copyright (C) 2008 Tim Toolan <toolan@ele.uri.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compile_check_sizeof
=======================

Synopsis
********

     AX_COMPILE_CHECK_SIZEOF(TYPE [, HEADERS [, EXTRA_SIZES...]])

Description
***********

This macro checks for the size of TYPE using compile checks, not run
checks.  You can supply extra HEADERS to look into.  the check will
cycle through 1 2 4 8 16 and any EXTRA_SIZES the user supplies.  If a
match is found, it will #define SIZEOF_'TYPE' to that value.  Otherwise
it will emit a configure time error indicating the size of the type
could not be determined.

The trick is that C will not allow duplicate case labels.  While this is
valid C code:

       switch (0) case 0: case 1:;

The following is not:

       switch (0) case 0: case 0:;

Thus, the AC_COMPILE_IFELSE will fail if the currently tried size does
not match.

Here is an example skeleton configure.in script, demonstrating the
macro's usage:

       AC_PROG_CC
       AC_CHECK_HEADERS(stddef.h unistd.h)
       AC_TYPE_SIZE_T
       AC_CHECK_TYPE(ssize_t, int)

       headers='#ifdef HAVE_STDDEF_H
       #include <stddef.h>
       #endif
       #ifdef HAVE_UNISTD_H
       #include <unistd.h>
       #endif
       '

       AX_COMPILE_CHECK_SIZEOF(char)
       AX_COMPILE_CHECK_SIZEOF(short)
       AX_COMPILE_CHECK_SIZEOF(int)
       AX_COMPILE_CHECK_SIZEOF(long)
       AX_COMPILE_CHECK_SIZEOF(unsigned char *)
       AX_COMPILE_CHECK_SIZEOF(void *)
       AX_COMPILE_CHECK_SIZEOF(size_t, $headers)
       AX_COMPILE_CHECK_SIZEOF(ssize_t, $headers)
       AX_COMPILE_CHECK_SIZEOF(ptrdiff_t, $headers)
       AX_COMPILE_CHECK_SIZEOF(off_t, $headers)

Source Code
***********

Download the latest version of 'ax_compile_check_sizeof.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compile_check_sizeof.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compile_check_sizeof.m4).

License
*******

Copyright (C) 2008 Kaveh Ghazi <ghazi@caip.rutgers.edu>
Copyright (C) 2017 Reini Urban <rurban@cpan.org>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_compiler_flags
=================

Synopsis
********

     AX_COMPILER_FLAGS([CFLAGS-VARIABLE], [LDFLAGS-VARIABLE], [IS-RELEASE], [EXTRA-BASE-CFLAGS], [EXTRA-YES-CFLAGS], [UNUSED], [UNUSED], [UNUSED], [EXTRA-BASE-LDFLAGS], [EXTRA-YES-LDFLAGS], [UNUSED], [UNUSED], [UNUSED])

Description
***********

Check for the presence of an -enable-compile-warnings option to
configure, defaulting to "error" in normal operation, or "yes" if
IS-RELEASE is equal to "yes".  Return the value in the variable
$ax_enable_compile_warnings.

Depending on the value of -enable-compile-warnings, different compiler
warnings are checked to see if they work with the current compiler and,
if so, are appended to CFLAGS-VARIABLE and LDFLAGS-VARIABLE. This allows
a consistent set of baseline compiler warnings to be used across a code
base, irrespective of any warnings enabled locally by individual
developers.  By standardising the warnings used by all developers of a
project, the project can commit to a zero-warnings policy, using -Werror
to prevent compilation if new warnings are introduced.  This makes
catching bugs which are flagged by warnings a lot easier.

By providing a consistent -enable-compile-warnings argument across all
projects using this macro, continuous integration systems can easily be
configured the same for all projects.  Automated systems or build
systems aimed at beginners may want to pass the -disable-Werror argument
to unconditionally prevent warnings being fatal.

-enable-compile-warnings can take the values:

      * no:      Base compiler warnings only; not even -Wall.
      * yes:     The above, plus a broad range of useful warnings.
      * error:   The above, plus -Werror so that all warnings are fatal.
                 Use --disable-Werror to override this and disable fatal
                 warnings.

The set of base and enabled flags can be augmented using the
EXTRA-*-CFLAGS and EXTRA-*-LDFLAGS variables, which are tested and
appended to the output variable if -enable-compile-warnings is not "no".
Flags should not be disabled using these arguments, as the entire point
of AX_COMPILER_FLAGS is to enforce a consistent set of useful compiler
warnings on code, using warnings which have been chosen for low false
positive rates.  If a compiler emits false positives for a warning, a
#pragma should be used in the code to disable the warning locally.  See:

       https://gcc.gnu.org/onlinedocs/gcc-4.9.2/gcc/Diagnostic-Pragmas.html#Diagnostic-Pragmas

The EXTRA-* variables should only be used to supply extra warning flags,
and not general purpose compiler flags, as they are controlled by
configure options such as -disable-Werror.

IS-RELEASE can be used to disable -Werror when making a release, which
is useful for those hairy moments when you just want to get the release
done as quickly as possible.  Set it to "yes" to disable -Werror.  By
default, it uses the value of $ax_is_release, so if you are using the
AX_IS_RELEASE macro, there is no need to pass this parameter.  For
example:

       AX_IS_RELEASE([git-directory])
       AX_COMPILER_FLAGS()

CFLAGS-VARIABLE defaults to WARN_CFLAGS, and LDFLAGS-VARIABLE defaults
to WARN_LDFLAGS. Both variables are AC_SUBST-ed by this macro, but must
be manually added to the CFLAGS and LDFLAGS variables for each target in
the code base.

If C++ language support is enabled with AC_PROG_CXX, which must occur
before this macro in configure.ac, warning flags for the C++ compiler
are AC_SUBST-ed as WARN_CXXFLAGS, and must be manually added to the
CXXFLAGS variables for each target in the code base.  EXTRA-*-CFLAGS can
be used to augment the base and enabled flags.

Warning flags for g-ir-scanner (from GObject Introspection) are
AC_SUBST-ed as WARN_SCANNERFLAGS. This variable must be manually added
to the SCANNERFLAGS variable for each GIR target in the code base.  If
extra g-ir-scanner flags need to be enabled, the AX_COMPILER_FLAGS_GIR
macro must be invoked manually.

AX_COMPILER_FLAGS may add support for other tools in future, in addition
to the compiler and linker.  No extra EXTRA-* variables will be added
for those tools, and all extra support will still use the single
-enable-compile-warnings configure option.  For finer grained control
over the flags for individual tools, use AX_COMPILER_FLAGS_CFLAGS,
AX_COMPILER_FLAGS_LDFLAGS and AX_COMPILER_FLAGS_* for new tools.

The UNUSED variables date from a previous version of this macro, and are
automatically appended to the preceding non-UNUSED variable.  They
should be left empty in new uses of the macro.

Source Code
***********

Download the latest version of 'ax_compiler_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_flags.m4).

License
*******

Copyright (C) 2014, 2015 Philip Withnall <philip@tecnocode.co.uk>
Copyright (C) 2015 David King <amigadave@amigadave.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compiler_flags_cflags
========================

Synopsis
********

     AX_COMPILER_FLAGS_CFLAGS([VARIABLE], [IS-RELEASE], [EXTRA-BASE-FLAGS], [EXTRA-YES-FLAGS])

Description
***********

Add warning flags for the C compiler to VARIABLE, which defaults to
WARN_CFLAGS. VARIABLE is AC_SUBST-ed by this macro, but must be manually
added to the CFLAGS variable for each target in the code base.

This macro depends on the environment set up by AX_COMPILER_FLAGS.
Specifically, it uses the value of $ax_enable_compile_warnings to decide
which flags to enable.

Source Code
***********

Download the latest version of 'ax_compiler_flags_cflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_flags_cflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_flags_cflags.m4).

License
*******

Copyright (C) 2014, 2015 Philip Withnall <philip@tecnocode.co.uk>
Copyright (C) 2017, 2018 Reini Urban <rurban@cpan.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compiler_flags_cxxflags
==========================

Synopsis
********

     AX_COMPILER_FLAGS_CXXFLAGS([VARIABLE], [IS-RELEASE], [EXTRA-BASE-FLAGS], [EXTRA-YES-FLAGS])

Description
***********

Add warning flags for the C++ compiler to VARIABLE, which defaults to
WARN_CXXFLAGS. VARIABLE is AC_SUBST-ed by this macro, but must be
manually added to the CXXFLAGS variable for each target in the code
base.

This macro depends on the environment set up by AX_COMPILER_FLAGS.
Specifically, it uses the value of $ax_enable_compile_warnings to decide
which flags to enable.

Source Code
***********

Download the latest version of 'ax_compiler_flags_cxxflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_flags_cxxflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_flags_cxxflags.m4).

License
*******

Copyright (C) 2015 David King <amigadave@amigadave.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compiler_flags_gir
=====================

Synopsis
********

     AX_COMPILER_FLAGS_GIR([VARIABLE], [IS-RELEASE], [EXTRA-BASE-FLAGS], [EXTRA-YES-FLAGS])

Description
***********

Add warning flags for the g-ir-scanner (from GObject Introspection) to
VARIABLE, which defaults to WARN_SCANNERFLAGS. VARIABLE is AC_SUBST-ed
by this macro, but must be manually added to the SCANNERFLAGS variable
for each GIR target in the code base.

This macro depends on the environment set up by AX_COMPILER_FLAGS.
Specifically, it uses the value of $ax_enable_compile_warnings to decide
which flags to enable.

Source Code
***********

Download the latest version of 'ax_compiler_flags_gir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_flags_gir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_flags_gir.m4).

License
*******

Copyright (C) 2015 Philip Withnall <philip@tecnocode.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compiler_flags_ldflags
=========================

Synopsis
********

     AX_COMPILER_FLAGS_LDFLAGS([VARIABLE], [IS-RELEASE], [EXTRA-BASE-FLAGS], [EXTRA-YES-FLAGS])

Description
***********

Add warning flags for the linker to VARIABLE, which defaults to
WARN_LDFLAGS. VARIABLE is AC_SUBST-ed by this macro, but must be
manually added to the LDFLAGS variable for each target in the code base.

This macro depends on the environment set up by AX_COMPILER_FLAGS.
Specifically, it uses the value of $ax_enable_compile_warnings to decide
which flags to enable.

Source Code
***********

Download the latest version of 'ax_compiler_flags_ldflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_flags_ldflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_flags_ldflags.m4).

License
*******

Copyright (C) 2014, 2015 Philip Withnall <philip@tecnocode.co.uk>
Copyright (C) 2017, 2018 Reini Urban <rurban@cpan.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compiler_vendor
==================

Synopsis
********

     AX_COMPILER_VENDOR

Description
***********

Determine the vendor of the C/C++ compiler, e.g., gnu, intel, ibm, sun,
hp, borland, comeau, dec, cray, kai, lcc, metrowerks, sgi, microsoft,
watcom, etc.  The vendor is returned in the cache variable
$ax_cv_c_compiler_vendor for C and $ax_cv_cxx_compiler_vendor for C++.

Source Code
***********

Download the latest version of 'ax_compiler_vendor.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_vendor.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_vendor.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Matteo Frigo

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_compiler_version
===================

Synopsis
********

     AX_COMPILER_VERSION

Description
***********

This macro retrieves the compiler version and returns it in the cache
variable $ax_cv_c_compiler_version for C and $ax_cv_cxx_compiler_version
for C++.

Version is returned as epoch:major.minor.patchversion

Epoch is used in order to have an increasing version number in case of
marketing change.

Epoch use: * borland compiler use chronologically 0turboc for turboc
era,

       1borlanc BORLANDC++ before 5, 2cppbuilder for cppbuilder era,
       3borlancpp for return of BORLANDC++ (after version 5.5),
       4cppbuilder for cppbuilder with year version,
       and 5xe for XE era.

An empty string is returned otherwise.

Source Code
***********

Download the latest version of 'ax_compiler_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compiler_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compiler_version.m4).

License
*******

Copyright (C) 2014 Bastien ROUCARIES <roucaries.bastien+autoconf@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_compute_relative_paths
=========================

Synopsis
********

     AX_COMPUTE_RELATIVE_PATHS(PATH_LIST)

Description
***********

PATH_LIST is a space-separated list of colon-separated triplets of the
form 'FROM:TO:RESULT'. This function iterates over these triplets and
set $RESULT to the relative path from $FROM to $TO. Note that $FROM and
$TO needs to be absolute filenames for this macro to success.

For instance,

       first=/usr/local/bin
       second=/usr/local/share
       AX_COMPUTE_RELATIVE_PATHS([first:second:fs second:first:sf])
       # $fs is set to ../share
       # $sf is set to ../bin

$FROM and $TO are both eval'ed recursively and normalized, this means
that you can call this macro with autoconf's dirnames like 'prefix' or
'datadir'.  For example:

       AX_COMPUTE_RELATIVE_PATHS([bindir:datadir:bin_to_data])

AX_COMPUTE_RELATIVE_PATHS should also works with DOS filenames.

You may want to use this macro in order to make your package
relocatable.  Instead of hardcoding $datadir into your programs just
encode $bin_to_data and try to determine $bindir at run-time.

This macro requires AX_NORMALIZE_PATH and AX_RECURSIVE_EVAL.

Source Code
***********

Download the latest version of 'ax_compute_relative_paths.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compute_relative_paths.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compute_relative_paths.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_compute_standard_relative_paths
==================================

Synopsis
********

     AX_COMPUTE_STANDARD_RELATIVE_PATHS

Description
***********

Here is the standard hierarchy of paths, as defined by the GNU Coding
Standards:

       prefix
          exec_prefix
             bindir
             libdir
             libexecdir
             sbindir
          datarootdir
             docdir
             infodir
             htmldir
             dvidir
             psdir
             pdfdir
             localedir
             datadir (only for autoconf >= 2.59c)
             infodir (only for autoconf >= 2.59c)
             mandir (only for autoconf >= 2.59c)
             lispdir (only for autoconf >= 2.59c)
          datadir (only for autoconf < 2.59c)
          infodir (only for autoconf < 2.59c)
          mandir (only for autoconf < 2.59c)
          lispdir (only for autoconf < 2.59c)
          sysconfdir
          sharedstatedir
          localstatedir
             runstatedir (only for autoconf >= 2.70)
          includedir
          oldincludedir

This macro will setup a set of variables of the form
'xxx_forward_relative_path' and 'xxx_backward_relative_path' where xxx
is one of the above directories.  The latter variable is set to the
relative path to go from xxx to its parent directory, while the former
hold the other way.

For instance 'bindir_relative_path' will contains the value to add to
$exec_prefix to reach the $bindir directory (usually 'bin'), and
'bindir_backward_relative_path' the value to append to $bindir to reach
the $exec_prefix directory (usually '..').

This macro requires AX_COMPUTE_RELATIVE_PATHS which itself requires
AX_NORMALIZE_PATH.

Source Code
***********

Download the latest version of 'ax_compute_standard_relative_paths.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_compute_standard_relative_paths.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_compute_standard_relative_paths.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>
Copyright (C) 2015 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cond_with_level
==================

Synopsis
********

     AX_COND_WITH_LEVEL(PACKAGE [,DEFAULT [,YESLEVEL]])

Description
***********

Actually used after an AC_ARG_WITH(PKG,...)  option-directive, where
AC_ARG_WITH is a part of the standard autoconf to define a 'configure'
-with-PKG option.

This macros works almost like AC_COND_WITH(PACKAGE [,DEFAULT]), but the
definition is set to a numeric value.  The level of a simple "yes" is
given (or assumed "2" if absent), otherwise the level can be given in
mnemonic names, being:

      1 = some
      2 = many
      3 = all
      4 = extra
      5 = extrasome more
      6 = extramany muchmore much
      7 = super everything
      8 = ultra experimental
      9 = insane

this macro is most handily it making Makefile.in/Makefile.am that have a
set of with-level declarations, especially optimization-levels

the $withval shell-variable is set for further examination (it carries
the numeric value of the various mnemonics above)

Source Code
***********

Download the latest version of 'ax_cond_with_level.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cond_with_level.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cond_with_level.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_config_feature
=================

Synopsis
********

     AX_CONFIG_FEATURE(FEATURE-NAME, FEATURE-DESCRIPTION, DEFINE, DEFINE-DESCRIPTION, [ACTION-IF-ENABLED [, ACTION-IF-NOT-ENABLED]])

Description
***********

AX_CONFIG_FEATURE is a simple wrapper for AC_ARG_ENABLE, it enables the
feature FEATURE-NAME and AC_DEFINEs the passed DEFINE, depending on the
user choice.  DESCRIPTION will be used for AC_DEFINEs.
ACTION-IF-ENABLED and ACTION-IF-NOT-ENABLED are the actions that will be
run.  A feature is enabled by default, in order to change this behaviour
use the AX_CONFIG_FEATURE_DEFAULT_ENABLED and
AX_CONFIG_FEATURE_DEFAULT_DISABLED macros.

A simple example:

       AX_CONFIG_FEATURE_DEFAULT_ENABLED
       AX_CONFIG_FEATURE(feature_xxxxx, [turns on/off XXXXX support],
                         HAVE_XXXXX, [Define if you want XXXXX support])

       ...

       AX_CONFIG_FEATURE_DEFAULT_DISABLED
       AX_CONFIG_FEATURE(feature_yyyyy, [turns on/off YYYYY support],
                         HAVE_YYYYY, [Define if you want YYYYY support],
                         [enable_yyyyy="yes"], [enable_yyyyy="no"])
       AM_CONDITIONAL(YYYYY, [test "$enable_yyyyy" = "yes"])

       AX_CONFIG_FEATURE_DEFAULT_ENABLED
       AX_CONFIG_FEATURE(...)

       ...

If you have lot of features and you want a verbose dumping of each user
selection use AX_CONFIG_FEATURE_VERBOSE. Use AX_CONFIG_FEATURE_SILENT in
order to remove a previously AX_CONFIG_FEATURE_VERBOSE. By default
features are silent.

Use AX_CONFIG_FEATURE_ENABLE or AX_CONFIG_FEATURE_DISABLE in order to
enable or disable a specific feature.

Another simple example:

       AS_IF([some_test_here],[AX_CONFIG_FEATURE_ENABLE(feature_xxxxx)],[])

       AX_CONFIG_FEATURE(feature_xxxxx, [turns on/off XXXXX support],
                         HAVE_XXXXX, [Define if you want XXXXX support])
       AX_CONFIG_FEATURE(feature_yyyyy, [turns on/off YYYYY support],
                         HAVE_YYYYY, [Define if you want YYYYY support],
                         [enable_yyyyy="yes"], [enable_yyyyy="no"])

       ...

NOTE: AX_CONFIG_FEATURE_ENABLE() must be placed first of the relative
AX_CONFIG_FEATURE() macro ...

Source Code
***********

Download the latest version of 'ax_config_feature.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_config_feature.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_config_feature.m4).

License
*******

Copyright (C) 2008 Francesco Salvestrini <salvestrini@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_configure_args
=================

Synopsis
********

     AX_CONFIGURE_ARGS

Description
***********

Helper macro for AX_ENABLE_BUILDDIR.

The traditional way of starting a subdir-configure is running the script
with ${1+"$@"} but since autoconf 2.60 this is broken.  Instead we have
to rely on eval'ing $ac_configure_args however some old autoconf
versions do not provide that.  To ensure maximum portability of autoconf
extension macros this helper can be AC_REQUIRE'd so that
$ac_configure_args will always be present.

Sadly, the traditional "exec $SHELL" of the enable_builddir macros is
spoiled now and must be replaced by "eval + exit $?".

Example:

       AC_DEFUN([AX_ENABLE_SUBDIR],[dnl
         AC_REQUIRE([AX_CONFIGURE_ARGS])dnl
         eval $SHELL $ac_configure_args || exit $?
         ...])

Source Code
***********

Download the latest version of 'ax_configure_args.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_configure_args.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_configure_args.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_count_cpus
=============

Synopsis
********

     AX_COUNT_CPUS([ACTION-IF-DETECTED],[ACTION-IF-NOT-DETECTED])

Description
***********

Attempt to count the number of logical processor cores (including
virtual and HT cores) currently available to use on the machine and
place detected value in CPU_COUNT variable.

On successful detection, ACTION-IF-DETECTED is executed if present.  If
the detection fails, then ACTION-IF-NOT-DETECTED is triggered.  The
default ACTION-IF-NOT-DETECTED is to set CPU_COUNT to 1.

Source Code
***********

Download the latest version of 'ax_count_cpus.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_count_cpus.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_count_cpus.m4).

License
*******

Copyright (C) 2014,2016 Karlson2k (Evgeny Grin) <k2k@narod.ru>
Copyright (C) 2012 Brian Aker <brian@tangent.org>
Copyright (C) 2008 Michael Paul Bailey <jinxidoru@byu.net>
Copyright (C) 2008 Christophe Tournayre <turn3r@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cpu_freq
===========

Synopsis
********

     AX_CPU_FREQ

Description
***********

Compute the CPU frequency and define CPU_FREQ accordingly.

Source Code
***********

Download the latest version of 'ax_cpu_freq.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cpu_freq.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cpu_freq.m4).

License
*******

Copyright (C) 2008 Christophe Tournayre <turn3r@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cpu_vendor
=============

Synopsis
********

     AX_CPU_VENDOR

Description
***********

Find your CPU's vendor by requesting cpuid and define "ax_cpu_vendor"
accordingly.  This macro depends on AX_GCC_X86_CPUID.

Source Code
***********

Download the latest version of 'ax_cpu_vendor.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cpu_vendor.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cpu_vendor.m4).

License
*******

Copyright (C) 2008 Christophe Tournayre <turn3r@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_create_generic_config
========================

Synopsis
********

     AX_CREATE_GENERIC_CONFIG [(PACKAGEnlibs [, VERSION])]

Description
***********

Creates a generic PACKAGE-config file that has all the things that you
want, hmm, well, at least it has -cflags, -version, -libs.  Ahhm, did
you see ax_path_generic in the autoconf-archive?  ;-)

this macros saves you all the typing for a pkg-config.in script, you
don't even need to distribute one along.  Place this macro in your
configure.ac, et voila, you got one that you want to install.

oh, btw, if the first arg looks like "mylib -lwhat' then it will go to
be added to the -libs, and mylib is extracted.

the defaults: $1 = $PACKAGE $LIBS $2 = $VERSION there is also an
AC_SUBST(GENERIC_CONFIG) that will be set to the name of the file that
we did output in this macro.  Use as:

      install-exec-local:    install-generic-config

      install-generic-config:
         $(mkinstalldirs) $(DESTDIR)$(bindir)
         $(INSTALL_SCRIPT) @GENERIC_CONFIG@ $(DESTDIR)$(bindir)

Source Code
***********

Download the latest version of 'ax_create_generic_config.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_create_generic_config.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_create_generic_config.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_create_pkgconfig_info
========================

Synopsis
********

     AX_CREATE_PKGCONFIG_INFO [(outputfile, [requires [,libs [,summary [,cflags [, ldflags]]]]])]

Description
***********

Defaults:

       $1 = $PACKAGE_NAME.pc
       $2 = (empty)
       $3 = $PACKAGE_LIBS $LIBS (as set at that point in configure.ac)
       $4 = $PACKAGE_SUMMARY (or $1 Library)
       $5 = $PACKAGE_CFLAGS (as set at the point in configure.ac)
       $6 = $PACKAGE_LDFLAGS (as set at the point in configure.ac)

       PACKAGE_NAME defaults to $PACKAGE if not set.
       PACKAGE_LIBS defaults to -l$PACKAGE_NAME if not set.

The resulting file is called $PACKAGE.pc.in / $PACKAGE.pc

You will find this macro most useful in conjunction with
ax_spec_defaults that can read good initializers from the .spec file.
In consequence, most of the generatable installable stuff can be made
from information being updated in a single place for the whole project.

Source Code
***********

Download the latest version of 'ax_create_pkgconfig_info.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_create_pkgconfig_info.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_create_pkgconfig_info.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2008 Sven Verdoolaege <skimo@kotnet.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_create_stdint_h
==================

Synopsis
********

     AX_CREATE_STDINT_H [( HEADER-TO-GENERATE [, HEDERS-TO-CHECK])]

Description
***********

the "ISO C9X: 7.18 Integer types <stdint.h>" section requires the
existence of an include file <stdint.h> that defines a set of typedefs,
especially uint8_t,int32_t,uintptr_t.  Many older installations will not
provide this file, but some will have the very same definitions in
<inttypes.h>.  In other environments we can use the inet-types in
<sys/types.h> which would define the typedefs int8_t and u_int8_t
respectively.

This macros will create a local "_stdint.h" or the headerfile given as
an argument.  In many cases that file will just "#include <stdint.h>" or
"#include <inttypes.h>", while in other environments it will provide the
set of basic 'stdint's definitions/typedefs:

       int8_t,uint8_t,int16_t,uint16_t,int32_t,uint32_t,intptr_t,uintptr_t
       int_least32_t.. int_fast32_t.. intmax_t

which may or may not rely on the definitions of other files, or using
the AC_CHECK_SIZEOF macro to determine the actual sizeof each type.

if your header files require the stdint-types you will want to create an
installable file mylib-int.h that all your other installable header may
include.  So if you have a library package named "mylib", just use

       AX_CREATE_STDINT_H(mylib-int.h)

in configure.ac and go to install that very header file in Makefile.am
along with the other headers (mylib.h) - and the mylib-specific headers
can simply use "#include <mylib-int.h>" to obtain the stdint-types.

Remember, if the system already had a valid <stdint.h>, the generated
file will include it directly.  No need for fuzzy HAVE_STDINT_H
things...  (oops, GCC 4.2.x has deliberately disabled its stdint.h for
non-c99 compilation and the c99-mode is not the default.  Therefore this
macro will not use the compiler's stdint.h - please complain to the GCC
developers).

Source Code
***********

Download the latest version of 'ax_create_stdint_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_create_stdint_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_create_stdint_h.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_create_target_h
==================

Synopsis
********

     AX_CREATE_TARGET_H [(HEADER-FILE [,PREFIX)]

Description
***********

Create the header-file and let it contain '#defines' for the target
platform.  This macro is used for libraries that have platform-specific
quirks.  Instead of inventing a target-specific target.h.in files, just
let it create a header file from the definitions of AC_CANONICAL_SYSTEM
and put only ifdef's in the installed header-files.

      if the HEADER-FILE is absent, [target.h] is used.
      if the PREFIX is absent, [TARGET] is used.
      the prefix can be the packagename. (y:a-z-:A-Z_:)

The defines look like...

      #ifndef TARGET_CPU_M68K
      #define TARGET_CPU_M68K "m68k"
      #endif

      #ifndef TARGET_OS_LINUX
      #define TARGET_OS_LINUX "linux-gnu"
      #endif

      #ifndef TARGET_OS_TYPE                     /* the string itself */
      #define TARGET_OS_TYPE "linux-gnu"
      #endif

Detail: in the case of hppa1.1, the three idents "hppa1_1" "hppa1" and
"hppa" are derived, for an m68k it just two, "m68k" and "m".

The CREATE_TARGET_H__ variant is almost the same function, but
everything is lowercased instead of uppercased, and there is a "__" in
front of each prefix, so it looks like...

      #ifndef __target_os_linux
      #define __target_os_linux "linux-gnulibc2"
      #endif

      #ifndef __target_os__                     /* the string itself */
      #define __target_os__ "linux-gnulibc2"
      #endif

      #ifndef __target_cpu_i586
      #define __target_cpu_i586 "i586"
      #endif

      #ifndef __target_arch_i386
      #define __target_arch_i386 "i386"
      #endif

      #ifndef __target_arch__                   /* cpu family arch */
      #define __target_arch__ "i386"
      #endif

Other differences: the default string-define is "__" instead of "_TYPE".

Personally, I prefer the second variant (which had been the first in the
devprocess of this file but I assume people will often fallback to the
primary variant presented herein).

NOTE: CREATE_TARGET_H does also fill HOST_OS-defines Functionality has
been split over functions called CREATE_TARGET_H_UPPER,
CREATE_TARGET_H_LOWER, CREATE_TARGET_HOST_UPPER, and
CREATE_TARGET_HOST_LOWER.

      CREATE_TARGET_H  uses CREATE_TARGET_H_UPPER CREATE_TARGET_HOST_UPPER
      CREATE_TARGET_H_ uses CREATE_TARGET_H_LOWER CREATE_TARGET_HOST_LOWER

There is now a CREATE_PREFIX_TARGET_H in this file as a shorthand for
PREFIX_CONFIG_H from a target.h file, however w/o the target.h ever
created (the prefix is a bit different, since we add an extra -target-
and -host-).

Source Code
***********

Download the latest version of 'ax_create_target_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_create_target_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_create_target_h.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cvs
======

Synopsis
********

     AX_CVS([ANON_CVSROOT])

Description
***********

Adds support cvs targets within your Makefile.

Branching and releasing relies on you using the following version
format:

       MAJOR.MINOR.POINT

where MAJOR is the major version number, MINOR is the minor version
number and POINT is the point release number.

make update

       performs a cvs update

make commitlog

       Generates a ChangeLog template with the modified, added
       and removed files and opens it up for editing. This is
       not normally used directly, but is instead called by
       commit. It is useful however if you want to document
       the work you have done, but don't want to commit just
       yet.

make commit

       performs a cvs commit after first performing a cvs
       update and generating a commit log.

make cvs-rm FILES="file1 file2 ..."

       removes a file or files specified by the FILES
       variable from the file system and from cvs. It will
       interactively ask you to confirm the file removal,
       unless the file does not exist on the file system.

make cvs-add FILES="file1 file2 ..."

       adds a file or files specified by the FILES variable
       to cvs.

make branch-major

       creates a branch based on the major version number,
       increments the major version number, sets the minor
       and point versions to zero and checks out the branch
       into a new directory.

make branch-minor

       creates a branch based on the minor version number,
       increments the minor version, sets the point version
       to zero number and checks out the branch into a new
       directory.

make release

       performs a cvs update, followed by a distcheck, then
       creates a release for the current version, increments
       the point release number and checks out the release
       into a new directory

make quick-release

       same as release, but distcheck is not performed

Source Code
***********

Download the latest version of 'ax_cvs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cvs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cvs.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_bool
===========

Synopsis
********

     AX_CXX_BOOL

Description
***********

If the compiler recognizes bool as a separate built-in type, define
HAVE_BOOL. Note that a typedef is not a separate type since you cannot
overload a function such that it accepts either the basic type or the
typedef.

Source Code
***********

Download the latest version of 'ax_cxx_bool.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_bool.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_bool.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_compile_stdcxx
=====================

Synopsis
********

     AX_CXX_COMPILE_STDCXX(VERSION, [ext|noext], [mandatory|optional])

Description
***********

Check for baseline language coverage in the compiler for the specified
version of the C++ standard.  If necessary, add switches to CXX and
CXXCPP to enable support.  VERSION may be '11' (for the C++11 standard)
or '14' (for the C++14 standard).

The second argument, if specified, indicates whether you insist on an
extended mode (e.g.  -std=gnu++11) or a strict conformance mode (e.g.
-std=c++11).  If neither is specified, you get whatever works, with
preference for an extended mode.

The third argument, if specified 'mandatory' or if left unspecified,
indicates that baseline support for the specified C++ standard is
required and that the macro should error out if no mode with that
support is found.  If specified 'optional', then configuration proceeds
regardless, after defining HAVE_CXX${VERSION} if and only if a
supporting mode is found.

Source Code
***********

Download the latest version of 'ax_cxx_compile_stdcxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_compile_stdcxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_compile_stdcxx.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>
Copyright (C) 2012 Zack Weinberg <zackw@panix.com>
Copyright (C) 2013 Roy Stogner <roystgnr@ices.utexas.edu>
Copyright (C) 2014, 2015 Google Inc.; contributed by Alexey Sokolov <sokolov@google.com>

Copyright (C) 2015 Paul Norman <penorman@mac.com>
Copyright (C) 2015 Moritz Klammler <moritz@klammler.eu>
Copyright (C) 2016, 2018 Krzesimir Nowak <qdlacz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_compile_stdcxx_0x
========================

Synopsis
********

     AX_CXX_COMPILE_STDCXX_0X

Description
***********

Check for baseline language coverage in the compiler for the C++0x
standard.

This macro is deprecated and has been superseded by the
AX_CXX_COMPILE_STDCXX_11 macro which should be used instead.

Source Code
***********

Download the latest version of 'ax_cxx_compile_stdcxx_0x.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_compile_stdcxx_0x.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_compile_stdcxx_0x.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_compile_stdcxx_11
========================

Synopsis
********

     AX_CXX_COMPILE_STDCXX_11([ext|noext], [mandatory|optional])

Description
***********

Check for baseline language coverage in the compiler for the C++11
standard; if necessary, add switches to CXX and CXXCPP to enable
support.

This macro is a convenience alias for calling the AX_CXX_COMPILE_STDCXX
macro with the version set to C++11.  The two optional arguments are
forwarded literally as the second and third argument respectively.
Please see the documentation for the AX_CXX_COMPILE_STDCXX macro for
more information.  If you want to use this macro, you also need to
download the ax_cxx_compile_stdcxx.m4 file.

Source Code
***********

Download the latest version of 'ax_cxx_compile_stdcxx_11.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_compile_stdcxx_11.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_compile_stdcxx_11.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>
Copyright (C) 2012 Zack Weinberg <zackw@panix.com>
Copyright (C) 2013 Roy Stogner <roystgnr@ices.utexas.edu>
Copyright (C) 2014, 2015 Google Inc.; contributed by Alexey Sokolov <sokolov@google.com>

Copyright (C) 2015 Paul Norman <penorman@mac.com>
Copyright (C) 2015 Moritz Klammler <moritz@klammler.eu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_compile_stdcxx_14
========================

Synopsis
********

     AX_CXX_COMPILE_STDCXX_14([ext|noext], [mandatory|optional])

Description
***********

Check for baseline language coverage in the compiler for the C++14
standard; if necessary, add switches to CXX and CXXCPP to enable
support.

This macro is a convenience alias for calling the AX_CXX_COMPILE_STDCXX
macro with the version set to C++14.  The two optional arguments are
forwarded literally as the second and third argument respectively.
Please see the documentation for the AX_CXX_COMPILE_STDCXX macro for
more information.  If you want to use this macro, you also need to
download the ax_cxx_compile_stdcxx.m4 file.

Source Code
***********

Download the latest version of 'ax_cxx_compile_stdcxx_14.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_compile_stdcxx_14.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_compile_stdcxx_14.m4).

License
*******

Copyright (C) 2015 Moritz Klammler <moritz@klammler.eu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_compile_stdcxx_17
========================

Synopsis
********

     AX_CXX_COMPILE_STDCXX_17([ext|noext], [mandatory|optional])

Description
***********

Check for baseline language coverage in the compiler for the C++17
standard; if necessary, add switches to CXX and CXXCPP to enable
support.

This macro is a convenience alias for calling the AX_CXX_COMPILE_STDCXX
macro with the version set to C++17.  The two optional arguments are
forwarded literally as the second and third argument respectively.
Please see the documentation for the AX_CXX_COMPILE_STDCXX macro for
more information.  If you want to use this macro, you also need to
download the ax_cxx_compile_stdcxx.m4 file.

Source Code
***********

Download the latest version of 'ax_cxx_compile_stdcxx_17.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_compile_stdcxx_17.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_compile_stdcxx_17.m4).

License
*******

Copyright (C) 2015 Moritz Klammler <moritz@klammler.eu>
Copyright (C) 2016 Krzesimir Nowak <qdlacz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_complex_math_in_namespace_std
====================================

Synopsis
********

     AX_CXX_COMPLEX_MATH_IN_NAMESPACE_STD

Description
***********

If the C math functions are in the cmath header file and std::
namespace, define HAVE_MATH_FN_IN_NAMESPACE_STD.

Source Code
***********

Download the latest version of 'ax_cxx_complex_math_in_namespace_std.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_complex_math_in_namespace_std.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_complex_math_in_namespace_std.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_const_cast
=================

Synopsis
********

     AX_CXX_CONST_CAST

Description
***********

If the compiler supports const_cast<>, define HAVE_CONST_CAST.

Source Code
***********

Download the latest version of 'ax_cxx_const_cast.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_const_cast.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_const_cast.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_cppflags_std_lang
========================

Synopsis
********

     AX_CXX_CPPFLAGS_STD_LANG(CPP-FLAGS)

Description
***********

Append to CPP-FLAGS the set of flags that should be passed to the C++
preprocessor in order to enable use of C++ features as defined in the
ANSI C++ standard (eg.  use of standard iostream classes in the 'std'
namespace, etc.).

Source Code
***********

Download the latest version of 'ax_cxx_cppflags_std_lang.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_cppflags_std_lang.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_cppflags_std_lang.m4).

License
*******

Copyright (C) 2008 Ludovic Courtes <ludo@chbouib.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_cxxflags_std_lang
========================

Synopsis
********

     AX_CXX_CXXFLAGS_STD_LANG(CXX-FLAGS)

Description
***********

Append to variable CXX-FLAGS the set of compile-time flags that should
be passed to the C++ compiler in order to enable use of C++ features as
defined in the ANSI C++ standard (eg.  use of standard iostream classes
in the 'std' namespace, etc.).  Note that if you use GNU Libtool you may
need to prefix each of those flags with '-Xcompiler' so that Libtool
doesn't discard them (see Libtool's manual and 'AC_LIBTOOLIZE_CFLAGS').

Source Code
***********

Download the latest version of 'ax_cxx_cxxflags_std_lang.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_cxxflags_std_lang.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_cxxflags_std_lang.m4).

License
*******

Copyright (C) 2008 Ludovic Courtes <ludo@chbouib.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_default_template_parameters
==================================

Synopsis
********

     AX_CXX_DEFAULT_TEMPLATE_PARAMETERS

Description
***********

If the compiler supports default template parameters, define
HAVE_DEFAULT_TEMPLATE_PARAMETERS.

Source Code
***********

Download the latest version of 'ax_cxx_default_template_parameters.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_default_template_parameters.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_default_template_parameters.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_delete_method
====================

Synopsis
********

     AX_CXX_DELETE_METHOD

Description
***********

Check whether the C++11 '= delete' syntax, for suppressing undesired
implicit methods, is supported.  If it is, the macro DELETE_METHOD is
defined to '= delete'; otherwise it is defined to nothing.  Thus, you
can write

       class foo {
         ...
       private:
         foo(foo const&) DELETE_METHOD;
       };

to delete the 'foo' copy constructor or fall back to the idiom of a
private undefined method if the compiler doesn't support this.

Does not test '= delete' on a template specialization.  Does not ensure
that the compiler is in C++11 mode.

Source Code
***********

Download the latest version of 'ax_cxx_delete_method.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_delete_method.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_delete_method.m4).

License
*******

Copyright (C) 2012 Zack Weinberg <zackw@panix.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_dtor_after_atexit
========================

Synopsis
********

     AX_CXX_DTOR_AFTER_ATEXIT

Description
***********

If the C++ compiler calls global destructors after atexit functions,
define HAVE_DTOR_AFTER_ATEXIT.

Conformant behavior is to have global destructors after atexit

Per Paragraph 3.6.3/1 of the C++11 Standard:

Destructors (12.4) for initialized objects [..]  with static storage
duration are called as a result of returning from main and as a result
of calling std::exit (18.5).

And per Paragraph 3.6.3/3:

If the completion of the initialization of an object with static storage
duration is sequenced before a call to std::atexit [..], the call to the
function passed to std::atexit is sequenced before the call to the
destructor for the object.

WARNING: If cross-compiling, the test cannot be performed, the default
action is to define HAVE_DTOR_AFTER_ATEXIT.

Source Code
***********

Download the latest version of 'ax_cxx_dtor_after_atexit.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_dtor_after_atexit.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_dtor_after_atexit.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_dynamic_cast
===================

Synopsis
********

     AX_CXX_DYNAMIC_CAST

Description
***********

If the compiler supports dynamic_cast<>, define HAVE_DYNAMIC_CAST.

Source Code
***********

Download the latest version of 'ax_cxx_dynamic_cast.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_dynamic_cast.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_dynamic_cast.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_enum_computations
========================

Synopsis
********

     AX_CXX_ENUM_COMPUTATIONS

Description
***********

If the compiler handle computations inside an enum, define
HAVE_ENUM_COMPUTATIONS.

Source Code
***********

Download the latest version of 'ax_cxx_enum_computations.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_enum_computations.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_enum_computations.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_enum_computations_with_cast
==================================

Synopsis
********

     AX_CXX_ENUM_COMPUTATIONS_WITH_CAST

Description
***********

If the compiler handle (int) casts in enum computations, define
HAVE_ENUM_COMPUTATIONS_WITH_CAST.

Source Code
***********

Download the latest version of 'ax_cxx_enum_computations_with_cast.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_enum_computations_with_cast.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_enum_computations_with_cast.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_erase_iterator_type
==========================

Synopsis
********

     AX_CXX_ERASE_ITERATOR_TYPE

Description
***********

If the compiler supports define erase with constant iterator or with
classical iterator.

Define autoconfigured_erase_iterator to const_iterator if supported and
iterator if not supported.

Define HAVE_ERASE_CONSTANT_ITERATOR if supported

Source Code
***********

Download the latest version of 'ax_cxx_erase_iterator_type.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_erase_iterator_type.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_erase_iterator_type.m4).

License
*******

Copyright (C) 2015 Bastien ROUCARIES

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_exceptions
=================

Synopsis
********

     AX_CXX_EXCEPTIONS

Description
***********

If the C++ compiler supports exceptions handling (try, throw and catch),
define HAVE_EXCEPTIONS.

Source Code
***********

Download the latest version of 'ax_cxx_exceptions.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_exceptions.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_exceptions.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_explicit
===============

Synopsis
********

     AX_CXX_EXPLICIT

Description
***********

If the compiler can be asked to prevent using implicitly one argument
constructors as converting constructors with the explicit keyword,
define HAVE_EXPLICIT.

Source Code
***********

Download the latest version of 'ax_cxx_explicit.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_explicit.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_explicit.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_explicit_instantiations
==============================

Synopsis
********

     AX_CXX_EXPLICIT_INSTANTIATIONS

Description
***********

If the C++ compiler supports explicit instantiations syntax, define
HAVE_INSTANTIATIONS.

Source Code
***********

Download the latest version of 'ax_cxx_explicit_instantiations.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_explicit_instantiations.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_explicit_instantiations.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_explicit_template_function_qualification
===============================================

Synopsis
********

     AX_CXX_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION

Description
***********

If the compiler supports explicit template function qualification,
define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION.

Source Code
***********

Download the latest version of
'ax_cxx_explicit_template_function_qualification.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_explicit_template_function_qualification.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_explicit_template_function_qualification.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_extern_template
======================

Synopsis
********

     AX_CXX_EXTERN_TEMPLATE

Description
***********

Test whether the C++ compiler supports "extern template".

Source Code
***********

Download the latest version of 'ax_cxx_extern_template.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_extern_template.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_extern_template.m4).

License
*******

Copyright (C) 2008 Patrick Mauritz <oxygene@studentenbude.ath.cx>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_full_specialization_syntax
=================================

Synopsis
********

     AX_CXX_FULL_SPECIALIZATION_SYNTAX

Description
***********

If the compiler recognizes the full specialization syntax, define
HAVE_FULL_SPECIALIZATION_SYNTAX.

Source Code
***********

Download the latest version of 'ax_cxx_full_specialization_syntax.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_full_specialization_syntax.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_full_specialization_syntax.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_function_nontype_parameters
==================================

Synopsis
********

     AX_CXX_FUNCTION_NONTYPE_PARAMETERS

Description
***********

If the compiler supports function templates with non-type parameters,
define HAVE_FUNCTION_NONTYPE_PARAMETERS.

Source Code
***********

Download the latest version of 'ax_cxx_function_nontype_parameters.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_function_nontype_parameters.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_function_nontype_parameters.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_function_try_blocks
==========================

Synopsis
********

     AX_CXX_FUNCTION_TRY_BLOCKS

Description
***********

If the C++ compiler supports function try blocks, define
'HAVE_FUNCTION_TRY_BLOCKS'.

Source Code
***********

Download the latest version of 'ax_cxx_function_try_blocks.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_function_try_blocks.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_function_try_blocks.m4).

License
*******

Copyright (C) 2008 Matthew D. Langston

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_gcc_abi_demangle
=======================

Synopsis
********

     AX_CXX_GCC_ABI_DEMANGLE

Description
***********

If the compiler supports GCC C++ ABI name demangling (has header
cxxabi.h and abi::__cxa_demangle() function), define
HAVE_GCC_ABI_DEMANGLE

Adapted from AX_CXX_RTTI by Luc Maisonobe

Source Code
***********

Download the latest version of 'ax_cxx_gcc_abi_demangle.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_gcc_abi_demangle.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_gcc_abi_demangle.m4).

License
*******

Copyright (C) 2008 Neil Ferguson <nferguso@eso.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_gnucxx_hashmap
=====================

Synopsis
********

     AX_CXX_GNUCXX_HASHMAP

Description
***********

Test for the presence of GCC's hashmap STL extension.

Source Code
***********

Download the latest version of 'ax_cxx_gnucxx_hashmap.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_gnucxx_hashmap.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_gnucxx_hashmap.m4).

License
*******

Copyright (C) 2008 Patrick Mauritz <oxygene@studentenbude.ath.cx>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_bad_function_call
=============================

Synopsis
********

     AX_CXX_HAVE_BAD_FUNCTION_CALL()

Description
***********

This macro checks if std::bad_function_call, added in C++11, is defined
in the <functional> header.

If it is, define the ax_cv_cxx_have_bad_function_call environment
variable to "yes" and define HAVE_CXX_BAD_FUNCTION_CALL.

Source Code
***********

Download the latest version of 'ax_cxx_have_bad_function_call.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_bad_function_call.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_bad_function_call.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_bind
================

Synopsis
********

     AX_CXX_HAVE_BIND()

Description
***********

This macro checks if std::bind, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_bind environment variable to "yes"
and define HAVE_CXX_BIND.

Source Code
***********

Download the latest version of 'ax_cxx_have_bind.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_bind.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_bind.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_bit_and
===================

Synopsis
********

     AX_CXX_HAVE_BIT_AND()

Description
***********

This macro checks if std::bit_and, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_bit_and environment variable to
"yes" and define HAVE_CXX_BIT_AND.

Source Code
***********

Download the latest version of 'ax_cxx_have_bit_and.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_bit_and.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_bit_and.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_bit_or
==================

Synopsis
********

     AX_CXX_HAVE_BIT_OR()

Description
***********

This macro checks if std::bit_or, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_bit_or environment variable to "yes"
and define HAVE_CXX_BIT_OR.

Source Code
***********

Download the latest version of 'ax_cxx_have_bit_or.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_bit_or.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_bit_or.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_bit_xor
===================

Synopsis
********

     AX_CXX_HAVE_BIT_XOR()

Description
***********

This macro checks if std::bit_xor, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_bit_xor environment variable to
"yes" and define HAVE_CXX_BIT_XOR.

Source Code
***********

Download the latest version of 'ax_cxx_have_bit_xor.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_bit_xor.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_bit_xor.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_complex
===================

Synopsis
********

     AX_CXX_HAVE_COMPLEX

Description
***********

If the compiler has complex<T>, define HAVE_COMPLEX.

Source Code
***********

Download the latest version of 'ax_cxx_have_complex.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_complex.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_complex.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_complex_math1
=========================

Synopsis
********

     AX_CXX_HAVE_COMPLEX_MATH1

Description
***********

If the compiler has the complex math functions cos, cosh, exp, log, pow,
sin, sinh, sqrt, tan and tanh, define HAVE_COMPLEX_MATH1.

Source Code
***********

Download the latest version of 'ax_cxx_have_complex_math1.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_complex_math1.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_complex_math1.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_complex_math2
=========================

Synopsis
********

     AX_CXX_HAVE_COMPLEX_MATH2

Description
***********

If the compiler has the complex math functions acos, asin, atan, atan2
and log10, define HAVE_COMPLEX_MATH2.

Source Code
***********

Download the latest version of 'ax_cxx_have_complex_math2.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_complex_math2.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_complex_math2.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_cref
================

Synopsis
********

     AX_CXX_HAVE_CREF()

Description
***********

This macro checks if std::cref, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_cref environment variable to "yes"
and define HAVE_CXX_CREF.

Source Code
***********

Download the latest version of 'ax_cxx_have_cref.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_cref.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_cref.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_empty_iostream
==========================

Synopsis
********

     AX_CXX_HAVE_EMPTY_IOSTREAM

Description
***********

Check if the compiler allow the empty iostream constructor.  Ok before
gcc3, not after.

Source Code
***********

Download the latest version of 'ax_cxx_have_empty_iostream.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_empty_iostream.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_empty_iostream.m4).

License
*******

Copyright (C) 2008 Alain BARBET <alian@cpan.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_ext_hash_map
========================

Synopsis
********

     AX_CXX_HAVE_EXT_HASH_MAP

Description
***********

Check if the compiler has ext/hash_map Eg:

       #if defined(HAVE_EXT_HASH_MAP)
       #include <ext/hash_map>
       #else
       #if defined(HAVE_STL)
       #include <hash_map>
       #else
       # Can't find hash_map header !
       #endif
       #endif

This file is Alain BARBET's AC_CXX_HAVE_EXT_HASH_SET 1.1 with
s/set/map/g :)

Source Code
***********

Download the latest version of 'ax_cxx_have_ext_hash_map.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_ext_hash_map.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_ext_hash_map.m4).

License
*******

Copyright (C) 2008 Perceval ANICHINI

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_ext_hash_set
========================

Synopsis
********

     AX_CXX_HAVE_EXT_HASH_SET

Description
***********

Check if the compiler has ext/hash_set Eg:

       #if defined(HAVE_EXT_HASH_SET)
       #include <ext/hash_set>
       #else
       #if defined(HAVE_STL)
       #include <hash_set>
       #else
       # Can't find hash_set header !
       #endif
       #endif

Source Code
***********

Download the latest version of 'ax_cxx_have_ext_hash_set.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_ext_hash_set.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_ext_hash_set.m4).

License
*******

Copyright (C) 2008 Alain BARBET <alian@cpan.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_ext_slist
=====================

Synopsis
********

     AX_CXX_HAVE_EXT_SLIST

Description
***********

Check if the compiler has ext/slist.  Eg:

       #if defined(HAVE_EXT_SLIST)
       #include <ext/slist>
       #else
       #if defined(HAVE_STL)
       #include <slist>
       #else
       # Can't find slist header !
       #endif
       #endif

Source Code
***********

Download the latest version of 'ax_cxx_have_ext_slist.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_ext_slist.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_ext_slist.m4).

License
*******

Copyright (C) 2008 Alain BARBET <alian@cpan.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_freeze_sstream
==========================

Synopsis
********

     AX_CXX_HAVE_FREEZE_SSTREAM

Description
***********

Check if the compiler has (need) freeze method call in stringstream/
strstream.  Seems that Win32 and STLPort have it, libstdc++ not ...

Eg:

       #include <sstream>
       #ifdef HAVE_NAMESPACES
       using namespace std;
       #endif
       #ifdef HAVE_SSTREAM
       stringstream message;
       #else
       strstream message;
       #endif
       message << "Hello";
       #ifdef HAVE_FREEZE_SSTREAM
       message.freeze(0);
       #endif

Source Code
***********

Download the latest version of 'ax_cxx_have_freeze_sstream.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_freeze_sstream.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_freeze_sstream.m4).

License
*******

Copyright (C) 2008 Alain BARBET <alian@cpan.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_function
====================

Synopsis
********

     AX_CXX_HAVE_FUNCTION()

Description
***********

This macro checks if std::function, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_function environment variable to
"yes" and define HAVE_CXX_FUNCTION.

Source Code
***********

Download the latest version of 'ax_cxx_have_function.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_function.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_function.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_hash
================

Synopsis
********

     AX_CXX_HAVE_HASH()

Description
***********

This macro checks if std::hash, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_hash environment variable to "yes"
and define HAVE_CXX_HASH.

Source Code
***********

Download the latest version of 'ax_cxx_have_hash.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_hash.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_hash.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_ieee_math
=====================

Synopsis
********

     AX_CXX_HAVE_IEEE_MATH

Description
***********

If the compiler has the double math functions acosh, asinh, atanh, cbrt,
expm1, erf, erfc, isnan, j0, j1, jn, gamma, lgamma, ilogb, logb, log1p,
rint, y0, y1, yn, hypot, nextafter, remainder and scalb, define
HAVE_IEEE_MATH.

Source Code
***********

Download the latest version of 'ax_cxx_have_ieee_math.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_ieee_math.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_ieee_math.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_is_bind_expression
==============================

Synopsis
********

     AX_CXX_HAVE_IS_BIND_EXPRESSION()

Description
***********

This macro checks if std::is_bind_expression, added in C++11, is defined
in the <functional> header.

If it is, define the ax_cv_cxx_have_is_bind_expression environment
variable to "yes" and define HAVE_CXX_IS_BIND_EXPRESSION.

Source Code
***********

Download the latest version of 'ax_cxx_have_is_bind_expression.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_is_bind_expression.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_is_bind_expression.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_is_placeholder
==========================

Synopsis
********

     AX_CXX_HAVE_IS_PLACEHOLDER()

Description
***********

This macro checks if std::is_placeholder, added in C++11, is defined in
the <functional> header.

If it is, define the ax_cv_cxx_have_is_placeholder environment variable
to "yes" and define HAVE_CXX_IS_PLACEHOLDER.

Source Code
***********

Download the latest version of 'ax_cxx_have_is_placeholder.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_is_placeholder.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_is_placeholder.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_koenig_lookup
=========================

Synopsis
********

     AX_CXX_HAVE_KOENIG_LOOKUP

Description
***********

Define CXX_HAVE_KOENIG_LOOKUP if the C++ compiler has argument-dependent
name lookup (a.k.a.  Koenig lookup).

Source Code
***********

Download the latest version of 'ax_cxx_have_koenig_lookup.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_koenig_lookup.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_koenig_lookup.m4).

License
*******

Copyright (C) 2008 Steve M. Robbins <smr@debian.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_long_long_for_iostream
==================================

Synopsis
********

     AX_CXX_HAVE_LONG_LONG_FOR_IOSTREAM

Description
***********

Check if the compiler allow long long for [i|o]stream Seems that OpenBSD
/ gcc-3 don't have it.

Eg:

       #include <iostream>
       #ifdef HAVE_SSTREAM
       #include <strstream>
       #else
       #include <sstream>
       #endif
       #ifdef HAVE_NAMESPACES
       using namespace std;
       #endif
       ostream str((streambuf *)0);
       long long lo=1;
       str <<
       #ifdef HAVE_LONG_LONG_FOR_IOSTREAM
         (long int)
       #endif
               lo;

Source Code
***********

Download the latest version of 'ax_cxx_have_long_long_for_iostream.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_long_long_for_iostream.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_long_long_for_iostream.m4).

License
*******

Copyright (C) 2008 Alain BARBET <alian@cpan.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_have_mem_fn
==================

Synopsis
********

     AX_CXX_HAVE_MEM_FN()

Description
***********

This macro checks if std::mem_fn, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_mem_fn environment variable to "yes"
and define HAVE_CXX_MEM_FN.

Source Code
***********

Download the latest version of 'ax_cxx_have_mem_fn.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_mem_fn.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_mem_fn.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_numeric_limits
==========================

Synopsis
********

     AX_CXX_HAVE_NUMERIC_LIMITS

Description
***********

If the compiler has numeric_limits<T>, define HAVE_NUMERIC_LIMITS.

Source Code
***********

Download the latest version of 'ax_cxx_have_numeric_limits.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_numeric_limits.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_numeric_limits.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_placeholders
========================

Synopsis
********

     AX_CXX_HAVE_PLACEHOLDERS()

Description
***********

This macro checks if std::placeholders, added in C++11, is defined in
the <functional> header.

If it is, define the ax_cv_cxx_have_placeholders environment variable to
"yes" and define HAVE_CXX_PLACEHOLDERS.

Source Code
***********

Download the latest version of 'ax_cxx_have_placeholders.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_placeholders.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_placeholders.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_ref
===============

Synopsis
********

     AX_CXX_HAVE_REF()

Description
***********

This macro checks if std::ref, added in C++11, is defined in the
<functional> header.

If it is, define the ax_cv_cxx_have_ref environment variable to "yes"
and define HAVE_CXX_REF.

Source Code
***********

Download the latest version of 'ax_cxx_have_ref.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_ref.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_ref.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_reference_wrapper
=============================

Synopsis
********

     AX_CXX_HAVE_REFERENCE_WRAPPER()

Description
***********

This macro checks if std::reference_wrapper, added in C++11, is defined
in the <functional> header.

If it is, define the ax_cv_cxx_have_reference_wrapper environment
variable to "yes" and define HAVE_CXX_REFERENCE_WRAPPER.

Source Code
***********

Download the latest version of 'ax_cxx_have_reference_wrapper.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_reference_wrapper.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_reference_wrapper.m4).

License
*******

Copyright (C) 2014 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_sstream
===================

Synopsis
********

     AX_CXX_HAVE_SSTREAM

Description
***********

If the C++ library has a working stringstream, define HAVE_SSTREAM.

Source Code
***********

Download the latest version of 'ax_cxx_have_sstream.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_sstream.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_sstream.m4).

License
*******

Copyright (C) 2008 Ben Stanley <Ben.Stanley@exemail.com.au>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_std
===============

Synopsis
********

     AX_CXX_HAVE_STD

Description
***********

If the compiler supports ISO C++ standard library (i.e., can include the
files iostream, map, iomanip and cmath), define HAVE_STD.

Source Code
***********

Download the latest version of 'ax_cxx_have_std.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_std.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_std.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_stl
===============

Synopsis
********

     AX_CXX_HAVE_STL

Description
***********

If the compiler supports the Standard Template Library, define HAVE_STL.

Source Code
***********

Download the latest version of 'ax_cxx_have_stl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_stl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_stl.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_string_push_back
============================

Synopsis
********

     AX_CXX_HAVE_STRING_PUSH_BACK

Description
***********

If the implementation of the C++ library provides the method
std::string::push_back (char), define HAVE_STRING_PUSH_BACK.

Source Code
***********

Download the latest version of 'ax_cxx_have_string_push_back.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_string_push_back.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_string_push_back.m4).

License
*******

Copyright (C) 2008 Jan Langer <jan@langernetz.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_system_v_math
=========================

Synopsis
********

     AX_CXX_HAVE_SYSTEM_V_MATH

Description
***********

If the compiler has the double math functions _class, trunc, itrunc,
nearest, rsqrt, uitrunc, copysign, drem, finite, and unordered, define
HAVE_SYSTEM_V_MATH.

Source Code
***********

Download the latest version of 'ax_cxx_have_system_v_math.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_system_v_math.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_system_v_math.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_valarray
====================

Synopsis
********

     AX_CXX_HAVE_VALARRAY

Description
***********

If the compiler has valarray<T>, define HAVE_VALARRAY.

Source Code
***********

Download the latest version of 'ax_cxx_have_valarray.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_valarray.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_valarray.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_have_vector_at
=====================

Synopsis
********

     AX_CXX_HAVE_VECTOR_AT

Description
***********

If the implementation of the C++ library provides the method
std::vector::at(std::size_t), define HAVE_VECTOR_AT.

Source Code
***********

Download the latest version of 'ax_cxx_have_vector_at.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_have_vector_at.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_have_vector_at.m4).

License
*******

Copyright (C) 2008 Jan Langer <jan@langernetz.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_pre_stdcxx
========================

Synopsis
********

     AX_CXX_HEADER_PRE_STDCXX

Description
***********

Check whether pre-ISO-C++ headers exist.

Source Code
***********

Download the latest version of 'ax_cxx_header_pre_stdcxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_pre_stdcxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_pre_stdcxx.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_stdcxx_0x
=======================

Synopsis
********

     AX_CXX_HEADER_STDCXX_0X

Description
***********

Check for library coverage of the C++0x standard.

Source Code
***********

Download the latest version of 'ax_cxx_header_stdcxx_0x.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_stdcxx_0x.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_stdcxx_0x.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_stdcxx_98
=======================

Synopsis
********

     AX_CXX_HEADER_STDCXX_98

Description
***********

Check for complete library coverage of the C++1998/2003 standard.

Source Code
***********

Download the latest version of 'ax_cxx_header_stdcxx_98.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_stdcxx_98.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_stdcxx_98.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_stdcxx_tr1
========================

Synopsis
********

     AX_CXX_HEADER_STDCXX_TR1

Description
***********

Check for library coverage of the TR1 standard.

Source Code
***********

Download the latest version of 'ax_cxx_header_stdcxx_tr1.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_stdcxx_tr1.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_stdcxx_tr1.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_tr1_unordered_map
===============================

Synopsis
********

     AX_CXX_HEADER_TR1_UNORDERED_MAP

Description
***********

Check whether the TR1 include <unordered_map> exists and define
HAVE_TR1_UNORDERED_MAP if it does.

Source Code
***********

Download the latest version of 'ax_cxx_header_tr1_unordered_map.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_tr1_unordered_map.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_tr1_unordered_map.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_tr1_unordered_set
===============================

Synopsis
********

     AX_CXX_HEADER_TR1_UNORDERED_SET

Description
***********

Check whether the TR1 include <unordered_set> exists and define
HAVE_TR1_UNORDERED_SET if it does.

Source Code
***********

Download the latest version of 'ax_cxx_header_tr1_unordered_set.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_tr1_unordered_set.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_tr1_unordered_set.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_unordered_map
===========================

Synopsis
********

     AX_CXX_HEADER_UNORDERED_MAP

Description
***********

Check whether the C++ include <unordered_map> exists and define
HAVE_UNORDERED_MAP if it does.

Source Code
***********

Download the latest version of 'ax_cxx_header_unordered_map.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_unordered_map.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_unordered_map.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_header_unordered_set
===========================

Synopsis
********

     AX_CXX_HEADER_UNORDERED_SET

Description
***********

Check whether the C++ include <unordered_set> exists and define
HAVE_UNORDERED_SET if it does.

Source Code
***********

Download the latest version of 'ax_cxx_header_unordered_set.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_header_unordered_set.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_header_unordered_set.m4).

License
*******

Copyright (C) 2008 Benjamin Kosnik <bkoz@redhat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_ldflags_std_lang
=======================

Synopsis
********

     AX_CXX_LDFLAGS_STD_LANG(LD-FLAGS)

Description
***********

Append to LD-FLAGS the set of link-time flags that should be passed to
the C++ compiler in order to enable use of C++ features as defined in
the ANSI C++ standard (eg.  use of standard iostream classes in the
'std' namespace, etc.).  Note that if you use GNU Libtool you may need
to prefix each of those switches with '-Xlinker' so that Libtool doesn't
discard them (see Libtool's manual and 'AC_LIBTOOLIZE_LDFLAGS').

Source Code
***********

Download the latest version of 'ax_cxx_ldflags_std_lang.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_ldflags_std_lang.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_ldflags_std_lang.m4).

License
*******

Copyright (C) 2008 Ludovic Courtes <ludo@chbouib.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_member_constants
=======================

Synopsis
********

     AX_CXX_MEMBER_CONSTANTS

Description
***********

If the compiler supports member constants, define HAVE_MEMBER_CONSTANTS.

Source Code
***********

Download the latest version of 'ax_cxx_member_constants.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_member_constants.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_member_constants.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_member_templates
=======================

Synopsis
********

     AX_CXX_MEMBER_TEMPLATES

Description
***********

If the compiler supports member templates, define HAVE_MEMBER_TEMPLATES.

Source Code
***********

Download the latest version of 'ax_cxx_member_templates.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_member_templates.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_member_templates.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_member_templates_outside_class
=====================================

Synopsis
********

     AX_CXX_MEMBER_TEMPLATES_OUTSIDE_CLASS

Description
***********

If the compiler supports member templates outside the class declaration,
define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS.

Source Code
***********

Download the latest version of
'ax_cxx_member_templates_outside_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_member_templates_outside_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_member_templates_outside_class.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_mutable
==============

Synopsis
********

     AX_CXX_MUTABLE

Description
***********

If the compiler allows modifying class data members flagged with the
mutable keyword even in const objects (for example in the body of a
const member function), define HAVE_MUTABLE.

Source Code
***********

Download the latest version of 'ax_cxx_mutable.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_mutable.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_mutable.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_namespace_std
====================

Synopsis
********

     AX_CXX_NAMESPACE_STD

Description
***********

If the compiler supports namespace std, define HAVE_NAMESPACE_STD.

Source Code
***********

Download the latest version of 'ax_cxx_namespace_std.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_namespace_std.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_namespace_std.m4).

License
*******

Copyright (C) 2009 Todd Veldhuizen
Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_namespaces
=================

Synopsis
********

     AX_CXX_NAMESPACES

Description
***********

If the compiler can prevent names clashes using namespaces, define
HAVE_NAMESPACES.

Source Code
***********

Download the latest version of 'ax_cxx_namespaces.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_namespaces.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_namespaces.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>
Copyright (C) 2013 Bastien Roucaries <roucaries.bastien+autoconf@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_new_for_scoping
======================

Synopsis
********

     AX_CXX_NEW_FOR_SCOPING

Description
***********

If the compiler accepts the new for scoping rules (the scope of a
variable declared inside the parentheses is restricted to the for-body),
define HAVE_NEW_FOR_SCOPING.

Source Code
***********

Download the latest version of 'ax_cxx_new_for_scoping.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_new_for_scoping.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_new_for_scoping.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_old_for_scoping
======================

Synopsis
********

     AX_CXX_OLD_FOR_SCOPING

Description
***********

If the compiler accepts the old for scoping rules (the scope of a
variable declared inside the parentheses extends outside the for-body),
define HAVE_OLD_FOR_SCOPING. Note that some compilers (notably g++ and
egcs) support both new and old rules since they accept the old rules and
only generate a warning.

Source Code
***********

Download the latest version of 'ax_cxx_old_for_scoping.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_old_for_scoping.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_old_for_scoping.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_partial_ordering
=======================

Synopsis
********

     AX_CXX_PARTIAL_ORDERING

Description
***********

If the compiler supports partial ordering, define HAVE_PARTIAL_ORDERING.

Source Code
***********

Download the latest version of 'ax_cxx_partial_ordering.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_partial_ordering.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_partial_ordering.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_partial_specialization
=============================

Synopsis
********

     AX_CXX_PARTIAL_SPECIALIZATION

Description
***********

If the compiler supports partial specialization, define
HAVE_PARTIAL_SPECIALIZATION.

Source Code
***********

Download the latest version of 'ax_cxx_partial_specialization.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_partial_specialization.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_partial_specialization.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_reinterpret_cast
=======================

Synopsis
********

     AX_CXX_REINTERPRET_CAST

Description
***********

If the compiler supports reinterpret_cast<>, define
HAVE_REINTERPRET_CAST.

Source Code
***********

Download the latest version of 'ax_cxx_reinterpret_cast.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_reinterpret_cast.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_reinterpret_cast.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_restrict_this
====================

Synopsis
********

     AX_CXX_RESTRICT_THIS

Description
***********

Determine whether the C++ compiler supports qualifying a member function
with a restricted "this" pointer.  Define "restrict_this" to the correct
spelling; use like this:

       T::fn() restrict_this { /* code */ }

Otherwise, define "restrict_this" to be empty.

Note: the syntax above is a GCC extension.  If your C++ compiler has a
different way of applying the 'restricted' qualifier to the "this"
pointer, please consider reporting it.

Source Code
***********

Download the latest version of 'ax_cxx_restrict_this.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_restrict_this.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_restrict_this.m4).

License
*******

Copyright (C) 2010 Riccardo Murri <riccardo.murri@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

Under Section 7 of GPL version 3, you are granted additional permissions
described in the Autoconf Configure Script Exception, version 3.0, as
published by the Free Software Foundation.

You should have received a copy of the GNU General Public License and a
copy of the Autoconf Configure Script Exception along with this program;
see the files COPYINGv3 and COPYING.EXCEPTION respectively.  If not, see
<https://www.gnu.org/licenses/>.

ax_cxx_rtti
===========

Synopsis
********

     AX_CXX_RTTI

Description
***********

If the compiler supports Run-Time Type Identification (typeinfo header
and typeid keyword), define HAVE_RTTI.

Source Code
***********

Download the latest version of 'ax_cxx_rtti.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_rtti.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_rtti.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_rvalue_references
========================

Synopsis
********

     AX_CXX_RVALUE_REFERENCES

Description
***********

Check whether C++11 rvalue references are supported.  If they are, the
macro HAVE_RVALUE_REFERENCES is defined.

Does not ensure that the compiler is in C++11 mode.

Source Code
***********

Download the latest version of 'ax_cxx_rvalue_references.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_rvalue_references.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_rvalue_references.m4).

License
*******

Copyright (C) 2012 Tudor Bosman <tudorb@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_static_cast
==================

Synopsis
********

     AX_CXX_STATIC_CAST

Description
***********

If the compiler supports static_cast<>, define HAVE_STATIC_CAST.

Source Code
***********

Download the latest version of 'ax_cxx_static_cast.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_static_cast.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_static_cast.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_stlport_hashmap
======================

Synopsis
********

     AX_CXX_STLPORT_HASHMAP

Description
***********

Test for the presence of STLport's hashmap extension.

Source Code
***********

Download the latest version of 'ax_cxx_stlport_hashmap.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_stlport_hashmap.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_stlport_hashmap.m4).

License
*******

Copyright (C) 2008 Patrick Mauritz <oxygene@studentenbude.ath.cx>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_template_keyword_qualifier
=================================

Synopsis
********

     AX_CXX_TEMPLATE_KEYWORD_QUALIFIER

Description
***********

If the compiler supports use of the template keyword as a qualifier,
define HAVE_TEMPLATE_KEYWORD_QUALIFIER.

Source Code
***********

Download the latest version of 'ax_cxx_template_keyword_qualifier.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_template_keyword_qualifier.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_template_keyword_qualifier.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Bernardo Innocenti
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_template_qualified_base_class
====================================

Synopsis
********

     AX_CXX_TEMPLATE_QUALIFIED_BASE_CLASS

Description
***********

If the compiler supports template-qualified base class specifiers,
define HAVE_TEMPLATE_QUALIFIED_BASE_CLASS.

Source Code
***********

Download the latest version of 'ax_cxx_template_qualified_base_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_template_qualified_base_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_template_qualified_base_class.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_template_qualified_return_type
=====================================

Synopsis
********

     AX_CXX_TEMPLATE_QUALIFIED_RETURN_TYPE

Description
***********

If the compiler supports template-qualified return types, define
HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE.

Source Code
***********

Download the latest version of
'ax_cxx_template_qualified_return_type.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_template_qualified_return_type.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_template_qualified_return_type.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_template_scoped_argument_matching
========================================

Synopsis
********

     AX_CXX_TEMPLATE_SCOPED_ARGUMENT_MATCHING

Description
***********

If the compiler supports function matching with argument types which are
template scope-qualified, define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING.

Source Code
***********

Download the latest version of
'ax_cxx_template_scoped_argument_matching.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_template_scoped_argument_matching.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_template_scoped_argument_matching.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_templates
================

Synopsis
********

     AX_CXX_TEMPLATES

Description
***********

If the compiler supports basic templates, define HAVE_TEMPLATES.

Source Code
***********

Download the latest version of 'ax_cxx_templates.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_templates.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_templates.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_templates_as_template_arguments
======================================

Synopsis
********

     AX_CXX_TEMPLATES_AS_TEMPLATE_ARGUMENTS

Description
***********

If the compiler supports templates as template arguments, define
HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS.

Source Code
***********

Download the latest version of
'ax_cxx_templates_as_template_arguments.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_templates_as_template_arguments.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_templates_as_template_arguments.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_typename
===============

Synopsis
********

     AX_CXX_TYPENAME

Description
***********

If the compiler recognizes the typename keyword, define HAVE_TYPENAME.

Source Code
***********

Download the latest version of 'ax_cxx_typename.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_typename.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_typename.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_use_numtrait
===================

Synopsis
********

     AX_CXX_USE_NUMTRAIT

Description
***********

If the compiler supports numeric traits promotions, define
HAVE_USE_NUMTRAIT.

Source Code
***********

Download the latest version of 'ax_cxx_use_numtrait.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_use_numtrait.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_use_numtrait.m4).

License
*******

Copyright (C) 2008 Todd Veldhuizen
Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_cxx_var_prettyfunc
=====================

Synopsis
********

     AX_CXX_VAR_PRETTYFUNC

Description
***********

This function tries to determine the best C++ macro/identifier that
contains the current function name.  Depending on the compiler, this may
be __PRETTY_FUNCTION__ (GCC), __FUNCSIG__ (MSVC), __func__ (C++
standard), __FUNCTION__ (fallback).

The function will define HAVE_PRETTYFUNC if a macro exists, and define
__PRETTYFUNC__ to the best possible macro.  When HAVE_PRETTYFUNC is not
defined, __PRETTYFUNC__ will contain the constant string "<<unknown>>".

Source Code
***********

Download the latest version of 'ax_cxx_var_prettyfunc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_var_prettyfunc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_var_prettyfunc.m4).

License
*******

Copyright (C) 2014 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_cxx_verbose_terminate_handler
================================

Synopsis
********

     AX_CXX_VERBOSE_TERMINATE_HANDLER

Description
***********

Check if the terminate handler for the current compiler/standard library
prints useful information to stdout/stderr (i.e.  the type of the
uncaught exception and/or the what() string).

The intended use case for this check is to help program authors decide
if they need to add a top-level try-catch or custom terminate handler to
print useful information if an uncaught exception occurs, or if this
task can be left to the standard library implementation.  Alternatively,
it can be used to detect if such output needs to be silenced with a
custom terminate handler.

Output:

Define HAVE_VERBOSE_TERMINATE_HANDLER if useful information is printed.

Source Code
***********

Download the latest version of 'ax_cxx_verbose_terminate_handler.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_cxx_verbose_terminate_handler.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_cxx_verbose_terminate_handler.m4).

License
*******

Copyright (C) 2009 Kevin Locke <klocke@digitalenginesoftware.com>
Copyright (C) 2008 Lapo Luchini <lapo@lapo.it>

Copying and distribution of this file, with or without modification, is
permitted in any medium, without royalty, provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.  This file is offered as-is, without any warranty.

ax_czmq
=======

Synopsis
********

     AX_CZMQ([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the CZMQ libraries of a particular version (or newer).  The
default version tested for is 3.0.0.

The macro tests for CZMQ libraries in the library/include path, and,
when provided, also in the path given by -with-czmq.

This macro calls:

       AC_SUBST(CZMQ_CPPFLAGS) / AC_SUBST(CZMQ_LDFLAGS) / AC_SUBST(CZMQ_LIBS)

And sets:

       HAVE_CZMQ

Source Code
***********

Download the latest version of 'ax_czmq.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_czmq.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_czmq.m4).

License
*******

Copyright (C) 2016 Jeroen Meijer <jjgmeijer@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_decl_wchar_max
=================

Synopsis
********

     AX_DECL_WCHAR_MAX

Description
***********

Checks whether the system headers define WCHAR_MAX or not.  If it is
already defined, does nothing.  Otherwise checks the size and signedness
of 'wchar_t', and defines WCHAR_MAX to the maximum value that can be
stored in a variable of type 'wchar_t'.

Source Code
***********

Download the latest version of 'ax_decl_wchar_max.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_decl_wchar_max.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_decl_wchar_max.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_define_integer_bits
======================

Synopsis
********

     AX_DEFINE_INTEGER_BITS (TYPE [, CANDIDATE-TYPE]...)

Description
***********

Given a TYPE of the form "int##_t" or "uint##_t", see if the datatype
TYPE is predefined.  If not, then define TYPE - both with AC_DEFINE and
as a shell variable - to the first datatype of exactly ## bits in a list
of CANDIDATE-TYPEs.  If none of the CANDIDATE-TYPEs contains exactly ##
bits, then set the TYPE shell variable to "no".

For example, the following ensures that uint64_t is defined as a 64-bit
datatype:

       AX_DEFINE_INTEGER_BITS(uint64_t, unsigned long long, unsigned __int64, long)
       if test "$uint64_t" = no; then
         AC_MSG_ERROR([unable to continue without a 64-bit datatype])
       fi

You should then put the following in your C code to ensure that all
datatypes defined by AX_DEFINE_INTEGER_BITS are visible to your program:

       #include "config.h"

       #if HAVE_INTTYPES_H
       # include <inttypes.h>
       #else
       # if HAVE_STDINT_H
       #  include <stdint.h>
       # endif
       #endif

Source Code
***********

Download the latest version of 'ax_define_integer_bits.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_define_integer_bits.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_define_integer_bits.m4).

License
*******

Copyright (C) 2008 Scott Pakin <pakin@uiuc.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_define_sub_path
==================

Synopsis
********

     AX_DEFINE_SUB_PATH(DEFNAME, varname, description)

Description
***********

Look at varname and detect the subpath that it contains relative to
$prefix/$exec_prefix.  If the path is indeed relative to
$prefix/$exec_prefix, then a single "./" (dotslash) is prepended,
otherwise it can be seen as an absolute path that cannot be moved, which
you possibly do for "/etc" files, or even those ending up in
"/lib/modules" or "/winnt/system".

This macro is not very intelligent, it's just a first try in this
direction.  It does currently just look into the current patterns, and
replaces a ${prefix} with a simple dot.  Amazingly, it works quite well
for most packages.

Example (configure.ac):

       AX_DEFINE_DIR([EPREFIX], [exec_prefix], [--exec-prefix or default])
       AX_DEFINE_SUB_PATH([PATH_LIBDIR], [libdir], [--bindir subdir])
       AC_DEFINE_UNQUOTED([PACKAGE],"$PACKAGE", [Name of package])

Example (in C):

       static const char _libdir[] = PATH_LIBDIR; /* configure default */
       char* libdir;
       char* eprefix = getenv (PACKAGE "DIR");
       if (! eprefix) eprefix = EPREFIX; /* default */
       if (*_libdir != '.') libdir = strdup(_libdir);
       else {
          libdir = malloc(strlen(eprefix) + strlen(_libdir) + 2);
          strcpy(libdir, eprefix);
          strcat(libdir, PATH_DELIMITER_STRING);
          strcat(libdir, _libdir);
       }
       ...
       free (libdir);

The AX_DEFINE_SUB_PATHS(varnames) macro looks for the given various
install-paths that largely depend on either ${prefix} or ${exec_prefix}.
Just cut out the prefix and ac_define the value.  The value is
uppercased and PATH_ prepended ie.  ax_define_sub_paths(bindir libdir
pkgdatadir) will create the defines PATH_BINDIR PATH_LIBDIR
PATH_PKGDATADIR - see posix' include/paths.h that creates _PATH_DEV and
friends.

Source Code
***********

Download the latest version of 'ax_define_sub_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_define_sub_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_define_sub_path.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_dirname
==========

Synopsis
********

     AX_DIRNAME(PATHNAME)

Description
***********

Parts of the implementation have been taken from AS_DIRNAME from the
main autoconf package in generation 2.5x.  However, we do only use "sed"
to cut out the dirname, and we do additionally clean up some dir/..
parts in the resulting pattern.

this macro may be used in autoconf 2.13 scripts as well.

Source Code
***********

Download the latest version of 'ax_dirname.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_dirname.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_dirname.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_dist_msi
===========

Synopsis
********

     AX_DIST_MSI([File])

Description
***********

Adds support for a msi (Microsoft Installer) dist target.

You must manually build the msi file yourself (probably from another
computer).  But it will be added to the list of extra bin dists and
flagged for uploading (see ax_extra_dist.m4 and ax_upload.m4 for
details).

Source Code
***********

Download the latest version of 'ax_dist_msi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_dist_msi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_dist_msi.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_dist_rpm
===========

Synopsis
********

     AX_DIST_RPM([SPEC])

Description
***********

Adds support for a rpm dist target.

You will need to create a spec template with everything except the files
and the Changelog.  Use @PACKAGE@ and @VERSION@ to refer to the package
name and version respectively.  The files and ChangeLog will be filled
in automatically.  For instance:

       Summary: Foobar
       Name: @PACKAGE@
       Version: @VERSION@
       Release: 0
       License: GPL
       Group: Productivity/Networking
       Source0: http://somewhere/Foobar/%{name}-%{version}.tar.gz
       URL: http://somewhere
       BuildRoot: %{_tmppath}/%{name}-root
       Prefix: %{_prefix}

       %description
       Foobar does something

       %prep
       %setup

       %build
       %configure
       make

       %install
       %makeinstall

       %clean
       rm -rf $RPM_BUILD_ROOT

       %files
       %defattr(-,root,root)

       %doc AUTHORS BUGS COPYING INSTALL NEWS README

       %changelog

Make sure ax_upload.am is added to aminclude_static.am and you have
'include aminclude_static.am' in Makefile.am

Source Code
***********

Download the latest version of 'ax_dist_rpm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_dist_rpm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_dist_rpm.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_dll_string
=============

Synopsis
********

     AX_DLL_STRING

Description
***********

Tests for a bug currently in g++ 3.4.4 on Cygwin (maybe other targets
with statically linked libstdc++?)  where passing an empty std::string
to a dll will cause a crash on destruction due to incorrect memory
handling.  See bug 24196 in gcc's bugzilla for more details:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=24196

Source Code
***********

Download the latest version of 'ax_dll_string.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_dll_string.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_dll_string.m4).

License
*******

Copyright (C) 2008 Steven Brown <swbrown@variadic.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_elisp
========

Synopsis
********

     AX_ELISP_CONFIG_FILE(FILENAME)
     AX_ELISP_CHECK(SYMBOL,DESCRIPTION,BODY,SUCCESS-EXPR)
     AX_ELISP_CHECK_FEATURE(SYMBOL)
     AX_ELISP_CHECK_FBOUNDP(SYMBOL,[FEATURE [...]])
     AX_ELISP_CHECK_BOUNDP(SYMBOL,[FEATURE [...]])

Description
***********

This is a simple library to check the Emacs reality by way of Emacs Lisp
forms evaluated under $EMACS -batch -Q. This means you MUST have the
shell variable EMACS set to a valid Emacs executable prior to the first
call to any of the AX_ELISP_CHECK et al macros.  Those work by saving
their results to the file defined by calling AX_ELISP_CONFIG_FILE so you
MUST call that prior, too.  For example:

       dnl Arrange to save config answers in $top_builddir/lisp/config.el.
       AX_ELISP_CONFIG_FILE([lisp/config.el])

       dnl Set shell variable EMACS and AC_SUBST it, too.
       dnl (NB: This is a separate Autoconf Archive macro.)
       AX_PROG_EMACS

In the following detailed descriptions, SYMBOL stands for an Emacs Lisp
symbol, which may contain hyphens, e.g., 'define-error' or 'org-src'.
Likewise, FEATURE is an Emacs Lisp symbol (naming a feature).  BODY and
SUCCESS-EXPR are Emacs Lisp forms, zero or more for BODY and exactly one
for SUCCESS-EXPR. In these forms you must take care to avoid apostrophe
(U+27).  Instead of 'foo, write (quote foo).

* AX_ELISP_CONFIG_FILE(FILENAME)

This arranges for future AX_ELISP_CHECK (et al) calls to save their
results in FILENAME. May be called multiple times.  FILENAME should be
relative to the top build dir.

* AX_ELISP_CHECK(SYMBOL,DESCRIPTION,BODY,SUCCESS-EXPR)

This is the general macro that the other AX_ELISP_CHECK* macros use.  It
constructs a short Emacs Lisp file comprising BODY and evaluates it via
$EMACS -batch -Q. The exit value of this script depends on the result of
evaluating SUCCESS-EXPR: non-nil is success and nil is failure.  On
success, append SYMBOL on a line of its own to the config file.  This
macro uses AC_CACHE_CHECK and passes DESCRIPTION to it.

* AX_ELISP_CHECK_FEATURE(FEATURE)

This checks if (require (quote FEATURE)) is successful.  If so, add
featurep-FEATURE to the config file (NB the "featurep-" prefix).

* AX_ELISP_CHECK_FBOUNDP(SYMBOL,[FEATURE [...]])

This checks if (fboundp (quote SYMBOL)) is successful.  If so, append
SYMBOL to the config file.  Optional 2nd arg is a space-separated list
of features to require prior to the fboundp check.

* AX_ELISP_CHECK_BOUNDP(SYMBOL,[FEATURE [...]])

This checks if (boundp (quote SYMBOL)) is successful.  If so, append
SYMBOL to the config file.  Optional 2nd arg is a space-separated list
of features to require prior to the boundp check.

Source Code
***********

Download the latest version of 'ax_elisp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_elisp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_elisp.m4).

License
*******

Copyright (C) 2016-2017 Thien-Thi Nguyen

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_enable_builddir
==================

Synopsis
********

     AX_ENABLE_BUILDDIR [(dirstring-or-command [,Makefile.mk [,-all]])]

Description
***********

If the current configure was run within the srcdir then we move all
configure-files into a subdir and let the configure steps continue
there.  We provide an option -disable-builddir to suppress the move into
a separate builddir.

Defaults:

       $1 = $host (overridden with $HOST)
       $2 = Makefile.mk
       $3 = -all

This macro must be called before AM_INIT_AUTOMAKE. It creates a default
toplevel srcdir Makefile from the information found in the created
toplevel builddir Makefile.  It just copies the variables and
rule-targets, each extended with a default rule-execution that recurses
into the build directory of the current "HOST". You can override the
auto-detection through 'config.guess' and build-time of course, as in

       make HOST=i386-mingw-cross

which can of course set at configure time as well using

       configure --host=i386-mingw-cross

After the default has been created, additional rules can be appended
that will not just recurse into the subdirectories and only ever exist
in the srcdir toplevel makefile - these parts are read from the $2 =
Makefile.mk file

The automatic rules are usually scanning the toplevel Makefile for lines
like '#### $host |$builddir' to recognize the place where to recurse
into.  Usually, the last one is the only one used.  However, almost all
targets have an additional "*-all" rule which makes the script to
recurse into _all_ variants of the current HOST (!!)  setting.  The
"-all" suffix can be overridden for the macro as well.

a special rule is only given for things like "dist" that will copy the
tarball from the builddir to the sourcedir (or $(PUB)) for reason of
convenience.

Source Code
***********

Download the latest version of 'ax_enable_builddir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_enable_builddir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_enable_builddir.m4).

License
*******

Copyright (C) 2009 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2009 Alan Jenkins <alan-jenkins@tuffmail.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_execinfo
===========

Synopsis
********

     AX_EXECINFO([ACTION-IF-EXECINFO-H-IS-FOUND], [ACTION-IF-EXECINFO-H-IS-NOT-FOUND], [ADDITIONAL-TYPES-LIST])

Description
***********

Checks for execinfo.h header and if the len parameter/return type can be
found from a list, also define backtrace_size_t to that type.

By default the list of types to try contains int and size_t, but should
some yet undiscovered system use e.g.  unsigned, the 3rd argument can be
used for extensions.  I'd like to hear of further suggestions.

Executes ACTION-IF-EXECINFO-H-IS-FOUND when present and the execinfo.h
header is found or ACTION-IF-EXECINFO-H-IS-NOT-FOUND in case the header
seems unavailable.

Also adds -lexecinfo to LIBS on BSD if needed.

Source Code
***********

Download the latest version of 'ax_execinfo.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_execinfo.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_execinfo.m4).

License
*******

Copyright (C) 2014 Thomas Jahns <jahns@dkrz.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_expand_prefix
================

Synopsis
********

     AX_EXPAND_PREFIX

Description
***********

When $prefix and $exec_prefix are still set to NONE then set them to the
usual default values - being based on $ac_default_prefix.  - this macro
can be AC_REQUIREd by other macros that need to compute values for
installation directories.  It has been observed that it was done wrong
over and over again, so this is a bit more safe to do.

remember - setting exec_prefix='${prefix}' needs you interpolate
directories multiple times, it is not sufficient to just say
MYVAR="${datadir}/putter" but you do have to run 'eval' a few times,
sth.  like MYVAR='eval "echo \"$MYVAR\""' done at least two times.

The implementation of this macro simply picks up the lines that would be
run at the start of AC_OUTPUT anyway to set the prefix/exec_prefix
defaults.  Between AC_INIT and the first command to AC_REQUIRE this
macro you can set the two variables to something explicit instead.
Probably, any command to compute installation directories should be run
_after_ AM_INIT_AUTOMAKE

Source Code
***********

Download the latest version of 'ax_expand_prefix.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_expand_prefix.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_expand_prefix.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ext
======

Synopsis
********

     AX_EXT

Description
***********

Find supported SIMD extensions by requesting cpuid.  When a SIMD
extension is found, the -m"simdextensionname" is added to SIMD_FLAGS if
compiler supports it.  For example, if "sse2" is available then "-msse2"
is added to SIMD_FLAGS.

Find other supported CPU extensions by requesting cpuid.  When a
processor extension is found, the -m"extensionname" is added to
CPUEXT_FLAGS if compiler supports it.  For example, if "bmi2" is
available then "-mbmi2" is added to CPUEXT_FLAGS.

This macro calls:

       AC_SUBST(SIMD_FLAGS)
       AC_SUBST(CPUEXT_FLAGS)

And defines:

       HAVE_RDRND / HAVE_BMI1 / HAVE_BMI2 / HAVE_ADX / HAVE_MPX
       HAVE_PREFETCHWT1 / HAVE_ABM / HAVE_MMX / HAVE_SSE / HAVE_SSE2
       HAVE_SSE3 / HAVE_SSSE3 / HAVE_SSE4_1 / HAVE_SSE4_2 / HAVE_SSE4a
       HAVE_SHA / HAVE_AES / HAVE_AVX / HAVE_FMA3 / HAVE_FMA4 / HAVE_XOP
       HAVE_AVX2 / HAVE_AVX512_F / HAVE_AVX512_CD / HAVE_AVX512_PF
       HAVE_AVX512_ER / HAVE_AVX512_VL / HAVE_AVX512_BW / HAVE_AVX512_DQ
       HAVE_AVX512_IFMA / HAVE_AVX512_VBMI / HAVE_ALTIVEC / HAVE_VSX

Source Code
***********

Download the latest version of 'ax_ext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ext.m4).

License
*******

Copyright (C) 2007 Christophe Tournayre <turn3r@users.sourceforge.net>
Copyright (C) 2013,2015 Michael Petch <mpetch@capp-sysware.com>
Copyright (C) 2017 Rafael de Lucena Valle <rafaeldelucena@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ext_check_header
===================

Synopsis
********

     AX_EXT_CHECK_HEADER(<header>, <paths>).

Description
***********

Check for <header> with -I<path> for each path in <paths> if need be.
The first sucecssful path is chosen (eg if you say
AX_EXT_CHECK_HEADER(foo.h, bar baz qux) and -Ibaz works then -Iqux will
not be tested.

Any -I flags that locate a header are added to CFLAGS and CPPFLAGS. AS
with AC_CHECK_HEADERS it causes HAVE_<header>_H to be defined as 1.

Example:

      AX_EXT_HAVE_HEADER(openssl/rsa.h, /usr/local/include /usr/local/ssl/include /usr/local/openssl/include)

Source Code
***********

Download the latest version of 'ax_ext_check_header.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ext_check_header.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ext_check_header.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ext_have_lib
===============

Synopsis
********

     AX_EXT_HAVE_LIB(<directories>, <library>, <function>, <extra libraries>)

Description
***********

AX_EXT_HAVE_LIB is identical to AC_SEARCH_LIBS with the exception that
will add -L<directory> when looking, and use a different variable for
each directory.

Any required -L<directory> flags are added to LDFLAGS and located
libraies are added to LIBS

Some libraries are unlinkable without other extra libraries, which can
be specified in the 4th argument.  The mysql client library needs -lz,
for example.

Example:

      AX_EXT_HAVE_LIB(/lib /usr/lib /usr/local/lib /usr/lib/mysql /usr/local/mysql/lib, mysqlclient, mysql_init, [-lz])

which finds the mysql client library if succeeds system when it tries
with -L/usr/lib/mysql then it adds -lmysqlclient to LIBS and
-L/usr/lib/mysql to LDFLAGS.

The test itself is based on the autoconf 2.53 version of AC_SEARCH_LIBS.

Source Code
***********

Download the latest version of 'ax_ext_have_lib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ext_have_lib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ext_have_lib.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_extend_srcdir
================

Synopsis
********

     AX_EXTEND_SRCDIR

Description
***********

The AX_EXTEND_SRCDIR macro extends $srcdir by one path component.

As an example, when working in /home/michael/i3-4.12/build and calling
../configure, your $srcdir is "..".  After calling AX_EXTEND_SRCDIR,
$srcdir will be set to "../../i3-4.12".

The result of extending $srcdir is that filenames (e.g.  in the output
of the "backtrace" gdb command) will include one more path component of
the absolute source path.  The additional path component makes it easy
for users to recognize which files belong to the PACKAGE, and - provided
a dist tarball was unpacked - which version of PACKAGE was used.

As an example, in "backtrace", you will see:

       #0  main (argc=1, argv=0x7fffffff1fc8) at ../../i3-4.12/src/main.c:187

instead of:

       #0  main (argc=1, argv=0x7fffffff1fc8) at ../src/main.c:187

In case your code uses the __FILE__ preprocessor directive to refer to
the filename of the current source file (e.g.  in debug messages), using
the extended path might be undesirable.  For this purpose,
AX_EXTEND_SRCDIR defines the output variable AX_EXTEND_SRCDIR_CPPFLAGS,
which can be added to AM_CPPFLAGS in Makefile.am in order to define the
preprocessor directive STRIPPED__FILE__.  As an example, when compiling
the file "../../i3-4.12/src/main.c", STRIPPED__FILE__ evaluates to
"main.c".

There are some caveats: When $srcdir is "."  (i.e.  when ./configure was
called instead of ../configure in a separate build directory),
AX_EXTEND_SRCDIR will still extend $srcdir, but the intended effect will
not be achieved because of the way automake specifies file paths:
automake defines COMPILE to use "'test -f '$source' || echo
'\$(srcdir)/''$source" in order to prefer files in the current directory
over specifying $srcdir explicitly.

The AX_EXTEND_SRCDIR author is not aware of any way to influence this
automake behavior.  Patches very welcome.

To work around this issue, you can use AX_ENABLE_BUILDDIR i.e.  by
adding the following code to configure.ac:

       AX_ENABLE_BUILDDIR
       dnl ...
       AX_EXTEND_SRCDIR

Then also add this bit to Makefile.am (if you wish to use
STRIPPED__FILE__ in your code):

       AM_CPPFLAGS = @AX_EXTEND_SRCDIR_CPPFLAGS@

Source Code
***********

Download the latest version of 'ax_extend_srcdir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_extend_srcdir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_extend_srcdir.m4).

License
*******

Copyright (C) 2016 Michael Stapelberg <michael@i3wm.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_extra_dist
=============

Synopsis
********

     AX_EXTRA_DIST

Description
***********

Allow support for custom dist targets.

To add custom dist targets, you must create a dist-<TYPE> target within
your Makefile.am, where <TYPE> is the name of the dist and then add
<TYPE> to EXTRA_SRC_DISTS or EXTRA_BIN_DISTS. For example:

       dist-foobar:
        <rules for making the foobar dist>

       EXTRA_BIN_DISTS += foobar

You can then build all the src dist targets by running:

       make dist-src

You can build all the binary dist targets by running:

       make dist-bin

and you can build both the src and dist targets by running:

       make all-dist

Source Code
***********

Download the latest version of 'ax_extra_dist.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_extra_dist.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_extra_dist.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f77_cmain_fflags
===================

Synopsis
********

     AX_F77_CMAIN_FFLAGS([ACTION-IF-SUCCEED], [ACTION-IF-FAIL])

Description
***********

This macro figures out if extra Fortran compiler flags are required in
order to use the Fortran linker to link programs where the main()
function is defined via C (or other language).  On some systems, notably
the Alpha with Compaq compilers, the Fortran libraries have their own
main() function which must be disabled.

Runs ACTION-IF-SUCCEED if successful, and ACTION-IF-FAIL if not.
Defines the output variable F77_CMAIN_FFLAGS to any discovered flags.
(If ACTION-IF-FAIL is not specified, defaults to halting with an error.)

This macro is especially useful in conjunction with automake, since by
default automake uses $F77 to link programs mixing C and Fortran,
leading to a link error on some systems.  In this case, you should set
the FFLAGS for that program to include F77_CMAIN_FFLAGS.

Source Code
***********

Download the latest version of 'ax_f77_cmain_fflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f77_cmain_fflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f77_cmain_fflags.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_f90_header
=============

Synopsis
********

     AX_F90_HEADER(HEADER, HEADER-REGEXP, FUNCTION-BODY [, SEARCH-PATH [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

Set up the compiler flags to use a given fortran 90 header.  HEADER is
the name of the header.  HEADER-REGEXP is a regular expression (used by
find) matched by the filename of the header.  FUNCTION-BODY is the body
of a function (including the 'use' statement and the call to a function
defined by the module) SEARCH-PATH is a colon-separated list of
directories that will be recursively searched for header files.  If
empty, the search path will be composed of $prefix, $ac_default_prefix,
and all directories exactly one level *above* the directories in
$LD_LIBRARY_PATH (the rationale is that when libraries are put in
/some/path/lib, the headers are often put in a directory like
/some/path/include).  An output variable named F90_HEADER_xxx will be
set up with the proper flag for substitution in Makefiles (xxx is built
from the first argument, with autoconf traditional escapes).

Source Code
***********

Download the latest version of 'ax_f90_header.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_header.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_header.m4).

License
*******

Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_internal_headmod
=======================

Synopsis
********

     AX_F90_INTERNAL_HEADMOD(MESSAGE, FILE-REGEXP, FLAG, FUNCTION-BODY, OUTPUT-VAR[, SEARCH-PATH [, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

Internal macro used by AX_F90_HEADER and AX_F90_MODULE.

Source Code
***********

Download the latest version of 'ax_f90_internal_headmod.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_internal_headmod.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_internal_headmod.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_library
==============

Synopsis
********

     AX_F90_LIBRARY(LIBRARY, LIB-REGEXP, FUNCTION-BODY [, SEARCH-PATH [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

Set up the compiler flags to link a given fortran 90 library LIBRARY is
the name of the library.  LIB-REGEXP is a regular expression (used by
find) matched by the filename of the library, this is useful either if
the library filename does not follow the traditional libxxx.a or
libxxx.so pattern, or if some specific information is embedded into the
name, like compiler used, debugging status ...).  FUNCTION-BODY is the
body of a function (including the 'use' statements and the call to a
function defined by the library) SEARCH-PATH is a colon-separated list
of directories that will be used as the base directories for 'find' to
look for the library file.  If empty, the search path will be composed
of $prefix/lib, $ac_default_prefix/lib, and $LD_LIBRARY_PATH. Two output
variables named F90_LDFLAGS_xxx and F90_LIBS_xxx will be set up with the
proper flag for substitution in Makefiles (xxx is built from the first
argument, with autoconf traditional escapes).

Source Code
***********

Download the latest version of 'ax_f90_library.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_library.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_library.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_library_setup
====================

Synopsis
********

     AX_F90_LIBRARY_SETUP(LIBRARY, HEADER-REGEXP, MODULE-REGEXP, LIB-REGEXP, FUNCTION-BODY)

Description
***********

Convenience macro to set up a fortran 90 library in a simplified way.
LIBRARY is the name of the library.  HEADER-REGEXP is a regular
expression (used by find) matched by the header file to look for (may be
empty).  MODULE-REGEXP is a regular expression (used by find) matched by
the filename of the module (may be empty).  LIB-REGEXP is a regular
expression (used by find) matched by the filename of the library, this
is useful either if the library filename does not follow the traditional
libxxx.a or libxxx.so pattern, or if some specific information is
embedded into the name, like compiler used, debugging status ...).
FUNCTION-BODY is the body of a function (including the 'use' statements
and the call to a function defined by the library).

This macro is a simple wrapper around AX_F90_MODULE and AX_F90_LIBRARY
that uses the parameters provided by the end user through a -with-xxx
option to set up the search path.  Both a module and a library will be
tested, the same path will be used for both tests, so the path must be
set up with a common parent directory of both the library file and the
module file.  The macro also automatically updates the FCFLAGS, LDFLAGS
and LIBS variables in addition to providing the F90_HEADER_xxx,
F90_MODULE_xxx, F90_LDFLAGS_xxx and F90_LIBS_xxx output variables.

Example: suppose you have /home/nostradamus/esoteric/lib/libalchemy.a
and /home/nostradamus/esoteric/mod/alchemy.mod which provides a function
transmute_into_gold, you can use the following in you configure.ac:

       AX_F90_MODULE_EXTENSION
       if test x$ax_cv_f90_modext = xunknown ; then
         AC_MSG_ERROR([unable to find f90 modules extension])
       fi
       AX_F90_LIBRARY_SETUP(alchemy,[],alchemy.$ax_cv_f90_modext,libalchemy*,[
          use alchemy
          call transmute_into_gold('lead')
         ])

and the user could configure your package using a command like this:

       ./configure --with-alchemy=$HOME/esoteric

Source Code
***********

Download the latest version of 'ax_f90_library_setup.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_library_setup.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_library_setup.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_module
=============

Synopsis
********

     AX_F90_MODULE(MODULE, MODULE-REGEXP, FUNCTION-BODY [, SEARCH-PATH [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

Set up the compiler flags to use a given fortran 90 module MODULE is the
name of the module.  MODULE-REGEXP is a regular expression (used by
find) matched by the filename of the module.  FUNCTION-BODY is the body
of a function (including the 'use' statement and the call to a function
defined by the module) SEARCH-PATH is a colon-separated list of
directories that will be recursively searched for modules files.  If
empty, the search path will be composed of $prefix, $ac_default_prefix,
and all directories exactly one level *above* the directories in
$LD_LIBRARY_PATH (the rationale is that when libraries are put in
/some/path/lib, the modules are often put in a directory like
/some/path/include or /some/path/mod or something similar).  An output
variable named F90_MODULE_xxx will be set up with the proper flag for
substitution in Makefiles (xxx is built from the first argument, with
autoconf traditional escapes).

Source Code
***********

Download the latest version of 'ax_f90_module.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_module.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_module.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_module_extension
=======================

Synopsis
********

     AX_F90_MODULE_EXTENSION

Description
***********

Find Fortran 90 modules file extension.  The module extension is stored
in the cached variable ax_f90_modext, or "unknown" if the extension
cannot be found.

Source Code
***********

Download the latest version of 'ax_f90_module_extension.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_module_extension.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_module_extension.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>
Copyright (C) 2009 Alexander Pletzer <pletzer@txcorp.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_f90_module_flag
==================

Synopsis
********

     AX_F90_MODULE_FLAG

Description
***********

Find Fortran 90 modules inclusion flag.  The module inclusion flag is
stored in the cached variable ax_f90_modflag.  An error is triggered if
the flag cannot be found.  Supported are the -I GNU compilers flag, the
-M SUN compilers flag, and the -p Absoft Pro Fortran compiler flag.

Source Code
***********

Download the latest version of 'ax_f90_module_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_f90_module_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_f90_module_flag.m4).

License
*******

Copyright (C) 2009 Luc Maisonobe <luc@spaceroots.org>
Copyright (C) 2009 Julian C. Cummings <cummings@cacr.caltech.edu>
Copyright (C) 2009 Alexander Pletzer <pletzer@txcorp.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_fc_check_define
==================

Synopsis
********

     AX_FC_CHECK_DEFINE([symbol], [ACTION-IF-FOUND], [ACTION-IF-NOT])

Description
***********

This macro checks to see if the Fortran pre-processor has a symbol
defined.

Consider a usage like:

       AC_FC_PP_DEFINE()
       AX_FC_CHECK_DEFINE(__BIGGEST_ALIGNMENT__, [],
                          AX_APPEND_FLAG([${FC_DEFINE}__BIGGEST_ALIGNMENT__=64],
                                         [FCFLAGS]))

Source Code
***********

Download the latest version of 'ax_fc_check_define.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_fc_check_define.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_fc_check_define.m4).

License
*******

Copyright (C) 2016 Timothy Brown <tbrown@freeshell.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_file_escapes
===============

Synopsis
********

     AX_FILE_ESCAPES

Description
***********

Writes the specified data to the specified file.

Source Code
***********

Download the latest version of 'ax_file_escapes.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_file_escapes.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_file_escapes.m4).

License
*******

Copyright (C) 2008 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_find_hamcrest
================

Synopsis
********

     AX_FIND_HAMCREST

Description
***********

AX_FIND_HAMCREST will look for the Hamcrest java library.  When found
its path will be put in HAMCREST_CPF as a classpath fragment.

To override the location define HAMCREST_JAR to the wanted path.

Source Code
***********

Download the latest version of 'ax_find_hamcrest.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_find_hamcrest.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_find_hamcrest.m4).

License
*******

Copyright (C) 2013 Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_find_junit
=============

Synopsis
********

     AX_FIND_JUNIT

Description
***********

AX_FIND_JUNIT will look for the JUnit java library.  When found its path
will be put in JUNIT_CPF as a classpath fragment.

To override the location define JUNIT_JAR to the wanted path.

Source Code
***********

Download the latest version of 'ax_find_junit.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_find_junit.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_find_junit.m4).

License
*******

Copyright (C) 2013 Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_find_scala_stdlib
====================

Synopsis
********

     AX_FIND_SCALA_STDLIB

Description
***********

AX_FIND_SCALA_STDLIB will look for the Scala Standard Library.  When
found its path will be put in SCALA_STDLIB_CPF as a classpath fragment.

To override the location define SCALA_STDLIB to the wanted path

Source Code
***********

Download the latest version of 'ax_find_scala_stdlib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_find_scala_stdlib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_find_scala_stdlib.m4).

License
*******

Copyright (C) 2013 Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>

Copying and distribution of this file, with or without modification,are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_forceinline
==============

Synopsis
********

     AX_FORCEINLINE()

Description
***********

Provides a test for C compiler support of forced inlining.  If usable,
#define FORCEINLINE to the appropriate force inline keyword.  Otherwise
#define FORCEINLINE to be 'inline'.

Source Code
***********

Download the latest version of 'ax_forceinline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_forceinline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_forceinline.m4).

License
*******

Copyright (C) 2008 Alan Woodland <ajw05@aber.ac.uk>
Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_func_accept_argtypes
=======================

Synopsis
********

     AX_FUNC_ACCEPT_ARGTYPES

Description
***********

Checks the data types of the three arguments to accept().  Results are
placed into the symbols ACCEPT_TYPE_ARG[123], consistent with the
following example:

       #define ACCEPT_TYPE_ARG1 int
       #define ACCEPT_TYPE_ARG2 struct sockaddr *
       #define ACCEPT_TYPE_ARG3 socklen_t *

This macro requires AC_CHECK_HEADERS to have already verified the
presence or absence of sys/types.h and sys/socket.h.

NOTE: This is just a modified version of the AC_FUNC_SELECT_ARGTYPES
macro.  Credit for that one goes to David MacKenzie et.  al.

Source Code
***********

Download the latest version of 'ax_func_accept_argtypes.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_accept_argtypes.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_accept_argtypes.m4).

License
*******

Copyright (C) 2008 Daniel Richard G. <skunk@iskunk.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_func_getopt_long
===================

Synopsis
********

     AX_FUNC_GETOPT_LONG

Description
***********

Check for getopt_long support.

This assume that the standard getopt.h file (from GNU libc) is available
as lib/gnugetopt.h.  If needed, this file will be linked as getopt.h,
but we want to default to the system's getopt.h file.  (See
http://sources.redhat.com/ml/automake/2000-09/msg00041.html for an
explanation about why using the system's getopt.h file is important.)

Source Code
***********

Download the latest version of 'ax_func_getopt_long.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_getopt_long.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_getopt_long.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_func_memmove
===============

Synopsis
********

     AX_FUNC_MEMMOVE

Description
***********

Checks for a memmove that can handle overlaps correctly.  If no working
memmove is found, request a replacement and warn the user about it.

Source Code
***********

Download the latest version of 'ax_func_memmove.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_memmove.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_memmove.m4).

License
*******

Copyright (C) 2008 Ruediger Kuhlmann <info@ruediger-kuhlmann.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_func_mkdir
=============

Synopsis
********

     AX_FUNC_MKDIR

Description
***********

Check whether mkdir() is mkdir or _mkdir, and whether it takes one or
two arguments.

This macro can define HAVE_MKDIR, HAVE__MKDIR, and MKDIR_TAKES_ONE_ARG,
which are expected to be used as follows:

       #if HAVE_MKDIR
       #  if MKDIR_TAKES_ONE_ARG
            /* MinGW32 */
       #    define mkdir(a, b) mkdir(a)
       #  endif
       #else
       #  if HAVE__MKDIR
            /* plain Windows 32 */
       #    define mkdir(a, b) _mkdir(a)
       #  else
       #    error "Don't know how to create a directory on this system."
       #  endif
       #endif

Source Code
***********

Download the latest version of 'ax_func_mkdir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_mkdir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_mkdir.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_func_posix_memalign
======================

Synopsis
********

     AX_FUNC_POSIX_MEMALIGN

Description
***********

Some versions of posix_memalign (notably glibc 2.2.5) incorrectly apply
their power-of-two check to the size argument, not the alignment
argument.  AX_FUNC_POSIX_MEMALIGN defines HAVE_POSIX_MEMALIGN if the
power-of-two check is correctly applied to the alignment argument.

Source Code
***********

Download the latest version of 'ax_func_posix_memalign.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_posix_memalign.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_posix_memalign.m4).

License
*******

Copyright (C) 2008 Scott Pakin <pakin@uiuc.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_func_snprintf
================

Synopsis
********

     AX_FUNC_SNPRINTF

Description
***********

Checks for a fully C99 compliant snprintf, in particular checks whether
it does bounds checking and returns the correct string length; does the
same check for vsnprintf.  If no working snprintf or vsnprintf is found,
request a replacement and warn the user about it.  Note: the mentioned
replacement is freely available and may be used in any project
regardless of it's license.

Source Code
***********

Download the latest version of 'ax_func_snprintf.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_snprintf.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_snprintf.m4).

License
*******

Copyright (C) 2008 Ruediger Kuhlmann <info@ruediger-kuhlmann.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_func_which_gethostbyname_r
=============================

Synopsis
********

     AX_FUNC_WHICH_GETHOSTBYNAME_R

Description
***********

Determines which historical variant of the gethostbyname_r() call
(taking three, five, or six arguments) is available on the system and
defines one of the following macros accordingly:

       HAVE_FUNC_GETHOSTBYNAME_R_6
       HAVE_FUNC_GETHOSTBYNAME_R_5
       HAVE_FUNC_GETHOSTBYNAME_R_3

as well as

       HAVE_GETHOSTBYNAME_R

If used in conjunction with gethostname.c, the API demonstrated in
test.c can be used regardless of which gethostbyname_r() is available.
These example files can be found at
http://www.csn.ul.ie/~caolan/publink/gethostbyname_r

based on David Arnold's autoconf suggestion in the threads faq

Originally named "AC_caolan_FUNC_WHICH_GETHOSTBYNAME_R". Rewritten for
Autoconf 2.5x, and updated for 2.68 by Daniel Richard G.

Source Code
***********

Download the latest version of 'ax_func_which_gethostbyname_r.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_which_gethostbyname_r.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_which_gethostbyname_r.m4).

License
*******

Copyright (C) 2008 Caolan McNamara <caolan@skynet.ie>
Copyright (C) 2008 Daniel Richard G. <skunk@iskunk.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_func_which_getservbyname_r
=============================

Synopsis
********

     AX_FUNC_WHICH_GETSERVBYNAME_R

Description
***********

Provides a test to determine the correct way to call getservbyname_r:

      - defines HAVE_FUNC_GETSERVBYNAME_R_6 if it needs 6 arguments (e.g linux)
      - defines HAVE_FUNC_GETSERVBYNAME_R_5 if it needs 5 arguments (e.g. solaris)
      - defines HAVE_FUNC_GETSERVBYNAME_R_4 if it needs 4 arguments (e.g. osf/1)

An example use can be found at
http://raf.org/autoconf/net_getservbyname.c

Based on Caolan McNamara's gethostbyname_r macro.  Based on David
Arnold's autoconf suggestion in the threads faq.

Source Code
***********

Download the latest version of 'ax_func_which_getservbyname_r.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_func_which_getservbyname_r.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_func_which_getservbyname_r.m4).

License
*******

Copyright (C) 2008 raf <raf@raf.org>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_archflag
===============

Synopsis
********

     AX_GCC_ARCHFLAG([PORTABLE?], [ACTION-SUCCESS], [ACTION-FAILURE])

Description
***********

This macro tries to guess the "native" arch corresponding to the target
architecture for use with gcc's -march=arch or -mtune=arch flags.  If
found, the cache variable $ax_cv_gcc_archflag is set to this flag and
ACTION-SUCCESS is executed; otherwise $ax_cv_gcc_archflag is set to
"unknown" and ACTION-FAILURE is executed.  The default ACTION-SUCCESS is
to add $ax_cv_gcc_archflag to the end of $CFLAGS.

PORTABLE? should be either [yes] (default) or [no].  In the former case,
the flag is set to -mtune (or equivalent) so that the architecture is
only used for tuning, but the instruction set used is still portable.
In the latter case, the flag is set to -march (or equivalent) so that
architecture-specific instructions are enabled.

The user can specify -with-gcc-arch=<arch> in order to override the
macro's choice of architecture, or -without-gcc-arch to disable this.

When cross-compiling, or if $CC is not gcc, then ACTION-FAILURE is
called unless the user specified -with-gcc-arch manually.

Requires macros: AX_CHECK_COMPILE_FLAG, AX_GCC_X86_CPUID

(The main emphasis here is on recent CPUs, on the principle that doing
high-performance computing on old hardware is uncommon.)

Source Code
***********

Download the latest version of 'ax_gcc_archflag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_archflag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_archflag.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Matteo Frigo
Copyright (C) 2014 Tsukasa Oi
Copyright (C) 2017-2018 Alexey Kopytov

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_builtin
==============

Synopsis
********

     AX_GCC_BUILTIN(BUILTIN)

Description
***********

This macro checks if the compiler supports one of GCC's built-in
functions; many other compilers also provide those same built-ins.

The BUILTIN parameter is the name of the built-in function.

If BUILTIN is supported define HAVE_<BUILTIN>.  Keep in mind that since
builtins usually start with two underscores they will be copied over
into the HAVE_<BUILTIN> definition (e.g.  HAVE___BUILTIN_EXPECT for
__builtin_expect()).

The macro caches its result in the ax_cv_have_<BUILTIN> variable (e.g.
ax_cv_have___builtin_expect).

The macro currently supports the following built-in functions:

      __builtin_assume_aligned
      __builtin_bswap16
      __builtin_bswap32
      __builtin_bswap64
      __builtin_choose_expr
      __builtin___clear_cache
      __builtin_clrsb
      __builtin_clrsbl
      __builtin_clrsbll
      __builtin_clz
      __builtin_clzl
      __builtin_clzll
      __builtin_complex
      __builtin_constant_p
      __builtin_ctz
      __builtin_ctzl
      __builtin_ctzll
      __builtin_expect
      __builtin_ffs
      __builtin_ffsl
      __builtin_ffsll
      __builtin_fpclassify
      __builtin_huge_val
      __builtin_huge_valf
      __builtin_huge_vall
      __builtin_inf
      __builtin_infd128
      __builtin_infd32
      __builtin_infd64
      __builtin_inff
      __builtin_infl
      __builtin_isinf_sign
      __builtin_nan
      __builtin_nand128
      __builtin_nand32
      __builtin_nand64
      __builtin_nanf
      __builtin_nanl
      __builtin_nans
      __builtin_nansf
      __builtin_nansl
      __builtin_object_size
      __builtin_parity
      __builtin_parityl
      __builtin_parityll
      __builtin_popcount
      __builtin_popcountl
      __builtin_popcountll
      __builtin_powi
      __builtin_powif
      __builtin_powil
      __builtin_prefetch
      __builtin_trap
      __builtin_types_compatible_p
      __builtin_unreachable

Unsupported built-ins will be tested with an empty parameter set and the
result of the check might be wrong or meaningless so use with care.

Source Code
***********

Download the latest version of 'ax_gcc_builtin.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_builtin.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_builtin.m4).

License
*******

Copyright (C) 2013 Gabriele Svelto <gabriele.svelto@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_const_call
=================

Synopsis
********

     AX_GCC_CONST_CALL

Description
***********

The macro will compile a test program to see whether the compiler does
understand the per-function postfix pragma.

Source Code
***********

Download the latest version of 'ax_gcc_const_call.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_const_call.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_const_call.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_func_attribute
=====================

Synopsis
********

     AX_GCC_FUNC_ATTRIBUTE(ATTRIBUTE)

Description
***********

This macro checks if the compiler supports one of GCC's function
attributes; many other compilers also provide function attributes with
the same syntax.  Compiler warnings are used to detect supported
attributes as unsupported ones are ignored by default so quieting
warnings when using this macro will yield false positives.

The ATTRIBUTE parameter holds the name of the attribute to be checked.

If ATTRIBUTE is supported define HAVE_FUNC_ATTRIBUTE_<ATTRIBUTE>.

The macro caches its result in the ax_cv_have_func_attribute_<attribute>
variable.

The macro currently supports the following function attributes:

      alias
      aligned
      alloc_size
      always_inline
      artificial
      cold
      const
      constructor
      constructor_priority for constructor attribute with priority
      deprecated
      destructor
      dllexport
      dllimport
      error
      externally_visible
      fallthrough
      flatten
      format
      format_arg
      gnu_inline
      hot
      ifunc
      leaf
      malloc
      noclone
      noinline
      nonnull
      noreturn
      nothrow
      optimize
      pure
      sentinel
      sentinel_position
      unused
      used
      visibility
      warning
      warn_unused_result
      weak
      weakref

Unsupported function attributes will be tested with a prototype
returning an int and not accepting any arguments and the result of the
check might be wrong or meaningless so use with care.

Source Code
***********

Download the latest version of 'ax_gcc_func_attribute.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_func_attribute.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_func_attribute.m4).

License
*******

Copyright (C) 2013 Gabriele Svelto <gabriele.svelto@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_lib
==========

Synopsis
********

     AX_GCC_LIB(LIBRARY,[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

AX_GCC_LIB looks for LIBRARY inside gcc install directory, performs
ACTION-IF-FOUND if the library is available, ACTION-IF-NOT-FOUND
otherwise.  The gcc install directory is retrieved using
AX_GCC_INSTALL_DIR macro.

Source Code
***********

Download the latest version of 'ax_gcc_lib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_lib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_lib.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_libgcc_eh
================

Synopsis
********

     AX_GCC_LIBGCC_EH(VARIABLE)

Description
***********

AX_GCC_LIBGCC_EH defines VARIABLE as the absolute path to libgcc_eh.a if
it is available on the system, empty otherwise

Source Code
***********

Download the latest version of 'ax_gcc_libgcc_eh.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_libgcc_eh.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_libgcc_eh.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_libsupcxx
================

Synopsis
********

     AX_GCC_LIBSUPCXX(VARIABLE)

Description
***********

AX_GCC_LIBSUPCXX defines VARIABLE as the absolute path to libsupc++.a if
it is available on the system, empty otherwise.

Source Code
***********

Download the latest version of 'ax_gcc_libsupcxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_libsupcxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_libsupcxx.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2009 Alessandro Massignan <ff0000.it@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_malloc_call
==================

Synopsis
********

     AX_GCC_MALLOC_CALL

Description
***********

The macro will compile a test program to see whether the compiler does
understand the per-function postfix pragma.

Source Code
***********

Download the latest version of 'ax_gcc_malloc_call.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_malloc_call.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_malloc_call.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_var_attribute
====================

Synopsis
********

     AX_GCC_VAR_ATTRIBUTE(ATTRIBUTE)

Description
***********

This macro checks if the compiler supports one of GCC's variable
attributes; many other compilers also provide variable attributes with
the same syntax.  Compiler warnings are used to detect supported
attributes as unsupported ones are ignored by default so quieting
warnings when using this macro will yield false positives.

The ATTRIBUTE parameter holds the name of the attribute to be checked.

If ATTRIBUTE is supported define HAVE_VAR_ATTRIBUTE_<ATTRIBUTE>.

The macro caches its result in the ax_cv_have_var_attribute_<attribute>
variable.

The macro currently supports the following variable attributes:

      aligned
      cleanup
      common
      nocommon
      deprecated
      mode
      packed
      tls_model
      unused
      used
      vector_size
      weak
      dllimport
      dllexport
      init_priority

Unsupported variable attributes will be tested against a global integer
variable and without any arguments given to the attribute itself; the
result of this check might be wrong or meaningless so use with care.

Source Code
***********

Download the latest version of 'ax_gcc_var_attribute.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_var_attribute.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_var_attribute.m4).

License
*******

Copyright (C) 2013 Gabriele Svelto <gabriele.svelto@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_warn_unused_result
=========================

Synopsis
********

     AX_GCC_WARN_UNUSED_RESULT

Description
***********

The macro will compile a test program to see whether the compiler does
understand the per-function postfix pragma.

Source Code
***********

Download the latest version of 'ax_gcc_warn_unused_result.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_warn_unused_result.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_warn_unused_result.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gcc_x86_avx_xgetbv
=====================

Synopsis
********

     AX_GCC_X86_AVX_XGETBV

Description
***********

On later x86 processors with AVX SIMD support, with gcc or a compiler
that has a compatible syntax for inline assembly instructions, run a
small program that executes the xgetbv instruction with input OP. This
can be used to detect if the OS supports AVX instruction usage.

On output, the values of the eax and edx registers are stored as
hexadecimal strings as "eax:edx" in the cache variable
ax_cv_gcc_x86_avx_xgetbv.

If the xgetbv instruction fails (because you are running a
cross-compiler, or because you are not using gcc, or because you are on
a processor that doesn't have this instruction),
ax_cv_gcc_x86_avx_xgetbv_OP is set to the string "unknown".

This macro mainly exists to be used in AX_EXT.

Source Code
***********

Download the latest version of 'ax_gcc_x86_avx_xgetbv.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_x86_avx_xgetbv.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_x86_avx_xgetbv.m4).

License
*******

Copyright (C) 2013 Michael Petch <mpetch@capp-sysware.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_x86_cpu_supports
=======================

Synopsis
********

     AX_GCC_X86_CPU_SUPPORTS(X86-INSTRUCTION-SET,
       [ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks if the host cpu supports X86-INSTRUCTION-SET. The instruction set
that can be tested are "mmx, popcnt, sse, sse2, sse3, sse4.1, sse4.2,
sse4a, avx, avx2, avx512f, fma, fma4, bmi, bmi2".  If the instruction
set is supported by the host cpu, the C preprocessor macro
HAVE_XXX_INSTRUCTIONS is set to 1.  The XXX is up-cased instruction case
with dot replaced by underscore.  For example, the test for "sse4.2"
would export HAVE_SSE4_2_INSTRUCTIONS=1.  This macro requires gcc
extended builtin function "__builtin_cpu_init" and
"__builtin_cpu_supports" to detect the cpu features.  It will error out
if the compiler doesn't has these builtins.

If the test for the instruction set succeeded, the hook ACTION-IF-FOUND
would run.  Otherwise the hook ACTION-IF-NOT-FOUND would run if
specified.

See also AX_CHECK_X86_FEATURES, which checks all the possible
instruction set and export the corresponding CFLAGS.

Source Code
***********

Download the latest version of 'ax_gcc_x86_cpu_supports.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_x86_cpu_supports.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_x86_cpu_supports.m4).

License
*******

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_gcc_x86_cpuid
================

Synopsis
********

     AX_GCC_X86_CPUID(OP)
     AX_GCC_X86_CPUID_COUNT(OP, COUNT)

Description
***********

On Pentium and later x86 processors, with gcc or a compiler that has a
compatible syntax for inline assembly instructions, run a small program
that executes the cpuid instruction with input OP. This can be used to
detect the CPU type.  AX_GCC_X86_CPUID_COUNT takes an additional COUNT
parameter that gets passed into register ECX before calling cpuid.

On output, the values of the eax, ebx, ecx, and edx registers are stored
as hexadecimal strings as "eax:ebx:ecx:edx" in the cache variable
ax_cv_gcc_x86_cpuid_OP.

If the cpuid instruction fails (because you are running a
cross-compiler, or because you are not using gcc, or because you are on
a processor that doesn't have this instruction), ax_cv_gcc_x86_cpuid_OP
is set to the string "unknown".

This macro mainly exists to be used in AX_GCC_ARCHFLAG.

Source Code
***********

Download the latest version of 'ax_gcc_x86_cpuid.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gcc_x86_cpuid.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gcc_x86_cpuid.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Matteo Frigo
Copyright (C) 2015 Michael Petch <mpetch@capp-sysware.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_generate_changelog
=====================

Synopsis
********

     AX_GENERATE_CHANGELOG()

Description
***********

Builds a rule for generating a ChangeLog file from version control
system commit messages.  Currently, the only supported VCS is git, but
support for others could be added in future.

Defines GENERATE_CHANGELOG_RULES which should be substituted in your
Makefile.

Usage example:

configure.ac:

       AX_GENERATE_CHANGELOG

Makefile.am:

       @GENERATE_CHANGELOG_RULES@
       CHANGELOG_START = 0.2.3^
       dist-hook: dist-ChangeLog

ChangeLog (stub committed to VCS):

       The ChangeLog is auto-generated when releasing.
       If you are seeing this, use 'git log' for a detailed list of changes.

This results in a "dist-ChangeLog" rule being added to the Makefile.
When run, "dist-ChangeLog" will generate a ChangeLog in the
$(top_distdir), using $(CHANGELOG_GIT_FLAGS) to format the output from
"git log" being run in $(CHANGELOG_GIT_DIR).

Unless Automake is initialised with the 'foreign' option, a dummy
ChangeLog file must be committed to VCS in $(top_srcdir), containing the
text above (for example).  It will be substituted by the automatically
generated ChangeLog during "make dist".

Source Code
***********

Download the latest version of 'ax_generate_changelog.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_generate_changelog.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_generate_changelog.m4).

License
*******

Copyright (C) 2015 David King <amigadave@amigadave.com>
Copyright (C) 2015 Philip Withnall <philip.withnall@collabora.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gnu_autotest
===============

Synopsis
********

     AX_GNU_AUTOTEST([testdir = `tests'], [testsuites = `testsuite'],
                     [atlocal-sources = `'], [gen-package = `yes'],
                     [force = `no'])

Description
***********

Sets up one or multiple GNU Autotest test suites [1].

TL;DR:

       * Write tests/testsuite.at as normal
       * Add to configure.ac: AX_GNU_AUTOTEST
       * Add to Makefile.am or Makefile.in in top_srcdir:
         @AX_GNU_AUTOTEST_DEFAULT@
       * autoreconf && ./configure && make check

GNU Autotest is a very powerful testing framework to script executing
binaries, observing their output and logging failures, all in the same
portable manner as configure itself.  But the only help given the
developer in setting up the framework is the AC_CONFIG_TESTDIR()
command, which leaves several additional steps up to the developer
copying examples from the manual:

       * generating the "package.m4" file used in generating the "testsuite"
       * generating the "testsuite" executable by calling autom4te
       * adding Makefile rules to keep both "package.m4" and "testsuite"
         current
       * figuring out how to do all the above if the Makefile does not reside
         in the testdir

This command takes care of all of the above.  It is designed to be
called multiple times for different testdir directories, to have
multiple testsuites scripts per directory and to handle the optional
"package.m4" and "atlocal" (re)generation.

The various actions taken by this command happen in different phases of
the build process:

       1) During the autoconf execution, generate the testsuites and any
          "package.m4" files. So these are already available before configure
          ran. The reasoning for deviating from the examples in [1] is that
          these files are distributed and must be placed in the srcdir: it
          seems cleaner to not generate anything in srcdir during any of the
          later phases.
       2) During the config.status execution (following the configure
          execution), generate "atconfig" and any "atlocal" files in the
          buildir. The "atconfig" generation is handled by calling
          AC_CONFIG_TESTDIR() so the developer does not have to do so
          themselves.
       3) During the execution of make, several additional rules and file
          lists are made available via AC_SUBST(). The rules are intended
          to be called where appropriate (e.g. make check can depend on
          check-autotest) and the file lists are intended to be added
          to the appropriate lists (i.e. to DISTCLEANFILES and EXTRA_DIST).

Description of AX_GNU_AUTOTEST() arguments:

       * testdir: directory-name containing the testsuites. AX_GNU_AUTOTEST()
         must be called exactly once for each directory containing testsuites.
         If empty, defaults to "tests".
       * testsuites: space-separated list of words, where each word is the
         name of a test suite script optionally followed by a colon and the
         name of the scripts source file. If the source file is not given,
         it defaults to the script name suffixed by ".at". So these words
         are all equivalent: "foo", "foo:" and "foo:foo.at". If the argument
         is empty, it defaults to "testsuite". The script filenames must not
         contain any path, but that is allowed for the source filenames.
       * atlocal-sources: space- or colon-separated list of filenames, which
         are registered with AC_CONFIG_FILES() as the sources of atlocal.
         If empty, no atlocal file is generated.
       * gen-package: boolean ("yes" or "no") indicating whether "package.m4"
         should be generated. If empty, defaults to "yes".
       * force: boolean ("yes" or "no") whether to treat errors in arguments
         as errors and abort (for "no") or whether to ignore any such errors
         (for "yes"). If empty, defaults to "no".

All filenames above must be relative.  The testdir name is interpreted
relative to top_srcdir.  All other names are interpreted relative to the
testdir.  The boolean values are interpreted as "yes" for any non-empty
value except "0", "n", "no" and their mixed-case variants.

Description of Makefile.am / Makefile.in substitutions:

       * AX_GNU_AUTOTEST_RULES: the make rules provided here. Substitute this
         in a separate line.
       * AX_GNU_AUTOTEST_DCLEAN: the list of files to be added to
         DISTCLEANFILES.
       * AX_GNU_AUTOTEST_DIST: the list of files to be added to EXTRA_DIST.
       * AX_GNU_AUTOTEST_DEFAULT: includes all other substitutions and uses
         them in a "default" way.

All must be used as a substitution (@...@) instead of as a variable
($(...)  or ${...}).  These substitutions are generated multiple times,
once for each directory where an affected Makefile may be located.  All
substitutions start with the base as given above but may have suffixes
for the directories.  Assuming this example in configure.ac:

       AX_GNU_AUTOTEST([foo/bar])
       AX_GNU_AUTOTEST([baz])

Then the following substitutions are available (where <base> stands for
one of the above prefixes):

       * <base>         : for use in top_srcdir/Makefile
       * <base>_foo     : for use in top_srcdir/foo/Makefile
       * <base>_foo_bar : for use in top_srcdir/foo/bar/Makefile
       * <base>_baz     : for use in top_srcdir/baz/Makefile

The <base> substitutions cover both foo/bar and baz, so none of the
other substitutions should be used.  Indeed, no Makefiles are needed in
the other directories.  But if sub-directory Makefiles are used, then
both <base>_baz and either of <base>_foo or <base>_foo_bar must be used
in their respective Makefiles.

Description of Makefile targets defined by AX_GNU_AUTOTEST_RULES*:

       * check-autotest: The equivalent of check.
       * installcheck-autotest: The equivalent of installcheck.
       * clean-autotest: The equivalent of clean.

The developer can either define the above targets as dependencies of
their appropriate equivalent rule or of their *-local equivalent rule
for automake or they can define a rule with a sub-make call as they
wish.

All rules are dependent on like-named rules for each sub-directory and
for each testsuite.  Only the testsuite rules actually do any work, the
rest are just collectors and convenience names.  Assuming this example
in configure.ac:

       AX_GNU_AUTOTEST([foo], [testsuite bar])
       AX_GNU_AUTOTEST([baz])

Then AX_GNU_AUTOTEST_RULES defines these check rules (likewise for
installcheck and clean):

       check-autotest: check-autotest-foo check-autotest-baz
       check-autotest-foo: check-autotest-foo-testsuite check-autotest-foo-bar
       check-autotest-baz: check-autotest-baz-testsuite
       check-autotest-foo-testsuite  # Executes foo/testsuite -C foo
       check-autotest-foo-bar        # Executes foo/bar -C foo
       check-autotest-baz-testsuite  # Executes baz/testsuite -C baz

And AX_GNU_AUTOTEST_RULES_baz defines these check rules:

       check-autotest: check-autotest-testsuite
       check-autotest-testsuite  # Executes testsuite (which is baz/testsuite)

Note how the rule names only contain the directory and testsuite paths
relative to the Makefile location.  Also note how each testsuite is
executed in its respective testdir.

In addition to the above, AX_GNU_AUTOTEST_RULES* also contains the rules
to keep the testsuites, "package.m4" and "atconfig" updated.  The
matching rules to keep "atlocal" updated are generated by automake if
that is used or are the responsibility of the developer.

All testsuite executions (except for clean) use variables
AX_GNU_AUTOTEST_FLAGS, AX_GNU_AUTOTEST_CHECK_FLAGS,
AX_GNU_AUTOTEST_INSTALLCHECK_FLAGS and more path-and-script-specific
variants for additional command line options.  These variables can be
defined by the developer to pass options to the testsuite.  In the
example above, the rule check-autotest-foo-bar would look like this:

       check-autotest-foo-bar:
           foo/bar -C foo $(AX_GNU_AUTOTEST_FLAGS)               \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS)         \
                          $(AX_GNU_AUTOTEST_FLAGS_foo)           \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS_foo)     \
                          $(AX_GNU_AUTOTEST_FLAGS_foo_bar)       \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS_foo_bar)

Description of Makefile file lists:

These lists are intended to be added to DISTCLEANFILES and EXTRA_DIST.
The *_DCLEAN list contains all "atconfig" files and the *_DIST list
contains all testsuites and "package.m4" files.  The lists are again
generated per directory: so AX_GNU_AUTOTEST_DCLEAN contains all
"atconfig" files while e.g.  AX_GNU_AUTOTEST_DIST_foo contains only
files below the "foo" directory.  These file lists are prevented from
becoming Makefile variables by calling AM_SUBST_NOTMAKE(): that way,
only the single version used by the Makefile is substituted, not all
lists for all other paths as well.  So use either like this:

       DISTCLEANFILES = @AX_GNU_AUTOTEST_DCLEAN@
       EXTRA_DIST = @AX_GNU_AUTOTEST_DIST_foo@

Or like this:

       AX_GNU_AUTOTEST_DCLEAN_foo = @AX_GNU_AUTOTEST_DCLEAN_foo@
       AX_GNU_AUTOTEST_DIST_foo = @AX_GNU_AUTOTEST_DIST_foo@
       DISTCLEANFILES = ${AX_GNU_AUTOTEST_DCLEAN_foo}
       EXTRA_DIST = ${AX_GNU_AUTOTEST_DIST_foo}

Description of shorthand default Makefile contents defined by
AX_GNU_AUTOTEST_DEFAULT*:

This shorthand defines the appropriate rules, adds the file lists to the
proper variables and makes the new targets dependencies of the standard
"check", "installcheck" and "clean" targets.  AX_GNU_AUTOTEST_DEFAULT is
for example equivalent to:

       @AX_GNU_AUTOTEST_RULES@
       check: check-autotest
       installcheck: installcheck-autotest
       clean: clean-autotest
       distclean: distclean-autotest
       distclean-autotest: clean-autotest
           -rm -f @AX_GNU_AUTOTEST_DCLEAN@
       .PHONY: distclean-autotest
       EXTRA_DIST += @AX_GNU_AUTOTEST_DIST@

Note that this is copied verbatim into the Makefile (after expansion of
the contained @...@ substitutions): it does not shadow the default
targets as would happen if the same lines were written in a Makefile.am
file.  And also note the use of the += operator: this will not be
compatible with all versions of Make.  Finally, the DISTCLEANFILES list
is not used because automake only uses that list if it saw the variable
in the Makefile.am file: in a substitution, it gets ignored unless the
user already used the list.

Alternative standard GNU test suites not supported here:

       * Automake test suites configured by the TESTS variable [2]
       * DejaGnu test suites [3,4]

[1]:
<https://www.gnu.org/software/autoconf/manual/html_node/Using-Autotest.html>

[2]: <https://www.gnu.org/software/automake/manual/html_node/Tests.html>

[3]: <https://www.gnu.org/software/dejagnu/>

[4]:
<https://www.gnu.org/software/automake/manual/html_node/DejaGnu-Tests.html>

Source Code
***********

Download the latest version of 'ax_gnu_autotest.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gnu_autotest.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gnu_autotest.m4).

License
*******

Copyright (C) 2015 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_adns
============

Synopsis
********

     AX_HAVE_ADNS([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Check whether the GNU ADNS library available from
http://www.chiark.greenend.org.uk/~ian/adns/ is installed on this
system.  The test is known to work with version 1.4 (or later).  If the
library is found, the flags necessary to link it are added to $LIBS.

Source Code
***********

Download the latest version of 'ax_have_adns.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_adns.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_adns.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_epoll
=============

Synopsis
********

     AX_HAVE_EPOLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_EPOLL_PWAIT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the epoll I/O event
interface.  A neat usage example would be:

       AX_HAVE_EPOLL(
         [AX_CONFIG_FEATURE_ENABLE(epoll)],
         [AX_CONFIG_FEATURE_DISABLE(epoll)])
       AX_CONFIG_FEATURE(
         [epoll], [This platform supports epoll(7)],
         [HAVE_EPOLL], [This platform supports epoll(7).])

The epoll interface was added to the Linux kernel in version 2.5.45, and
the macro verifies that a kernel newer than this is installed.  This
check is somewhat unreliable if <linux/version.h> doesn't match the
running kernel, but it is necessary regardless, because glibc comes with
stubs for the epoll_create(), epoll_wait(), etc.  that allow programs to
compile and link even if the kernel is too old; the problem would then
be detected only at runtime.

Linux kernel version 2.6.19 adds the epoll_pwait() call in addition to
epoll_wait().  The availability of that function can be tested with the
second macro.  Generally speaking, it is safe to assume that
AX_HAVE_EPOLL would succeed if AX_HAVE_EPOLL_PWAIT has, but not the
other way round.

Source Code
***********

Download the latest version of 'ax_have_epoll.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_epoll.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_epoll.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_poll
============

Synopsis
********

     AX_HAVE_POLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_PPOLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the poll I/O event
interface.  A neat usage example would be:

       AX_HAVE_POLL(
         [AX_CONFIG_FEATURE_ENABLE(poll)],
         [AX_CONFIG_FEATURE_DISABLE(poll)])
       AX_CONFIG_FEATURE(
         [poll], [This platform supports poll(7)],
         [HAVE_POLL], [This platform supports poll(7).])

Some systems - most notably Linux kernel 2.6.16 and later - also have
the variant ppoll().  The availability of that function can be tested
with the second macro.  Generally speaking, it is safe to assume that
AX_HAVE_POLL would succeed if AX_HAVE_PPOLL has, but not the other way
round.

Source Code
***********

Download the latest version of 'ax_have_poll.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_poll.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_poll.m4).

License
*******

Copyright (C) 2009 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_qt
==========

Synopsis
********

     AX_HAVE_QT

Description
***********

Searches $PATH and queries qmake for Qt include files, libraries and Qt
binary utilities.  The macro only supports Qt5 or later.

The following shell variable is set to either "yes" or "no":

       have_qt

Additionally, the following variables are exported:

       QT_CXXFLAGS
       QT_LIBS
       QT_MOC
       QT_UIC
       QT_LRELEASE
       QT_LUPDATE
       QT_DIR

which respectively contain an "-I" flag pointing to the Qt include
directory, link flags necessary to link with Qt and X, the full path to
the meta object compiler and the user interface compiler both, and
finally the variable QTDIR as Qt likes to see it defined.

Example lines for Makefile.in:

       CXXFLAGS = @QT_CXXFLAGS@
       MOC      = @QT_MOC@

After the variables have been set, a trial compile and link is performed
to check the correct functioning of the meta object compiler.  This test
may fail when the different detected elements stem from different
releases of the Qt framework.  In that case, an error message is emitted
and configure stops.

No common variables such as $LIBS or $CFLAGS are polluted.

Source Code
***********

Download the latest version of 'ax_have_qt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_qt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_qt.m4).

License
*******

Copyright (C) 2008 Bastiaan Veelo <Bastiaan@Veelo.net>
Copyright (C) 2014 Alex Henrie <alexhenrie24@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_select
==============

Synopsis
********

     AX_HAVE_SELECT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_PSELECT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the select I/O event
interface.  A neat usage example would be:

       AX_HAVE_SELECT(
         [AX_CONFIG_FEATURE_ENABLE(select)],
         [AX_CONFIG_FEATURE_DISABLE(select)])
       AX_CONFIG_FEATURE(
         [select], [This platform supports select(7)],
         [HAVE_SELECT], [This platform supports select(7).])

Some systems also have the variant pselect().  The availability of that
function can be tested with the second macro.  Generally speaking, it is
safe to assume that AX_HAVE_SELECT would succeed if AX_HAVE_SELECT_PWAIT
has, but not the other way round.

Source Code
***********

Download the latest version of 'ax_have_select.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_select.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_select.m4).

License
*******

Copyright (C) 2009 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_include_strcasecmp
=====================

Synopsis
********

     AX_INCLUDE_STRCASECMP

Description
***********

This macro tries to find a header for strcasecmp() in strings.h, then
string.h, and AC_DEFINEs AX_STRCASECMP_HEADER to the value it found.
Use it in your source like so:

       #ifdef AX_STRCASECMP_HEADER
       #include AX_STRCASECMP_HEADER
       #endif

Source Code
***********

Download the latest version of 'ax_include_strcasecmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_include_strcasecmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_include_strcasecmp.m4).

License
*******

Copyright (C) 2012 Leo Davis <ldavis@speechfxinc.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_install_files
================

Synopsis
********

     AX_INSTALL_FILES

Description
***********

Adds target for creating a install_files file, which contains the list
of files that will be installed.

Source Code
***********

Download the latest version of 'ax_install_files.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_install_files.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_install_files.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_is_release
=============

Synopsis
********

     AX_IS_RELEASE(POLICY)

Description
***********

Determine whether the code is being configured as a release, or from
git.  Set the ax_is_release variable to 'yes' or 'no'.

If building a release version, it is recommended that the configure
script disable compiler errors and debug features, by conditionalising
them on the ax_is_release variable.  If building from git, these
features should be enabled.

The POLICY parameter specifies how ax_is_release is determined.  It can
take the following values:

      * git-directory:  ax_is_release will be 'no' if a '.git' directory exists
      * minor-version:  ax_is_release will be 'no' if the minor version number
                        in $PACKAGE_VERSION is odd; this assumes
                        $PACKAGE_VERSION follows the 'major.minor.micro' scheme
      * micro-version:  ax_is_release will be 'no' if the micro version number
                        in $PACKAGE_VERSION is odd; this assumes
                        $PACKAGE_VERSION follows the 'major.minor.micro' scheme
      * dash-version:   ax_is_release will be 'no' if there is a dash '-'
                        in $PACKAGE_VERSION, for example 1.2-pre3, 1.2.42-a8b9
                        or 2.0-dirty (in particular this is suitable for use
                        with git-version-gen)
      * always:         ax_is_release will always be 'yes'
      * never:          ax_is_release will always be 'no'

Other policies may be added in future.

Source Code
***********

Download the latest version of 'ax_is_release.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_is_release.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_is_release.m4).

License
*******

Copyright (C) 2015 Philip Withnall <philip@tecnocode.co.uk>
Copyright (C) 2016 Collabora Ltd.

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.

ax_java_check_class
===================

Synopsis
********

     AX_JAVA_CHECK_CLASS(<class>,<action-if-found>,<action-if-not-found>)

Description
***********

Test if a Java class is available.  Based on AX_PROG_JAVAC_WORKS. This
version uses a cache variable which is both compiler, options and
classpath dependent (so if you switch from javac to gcj it correctly
notices and redoes the test).

The macro tries to compile a minimal program importing <class>.  Some
newer compilers moan about the failure to use this but fail or produce a
class file anyway.  All moaning is sunk to /dev/null since I only wanted
to know if the class could be imported.  This is a recommended followup
to AX_CHECK_JAVA_PLUGIN with classpath appropriately adjusted.

Source Code
***********

Download the latest version of 'ax_java_check_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_java_check_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_java_check_class.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_java_options
===============

Synopsis
********

     AX_JAVA_OPTIONS

Description
***********

AX_JAVA_OPTIONS adds configure command line options used for Java m4
macros.  This Macro is optional.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_java_options.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_java_options.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_java_options.m4).

License
*******

Copyright (C) 2008 Devin Weaver <ktohg@tritarget.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_jni_include_dir
==================

Synopsis
********

     AX_JNI_INCLUDE_DIR

Description
***********

AX_JNI_INCLUDE_DIR finds include directories needed for compiling
programs using the JNI interface.

JNI include directories are usually in the Java distribution.  This is
deduced from the value of $JAVA_HOME, $JAVAC, or the path to "javac", in
that order.  When this macro completes, a list of directories is left in
the variable JNI_INCLUDE_DIRS.

Example usage follows:

       AX_JNI_INCLUDE_DIR

       for JNI_INCLUDE_DIR in $JNI_INCLUDE_DIRS
       do
               CPPFLAGS="$CPPFLAGS -I$JNI_INCLUDE_DIR"
       done

If you want to force a specific compiler:

- at the configure.in level, set JAVAC=yourcompiler before calling
AX_JNI_INCLUDE_DIR

- at the configure level, setenv JAVAC

This macro depends on AC_CANONICAL_HOST which requires that config.guess
and config.sub be distributed along with the source code.  See autoconf
manual for details.

Note: This macro can work with the autoconf M4 macros for Java programs.
This particular macro is not part of the original set of macros.

Source Code
***********

Download the latest version of 'ax_jni_include_dir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_jni_include_dir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_jni_include_dir.m4).

License
*******

Copyright (C) 2008 Don Anderson <dda@sleepycat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lapack
=========

Synopsis
********

     AX_LAPACK([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro looks for a library that implements the LAPACK linear-algebra
interface (see http://www.netlib.org/lapack/).  On success, it sets the
LAPACK_LIBS output variable to hold the requisite library linkages.

To link with LAPACK, you should link with:

       $LAPACK_LIBS $BLAS_LIBS $LIBS $FLIBS

in that order.  BLAS_LIBS is the output variable of the AX_BLAS macro,
called automatically.  FLIBS is the output variable of the
AC_F77_LIBRARY_LDFLAGS macro (called if necessary by AX_BLAS), and is
sometimes necessary in order to link with F77 libraries.  Users will
also need to use AC_F77_DUMMY_MAIN (see the autoconf manual), for the
same reason.

The user may also use -with-lapack=<lib> in order to use some specific
LAPACK library <lib>.  In order to link successfully, however, be aware
that you will probably need to use the same Fortran compiler (which can
be set via the F77 env.  var.)  as was used to compile the LAPACK and
BLAS libraries.

ACTION-IF-FOUND is a list of shell commands to run if a LAPACK library
is found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it
is not found.  If ACTION-IF-FOUND is not specified, the default action
will define HAVE_LAPACK.

Source Code
***********

Download the latest version of 'ax_lapack.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lapack.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lapack.m4).

License
*******

Copyright (C) 2009 Steven G. Johnson <stevenj@alum.mit.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_beecrypt
===============

Synopsis
********

     AX_LIB_BEECRYPT([yes|no|auto])

Description
***********

Searches for the 'beecrypt' library with the -with...  option.

If found, define HAVE_BEECRYPT and macro BEECRYPT_LIBS. Also defines
BEECRYPT_WITH_<algo> for the algorithms found available.  Possible
algorithms: BASE64 AES BF MD5 SHA1 SHA256 SHA384 SHA512.

The argument is used if no -with...-beecrypt option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_CRYPTO and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_beecrypt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_beecrypt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_beecrypt.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_cgal_core
================

Synopsis
********

     AX_LIB_CGAL_CORE([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the CGAL_Core library.

By using the "-with-cgal=" option, define a special installation
directory.  If CGAL is not found there, the script will fail
immediately.  Otherwise, $CGAL_HOME is searched, then standard system
locations.

NOTE: This script depends on BOOST_CPPFLAGS, so be sure to run
AX_BOOST_BASE in advance.

This macro calls:

       AC_SUBST(CGAL_CPPFLAGS)
       AC_SUBST(CGAL_LDFLAGS)

And sets:

       HAVE_CGAL

Source Code
***********

Download the latest version of 'ax_lib_cgal_core.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_cgal_core.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_cgal_core.m4).

License
*******

Copyright (C) 2010 Sebastian Hegler <sebastian.hegler@tu-dresden.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_crypto
=============

Synopsis
********

     AX_LIB_CRYPTO([yes|no|auto])

Description
***********

Searches for the 'crypto' library with the -with...  option.

If found, define HAVE_CRYPTO and macro CRYPTO_LIBS. Also defines
CRYPTO_WITH_<algo> for the algorithms found available.  Possible
algorithms: AES BF CAMELLIA CAST DES IDEA RC2 RC5 MD2 MD4 MD5 SHA RIPEMD
RSA DSA DH

The argument is used if no -with...-crypto option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_crypto.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_crypto.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_crypto.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_curl
===========

Synopsis
********

     AX_LIB_CURL([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum curl library version VERSION. If successful executes
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines CURL_LIBS and CURL_CFLAGS.

A simple example:

       AX_LIB_CURL([7.19.4],,[
         AC_MSG_ERROR([Your system lacks libcurl >= 7.19.4])
       ])

This macro is a rearranged version of AC_LIB_CURL from Akos Maroy.

Source Code
***********

Download the latest version of 'ax_lib_curl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_curl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_curl.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_ev
=========

Synopsis
********

     AX_LIB_EV([VERSION],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks for libev mimicking pkg-config's way of doing things for as long
as upstream doesn't provide a .pc file.  If successful and provided
expand ACTION-IF-FOUND, otherwise expand ACTION-IF-NOT-FOUND, or, if
omitted, error out like pkg-config does.

Defines libev_LIBS and libev_CFLAGS.

Source Code
***********

Download the latest version of 'ax_lib_ev.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_ev.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_ev.m4).

License
*******

Copyright (C) 2012 Sebastian Freundt <freundt@fresse.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_expat
============

Synopsis
********

     AX_LIB_EXPAT([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Expat XML Parser of
particular version or newer.  This macro checks for Expat XML Parser
headers and libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-expat      -- yes, no, or path to Expat XML Parser
                            installation prefix

2) Three-options usage (all options are required):

       --with-expat=yes
       --with-expat-inc  -- path to base directory with Expat headers
       --with-expat-lib  -- linker flags for Expat

This macro calls:

       AC_SUBST(EXPAT_CFLAGS)
       AC_SUBST(EXPAT_LIBS)
       AC_SUBST(EXPAT_LDFLAGS)
       AC_SUBST(EXPAT_VERSION)  -- only if version requirement is used

And sets:

       HAVE_EXPAT

Source Code
***********

Download the latest version of 'ax_lib_expat.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_expat.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_expat.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_firebird
===============

Synopsis
********

     AX_LIB_FIREBIRD([MINIMUM-VERSION])

Description
***********

Test for the Firebird client library of a particular version (or newer).
This macro takes only one optional argument, the required version of
Firebird library.  If required version is not passed, then 1.5.0 is used
in test of existence of Firebird client library.

For more information about Firebird API versioning check: API Identifies
Client Version http://www.firebirdsql.org/rlsnotes20/rnfbtwo-apiods.html

If no installation prefix to the installed Firebird library is given the
macro searches under /usr, /usr/local, and /opt.

This macro calls:

       AC_SUBST(FIREBIRD_CFLAGS)
       AC_SUBST(FIREBIRD_LDFLAGS)
       AC_SUBST(FIREBIRD_VERSION)

And sets:

       HAVE_FIREBIRD

Source Code
***********

Download the latest version of 'ax_lib_firebird.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_firebird.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_firebird.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_gcrypt
=============

Synopsis
********

     AX_LIB_GCRYPT([yes|no|auto])

Description
***********

Searches for the 'gcrypt' library with the -with...  option.

If found, define HAVE_GCRYPT and macro GCRYPT_LIBS and GCRYPT_CFLAGS.
Also defines GCRYPT_WITH_<algo> for the algorithms found available.
Possible algorithms are: AES ARCFOUR BLOWFISH CAST5 DES IDEA RFC2268
SERPENT TWOFISH CRC HAVAL MD2 MD4 MD5 RMD160 SHA0 SHA1 SHA224 SHA256
SHA384 SHA512 TIGER WHIRLPOOL DSA ELGAMAL RSA

The argument is used if no -with...-gcrypt option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT and AX_LIB_CRYPTO.

Source Code
***********

Download the latest version of 'ax_lib_gcrypt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_gcrypt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_gcrypt.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_gdal
===========

Synopsis
********

     AX_LIB_GDAL([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of GDAL/OGR library of
particular version or newer.

AX_LIB_GDAL macro takes only one argument which is optional.  If there
is no required version passed, then macro does not run version test.

The -with-gdal option takes complete path to gdal-config utility,

This macro calls AC_SUBST for:

       GDAL_VERSION
       GDAL_CFLAGS
       GDAL_LDFLAGS
       GDAL_DEP_LDFLAGS
       GDAL_OGR_ENABLED

and AC_DEFINE for:

       HAVE_GDAL
       HAVE_GDAL_OGR

Source Code
***********

Download the latest version of 'ax_lib_gdal.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_gdal.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_gdal.m4).

License
*******

Copyright (C) 2011 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2011 Alessandro Candini <candini@meeo.it>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_hdf5
===========

Synopsis
********

     AX_LIB_HDF5([serial/parallel])

Description
***********

This macro provides tests of the availability of HDF5 library.

The optional macro argument should be either 'serial' or 'parallel'.
The former only looks for serial HDF5 installations via h5cc.  The
latter only looks for parallel HDF5 installations via h5pcc.  If the
optional argument is omitted, serial installations will be preferred
over parallel ones.

The macro adds a -with-hdf5 option accepting one of three values:

       no   - do not check for the HDF5 library.
       yes  - do check for HDF5 library in standard locations.
       path - complete path to the HDF5 helper script h5cc or h5pcc.

If HDF5 is successfully found, this macro calls

       AC_SUBST(HDF5_VERSION)
       AC_SUBST(HDF5_CC)
       AC_SUBST(HDF5_CFLAGS)
       AC_SUBST(HDF5_CPPFLAGS)
       AC_SUBST(HDF5_LDFLAGS)
       AC_SUBST(HDF5_LIBS)
       AC_SUBST(HDF5_FC)
       AC_SUBST(HDF5_FFLAGS)
       AC_SUBST(HDF5_FLIBS)
       AC_SUBST(HDF5_TYPE)
       AC_DEFINE(HAVE_HDF5)

and sets with_hdf5="yes".  Additionally, the macro sets
with_hdf5_fortran="yes" if a matching Fortran wrapper script is found.
Note that Autoconf's Fortran support is not used to perform this check.
H5CC and H5FC will contain the appropriate serial or parallel HDF5
wrapper script locations.

If HDF5 is disabled or not found, this macros sets with_hdf5="no" and
with_hdf5_fortran="no".

Your configuration script can test $with_hdf to take any further
actions.  HDF5_{C,CPP,LD}FLAGS may be used when building with C or C++.
HDF5_F{FLAGS,LIBS} should be used when building Fortran applications.

To use the macro, one would code one of the following in "configure.ac"
before AC_OUTPUT:

       1) dnl Check for HDF5 support
          AX_LIB_HDF5()

       2) dnl Check for serial HDF5 support
          AX_LIB_HDF5([serial])

       3) dnl Check for parallel HDF5 support
          AX_LIB_HDF5([parallel])

One could test $with_hdf5 for the outcome or display it as follows

       echo "HDF5 support:  $with_hdf5"

You could also for example, override the default CC in "configure.ac" to
enforce compilation with the compiler that HDF5 uses:

       AX_LIB_HDF5([parallel])
       if test "$with_hdf5" = "yes"; then
               CC="$HDF5_CC"
       else
               AC_MSG_ERROR([Unable to find HDF5, we need parallel HDF5.])
       fi

The HDF5_TYPE environment variable returns "parallel" or "serial",
depending on which type of library is found.

Source Code
***********

Download the latest version of 'ax_lib_hdf5.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_hdf5.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_hdf5.m4).

License
*******

Copyright (C) 2009 Timothy Brown <tbrown@freeshell.org>
Copyright (C) 2010 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_id3
==========

Synopsis
********

     AX_LIB_ID3([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of id3lib
(http://id3lib.sourceforge.net/).  It does this by checking for the
header file id3.h and the id3 library object file.  A -with-id3lib
option is supported as well.  The following output variables are set
with AC_SUBST:

       ID3_CPPFLAGS
       ID3_LDFLAGS
       ID3_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(ID3_CPPFLAGS)
       AM_LDFLAGS = $(ID3_LDFLAGS)
       program_LDADD = $(ID3_LIBS)

Additionally, the C preprocessor symbol HAVE_ID3LIB will be defined with
AC_DEFINE if id3lib is available.

Source Code
***********

Download the latest version of 'ax_lib_id3.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_id3.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_id3.m4).

License
*******

Copyright (C) 2009 Oskar Liljeblad <oskar@osk.mine.nu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_libkml
=============

Synopsis
********

     AX_LIB_LIBKML([MINIMUM-VERSION])

Description
***********

This macro tests whether Google's libkml library
<http://code.google.com/p/libkml/> is available in particular version or
newer.  The generated configure script will support the following
options:

1) Single-option usage:

       --with-libkml - yes, no or path to Google libkml installation prefix

2) Three-options usage (all options are required):

       --with-libkml=yes
       --with-libkml-inc - path to base directory with  headers
       --with-libkml-lib - linker flags for

This macro calls:

       AC_SUBST(LIBKML_CFLAGS)
       AC_SUBST(LIBKML_LDFLAGS)
       AC_SUBST(LIBKML_VERSION) - only if version requirement is used

And sets:

       HAVE_LIBKML

Source Code
***********

Download the latest version of 'ax_lib_libkml.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_libkml.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_libkml.m4).

License
*******

Copyright (C) 2010 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_metis
============

Synopsis
********

     AX_LIB_METIS([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the METIS library in the user specified
location.  The user may specify the location either by defining the
environment variable METIS or by using the -with-metis option to
configure.  If the environment variable is defined it has precedent over
everything else.  If no location was specified then it searches in
/usr/lib and /usr/local/lib for the library and in /usr/include and
/usr/local/include for the header files.  Upon successful completion the
variables METIS_LIB and METIS_INCLUDE are set.

ACTION-IF-FOUND is a list of shell commands to run if a METIS library is
found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
not found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_METIS. If ACTION-IF-NOT-FOUND is not specified then an error
will be generated halting configure.

Source Code
***********

Download the latest version of 'ax_lib_metis.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_metis.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_metis.m4).

License
*******

Copyright (C) 2008 Ben Bergen <ben@cs.fau.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_mysql
============

Synopsis
********

     AX_LIB_MYSQL([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of MySQL client library of
particular version or newer.

AX_LIB_MYSQL macro takes only one argument which is optional.  If there
is no required version passed, then macro does not run version test.

The -with-mysql option takes one of three possible values:

no - do not check for MySQL client library

yes - do check for MySQL library in standard locations (mysql_config
should be in the PATH)

path - complete path to mysql_config utility, use this option if
mysql_config can't be found in the PATH

This macro calls:

       AC_SUBST(MYSQL_CFLAGS)
       AC_SUBST(MYSQL_LDFLAGS)
       AC_SUBST(MYSQL_VERSION)

And sets:

       HAVE_MYSQL

Source Code
***********

Download the latest version of 'ax_lib_mysql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_mysql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_mysql.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_mysqlcppconn
===================

Synopsis
********

     AX_LIB_MYSQLCPPCONN([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the MySQL Connector/C++ libraries

If no path to the installed library is given the macro searches under
/usr, /usr/local, /opt and /opt/local.

This macro calls:

       AC_SUBST(LIBMYSQLCPPCONN_CXXFLAGS) / AC_SUBST(LIBMYSQLCPPCONN_LDFLAGS)

And sets:

       HAVE_LIBMYSQLCPPCONN

Note that this library needs to link with either MySQL client library or
MySQL Connector/C to work.  The macros defined here don't take care of
external dependencies so you have to do it on your own.  See also
AX_LIB_MYSQL macro.

Source Code
***********

Download the latest version of 'ax_lib_mysqlcppconn.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_mysqlcppconn.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_mysqlcppconn.m4).

License
*******

Copyright (C) 2011 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_netcdf4
==============

Synopsis
********

     AX_LIB_NETCDF4([serial/parallel])

Description
***********

This macro provides tests of the availability of the NetCDF v4 library.

The optional macro argument should be either 'serial' or 'parallel'.
The macro will call nc-config to check the output of the '-has-pnetcdf'
option and error out if the requested parallel isn't supported.

If the optional argument is omitted, no check is made to see if NetCDF
has parallel support.

The macro adds a -with-netcdf4 option accepting one of three values:

       no   - do not check for the NetCDF4 library.
       yes  - do check for NetCDF4 library in standard locations.
       path - installation prefix for NetCDF version 4.

If NetCDF4 is successfully found, this macro calls

       AC_SUBST(NETCDF4_VERSION)
       AC_SUBST(NETCDF4_CC)
       AC_SUBST(NETCDF4_CFLAGS)
       AC_SUBST(NETCDF4_CPPFLAGS)
       AC_SUBST(NETCDF4_LDFLAGS)
       AC_SUBST(NETCDF4_LIBS)
       AC_SUBST(NETCDF4_FC)
       AC_SUBST(NETCDF4_FFLAGS)
       AC_SUBST(NETCDF4_FLIBS)
       AC_DEFINE(HAVE_NETCDF4)

It also sets

       with_netcdf4="yes"
       with_netcdf4_fortran="yes"    (if NetCDF has Fortran support)
       with_netcdf4_parallel="yes"   (if NetCDF has MPI support)

If NetCDF4 is disabled or not found, this macros sets

       with_netcdf4="no"
       with_netcdf4_fortran="no"

Note it does not set with_netcdf4_parallel in this case.

Your configuration script can test $with_netcdf4 to take any further
actions.  NETCDF4_{C,CPP,LD}FLAGS may be used when building with C or
C++.  NETCDF4_F{FLAGS,LIBS} and NETCDF4_LDFLAGS should be used when
building Fortran applications.

To use the macro, one would code one of the following in "configure.ac"
before AC_OUTPUT:

       1) dnl Check for NetCDF4 support
          AX_LIB_NETCDF4()

       2) dnl Check for serial NetCDF4 support
          AX_LIB_NETCDF4([serial])

       3) dnl Check for parallel NetCDF4 support
          AX_LIB_NETCDF4([parallel])

One could test $with_netcdf4 for the outcome or display it as follows

       echo "NetCDF v4 support:  $with_netcdf4"

One could also for example, override the default CC in "configure.ac" to
enforce compilation with the compiler that NetCDF v4 was built with:

       AX_LIB_NETCDF4([parallel])
       if test "$with_netcdf4" = "yes"; then
               CC="$NETCDF4_CC"
       else
               AC_MSG_ERROR([Unable to find NetCDF4, we need parallel NetCDF4.])
       fi

Source Code
***********

Download the latest version of 'ax_lib_netcdf4.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_netcdf4.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_netcdf4.m4).

License
*******

Copyright (C) 2016 Timothy Brown <tbrown@freeshell.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_nettle
=============

Synopsis
********

     AX_LIB_NETTLE([yes|no|auto])

Description
***********

Searches for the 'nettle' library with the -with...  option.

If found, define HAVE_NETTLE and macro NETTLE_LIBS. Also defines
NETTLE_WITH_<algo> for the algorithms found available.  Possible
algorithms: AES ARCTWO BLOWFISH CAST128 DES DES3 SERPENT TWOFISH MD2 MD4
MD5 SHA1 SHA256.

The argument is used if no -with...-nettle option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT, AX_LIB_CRYPTO, and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_nettle.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_nettle.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_nettle.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_nokalva
==============

Synopsis
********

     AX_LIB_NOKALVA([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of OSS Nokalva
(http://www.oss.com/products/).  It does this by checking for the header
file asn1.h and the cppsoed library object file.  A -with-nokalva option
is supported as well.  The following output variables are set with
AC_SUBST:

       NOKALVA_CPPFLAGS
       NOKALVA_LDFLAGS
       NOKALVA_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(NOKALVA_CPPFLAGS)
       AM_LDFLAGS = $(NOKALVA_LDFLAGS)
       program_LDADD = $(NOKALVA_LIBS)

Additionally, the C preprocessor symbol HAVE_NOKALVA will be defined
with AC_DEFINE if Nokalva is available.

Source Code
***********

Download the latest version of 'ax_lib_nokalva.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_nokalva.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_nokalva.m4).

License
*******

Copyright (C) 2009 Krzysztof Burghardt <krzysztof@burghardt.pl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_oracle_occi
==================

Synopsis
********

     AX_LIB_ORACLE_OCCI([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Oracle OCCI API of
particular version or newer.  This macros checks for Oracle OCCI headers
and libraries and defines compilation flags.

Macro supports following options and their values:

1) Single-option usage:

       --with-occi         -- path to ORACLE_HOME directory

2) Two-options usage (both options are required):

       --with-occi-include -- path to directory with OCCI headers
       --with-occi-lib     -- path to directory with OCCI libraries

NOTE: These options described above do not take yes|no values.  If 'yes'
value is passed, then WARNING message will be displayed, 'no' value, as
well as the -without-occi-* variations will cause the macro to not check
anything.

This macro calls:

       AC_SUBST(ORACLE_OCCI_CPPFLAGS)
       AC_SUBST(ORACLE_OCCI_LDFLAGS)
       AC_SUBST(ORACLE_OCCI_VERSION)

And sets:

       HAVE_ORACLE_OCCI

Source Code
***********

Download the latest version of 'ax_lib_oracle_occi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_oracle_occi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_oracle_occi.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2012 Krzysztof Burghardt <krzysztof@burghardt.pl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_oracle_oci
=================

Synopsis
********

     AX_LIB_ORACLE_OCI([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Oracle OCI API of
particular version or newer.  This macros checks for Oracle OCI headers
and libraries and defines compilation flags.

Macro supports following options and their values:

1) Single-option usage:

       --with-oci         -- path to ORACLE_HOME directory

2) Two-options usage (both options are required):

       --with-oci-include -- path to directory with OCI headers
       --with-oci-lib     -- path to directory with OCI libraries

NOTE: These options described above do not take yes|no values.  If 'yes'
value is passed, then WARNING message will be displayed, 'no' value, as
well as the -without-oci-* variations will cause the macro to not check
anything.

This macro calls:

       AC_SUBST(ORACLE_OCI_CFLAGS)
       AC_SUBST(ORACLE_OCI_LDFLAGS)
       AC_SUBST(ORACLE_OCI_VERSION)

And sets:

       HAVE_ORACLE_OCI

Source Code
***********

Download the latest version of 'ax_lib_oracle_oci.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_oracle_oci.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_oracle_oci.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2015 Joost van Baal-Ilic <joostvb+autoconf@uvt.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_orbit2
=============

Synopsis
********

     AX_LIB_ORBIT2([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum Orbit2 library version VERSION. If successful
executes ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines ORBIT2_LIBS and ORBIT2_CFLAGS.

A simple example:

       AX_LIB_ORBIT2([2.14.16],,[
         AC_MSG_ERROR([Your system lacks of orbit2 >= 2.14.16])
       ])

Source Code
***********

Download the latest version of 'ax_lib_orbit2.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_orbit2.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_orbit2.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_postgresql
=================

Synopsis
********

     AX_LIB_POSTGRESQL([MINIMUM-VERSION],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

This macro provides tests of availability of PostgreSQL 'libpq' library
of particular version or newer.

AX_LIB_POSTGRESQL macro takes only one argument which is optional.  If
there is no required version passed, then macro does not run version
test.

The -with-postgresql option takes one of three possible values:

no - do not check for PostgreSQL client library

yes - do check for PostgreSQL library in standard locations (pg_config
should be in the PATH)

path - complete path to pg_config utility, use this option if pg_config
can't be found in the PATH (You could set also PG_CONFIG variable)

This macro calls:

       AC_SUBST(POSTGRESQL_CPPFLAGS)
       AC_SUBST(POSTGRESQL_LDFLAGS)
       AC_SUBST(POSTGRESQL_LIBS)
       AC_SUBST(POSTGRESQL_VERSION)

And sets:

       HAVE_POSTGRESQL

It execute if found ACTION-IF-FOUND (empty by default) and
ACTION-IF-NOT-FOUND (AC_MSG_FAILURE by default) if not found.

Source Code
***********

Download the latest version of 'ax_lib_postgresql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_postgresql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_postgresql.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2014 Sree Harsha Totakura <sreeharsha@totakura.in>
Copyright (C) 2018 Bastien Roucaries <rouca@debian.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_readline
===============

Synopsis
********

     AX_LIB_READLINE

Description
***********

Searches for a readline compatible library.  If found, defines
'HAVE_LIBREADLINE'. If the found library has the 'add_history' function,
sets also 'HAVE_READLINE_HISTORY'. Also checks for the locations of the
necessary include files and sets 'HAVE_READLINE_H' or
'HAVE_READLINE_READLINE_H' and 'HAVE_READLINE_HISTORY_H' or
'HAVE_HISTORY_H' if the corresponding include files exists.

The libraries that may be readline compatible are 'libedit',
'libeditline' and 'libreadline'.  Sometimes we need to link a termcap
library for readline to work, this macro tests these cases too by trying
to link with 'libtermcap', 'libcurses' or 'libncurses' before giving up.

Here is an example of how to use the information provided by this macro
to perform the necessary includes or declarations in a C file:

       #ifdef HAVE_LIBREADLINE
       #  if defined(HAVE_READLINE_READLINE_H)
       #    include <readline/readline.h>
       #  elif defined(HAVE_READLINE_H)
       #    include <readline.h>
       #  else /* !defined(HAVE_READLINE_H) */
       extern char *readline ();
       #  endif /* !defined(HAVE_READLINE_H) */
       char *cmdline = NULL;
       #else /* !defined(HAVE_READLINE_READLINE_H) */
         /* no readline */
       #endif /* HAVE_LIBREADLINE */

       #ifdef HAVE_READLINE_HISTORY
       #  if defined(HAVE_READLINE_HISTORY_H)
       #    include <readline/history.h>
       #  elif defined(HAVE_HISTORY_H)
       #    include <history.h>
       #  else /* !defined(HAVE_HISTORY_H) */
       extern void add_history ();
       extern int write_history ();
       extern int read_history ();
       #  endif /* defined(HAVE_READLINE_HISTORY_H) */
         /* no history */
       #endif /* HAVE_READLINE_HISTORY */

Source Code
***********

Download the latest version of 'ax_lib_readline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_readline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_readline.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_samtools
===============

Synopsis
********

     AX_LIB_SAMTOOLS()

Description
***********

This macro searches for an installed samtools library.  If nothing was
specified when calling configure, it searches first in /usr/local and
then tries with ld's default library search path.  If the
-with-samtools=DIR is specified, it will try to find it in
DIR/include/bam/sam.h and DIR/lib/libbam.a.  As a final try it will look
in DIR/sam.h and DIR/libbam.a as the samtools library does not contain
an install rule.

If -without-samtools is specified, the library is not searched at all.

If either the header file (sam.h) or the library (libbam) is not found,
the configuration exits on error, asking for a valid samtools
installation directory or -without-samtools.

The macro defines the symbol HAVE_SAMTOOLS if the library is found.  You
should use autoheader to include a definition for this symbol in a
config.h file.  Sample usage in a C/C++ source is as follows:

       #ifdef HAVE_SAMTOOLS
       #include <sam.h>
       #endif /* HAVE_SAMTOOLS */

The following output variables are set with AC_SUBST:

       SAMTOOLS_CPPFLAGS
       SAMTOOLS_LDFLAGS
       SAMTOOLS_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(SAMTOOLS_CPPFLAGS)
       AM_LDFLAGS = $(SAMTOOLS_LDFLAGS)
       program_LDADD = $(SAMTOOLS_LIBS)

Source Code
***********

Download the latest version of 'ax_lib_samtools.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_samtools.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_samtools.m4).

License
*******

Copyright (C) 2013 Timothy Brown <tbrown@freeshell.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_socket_nsl
=================

Synopsis
********

     AX_LIB_SOCKET_NSL

Description
***********

This macro figures out what libraries are required on this platform to
link sockets programs.

The common cases are not to need any extra libraries, or to need
-lsocket and -lnsl.  We need to avoid linking with libnsl unless we need
it, though, since on some OSes where it isn't necessary it will totally
break networking.  Unisys also includes gethostbyname() in libsocket but
needs libnsl for socket().

Source Code
***********

Download the latest version of 'ax_lib_socket_nsl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_socket_nsl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_socket_nsl.m4).

License
*******

Copyright (C) 2008 Russ Allbery <rra@stanford.edu>
Copyright (C) 2008 Stepan Kasal <kasal@ucw.cz>
Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_sqlite3
==============

Synopsis
********

     AX_LIB_SQLITE3([MINIMUM-VERSION])

Description
***********

Test for the SQLite 3 library of a particular version (or newer)

This macro takes only one optional argument, required version of SQLite
3 library.  If required version is not passed, 3.0.0 is used in the test
of existence of SQLite 3.

If no installation prefix to the installed SQLite library is given the
macro searches under /usr, /usr/local, and /opt.

This macro calls:

       AC_SUBST(SQLITE3_CFLAGS)
       AC_SUBST(SQLITE3_LDFLAGS)
       AC_SUBST(SQLITE3_VERSION)

And sets:

       HAVE_SQLITE3

Source Code
***********

Download the latest version of 'ax_lib_sqlite3.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_sqlite3.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_sqlite3.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_tabix
============

Synopsis
********

     AX_LIB_TABIX()

Description
***********

This macro searches for an installed tabix library.  If nothing was
specified when calling configure, it searches first in /usr/local and
then tries with ld's default library search path.  If the
-with-tabix=DIR is specified, it will try to find it in
DIR/include/tabix/tabix.h and DIR/lib/libtabix.a.  As a final try it
will look in DIR/tabix.h and DIR/libtabix.a as the tabix library does
not contain an install rule.

If -without-tabix is specified, the library is not searched at all.

If either the header file (tabix.h) or the library (libtabix) is not
found, the configuration exits on error, asking for a valid tabix
installation directory or -without-tabix.

The macro defines the symbol HAVE_TABIX if the library is found.  You
should use autoheader to include a definition for this symbol in a
config.h file.  Sample usage in a C/C++ source is as follows:

       #ifdef HAVE_TABIX
       #include <tabix.h>
       #endif /* HAVE_TABIX */

The following output variables are set with AC_SUBST:

       TABIX_CPPFLAGS
       TABIX_LDFLAGS
       TABIX_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(TABIX_CPPFLAGS)
       AM_LDFLAGS = $(TABIX_LDFLAGS)
       program_LDADD = $(TABIX_LIBS)

Source Code
***********

Download the latest version of 'ax_lib_tabix.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_tabix.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_tabix.m4).

License
*******

Copyright (C) 2013 Timothy Brown <tbrown@freeshell.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_taglib
=============

Synopsis
********

     AX_LIB_TAGLIB([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum taglib library version VERSION. If successful
executes ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines TAGLIB_LIBS and TAGLIB_CFLAGS.

A simple example:

       AX_LIB_TAGLIB([1.5],,[
         AC_MSG_ERROR([Your system lacks of taglib >= 1.5])
       ])

This macro is a rearranged version of AC_LIB_TAGLIB from Akos Maroy.

Source Code
***********

Download the latest version of 'ax_lib_taglib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_taglib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_taglib.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_trace
============

Synopsis
********

     AX_LIB_TRACE([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the libtrace libraries of a particular version (or newer)

If no path to the installed library is given the macro searches under
/usr, /usr/local, /opt and /opt/local.

This macro calls:

       AC_SUBST(LIBTRACE_CFLAGS) / AC_SUBST(LIBTRACE_LDFLAGS)

And sets:

       HAVE_LIBTRACE

Source Code
***********

Download the latest version of 'ax_lib_trace.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_trace.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_trace.m4).

License
*******

Copyright (C) 2011 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_upnp
===========

Synopsis
********

     AX_LIB_UPNP([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of libupnp
(http://upnp.sourceforge.net/).  It does this by checking for the header
file upnp.h and the upnp library object file.  A -with-libupnp option is
supported as well.  The following output variables are set with
AC_SUBST:

       UPNP_CPPFLAGS
       UPNP_LDFLAGS
       UPNP_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(UPNP_CPPFLAGS)
       AM_LDFLAGS = $(UPNP_LDFLAGS)
       program_LDADD = $(UPNP_LIBS)

Additionally, the C preprocessor symbol HAVE_LIBUPNP will be defined
with AC_DEFINE if libupnp is available.

Source Code
***********

Download the latest version of 'ax_lib_upnp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_upnp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_upnp.m4).

License
*******

Copyright (C) 2009 Oskar Liljeblad <oskar@osk.mine.nu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_wad
==========

Synopsis
********

     AX_LIB_WAD

Description
***********

This macro searches for an installed WAD library.

Source Code
***********

Download the latest version of 'ax_lib_wad.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_wad.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_wad.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_xalan
============

Synopsis
********

     AX_LIB_XALAN([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xalan C++ XSLT
processor of a particular version or newer.  This macros checks for
Apache Xalan C++ XSLT processor headers and libraries and defines
compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xalan - yes, no or path to Xalan installation prefix

2) Three-options usage (all options are required):

       --with-xalan=yes
       --with-xalan-inc - path to base directory with Xalan headers
       --with-xalan-lib - linker flags for Xalan

This macro calls:

       AC_SUBST(XALAN_CPPFLAGS)
       AC_SUBST(XALAN_LDFLAGS)
       AC_SUBST(XALAN_VERSION) - only if version requirement is used

And sets:

       HAVE_XALAN

Source Code
***********

Download the latest version of 'ax_lib_xalan.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xalan.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xalan.m4).

License
*******

Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2009 Bill Blough <bblough@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_xerces
=============

Synopsis
********

     AX_LIB_XERCES([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xerces C++ Parser of
particular version or newer.  This macros checks for Apache Xerces C++
Parser headers and libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xerces - yes, no or path to Xerces installation prefix

2) Three-options usage (all options are required):

       --with-xerces=yes
       --with-xerces-inc - path to base directory with Xerces headers
       --with-xerces-lib - linker flags for Xerces

This macro calls:

       AC_SUBST(XERCES_CFLAGS)
       AC_SUBST(XERCES_LDFLAGS)
       AC_SUBST(XERCES_VERSION) - only if version requirement is used

And sets:

       HAVE_XERCES

Source Code
***********

Download the latest version of 'ax_lib_xerces.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xerces.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xerces.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_xml_security
===================

Synopsis
********

     AX_LIB_XML_SECURITY([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xml-Security C++
library <http://santuario.apache.org/index.html> of particular version
or newer.  This macros checks for Apache Xml-Security C++ headers and
libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xml-security - yes, no or path to Xml-Security installation prefix

2) Three-options usage (all options are required):

       --with-xml-security=yes
       --with-xml-security-inc - path to base directory with Xml-Security headers
       --with-xml-security-lib - linker flags for Xml-Security

This macro calls:

       AC_SUBST(XML_SECURITY_CFLAGS)
       AC_SUBST(XML_SECURITY_LDFLAGS)
       AC_SUBST(XML_SECURITY_VERSION) - only if version requirement is used

And sets:

       HAVE_XML_SECURITY

Source Code
***********

Download the latest version of 'ax_lib_xml_security.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xml_security.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xml_security.m4).

License
*******

Copyright (C) 2008 Alexander Petry <petry@itwm.fhg.de>
Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_libgcj_jar
=============

Synopsis
********

     AX_LIBGCJ_JAR

Description
***********

Locate libgcj.jar so you can place it before everything else when using
gcj.

Source Code
***********

Download the latest version of 'ax_libgcj_jar.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_libgcj_jar.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_libgcj_jar.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_libtoolize_cflags
====================

Synopsis
********

     AX_LIBTOOLIZE_CFLAGS(COMPILER-FLAGS-VAR)

Description
***********

Change the contents of variable COMPILER-FLAGS-VAR so that they are
Libtool friendly, ie.  prefix each of them with '-Xcompiler' so that
Libtool doesn't remove them.

Source Code
***********

Download the latest version of 'ax_libtoolize_cflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_libtoolize_cflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_libtoolize_cflags.m4).

License
*******

Copyright (C) 2008 Ludovic Courtes <ludo@chbouib.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_llvm
=======

Synopsis
********

     AX_LLVM([llvm-libs])

Description
***********

Test for the existence of llvm, and make sure that it can be linked with
the llvm-libs argument that is passed on to llvm-config i.e.:

       llvm --libs <llvm-libs>

llvm-config will also include any libraries that are depended upon.

Source Code
***********

Download the latest version of 'ax_llvm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_llvm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_llvm.m4).

License
*******

Copyright (C) 2008 Andy Kitchen <agimbleinthewabe@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lua
======

Synopsis
********

     AX_PROG_LUA[([MINIMUM-VERSION], [TOO-BIG-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_HEADERS[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_LIBS[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_READLINE[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]

Description
***********

Detect a Lua interpreter, optionally specifying a minimum and maximum
version number.  Set up important Lua paths, such as the directories in
which to install scripts and modules (shared libraries).

Also detect Lua headers and libraries.  The Lua version contained in the
header is checked to match the Lua interpreter version exactly.  When
searching for Lua libraries, the version number is used as a suffix.
This is done with the goal of supporting multiple Lua installs (5.1,
5.2, and 5.3 side-by-side).

A note on compatibility with previous versions: This file has been
mostly rewritten for serial 18.  Most developers should be able to use
these macros without needing to modify configure.ac.  Care has been
taken to preserve each macro's behavior, but there are some differences:

1) AX_WITH_LUA is deprecated; it now expands to the exact same thing as
AX_PROG_LUA with no arguments.

2) AX_LUA_HEADERS now checks that the version number defined in lua.h
matches the interpreter version.  AX_LUA_HEADERS_VERSION is therefore
unnecessary, so it is deprecated and does not expand to anything.

3) The configure flag -with-lua-suffix no longer exists; the user should
instead specify the LUA precious variable on the command line.  See the
AX_PROG_LUA description for details.

Please read the macro descriptions below for more information.

This file was inspired by Andrew Dalke's and James Henstridge's
python.m4 and Tom Payne's, Matthieu Moy's, and Reuben Thomas's ax_lua.m4
(serial 17).  Basically, this file is a mash-up of those two files.  I
like to think it combines the best of the two!

AX_PROG_LUA: Search for the Lua interpreter, and set up important Lua
paths.  Adds precious variable LUA, which may contain the path of the
Lua interpreter.  If LUA is blank, the user's path is searched for an
suitable interpreter.

If MINIMUM-VERSION is supplied, then only Lua interpreters with a
version number greater or equal to MINIMUM-VERSION will be accepted.  If
TOO-BIG-VERSION is also supplied, then only Lua interpreters with a
version number greater or equal to MINIMUM-VERSION and less than
TOO-BIG-VERSION will be accepted.

The Lua version number, LUA_VERSION, is found from the interpreter, and
substituted.  LUA_PLATFORM is also found, but not currently supported
(no standard representation).

Finally, the macro finds four paths:

       luadir             Directory to install Lua scripts.
       pkgluadir          $luadir/$PACKAGE
       luaexecdir         Directory to install Lua modules.
       pkgluaexecdir      $luaexecdir/$PACKAGE

These paths are found based on $prefix, $exec_prefix, Lua's
package.path, and package.cpath.  The first path of package.path
beginning with $prefix is selected as luadir.  The first path of
package.cpath beginning with $exec_prefix is used as luaexecdir.  This
should work on all reasonable Lua installations.  If a path cannot be
determined, a default path is used.  Of course, the user can override
these later when invoking make.

       luadir             Default: $prefix/share/lua/$LUA_VERSION
       luaexecdir         Default: $exec_prefix/lib/lua/$LUA_VERSION

These directories can be used by Automake as install destinations.  The
variable name minus 'dir' needs to be used as a prefix to the
appropriate Automake primary, e.g.  lua_SCRIPS or luaexec_LIBRARIES.

If an acceptable Lua interpreter is found, then ACTION-IF-FOUND is
performed, otherwise ACTION-IF-NOT-FOUND is preformed.  If
ACTION-IF-NOT- FOUND is blank, then it will default to printing an
error.  To prevent the default behavior, give ':' as an action.

AX_LUA_HEADERS: Search for Lua headers.  Requires that AX_PROG_LUA be
expanded before this macro.  Adds precious variable LUA_INCLUDE, which
may contain Lua specific include flags, e.g.  -I/usr/include/lua5.1.  If
LUA_INCLUDE is blank, then this macro will attempt to find suitable
flags.

LUA_INCLUDE can be used by Automake to compile Lua modules or
executables with embedded interpreters.  The *_CPPFLAGS variables should
be used for this purpose, e.g.  myprog_CPPFLAGS = $(LUA_INCLUDE).

This macro searches for the header lua.h (and others).  The search is
performed with a combination of CPPFLAGS, CPATH, etc, and LUA_INCLUDE.
If the search is unsuccessful, then some common directories are tried.
If the headers are then found, then LUA_INCLUDE is set accordingly.

The paths automatically searched are:

       * /usr/include/luaX.Y
       * /usr/include/lua/X.Y
       * /usr/include/luaXY
       * /usr/local/include/luaX.Y
       * /usr/local/include/lua-X.Y
       * /usr/local/include/lua/X.Y
       * /usr/local/include/luaXY

(Where X.Y is the Lua version number, e.g.  5.1.)

The Lua version number found in the headers is always checked to match
the Lua interpreter's version number.  Lua headers with mismatched
version numbers are not accepted.

If headers are found, then ACTION-IF-FOUND is performed, otherwise
ACTION-IF-NOT-FOUND is performed.  If ACTION-IF-NOT-FOUND is blank, then
it will default to printing an error.  To prevent the default behavior,
set the action to ':'.

AX_LUA_LIBS: Search for Lua libraries.  Requires that AX_PROG_LUA be
expanded before this macro.  Adds precious variable LUA_LIB, which may
contain Lua specific linker flags, e.g.  -llua5.1.  If LUA_LIB is blank,
then this macro will attempt to find suitable flags.

LUA_LIB can be used by Automake to link Lua modules or executables with
embedded interpreters.  The *_LIBADD and *_LDADD variables should be
used for this purpose, e.g.  mymod_LIBADD = $(LUA_LIB).

This macro searches for the Lua library.  More technically, it searches
for a library containing the function lua_load.  The search is performed
with a combination of LIBS, LIBRARY_PATH, and LUA_LIB.

If the search determines that some linker flags are missing, then those
flags will be added to LUA_LIB.

If libraries are found, then ACTION-IF-FOUND is performed, otherwise
ACTION-IF-NOT-FOUND is performed.  If ACTION-IF-NOT-FOUND is blank, then
it will default to printing an error.  To prevent the default behavior,
set the action to ':'.

AX_LUA_READLINE: Search for readline headers and libraries.  Requires
the AX_LIB_READLINE macro, which is provided by ax_lib_readline.m4 from
the Autoconf Archive.

If a readline compatible library is found, then ACTION-IF-FOUND is
performed, otherwise ACTION-IF-NOT-FOUND is performed.

Source Code
***********

Download the latest version of 'ax_lua.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lua.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lua.m4).

License
*******

Copyright (C) 2015 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 2014 Tim Perkins <tprk77@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_luarocks_rock
================

Synopsis
********

     AX_LUAROCKS_ROCK([ROCK])

Description
***********

Checks for a rock, and fails if it is not installed.

Example usage:

       AX_LUAROCKS_ROCK(stdlib)

Note: use of this macro is not normally recommended.  Normally, LuaRocks
should be used to drive the build system, and it takes care of rock
dependencies.  Use this macro only if LuaRocks cannot be used at the top
level, for example, in a build system that uses Lua only incidentally.

Source Code
***********

Download the latest version of 'ax_luarocks_rock.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_luarocks_rock.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_luarocks_rock.m4).

License
*******

Copyright (C) 2016 Reuben Thomas <rrt@sc3d.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_maintainer_mode_auto_silent
==============================

Synopsis
********

     AX_MAINTAINER_MODE_AUTO_SILENT

Description
***********

Set autotools to error/sleep settings so that they are not run when
being erroneously triggered.  Likewise make libtool-silent when libtool
has been used.

I use the macro quite a lot since some automake versions have the
tendency to try to rerun some autotools on a mere make even when not
quite in -maintainer-mode.  That is very annoying.  Likewise, a user who
installs from source does not want to see doubled compiler messages.

I did not put an AC_REQUIRE(MAINTAINER_MODE) in here - should I?

Source Code
***********

Download the latest version of 'ax_maintainer_mode_auto_silent.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_maintainer_mode_auto_silent.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_maintainer_mode_auto_silent.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_missing_prog
===============

Synopsis
********

     AX_MISSING_PROG(VARIABLE,PROGRAM,[MESSAGE])

Description
***********

Simple wrapper for the AM_MISSING_PROG which displays a warning MESSAGE
if provided.  A typical use is the following:

       AC_PROG_AWK
       AS_IF([test -z "$AWK"],[
         AX_MISSING_PROG(AWK,[awk],[awk seems missing ...])
       ])

Programs wrapped with AX_MISSING_PROG should be used only in the package
building phase (because they will be wrapped with the automake 'missing'
script, which will not be installed).

Source Code
***********

Download the latest version of 'ax_missing_prog.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_missing_prog.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_missing_prog.m4).

License
*******

Copyright (C) 2008 Francesco Salvestrini <salvestrini@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_mpi
======

Synopsis
********

     AX_MPI([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro tries to find out how to compile programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/)

On success, it sets the MPICC, MPICXX, MPIF77, or MPIFC output variable
to the name of the MPI compiler, depending upon the current language.
(This may just be $CC/$CXX/$F77/$FC, but is more often something like
mpicc/mpiCC/mpif77/mpif90.)  It also sets MPILIBS to any libraries that
are needed for linking MPI (e.g.  -lmpi or -lfmpi, if a special
MPICC/MPICXX/MPIF77/MPIFC was not found).

Note that this macro should be used only if you just have a few source
files that need to be compiled using MPI. In particular, you should
neither overwrite CC/CXX/F77/FC with the values of
MPICC/MPICXX/MPIF77/MPIFC, nor assume that you can use the same flags
etc.  as the standard compilers.  If you want to compile a whole program
using the MPI compiler commands, use one of the macros
AX_PROG_{CC,CXX,FC}_MPI.

ACTION-IF-FOUND is a list of shell commands to run if an MPI library is
found, and ACTION-IF-NOT-FOUND is a list of commands to run if it is not
found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_MPI.

Source Code
***********

Download the latest version of 'ax_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_mpi.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Julian C. Cummings <cummings@cacr.caltech.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_mpip
=======

Synopsis
********

     AX_MPIP([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

Test for mpiP: Lightweight, Scalable MPI Profiling
(http://mpip.sourceforge.net/)

Provides a -with-mpiP=DIR option.  Searches -with-mpiP location and the
usual places for mpiP and required libraries.  Marks MPIP as a precious
environment variable.

On success, sets MPIP_LDFLAGS, MPIP_LIBS, #defines HAVE_MPIP, and calls
ACTION-IF-FOUND. When ACTION-IF-NOT-FOUND is not specified, the default
behavior is for configure to fail.

Source Code
***********

Download the latest version of 'ax_mpip.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_mpip.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_mpip.m4).

License
*******

Copyright (C) 2010 Rhys Ulerich <rhys.ulerich@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Macro Archive.  When you make and
distribute a modified version of the Autoconf Macro, you may extend this
special exception to the GPL to apply to your modified version as well.

ax_need_awk
===========

Synopsis
********

     AX_NEED_AWK

Description
***********

Check if an awk implementation is available.  Bail-out if not found.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_need_awk.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_need_awk.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_need_awk.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_normalize_path
=================

Synopsis
********

     AX_NORMALIZE_PATH(VARNAME, [REFERENCE_STRING])

Description
***********

Perform some cleanups on the value of $VARNAME (interpreted as a path):

       - empty paths are changed to '.'
       - trailing slashes are removed
       - repeated slashes are squeezed except a leading doubled slash '//'
         (which might indicate a networked disk on some OS).

REFERENCE_STRING is used to turn '/' into '\' and vice-versa: if
REFERENCE_STRING contains some backslashes, all slashes and backslashes
are turned into backslashes, otherwise they are all turned into slashes.

This makes processing of DOS filenames quite easier, because you can
turn a filename to the Unix notation, make your processing, and turn it
back to original notation.

       filename='A:\FOO\\BAR\'
       old_filename="$filename"
       # Switch to the unix notation
       AX_NORMALIZE_PATH([filename], ["/"])
       # now we have $filename = 'A:/FOO/BAR' and we can process it as if
       # it was a Unix path.  For instance let's say that you want
       # to append '/subpath':
       filename="$filename/subpath"
       # finally switch back to the original notation
       AX_NORMALIZE_PATH([filename], ["$old_filename"])
       # now $filename equals to 'A:\FOO\BAR\subpath'

One good reason to make all path processing with the unix convention is
that backslashes have a special meaning in many cases.  For instance

       expr 'A:\FOO' : 'A:\Foo'

will return 0 because the second argument is a regex in which
backslashes have to be backslashed.  In other words, to have the two
strings to match you should write this instead:

       expr 'A:\Foo' : 'A:\\Foo'

Such behavior makes DOS filenames extremely unpleasant to work with.  So
temporary turn your paths to the Unix notation, and revert them to the
original notation after the processing.  See the macro
AX_COMPUTE_RELATIVE_PATHS for a concrete example of this.

REFERENCE_STRING defaults to $VARIABLE, this means that slashes will be
converted to backslashes if $VARIABLE already contains some backslashes
(see $thirddir below).

       firstdir='/usr/local//share'
       seconddir='C:\Program Files\\'
       thirddir='C:\home/usr/'
       AX_NORMALIZE_PATH([firstdir])
       AX_NORMALIZE_PATH([seconddir])
       AX_NORMALIZE_PATH([thirddir])
       # $firstdir = '/usr/local/share'
       # $seconddir = 'C:\Program Files'
       # $thirddir = 'C:\home\usr'

Source Code
***********

Download the latest version of 'ax_normalize_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_normalize_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_normalize_path.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_not_enable_frame_pointer
===========================

Synopsis
********

     AX_NOT_ENABLE_FRAME_POINTER ([shellvar])

Description
***********

add -enable-frame-pointer option, the default will add the gcc
-fomit-frame-pointer option to the shellvar (per default CFLAGS) and
remove the " -g " debuginfo option from it.  In other words, the default
is "-disable-frame-pointer"

Source Code
***********

Download the latest version of 'ax_not_enable_frame_pointer.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_not_enable_frame_pointer.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_not_enable_frame_pointer.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_numeric_namedlevel
=====================

Synopsis
********

     AX_NUMERIC_NAMEDLEVEL(VARNAME [,FROMVAR [,DEFAULT [,YESLEVEL]]])

Description
***********

The levelstring FROMVAR is expanded and checked for verbal names that
will map on to eight different levels - the VARNAME will receive this
numeric level where "all" maps to 7 (lower three bits set) higher levels
for 8 and 9 exist too.  This macro is a nice helper to convert user
input of a -with-opt=level into a numeric form that can be simply pushed
as a #define like with AC_DEFINE:

      default YESLEVEL = 2 /* including unknown levelspec */
      default DEFAULT  = 0 /* when named level is empty */
      default FROMVAR  = VARNAME

The DEFAULT value is used if the NAMED levelstring has become empty and
it is copied without further conversion - a default of "0" is used if
absent - identical to "no".  A "yes" will be set to the YESLEVEL - and
note that "yes" has "2" as its default value not "1".  (which comes from
its original use to set a "gcc -O2").

the mnemonic names are:

       9| insane |ultrasome|experimentalplus
       8| ultra  |ultra|experimental)
       7| all    |muchmore|somemanymore|manymoreplus
       6| most   |manymore|most)
       5| strict |somemore|almost
       4| more   |more
       3| extra  |manyplus|plusmuch|somemany|plusmany
       2| many   |many|much|(yes)
       1| some   |some|plus

note that a level can be constructed of (some|plus) = bit-0, (many|much)
= bit-1, (more) = bit-2, (ultra|experimental) = bit-3 at least in a
left-to-right order, ie.  plusmanymore=7

Example usage:

       AX_NUMERIC_NAMEDLEVEL(OPTLEVEL,with_optlevel,1,3)
       AC_DEFINE(OPTLEVEL)
       test "$GCC" = "yes" && CFLAGS="$CFLAGS -O$OPTLEVEL)

Source Code
***********

Download the latest version of 'ax_numeric_namedlevel.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_numeric_namedlevel.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_numeric_namedlevel.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_check_h
====================

Synopsis
********

     AX_OPEN62541_CHECK_H([HEADERS = `...see_below...'], [ACTION-IF-FOUND],
                          [ACTION-IF-NOT-FOUND])

Description
***********

Searches for the header file(s) of the open62541 library [1].

The open62541 library is a cmake-based project, that provides its header
files in one of two layouts:

       1) As individual files, e.g. ua_config.h, ua_server.h, ua_types.h, ...
       2) As a single amalgamation file open62541.h

The second case is enabled when configuring open62541 with the options
"-D UA_ENABLE_AMALGAMATION=true to" cmake, which seems to be preferred.
Code using the library can distinguish which layout is used by checking
for the macro "UA_NO_AMALGAMATION": if it is defined, the first layout
is used.

The AX_OPEN62541_CHECK_H macro checks first for the amalgamation and, if
that is not found, for the individual headers.  It defines
"UA_NO_AMALGAMATION" if necessary.

The individual headers to check for if no amalgamation is found can be
provided as a space-separated list in the first argument.  If that is
empty, it defaults to all files known to be contained in the
amalgamation as of v0.2.0 of the library:

       * ms_stdint.h
       * ua_client.h
       * ua_client_highlevel.h
       * ua_config.h
       * ua_config_standard.h
       * ua_connection.h
       * ua_constants.h
       * ua_job.h
       * ua_log.h
       * ua_log_stdout.h
       * ua_network_tcp.h
       * ua_nodeids.h
       * ua_server.h
       * ua_server_external_ns.h
       * ua_types.h
       * ua_types_generated.h
       * ua_types_generated_handling.h

If the with_open62541 shell variable is set to "no" (e.g.  from running
the AX_OPEN62541_PATH macro and the user giving configure the option
"-without-open62541"), then expands ACTION-IF-NOT-FOUND without any
checks.

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_check_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_check_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_check_h.m4).

License
*******

Copyright (C) 2016,2017 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_check_lib
======================

Synopsis
********

     AX_OPEN62541_CHECK_LIB([STATIC-FIRST = `no'], [ACTION-IF-FOUND],
                            [ACTION-IF-NOT-FOUND])

Description
***********

Searches for the library file of the open62541 library [1].

The open62541 library is a cmake-based project, that supplies both a
shared and a static library (with different names).  The
AX_OPEN62541_CHECK_LIB macro can search for both and adds the first one
found to the LIBS Makefile variable.  The search can be in either order
(shared first or static first), which is selectable on macro invocation
with the STATIC-FIRST parameter.  The user can change this default by
invoking configure with either the -with-open62541-shared or
-with-open62541-static option (the named one is checked first).

Either shared or static library can be excluded from checking completely
with the options -without-open62541-shared and
-without-open62541-static.

If the with_open62541 shell variable is set to "no" (e.g.  from running
the AX_OPEN62541_PATH macro and the user giving configure the option
"-without-open62541"), then expands ACTION-IF-NOT-FOUND without any
checks.  The same is true if both -without-open62541-shared and
-without-open62541-static are given.

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_check_lib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_check_lib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_check_lib.m4).

License
*******

Copyright (C) 2016 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_path
=================

Synopsis
********

     AX_OPEN62541_PATH()

Description
***********

Sets pre-processor and linker search paths for the open62541 library
[1].

The open62541 library is a cmake-based project, that is not always
installed to the system: it does not even provide an install target by
default.  In that case, the location of several directories need to be
added to the pre-processor and linker search paths:

       * -I<src>/deps
       * -I<src>/include
       * -I<src>/plugins
       * -I<build>/src_generated
       * -I<build>
       * -L<build>

Here "src" indicates the location of the library source directory and
"build" the location of the out-of-source build.

This macro provides the configure options -with-open62541=dir and
-with-open62541-build=dir to set the two directories.  This macro will
append to CPPFLAGS and LDFLAGS if a dir is supplied.  It will also
export LD_LIBRARY_PATH with the absolute path of the build dir for the
rest of the configure script to use and define a Makefile variable
OPEN62541_LDPATH, which contains
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:<abs_path_to_build> : this is intended
to be used for all commands that need to execute a program using the
library (e.g.  make check).  If paths are set, they are forwarded to
distcheck.

For -with-open62541, the dir is optional: if either the values "no"
(from -without-open62541) or "yes" (for no argument) are specified, this
macro does nothing but these values may be used by other code.  If
-with-open62541 is not specified, the variable with_open62541 is not
set.

For -with-open62541-build, the dir is compulsory.  -with-open62541-build
must not be given without also specifying -with-open62541.  If
-with-open62541 is given but -with-open62541-build is not, the default
value is "<src>/build".

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_path.m4).

License
*******

Copyright (C) 2016,2017 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_openmp
=========

Synopsis
********

     AX_OPENMP([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro tries to find out how to compile programs that use OpenMP a
standard API and set of compiler directives for parallel programming
(see http://www-unix.mcs/)

On success, it sets the OPENMP_CFLAGS/OPENMP_CXXFLAGS/OPENMP_F77FLAGS
output variable to the flag (e.g.  -omp) used both to compile *and* link
OpenMP programs in the current language.

NOTE: You are assumed to not only compile your program with these flags,
but also link it with them as well.

If you want to compile everything with OpenMP, you should set:

       CFLAGS="$CFLAGS $OPENMP_CFLAGS"
       #OR#  CXXFLAGS="$CXXFLAGS $OPENMP_CXXFLAGS"
       #OR#  FFLAGS="$FFLAGS $OPENMP_FFLAGS"

(depending on the selected language).

The user can override the default choice by setting the corresponding
environment variable (e.g.  OPENMP_CFLAGS).

ACTION-IF-FOUND is a list of shell commands to run if an OpenMP flag is
found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
not found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_OPENMP.

Source Code
***********

Download the latest version of 'ax_openmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_openmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_openmp.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2015 John W. Peterson <jwpeterson@gmail.com>
Copyright (C) 2016 Nick R. Papior <nickpapior@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_patch_libtool_changing_cmds_ifs
==================================

Synopsis
********

     AX_PATCH_LIBTOOL_CHANGING_CMDS_IFS

Description
***********

Do a 'grep "^[a-z]*_cmds=" libtool' - these are "subroutines" encoded by
libtool.m4 into the generated libtool script.  Since libtool assumes
that there is no subroutine-facility in the shell invoked, these are not
actually subroutines, but actually a "list of commands".  This looks
correct, but the command separator is not ";" - it is "~", the tilde
character.

Now, grep again, look for 'grep 'IFS="~"' libtool' and see that libtool
scripting uses a for-loop on the command-list, i.e for cmd in
$some_cmds.  This works correctly when the IFS was modified, where IFS
stands for "input field separator" which is whitespace characters by
default.

The problem: I have some real-world filesystems where there are
directories using "~" inside of them, to be more to the point, it is a
change control management software that uses source repositories of the
form "path/master/project~version/src" and libtool has the tendency to
resolve any symlinks so that it will paste such path into the $_cmds
script when it gets evaluated a number of times.

This script is a workaround: I do not know why the ";" was not chosen as
the IFS, perhaps it has some weird interactions in some shells since it
is also the default record separator being one time bigger in context
than the argument separator.  I have made good success however with
using "?"  as the IFS, since there is no path-name that uses a question
mark, and there is no _cmds ever around that uses "?"  for some thing.

Oh yes, there are some usages of "*" to match shell-wise at the output
file of some tool, so that might have triggered the choice to not use
"?"  in the first place - but in real life it never occurred that a
_cmds script was created that has gone to use "?".  And so, this
ac-macro exchanges the s/~/?/g in configured _cmds variables and
replaces all occurrences of s/IFS="~"/IFS="?"/ - and it all works smooth
now.

Source Code
***********

Download the latest version of 'ax_patch_libtool_changing_cmds_ifs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_patch_libtool_changing_cmds_ifs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_patch_libtool_changing_cmds_ifs.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_bdb
===========

Synopsis
********

     AX_PATH_BDB([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro finds the latest version of Berkeley DB on the system, and
ensures that the header file and library versions match.  If
MINIMUM-VERSION is specified, it will ensure that the library found is
at least that version.

It determines the name of the library as well as the path to the header
file and library.  It will check both the default environment as well as
the default Berkeley DB install location.  When found, it sets BDB_LIBS,
BDB_CPPFLAGS, and BDB_LDFLAGS to the necessary values to add to LIBS,
CPPFLAGS, and LDFLAGS, as well as setting BDB_VERSION to the version
found.  HAVE_DB_H is defined also.

The option -with-bdb-dir=DIR can be used to specify a specific Berkeley
DB installation to use.

An example of it's use is:

       AX_PATH_BDB([3],[
         LIBS="$BDB_LIBS $LIBS"
         LDFLAGS="$BDB_LDFLAGS $LDFLAGS"
         CPPFLAGS="$CPPFLAGS $BDB_CPPFLAGS"
       ])

which will locate the latest version of Berkeley DB on the system, and
ensure that it is version 3.0 or higher.

Details: This macro does not use either AC_CHECK_HEADERS or AC_CHECK_LIB
because, first, the functions inside the library are sometimes renamed
to contain a version code that is only available from the db.h on the
system, and second, because it is common to have multiple db.h and libdb
files on a system it is important to make sure the ones being used
correspond to the same version.  Additionally, there are many different
possible names for libdb when installed by an OS distribution, and these
need to be checked if db.h does not correspond to libdb.

When cross compiling, only header versions are verified since it would
be difficult to check the library version.  Additionally the default
Berkeley DB installation locations /usr/local/BerkeleyDB* are not
searched for higher versions of the library.

The format for the list of library names to search came from the Cyrus
IMAP distribution, although they are generated dynamically here, and
only for the version found in db.h.

The macro AX_COMPARE_VERSION is required to use this macro, and should
be available from the Autoconf Macro Archive.

The author would like to acknowledge the generous and valuable feedback
from Guido Draheim, without which this macro would be far less robust,
and have poor and inconsistent cross compilation support.

Changes:

      1/5/05 applied patch from Rafal Rzepecki to eliminate compiler
             warning about unused variable, argv

Source Code
***********

Download the latest version of 'ax_path_bdb.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_bdb.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_bdb.m4).

License
*******

Copyright (C) 2008 Tim Toolan <toolan@ele.uri.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_generic
===============

Synopsis
********

     AX_PATH_GENERIC(LIBRARY,[MINIMUM-VERSION,[SED-EXPR-EXTRACTOR]],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND],[CONFIG-SCRIPTS],[CFLAGS-ARG],[LIBS-ARG])

Description
***********

Runs the LIBRARY-config script and defines LIBRARY_CFLAGS and
LIBRARY_LIBS unless the user had predefined them in the environment.

The script must support '-cflags' and '-libs' args.  If MINIMUM-VERSION
is specified, the script must also support the '-version' arg.  If the
'-with-library-[exec-]prefix' arguments to ./configure are given, it
must also support '-prefix' and '-exec-prefix'.  Preferably use
CONFIG-SCRIPTS as config script, CFLAGS-ARG instead of '-cflags' and
LIBS-ARG instead of '-libs', if given.

The SED-EXPR-EXTRACTOR parameter represents the expression used in sed
to extract the version number.  Use it if your 'foo-config -version'
dumps something like 'Foo library v1.0.0 (alfa)' instead of '1.0.0'.

The macro respects LIBRARY_CONFIG, LIBRARY_CFLAGS and LIBRARY_LIBS
variables.  If the first one is defined, it specifies the name of the
config script to use.  If the latter two are defined, the script is not
ran at all and their values are used instead (if only one of them is
defined, the empty value of the remaining one is still used).

Example:

       AX_PATH_GENERIC(Foo, 1.0.0)

would run 'foo-config -version' and check that it is at least 1.0.0, if
successful the following variables would be defined and substituted:

       FOO_CFLAGS to `foo-config --cflags`
       FOO_LIBS   to `foo-config --libs`

Example:

       AX_PATH_GENERIC([Bar],,,[
          AC_MSG_ERROR([Cannot find Bar library])
       ])

would check for bar-config program, defining and substituting the
following variables:

       BAR_CFLAGS to `bar-config --cflags`
       BAR_LIBS   to `bar-config --libs`

Example:

       ./configure BAZ_LIBS=/usr/lib/libbaz.a

would link with a static version of baz library even if 'baz-config
-libs' returns just "-lbaz" that would normally result in using the
shared library.

This macro is a rearranged version of AC_PATH_GENERIC from Angus Lees.

Source Code
***********

Download the latest version of 'ax_path_generic.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_generic.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_generic.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_lib_pcre
================

Synopsis
********

     AX_PATH_LIB_PCRE [(A/NA)]

Description
***********

check for pcre lib and set PCRE_LIBS and PCRE_CFLAGS accordingly.

also provide -with-pcre option that may point to the $prefix of the pcre
installation - the macro will check $pcre/include and $pcre/lib to
contain the necessary files.

the usual two ACTION-IF-FOUND / ACTION-IF-NOT-FOUND are supported and
they can take advantage of the LIBS/CFLAGS additions.

Source Code
***********

Download the latest version of 'ax_path_lib_pcre.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_lib_pcre.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_lib_pcre.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_milter
==============

Synopsis
********

     AX_PATH_MILTER([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to automatically find the library libmilter.a and the
header file "libmilter/mfapi.h", which are required when compiling a
milter for Sendmail.  When successful, it sets the output variable
MILTER_LIBS to "-lmilter", MILTER_LDFLAGS to contain an -Lpathtolib
option, and MILTER_CPPFLAGS to contain an -Ipathtoinclude option, if
they are necessary.

The easiest way to use this macro is something like:

       AX_PATH_MILTER([8.12],[
         LIBS="$MILTER_LIBS $LIBS"
         LDFLAGS="$MILTER_LDFLAGS $LDFLAGS"
         CPPFLAGS="$CPPFLAGS $MILTER_CPPFLAGS"
       ],[
         AC_MSG_ERROR([required milter library and header not found])
       ])

If the macro is successful, it just adds any flags to the necessary
environment.  If it is not successful, it would likely be a fatal error,
because if an application is linking with libmilter.a, it is probably
because it is a milter.

There are two optional "-with" options for configure which are added.
If they are specified, they override any searching that is done.  They
are:

       --with-sendmail-base=<DIR>  This option is used to explicitly
              specify the base of the sendmail distribution.

       --with-sendmail-obj=<DIR>   The option is used to explicitly specify
              the "obj.*" subdirectory in the sendmail distribution
              that should be used.

When sendmail-base is not specified, the current environment is first
tested to see if the header and library are available, and if so
MILTER_LDFLAGS and MILTER_CPPFLAGS are left empty.

There are two places that are searched for the sendmail base directory.
The first location is one directory down from the current directory.  It
checks if there is a directory of the form sendmail-8.1*, limited to
version 8.12.x or higher, then chooses the directory with the highest
version number.  If that method does not succeed, it then looks in the
file /etc/mail/sendmail.cf for the directory it was built from, and uses
the base of that distribution.  If neither of these methods work, then
it fails.

There are two methods for finding the "obj.*" directory when it is not
specified.  The first is to try to run sendmail's Build program with the
-M option which will print out the name of the obj.  directory for the
tool in the directory where it is run from.  If this does not work, is
looks for the newest directory of the form "obj.*" in the sendmail base
directory.

Two addition output variables that are defined, whether or not the files
are found are SENDMAIL_BASE_DIR and SENDMAIL_OBJ_DIR, which are the
suspected location of the sendmail base directory and obj.*
subdirectory.

NOTE: POSIX threads MUST be configured BEFORE this function is called or
it will not find libmilter.a even if it exists.  The easiest way is to
use the AX_PTHREAD macro by Steven G. Johnson and Alejandro Forero
Cuervo which is available from the Autoconf Macro Archive.

Source Code
***********

Download the latest version of 'ax_path_milter.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_milter.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_milter.m4).

License
*******

Copyright (C) 2008 Tim Toolan <toolan@ele.uri.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_missing
===============

Synopsis
********

     AX_PATH_MISSING(VARIABLE, PROG-TO-CHECK-FOR, WARNING-IF-NOT-FOUND, PATH)

Description
***********

Check whether program PROG-TO-CHECK-FOR exists in path.  If it is found,
set VARIABLE to the full path of PROG-TO-CHECK-FOR, otherwise warn using
the string WARNING-IF-NOT-FOUND and set VARIABLE to the full path of the
Automake missing script with PROG-TO-CHECK-FOR as the command to run.

A typical use is the following:

       AX_PATH_MISSING([AUTOGEN],[autogen],[autogen seems missing ...])

This macro is the combination of AC_PATH_PROG and AX_MISSING_PROG. If
you do not want to run AC_PATH_PROG, simply use AX_MISSING_PROG or
AM_MISSING.

Source Code
***********

Download the latest version of 'ax_path_missing.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_missing.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_missing.m4).

License
*******

Copyright (C) 2008 Noah Slater <nslater@bytesexual.org>
Copyright (C) 2008 Francesco Salvestrini <salvestrini@sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_perl_ext
===========

Synopsis
********

     AX_PERL_EXT

Description
***********

Fetches the linker flags and C compiler flags for compiling and linking
Perl binary extensions.  The macro substitutes PERL_EXT_PREFIX,
PERL_EXT_INC, PERL_EXT_LIB, PERL_EXT_CPPFLAGS, PERL_EXT_LDFLAGS and
PERL_EXT_DLEXT variables if Perl executable was found.  It also checks
the same variables before trying to retrieve them from the Perl
configuration.

       PERL_EXT_PREFIX: top-level perl installation path (--prefix)
       PERL_EXT_INC: XS include directory
       PERL_EXT_LIB: Perl extensions destination directory
       PERL_EXT_CPPFLAGS: C preprocessor flags to compile extensions
       PERL_EXT_LDFLAGS: linker flags to build extensions
       PERL_EXT_DLEXT: extensions suffix for perl modules (e.g. ".so")

Examples:

       AX_PERL_EXT
       if test x"$PERL" = x; then
          AC_ERROR(["cannot find Perl"])
       fi

Source Code
***********

Download the latest version of 'ax_perl_ext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_ext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_ext.m4).

License
*******

Copyright (C) 2011 Stanislav Sedov <stas@FreeBSD.org>
Copyright (C) 2014 Thomas Klausner <tk@giga.or.at>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1.  Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.

ax_perl_ext_flags
=================

Synopsis
********

     AX_PERL_EXT_FLAGS([CFLAGS-VARIABLE], [LDFLAGS-VARIABLE], [EXTRA-MODULES])
     AX_PERL_EXT_CFLAGS([CFLAGS-VARIABLE])
     AX_PERL_EXT_LDFLAGS([LDFLAGS-VARIABLE], [EXTRA-MODULES])

Description
***********

Fetches the linker flags and C compiler flags for compiling and linking
programs that embed a Perl interpreter.  If the EXTRA-MODULES argument
is submitted, it is a space separated list of extra modules to link.
The flags will be stored in the provided variables.

Examples:

       AX_PERL_EXT_FLAGS([PERLXS_CFLAGS], [PERLXS_LDFLAGS])
       AC_SUBST([PERLXS_CFLAGS])
       AC_SUBST([PERLXS_LDFLAGS])

       AX_PERL_EXT_CFLAGS([PERLXS_CFLAGS])
       AC_SUBST([PERLXS_CFLAGS])

       AX_PERL_EXT_LDFLAGS([PERLXS_LDFLAGS], [-std Socket])

Source Code
***********

Download the latest version of 'ax_perl_ext_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_ext_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_ext_flags.m4).

License
*******

Copyright (C) 2009 Mats Kindahl of Sun Microsystems <mats@sun.com>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1.  Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3.  The name of the author may not be used to endorse or promote
products derived from this software without specific prior written
permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

ax_perl_module_version
======================

Synopsis
********

     AX_PERL_MODULE_VERSION([MODULE VERSION], [ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

Checks to see if the list of 'Module Version' are available in the
system.  If all the modules in the list are available ACTION-IF-TRUE is
executed.  Case one module is not available ACTION-IF-FALSE is executed
and the macro execution is aborted.  NOTE: Perl is needed.

Example:

       AX_PERL_MODULE_VERSION(CGI::Test 0.104 CGI::Ajax 0.694, ,
          AC_MSG_ERROR(Need some Perl modules))

Source Code
***********

Download the latest version of 'ax_perl_module_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_module_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_module_version.m4).

License
*******

Copyright (C) 2009 Marco Gomes <mpglesi@gmail.com>
Copyright (C) 2009 Ruben Fonseca <fonseka@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pgsql_priv_root
==================

Synopsis
********

     AX_PGSQL_PRIV_ROOT(DB, USER, [HOST], [PASSWORD], [ACTION_IF_FAILED], [ACTION_IF_OK])

Description
***********

This macro checks whether the given PostgreSQL user has root privileges
(can create and drop databases) It is recommended to first call
AX_CHECK_PGSQL_DB, this makes it easier to locate the cause of error.
The macro AX_PROG_PGCLIENT is required by this one.

The variable $pgclient_root_call is set for later use in Makefiles, if
you'd like to make use of this, you must do

       AC_SUBST(pgclient_root_call)

after having called AX_CHECK_PGSQL_PRIV_ROOT. You can then do something
like the following in your Makefile.am:

       @pgclient_root_call@ -f file.sql

If you want the user to set the data, you should support something like
these configure options:

       AC_ARG_WITH(pgsql-host,
               [  --with-pgsql-host=HOST               server is running on HOST @<:@local socket@:>@],
               [pg_host=$withval], [pg_host=])

       AC_ARG_WITH(pgsql-db,
               [  --with-pgsql-db=DBNAME               use database DBNAME @<:@test@:>@],
               [pg_db=$withval], [pg_db=test])

       AC_ARG_WITH(pgsql-root-user,
               [  --with-pgsql-root-user=USER          use user USER, must have root (all) privileges @<:@postgres@:>@],
               [pg_root_user=$withval], [pg_root_user=postgres])

       AC_ARG_WITH(pgsql-password,
               [  --with-pgsql-password=PASSWORD       use password PASSWORD @<:@none@:>@],
               [pg_password=$withval], [pg_password=""])

You can then call the macro like this:

       AX_CHECK_PGSQL_PRIV_ROOT([$pg_db], [$pg_root_user], [$pg_host], [$pg_password], [AC_MSG_ERROR([We need root privileges on database!])])

Source Code
***********

Download the latest version of 'ax_pgsql_priv_root.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pgsql_priv_root.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pgsql_priv_root.m4).

License
*******

Copyright (C) 2008 Moritz Sinn <moritz@freesources.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_pkg_check_modules
====================

Synopsis
********

     AX_PKG_CHECK_MODULES(PREFIX, PUBLIC-MODULES, PRIVATE-MODULES, [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND], [PUBLIC-VARIABLE], [PRIVATE-VARIABLE])

Description
***********

A wrapper around PKG_CHECK_MODULES which splits the list of modules into
public and private dependencies, and produces two variables listing the
dependencies across all invocations of AX_PKG_CHECK_MODULES. These two
variables are exposed via AC_SUBST, and should be used in a pkg-config
file as the substituted values for Requires and Requires.private.

The PREFIX, PUBLIC-MODULES and PRIVATE-MODULES arguments should be
specified as for PKG_CHECK_MODULES, with the concatenation of
PUBLIC-MODULES and PRIVATE-MODULES equaling the LIST-OF-MODULES from
PKG_CHECK_MODULES. The ACTION-IF-FOUND and ACTION-IF-NOT-FOUND arguments
are optional, and should also be specified as for PKG_CHECK_MODULES.
ACTION-IF-FOUND is evaluated if the full LIST-OF-MODULES is found;
ACTION-IF-NOT-FOUND similarly.

PUBLIC-VARIABLE defaults to AX_PACKAGE_REQUIRES, and PRIVATE-VARIABLE
defaults to AX_PACKAGE_REQUIRES_PRIVATE. Both variables are AC_SUBST-ed
by this macro.

For example:

       AX_PKG_CHECK_MODULES([GLIB],[glib-2.0 gio-2.0],[gthread-2.0])
       AX_PKG_CHECK_MODULES([DBUS],[],[dbus-glib-1 >= 0.98 dbus-1])

results in the substitutions:

       AX_PACKAGE_REQUIRES="glib-2.0 gio-2.0"
       AX_PACKAGE_REQUIRES_PRIVATE="gthread-2.0 dbus-glib-1 >= 0.98 dbus-1"

and can be used with a template pkg-config file (.pc.in) using:

       Requires: @AX_PACKAGE_REQUIRES@
       Requires.private: @AX_PACKAGE_REQUIRES_PRIVATE@

Source Code
***********

Download the latest version of 'ax_pkg_check_modules.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_check_modules.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_check_modules.m4).

License
*******

Copyright (C) 2014 Philip Withnall <philip@tecnocode.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pkg_mico
===========

Synopsis
********

     AX_PKG_MICO([X.X.X optional required])

Description
***********

This macro searches for a MICO installation on your system.  MICO (Mico
Is COrba) installs the file 'mico-setup.sh' under MICO_INSTALL_BASE/lib,
where MICO_INSTALL_BASE is probably /usr/local or /usr.  If nothing was
specified when calling configure or just -with-mico, it searches in
$prefix/lib:/usr/local/lib:/usr/lib The argument of s-with-mico
specifies the full pathname of the mico-setup.sh file.  For instance
-with-mico=/usr/local/mico-2.2.6/lib/mico-setup.sh.

If the version argument is given (e.g.  2.2.6), AX_PKG_MICO checks that
the mico package is this version number or higher.

The other optional argument to AX_PKG_MICO are 'optional' and
'required'.  by default, placing AX_PKG_MICO in your configure.in does
not enforce using mico, if it is not found on the system.  If MICO
existence is critical for the building of your package, then you
probably want to specify something like "AX_PKG_MICO(2.2.6 required)".
Then, even if the -with-mico was not specified on the command line of
the configure script, an error will be raised if mico was not found.

If the mico package is not found, abort configuration with error
message.

It defines the symbol MICOSETUP, MICOVERSION, MICOSHAREDDIR
MICO_INCLUDE, MICO_LIB and MICO_CXX if mico is found.  In addition, the
mico script mico-c++ (set in (MICO_CXX) is scaned for a string match
"-I.*ministl" and if foundMICO_USE_MINISTL is set to 1, otherwise to 0.

Example of use of these variables in your Makefile.in:

       INCLUDES += @MICO_INCLUDE@
       LDFLAGS += @MICO_LIB@

Source Code
***********

Download the latest version of 'ax_pkg_mico.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_mico.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_mico.m4).

License
*******

Copyright (C) 2008 Tal Shalif <tal@shalif.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pkg_swig
===========

Synopsis
********

     AX_PKG_SWIG([major.minor.micro], [action-if-found], [action-if-not-found])

Description
***********

This macro searches for a SWIG installation on your system.  If found,
then SWIG is AC_SUBST'd; if not found, then $SWIG is empty.  If SWIG is
found, then SWIG_LIB is set to the SWIG library path, and AC_SUBST'd.

You can use the optional first argument to check if the version of the
available SWIG is greater than or equal to the value of the argument.
It should have the format: N[.N[.N]] (N is a number between 0 and 999.
Only the first N is mandatory.)  If the version argument is given (e.g.
1.3.17), AX_PKG_SWIG checks that the swig package is this version number
or higher.

As usual, action-if-found is executed if SWIG is found, otherwise
action-if-not-found is executed.

In configure.in, use as:

       AX_PKG_SWIG(1.3.17, [], [ AC_MSG_ERROR([SWIG is required to build..]) ])
       AX_SWIG_ENABLE_CXX
       AX_SWIG_MULTI_MODULE_SUPPORT
       AX_SWIG_PYTHON

Source Code
***********

Download the latest version of 'ax_pkg_swig.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_swig.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_swig.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier
Copyright (C) 2011 Murray Cumming <murrayc@openismus.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prefix_config_h
==================

Synopsis
********

     AX_PREFIX_CONFIG_H [(OUTPUT-HEADER [,PREFIX [,ORIG-HEADER]])]

Description
***********

Generate an installable config.h.

A package should not normally install its config.h as a system header,
but if it must, this macro can be used to avoid namespace pollution by
making a copy of config.h with a prefix added to all the macro names.

Each "#define SOMEDEF" line of the configuration header has the given
prefix added, in the same case as the first character of the macro name.

Defaults:

       OUTPUT-HEADER = $PACKAGE-config.h
       PREFIX = $PACKAGE
       ORIG-HEADER, from AM_CONFIG_HEADER(config.h)

Your configure.ac script should contain both macros in this order.

Example:

       AC_INIT(config.h.in)        # config.h.in as created by "autoheader"
       AM_INIT_AUTOMAKE(testpkg, 0.1.1)    # makes #undef VERSION and PACKAGE
       AM_CONFIG_HEADER(config.h)          # prep config.h from config.h.in
       AX_PREFIX_CONFIG_H(mylib/_config.h) # prep mylib/_config.h from it..
       AC_MEMORY_H                         # makes "#undef NEED_MEMORY_H"
       AC_C_CONST_H                        # makes "#undef const"
       AC_OUTPUT(Makefile)                 # creates the "config.h" now
                                           # and also mylib/_config.h

If the argument to AX_PREFIX_CONFIG_H would have been omitted then the
default output file would have been called simply "testpkg-config.h",
but even under the name "mylib/_config.h" it contains prefix-defines
like

       #ifndef TESTPKG_VERSION
       #define TESTPKG_VERSION "0.1.1"
       #endif
       #ifndef TESTPKG_NEED_MEMORY_H
       #define TESTPKG_NEED_MEMORY_H 1
       #endif
       #ifndef _testpkg_const
       #define _testpkg_const _const
       #endif

and this "mylib/_config.h" can be installed along with other header
files, which is most convenient when creating a shared library (that has
some headers) whose functionality depends on features detected at
compile-time.  No need to invent some "mylib-confdefs.h.in" manually.

Note that some AC_DEFINEs that end up in the config.h file are actually
self-referential - e.g.  AC_C_INLINE, AC_C_CONST, and the AC_TYPE_OFF_T
say that they "will define inline|const|off_t if the system does not do
it by itself".  You might want to clean up about these - consider an
extra mylib/conf.h that reads something like:

       #include <mylib/_config.h>
       #ifndef _testpkg_const
       #define _testpkg_const const
       #endif

and then start using _testpkg_const in the header files.  That is also a
good thing to differentiate whether some library-user has starting to
take up with a different compiler, so perhaps it could read something
like this:

       #ifdef _MSC_VER
       #include <mylib/_msvc.h>
       #else
       #include <mylib/_config.h>
       #endif
       #ifndef _testpkg_const
       #define _testpkg_const const
       #endif

Source Code
***********

Download the latest version of 'ax_prefix_config_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prefix_config_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prefix_config_h.m4).

License
*******

Copyright (C) 2014 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2008 Marten Svantesson
Copyright (C) 2008 Gerald Point <Gerald.Point@labri.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_print_to_file
================

Synopsis
********

     AX_PRINT_TO_FILE([FILE],[DATA])

Description
***********

Writes the specified data to the specified file.

Source Code
***********

Download the latest version of 'ax_print_to_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_print_to_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_print_to_file.m4).

License
*******

Copyright (C) 2008 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_printf_size_t
================

Synopsis
********

     AX_PRINTF_SIZE_T

Description
***********

Check for the appropriate printf() format string modifier to use with a
size_t argument.  If a suitable modifier is found, it is AC_DEFINE'd as
PRI_SIZE_T_MODIFIER, and can be used in C code as e.g.

       printf("Size = %" PRI_SIZE_T_MODIFIER "u bytes.\n", sizeof(foo));

If you use the PRIxNN macros from ISO C99's <inttypes.h>, you may wish
to define a supplemental set of macros along similar lines:

       #define PRIdSIZE PRI_SIZE_T_MODIFIER "d"
       #define PRIiSIZE PRI_SIZE_T_MODIFIER "i"
       #define PRIoSIZE PRI_SIZE_T_MODIFIER "o"
       #define PRIuSIZE PRI_SIZE_T_MODIFIER "u"
       #define PRIxSIZE PRI_SIZE_T_MODIFIER "x"
       #define PRIXSIZE PRI_SIZE_T_MODIFIER "X"

Note: This macro invokes a test program to check whether a given format
modifier is understood by the system's sprintf() function.  If the user
is cross-compiling, then this check cannot be performed, and thereby
PRI_SIZE_T_MODIFIER will remain undefined.

Source Code
***********

Download the latest version of 'ax_printf_size_t.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_printf_size_t.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_printf_size_t.m4).

License
*******

Copyright (C) 2012 Daniel Richard G. <skunk@iSKUNK.ORG>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_apache
==============

Synopsis
********

     AX_PROG_APACHE([version])

Description
***********

This macro searches for an installed apache server.  If nothing was
specified when calling configure or just -with-apache, it searches in
/usr/local/apache/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin
The argument of -with-apache specifies the full pathname of the httpd
argument.  For instance -with-apache=/usr/sbin/httpd.

If the version argument is given, AX_PROG_APACHE checks that the apache
server is this version number or higher.

If the apache server is not found, abort configuration with error
message.

It defines the symbol APACHE if the server is found.

Files using apache should do the following:

       @APACHE@ -d /etc/httpd

It defines the symbol APACHE_MODULES if a directory containing mod_env.*
is found in the default server root directory (obtained with httpd -V).

The httpd.conf file listing modules to be loaded dynamically can use
@APACHE_MODULES@ to grab them in the appropriate sub directory.  For
instance:

      ...
      <IfModule mod_so.c>
      LoadModule env_module         @APACHE_MODULES@/mod_env.so
      LoadModule config_log_module  @APACHE_MODULES@/mod_log_config.so
      ...

Source Code
***********

Download the latest version of 'ax_prog_apache.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_apache.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_apache.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_bison
=============

Synopsis
********

     AX_PROG_BISON(ACTION-IF-TRUE,ACTION-IF-FALSE)

Description
***********

Check whether bison is the parser generator.  Run ACTION-IF-TRUE if
successful, ACTION-IF-FALSE otherwise

Source Code
***********

Download the latest version of 'ax_prog_bison.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_bison.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_bison.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_bison_version
=====================

Synopsis
********

     AX_PROG_BISON_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that bison version is greater or equal to the version
indicated.  If true the shell commands in ACTION-IF-TRUE are executed.
If not the shell commands in commands in ACTION-IF-TRUE are executed.
If not the shell commands in ACTION-IF-FALSE are run.  Note if $BISON is
not set (for example by running AC_CHECK_PROG or AC_PATH_PROG) the macro
will fail.

Example:

       AC_PATH_PROG([BISON],[bison])
       AX_PROG_BISON_VERSION([3.0.2],[ ... ],[ ... ])

This will check to make sure that the bison you have is at least version
3.0.2 or greater.

NOTE: This macro uses the $BISON variable to perform the check.

Source Code
***********

Download the latest version of 'ax_prog_bison_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_bison_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_bison_version.m4).

License
*******

Copyright (C) 2015 Jonathan Rajotte-Julien <jonathan.rajotte-julien@efficios.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_char_subscripts
==========================

Synopsis
********

     AX_PROG_CC_CHAR_SUBSCRIPTS(substvar [,hard])

Description
***********

Try to find a compiler option that enables usage of char-type to index a
value-field.  This one needs unsigned-chars and it must suppress
warnings about usage of chars for subscripting.  for gcc -funsigned-char
-Wno-char-subscripts

Currently this macro knows about GCC. hopefully will evolve to use:
Solaris C compiler, Digital Unix C compiler, C for AIX Compiler, HP-UX C
compiler, and IRIX C compiler.

Source Code
***********

Download the latest version of 'ax_prog_cc_char_subscripts.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_char_subscripts.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_char_subscripts.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_for_build
====================

Synopsis
********

     AX_PROG_CC_FOR_BUILD

Description
***********

This macro searches for a C compiler that generates native executables,
that is a C compiler that surely is not a cross-compiler.  This can be
useful if you have to generate source code at compile-time like for
example GCC does.

The macro sets the CC_FOR_BUILD and CPP_FOR_BUILD macros to anything
needed to compile or link (CC_FOR_BUILD) and preprocess (CPP_FOR_BUILD).
The value of these variables can be overridden by the user by specifying
a compiler with an environment variable (like you do for standard CC).

It also sets BUILD_EXEEXT and BUILD_OBJEXT to the executable and object
file extensions for the build platform, and GCC_FOR_BUILD to 'yes' if
the compiler we found is GCC. All these variables but GCC_FOR_BUILD are
substituted in the Makefile.

Source Code
***********

Download the latest version of 'ax_prog_cc_for_build.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_for_build.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_for_build.m4).

License
*******

Copyright (C) 2008 Paolo Bonzini <bonzini@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_mpi
==============

Synopsis
********

     AX_PROG_CC_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile C programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_CC and will replace the
standard variable CC with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard C compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard C compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])
       #
       AX_PROG_CC_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_cc_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_cp_s
============

Synopsis
********

     AX_PROG_CP_S

Description
***********

Check how to make a copy by creating a symbolic link to the original -
it defines the variable CP_S for further use, which you should in fact
treat like it used to be with be LN_S. The actual value is assured to be
either LN_S (if the filesystem supports symbolic links) or CP (if the
filesystem does not know about symbolic links and you need a copy of
original file to have the same text in both places).  In a gnu
environment it will simply set CP_S="cp -s" since the gnu "cp"-command
has the "-s" flag.  You shall not try to use this command on directories
since it would require a "-r" in the case of a copy that is not
supported explicitly here.  (I'm not sure if some "cp"-commands out
there would barf at usage of "-r" on a normal file).

Use CP_S to create a copy of read-only data - if your filesystem
supports it then a symbolic link is created - a process that is quicker
and space-saving.  However, if the target fs does not support symbolic
links, just copy the data.  Unlike ac_prog_ln_s this macro will never
fail to set the CP_S ac_subst to something that works.

Source Code
***********

Download the latest version of 'ax_prog_cp_s.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cp_s.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cp_s.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_crontab
===============

Synopsis
********

     AX_PROG_CRONTAB

Description
***********

Check for the program crontab, if exists let script continue, else pops
an error message

Besides checking existence, this macro also set these environment
variables upon completion:

       CRONTAB = which crontab

Source Code
***********

Download the latest version of 'ax_prog_crontab.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_crontab.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_crontab.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_cxx_for_build
=====================

Synopsis
********

     AX_PROG_CXX_FOR_BUILD

Description
***********

This macro searches for a C++ compiler that generates native
executables, that is a C++ compiler that surely is not a cross-compiler.
This can be useful if you have to generate source code at compile-time
like for example GCC does.

The macro sets the CXX_FOR_BUILD and CXXCPP_FOR_BUILD macros to anything
needed to compile or link (CXX_FOR_BUILD) and preprocess
(CXXCPP_FOR_BUILD). The value of these variables can be overridden by
the user by specifying a compiler with an environment variable (like you
do for standard CXX).

Source Code
***********

Download the latest version of 'ax_prog_cxx_for_build.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cxx_for_build.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cxx_for_build.m4).

License
*******

Copyright (C) 2008 Paolo Bonzini <bonzini@gnu.org>
Copyright (C) 2012 Avionic Design GmbH

Based on the AX_PROG_CC_FOR_BUILD macro by Paolo Bonzini.

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cxx_mpi
===============

Synopsis
********

     AX_PROG_CXX_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile C++ programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_CXX and will replace the
standard variable CXX with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard C compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard C compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_CXX_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_cxx_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cxx_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cxx_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_date
============

Synopsis
********

     AX_PROG_DATE()

Description
***********

This macro tries to determine the type of the date (1) command and some
of its non-standard capabilities.

The type is determined as follow:

       * If the version string contains "GNU", then:
         - The variable ax_cv_prog_date_gnu is set to "yes".
         - The variable ax_cv_prog_date_type is set to "gnu".

       * If date supports the "-v 1d" option, then:
         - The variable ax_cv_prog_date_bsd is set to "yes".
         - The variable ax_cv_prog_date_type is set to "bsd".

       * If both previous checks fail, then:
         - The variable ax_cv_prog_date_type is set to "unknown".

The following capabilities of GNU date are checked:

       * If date supports the --date arg option, then:
         - The variable ax_cv_prog_date_gnu_date is set to "yes".

       * If date supports the --utc arg option, then:
         - The variable ax_cv_prog_date_gnu_utc is set to "yes".

The following capabilities of BSD date are checked:

       * If date supports the -v 1d  option, then:
         - The variable ax_cv_prog_date_bsd_adjust is set to "yes".

       * If date supports the -r arg option, then:
         - The variable ax_cv_prog_date_bsd_date is set to "yes".

All the aforementioned variables are set to "no" before a check is
performed.

Source Code
***********

Download the latest version of 'ax_prog_date.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_date.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_date.m4).

License
*******

Copyright (C) 2017 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_dotnetcore_version
==========================

Synopsis
********

     AX_PROG_DOTNETCORE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that .NET Core supports the version indicated.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  The $dotnetcore_version variable
will be filled with the detected version.

This macro uses the $DOTNETCORE variable to perform the check.  If
$DOTNETCORE is not set prior to calling this macro, the macro will fail.

Example:

       AC_PATH_PROG([DOTNETCORE],[dotnet])
       AC_PROG_DOTNETCORE_VERSION([1.0.2],[ ... ],[ ... ])

Searches for .NET Core, then checks if at least version 1.0.2 is
present.

Source Code
***********

Download the latest version of 'ax_prog_dotnetcore_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_dotnetcore_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_dotnetcore_version.m4).

License
*******

Copyright (C) 2016 Jens Geyer <jensg@apache.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_doxygen
===============

Synopsis
********

     DX_INIT_DOXYGEN(PROJECT-NAME, [DOXYFILE-PATH], [OUTPUT-DIR], ...)
     DX_DOXYGEN_FEATURE(ON|OFF)
     DX_DOT_FEATURE(ON|OFF)
     DX_HTML_FEATURE(ON|OFF)
     DX_CHM_FEATURE(ON|OFF)
     DX_CHI_FEATURE(ON|OFF)
     DX_MAN_FEATURE(ON|OFF)
     DX_RTF_FEATURE(ON|OFF)
     DX_XML_FEATURE(ON|OFF)
     DX_PDF_FEATURE(ON|OFF)
     DX_PS_FEATURE(ON|OFF)

Description
***********

The DX_*_FEATURE macros control the default setting for the given
Doxygen feature.  Supported features are 'DOXYGEN' itself, 'DOT' for
generating graphics, 'HTML' for plain HTML, 'CHM' for compressed HTML
help (for MS users), 'CHI' for generating a separate .chi file by the
.chm file, and 'MAN', 'RTF', 'XML', 'PDF' and 'PS' for the appropriate
output formats.  The environment variable DOXYGEN_PAPER_SIZE may be
specified to override the default 'a4wide' paper size.

By default, HTML, PDF and PS documentation is generated as this seems to
be the most popular and portable combination.  MAN pages created by
Doxygen are usually problematic, though by picking an appropriate subset
and doing some massaging they might be better than nothing.  CHM and RTF
are specific for MS (note that you can't generate both HTML and CHM at
the same time).  The XML is rather useless unless you apply specialized
post-processing to it.

The macros mainly control the default state of the feature.  The use can
override the default by specifying -enable or -disable.  The macros
ensure that contradictory flags are not given (e.g.,
-enable-doxygen-html and -enable-doxygen-chm, -enable-doxygen-anything
with -disable-doxygen, etc.)  Finally, each feature will be
automatically disabled (with a warning) if the required programs are
missing.

Once all the feature defaults have been specified, call DX_INIT_DOXYGEN
with the following parameters: a one-word name for the project for use
as a filename base etc., an optional configuration file name (the
default is '$(srcdir)/Doxyfile', the same as Doxygen's default), and an
optional output directory name (the default is 'doxygen-doc').  To run
doxygen multiple times for different configuration files and output
directories provide more parameters: the second, forth, sixth, etc
parameter are configuration file names and the third, fifth, seventh,
etc parameter are output directories.  No checking is done to catch
duplicates.

Automake Support

The DX_RULES substitution can be used to add all needed rules to the
Makefile.  Note that this is a substitution without being a variable:
only the @DX_RULES@ syntax will work.

The provided targets are:

       doxygen-doc: Generate all doxygen documentation.

       doxygen-run: Run doxygen, which will generate some of the
                    documentation (HTML, CHM, CHI, MAN, RTF, XML)
                    but will not do the post processing required
                    for the rest of it (PS, PDF).

       doxygen-ps:  Generate doxygen PostScript documentation.

       doxygen-pdf: Generate doxygen PDF documentation.

Note that by default these are not integrated into the automake targets.
If doxygen is used to generate man pages, you can achieve this
integration by setting man3_MANS to the list of man pages generated and
then adding the dependency:

       $(man3_MANS): doxygen-doc

This will cause make to run doxygen and generate all the documentation.

The following variable is intended for use in Makefile.am:

       DX_CLEANFILES = everything to clean.

Then add this variable to MOSTLYCLEANFILES.

Source Code
***********

Download the latest version of 'ax_prog_doxygen.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_doxygen.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_doxygen.m4).

License
*******

Copyright (C) 2009 Oren Ben-Kiki <oren@ben-kiki.org>
Copyright (C) 2015 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_emacs
=============

Synopsis
********

     AX_PROG_EMACS

Description
***********

This macro allows the end user to specify a particular Emacs executable
via a configure script command-line arg.  For example:

       ./configure EMACS=$HOME/build/GNU/emacs/src/emacs

It also arranges to mention env var EMACS in the './configure -help'
output.  See info node "(autoconf) Generic Programs" for details.

More precisely...

If env var EMACS is set, try to use its value directly, but avoid
getting fooled by value 't' (set by older Emacsen for subprocesses).  If
no joy from the environment, search for "emacs" via AC_CHECK_PROG. If
still no joy, display "Emacs not found; required!"  and make configure
exit failurefully.  Otherwise, set shell var EMACS and AC_SUBST it, too.

Source Code
***********

Download the latest version of 'ax_prog_emacs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_emacs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_emacs.m4).

License
*******

Copyright (C) 2016-2017 Thien-Thi Nguyen

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_f77_mpi
===============

Synopsis
********

     AX_PROG_F77_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile Fortran77 programs that use
MPI (Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_F77 and will replace the
standard variable F77 with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard F77 compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard F77 compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_F77_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_f77_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_f77_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_f77_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fasm
============

Synopsis
********

     AX_PROG_FASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the FASM assembler and sets the variable "fasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_FASM()
       AX_PROG_FASM([fasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_fasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fasm.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fasm_opt
================

Synopsis
********

     AX_PROG_FASM_OPT(option, var_name)

Description
***********

This macro checks if the FASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_FASM_OPT([-m 256], [FASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_fasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fasm_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fc_mpi
==============

Synopsis
********

     AX_PROG_FC_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile Fortran77 programs that use
MPI (Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_FC and will replace the
standard variable FC with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard FC compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard FC compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_FC_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_fc_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fc_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fc_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fig2dev
===============

Synopsis
********

     AX_PROG_FIG2DEV

Description
***********

If 'fig2dev' is found, sets the output variable 'FIG2DEV' to 'fig2dev',
and 'FIG2DEV_ESPLANG' to the graphics language which can be used to
produce Encapsulated PostScript.  Older versions of 'fig2dev' produce
EPS with '-Lps' and new versions with '-Leps', this macro finds out the
correct language option automatically.

Source Code
***********

Download the latest version of 'ax_prog_fig2dev.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fig2dev.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fig2dev.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_flex
============

Synopsis
********

     AX_PROG_FLEX(ACTION-IF-TRUE,ACTION-IF-FALSE)

Description
***********

Check whether flex is the scanner generator.  Run ACTION-IF-TRUE if
successful, ACTION-IF-FALSE otherwise

Source Code
***********

Download the latest version of 'ax_prog_flex.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_flex.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_flex.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_flex_version
====================

Synopsis
********

     AX_PROG_FLEX_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that flex version is greater or equal to the version
indicated.  If true the shell commands in ACTION-IF-TRUE are executed.
If not the shell commands in commands in ACTION-IF-TRUE are executed.
If not the shell commands in ACTION-IF-FALSE are run.  Note if $FLEX is
not set (for example by running AC_CHECK_PROG or AC_PATH_PROG) the macro
will fail.

Example:

       AC_PATH_PROG([FLEX],[flex])
       AX_PROG_FLEX_VERSION([2.5.39],[ ... ],[ ... ])

This will check to make sure that the flex you have is at least version
2.5.39 or greater.

NOTE: This macro uses the $FLEX variable to perform the check.

Source Code
***********

Download the latest version of 'ax_prog_flex_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_flex_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_flex_version.m4).

License
*******

Copyright (C) 2015 Jonathan Rajotte-Julien <jonathan.rajotte-julien@efficios.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_gjs
===========

Synopsis
********

     AX_PROG_GJS

Description
***********

AX_PROG_GJS checks for the presence of the JavaScript interpreter GJS
(https://wiki.gnome.org/Projects/Gjs) in pkg-config or in the path.  If
it is not found, an error is issued and configure is halted.  If it is
found, the path of the interpreter is placed into a variable named GJS,
which is declared precious.

Source Code
***********

Download the latest version of 'ax_prog_gjs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_gjs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_gjs.m4).

License
*******

Copyright (C) 2013, 2016 Endless Mobile, Inc.; contributed by Philip Chimento <philip@endlessm.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_guile_version
=====================

Synopsis
********

     AX_PROG_GUILE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that guile supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  Note if $GUILE is not set (for example by
running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([GUILE],[guile])
       AC_PROG_GUILE_VERSION([1.6.0],[ ... ],[ ... ])

This will check to make sure that the guile you have supports at least
version 1.6.0.

NOTE: This macro uses the $GUILE variable to perform the check.
AX_WITH_GUILE can be used to set that variable prior to running this
macro.  The $GUILE_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_guile_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_guile_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_guile_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_haxe_version
====================

Synopsis
********

     AX_PROG_HAXE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that haxe supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  The $HAXE_VERSION variable will be filled with
the detected version.

This macro uses the $HAXE variable to perform the check.  If $HAXE is
not set prior to calling this macro, the macro will fail.

Example:

       AC_PATH_PROG([HAXE],[haxe])
       AC_PROG_HAXE_VERSION([3.1.3],[ ... ],[ ... ])

Searches for Haxe, then checks if at least version 3.1.3 is present.

Source Code
***********

Download the latest version of 'ax_prog_haxe_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_haxe_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_haxe_version.m4).

License
*******

Copyright (C) 2015 Jens Geyer <jensg@apache.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_help2man
================

Synopsis
********

     AX_PROG_HELP2MAN([program list], [man directory prefix], [binary prefix])

Description
***********

AX_PROG_HELP2MAN is a macro designed to facilitate usage of help2man.
It may take three optional arguments:

1.  <program list>: comma-separated m4 list of input programs

Specifies the list of input programs which shall be used to produce man
pages using help2man.  If no value is specified, the macro assumes that
the sole target will be named $(PACKAGE_NAME). Thus, the two following
lines are equivalent:

       AX_PROG_HELP2MAN
       AX_PROG_HELP2MAN([\$(PACKAGE_NAME)])

2.  <man directory prefix>: directory prefix of the man pages directory

Sets AX_HELP2MAN_PREFIX_MANS to <man directory prefix>.  Defaults to
'doc/man/man1' if no value is provided.  Note that
AX_HELP2MAN_PREFIX_MANS will always be a subdirectory of the build
directory.

3.  <binary prefix>:

Sets AX_HELP2MAN_PREFIX_BIN to <binary prefix>.  Defaults to
'$(top_builddir)' if no value is provided.  The two following lines are
equivalent:

       AX_PROG_HELP2MAN([subdir/program1, subdir/program2])
       AX_PROG_HELP2MAN([program1, program2], [], [\$(top_builddir)/subdir])

The macro:

- checks that help2man is available on the system.

- provides the configure option -disable-help2man.

- sets the output variable ax_help2man_MANS to the list of man pages
that shall be generated.

- sets the automake conditional HAVE_HELP2MAN

- sets the substitution variable AX_HELP2MAN_RULES to the required make
rules, targets and recipes.

Further detail on the macro can be found after the minimal working
example.  Here is a minimal working example:

       # configure.ac:
       AX_PROG_HELP2MAN

       # Makefile.am:
       if HAVE_HELP2MAN
       man1_MANS = $(ax_help2man_MANS)
       @AX_HELP2MAN_RULES@
       endif

This minimal working example shall work under the following assumptions:

1.  the aforementioned binary has the same name as the project

2.  the project produces a single binary at the root of the build
directory

3.  the man page shall be generated into the doc/man/man1 directory

Note that adding ax_help2man_MANS to man1_MANS is not needed if the man
page generation is not mandatory.

The AX_HELP2MAN_RULES substitution variable shall contain:

- a recipe to create, if necessary, the destination directory.

- a generic rule to produce the manpages.

This rule targets the contents of the variable ax_help2man_MANS and its
recipe shall be akin to the following:

       $(HELP2MAN) -l -N --output="$@" --name="$(shell basename $<)" "$(shell dirname $<)/$(shell basename $<)"

Errors from this rule are ignored.

- rules for each input program and target man page.

For each input program, a rule akin to the following shall be available:

       $(AX_HELP2MAN_PREFIX_MANS)/program.1: $(AX_HELP2MAN_PREFIX_BIN)/path/to/program

The macro assumes that all man pages shall be generated into the same
directory (AX_HELP2MAN_PREFIX_MANS) and that all input programs can be
found in the same directory (AX_HELP2MAN_PREFIX_BIN). If a subset of the
inputs or outputs have different paths (for instance one of the inputs
is a script available in $(top_srcdir) whereas the other inputs are
programs compiled at build time), it can be customized in the
Makefile.am: the target man page must be added to ax_help2man_MANS, so
that it becomes a target of the generic rule for man pages and a rule
must be added to specify its prerequisite:

       ax_help2man_MANS += path/to/output/man/page.1
       path/to/output/man/page.1: path/to/input/program.1

Here is a full example for a project where binaries 'program1' and
'program2' are compiled at build time whereas 'script' is available in
the source tree:

       # configure.ac:
         AX_PROG_HELP2MAN([program1, program2])

       # Makefile.am:
         if HAVE_HELP2MAN
         man1_MANS = $(ax_help2man_MANS)
         @AX_HELP2MAN_RULES@
         ax_help2man_MANS += $(AX_HELP2MAN_PREFIX_MANS)/script.1
         $(AX_HELP2MAN_PREFIX_MANS)/script.1: $(top_srcdir)/script
         endif

Note that this macro should not be called more than once.

Source Code
***********

Download the latest version of 'ax_prog_help2man.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_help2man.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_help2man.m4).

License
*******

Copyright (C) 2017 Harenome Ranaivoarivony-Razanajato <ranaivoarivony-razanajato@hareno.me>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

Under Section 7 of GPL version 3, you are granted additional permissions
described in the Autoconf Configure Script Exception, version 3.0, as
published by the Free Software Foundation.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

ax_prog_hla
===========

Synopsis
********

     AX_PROG_HLA([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the HLA assembler and sets the variable "hla" to
the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_HLA()
       AX_PROG_HLA([hla_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_hla.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_hla.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_hla.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_hla_opt
===============

Synopsis
********

     AX_PROG_HLA_OPT(option, var_name)

Description
***********

This macro checks if the HLA assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_HLA_OPT([-v], [HLA_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_hla_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_hla_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_hla_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_httpd
=============

Synopsis
********

     AX_PROG_HTTPD

Description
***********

Check for Apache's 'httpd', let script continue if exists & works, pops
up error message if not.

Testing of functionality is by checking its compile settings

Besides checking existence, this macro also set these environment
variables upon completion:

       HTTPD                    = which httpd
       HTTPD_ROOT               = Apache's root directory, specified when compiled / run with -d option
       HTTPD_SERVER_ROOT        = Directory for Apache's essential files, e.g. access logs / error logs / modules / scripts.
       HTTPD_SERVER_CONFIG_FILE = Full-path of the 'httpd.conf' file
       HTTPD_USER               = Which user that httpd runs as
       HTTPD_GROUP              = Which group that httpd runs as
       HTTPD_DOC_HOME           = Document directory, taken as the first DocumentRoot path found in httpd.conf
       HTTPD_SCRIPT_HOME        = CGI script directory, taken as the first ScriptAlias path found in httpd.conf

Source Code
***********

Download the latest version of 'ax_prog_httpd.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_httpd.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_httpd.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_jar
===========

Synopsis
********

     AX_PROG_JAR

Description
***********

AX_PROG_JAR tests for an existing jar program.  It uses the environment
variable JAR then tests in sequence various common jar programs.

If you want to force a specific compiler:

- at the configure.in level, set JAR=yourcompiler before calling
AX_PROG_JAR

- at the configure level, setenv JAR

You can use the JAR variable in your Makefile.in, with @JAR@.

Note: This macro depends on the autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download that whole set, some macros
depend on other.  Unfortunately, the autoconf archive does not support
the concept of set of macros, so I had to break it for submission.

The general documentation of those macros, as well as the sample
configure.in, is included in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_jar.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_jar.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_jar.m4).

License
*******

Copyright (C) 2008 Egon Willighagen <e.willighagen@science.ru.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_java
============

Synopsis
********

     AX_PROG_JAVA

Description
***********

Here is a summary of the main macros:

AX_PROG_JAVAC: finds a Java compiler.

AX_PROG_JAVA: finds a Java virtual machine.

AX_CHECK_CLASS: finds if we have the given class (beware of CLASSPATH!).

AX_CHECK_RQRD_CLASS: finds if we have the given class and stops
otherwise.

AX_TRY_COMPILE_JAVA: attempt to compile user given source.

AX_TRY_RUN_JAVA: attempt to compile and run user given source.

AX_JAVA_OPTIONS: adds Java configure options.

AX_PROG_JAVA tests an existing Java virtual machine.  It uses the
environment variable JAVA then tests in sequence various common Java
virtual machines.  For political reasons, it starts with the free ones.
You *must* call [AX_PROG_JAVAC] before.

If you want to force a specific VM:

- at the configure.in level, set JAVA=yourvm before calling AX_PROG_JAVA

       (but after AC_INIT)

- at the configure level, setenv JAVA

You can use the JAVA variable in your Makefile.in, with @JAVA@.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

TODO: allow to exclude virtual machines (rationale: most Java programs
cannot run with some VM like kaffe).

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.

A Web page, with a link to the latest CVS snapshot is at
<http://www.internatif.org/bortzmeyer/autoconf-Java/>.

This is a sample configure.in Process this file with autoconf to produce
a configure script.

       AC_INIT(UnTag.java)

       dnl Checks for programs.
       AC_CHECK_CLASSPATH
       AX_PROG_JAVAC
       AX_PROG_JAVA

       dnl Checks for classes
       AX_CHECK_RQRD_CLASS(org.xml.sax.Parser)
       AX_CHECK_RQRD_CLASS(com.jclark.xml.sax.Driver)

       AC_OUTPUT(Makefile)

Source Code
***********

Download the latest version of 'ax_prog_java.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_java_cc
===============

Synopsis
********

     AX_PROG_JAVA_CC

Description
***********

Finds the appropriate java compiler on your path.  By preference the
java compiler is gcj, then jikes then javac.

The macro can take one argument specifying a space separated list of
java compiler names.

For example:

       AX_PROG_JAVA_CC(javac, gcj)

The macro also sets the compiler options variable: JAVA_CC_OPTS to
something sensible:

      - for GCJ it sets it to: @GCJ_OPTS@
        (if GCJ_OPTS is not yet defined then it is set to "-C")

      - no other compiler has applicable options yet

Here's an example configure.in:

       AC_INIT(Makefile.in)
       AX_PROG_JAVA_CC()
       AC_OUTPUT(Makefile)
       dnl End.

And here's the start of the Makefile.in:

       PROJECT_ROOT      := @srcdir@
       # Tool definitions.
       JAVAC             := @JAVA_CC@
       JAVAC_OPTS        := @JAVA_CC_OPTS@
       JAR_TOOL          := @jar_tool@

Source Code
***********

Download the latest version of 'ax_prog_java_cc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java_cc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java_cc.m4).

License
*******

Copyright (C) 2008 Nic Ferrier <nferrier@tapsellferrier.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_java_works
==================

Synopsis
********

     AX_PROG_JAVA_WORKS

Description
***********

Internal use ONLY.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_java_works.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java_works.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java_works.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javac
=============

Synopsis
********

     AX_PROG_JAVAC

Description
***********

AX_PROG_JAVAC tests an existing Java compiler.  It uses the environment
variable JAVAC then tests in sequence various common Java compilers.
For political reasons, it starts with the free ones.

If you want to force a specific compiler:

- at the configure.in level, set JAVAC=yourcompiler before calling
AX_PROG_JAVAC

- at the configure level, setenv JAVAC

You can use the JAVAC variable in your Makefile.in, with @JAVAC@.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

TODO: allow to exclude compilers (rationale: most Java programs cannot
compile with some compilers like guavac).

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javac.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javac.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javac.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javac_works
===================

Synopsis
********

     AX_PROG_JAVAC_WORKS

Description
***********

Internal use ONLY.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javac_works.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javac_works.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javac_works.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javadoc
===============

Synopsis
********

     AX_PROG_JAVADOC

Description
***********

AX_PROG_JAVADOC tests for an existing javadoc generator.  It uses the
environment variable JAVADOC then tests in sequence various common
javadoc generator.

If you want to force a specific compiler:

- at the configure.in level, set JAVADOC=yourgenerator before calling
AX_PROG_JAVADOC

- at the configure level, setenv JAVADOC

You can use the JAVADOC variable in your Makefile.in, with @JAVADOC@.

Note: This macro depends on the autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download that whole set, some macros
depend on other.  Unfortunately, the autoconf archive does not support
the concept of set of macros, so I had to break it for submission.

The general documentation of those macros, as well as the sample
configure.in, is included in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javadoc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javadoc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javadoc.m4).

License
*******

Copyright (C) 2008 Egon Willighagen <e.willighagen@science.ru.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_javah
=============

Synopsis
********

     AX_PROG_JAVAH

Description
***********

AX_PROG_JAVAH tests the availability of the javah header generator and
looks for the jni.h header file.  If available, JAVAH is set to the full
path of javah and CPPFLAGS is updated accordingly.

Source Code
***********

Download the latest version of 'ax_prog_javah.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javah.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javah.m4).

License
*******

Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_masm
============

Synopsis
********

     AX_PROG_MASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the MASM assembler and sets the variable "masm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_MASM()
       AX_PROG_MASM([masm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_masm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_masm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_masm.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_masm_opt
================

Synopsis
********

     AX_PROG_MASM_OPT(option, var_name)

Description
***********

This macro checks if the MASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_MASM_OPT([/coff], [MASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_masm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_masm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_masm_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_md5sum
==============

Synopsis
********

     AX_PROG_MD5SUM([ACTION-IF-NOT-FOUND])

Description
***********

This macro find a md5sum application and set the variable md5sum to the
name of the application or to no if not found if ACTION-IF-NOT-FOUND is
not specified, configure fail when then application is not found.

Source Code
***********

Download the latest version of 'ax_prog_md5sum.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_md5sum.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_md5sum.m4).

License
*******

Copyright (C) 2009 Gabriele Bartolini <gabriele.bartolini@devise.it>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_modprobe
================

Synopsis
********

     AX_PROG_MODPROBE

Description
***********

This macro searches for a modprobe command, such as can be found on
Linux systems with loadable kernel module support.  PATH is checked
first, then the default location(s).

This is one of several autoconf macros intended to assist in configuring
and installing loadable kernel modules.

Source Code
***********

Download the latest version of 'ax_prog_modprobe.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_modprobe.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_modprobe.m4).

License
*******

Copyright (C) 2008 Kaelin Colclasure <kaelin@acm.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_mysql
=============

Synopsis
********

     AX_PROG_MYSQL

Description
***********

Check for the program 'mysql' let script continue if exists & works pops
up error message if not.

Testing of functionality is by invoking it with root password 'rootpass'
and a 'SELECT * FROM user' SQL statement.  That SQL statement will
select all user information from the 'user' privileges table, and should
work on every proper MySQL server.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQL = which mysql

Source Code
***********

Download the latest version of 'ax_prog_mysql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysql.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqladmin
==================

Synopsis
********

     AX_PROG_MYSQLADMIN

Description
***********

Check for the program 'mysqladmin' let script continue if exists & works
pops up error message if not.

Testing of functionality is by invoking it with root password 'rootpass'
and a 'flush-privileges' command.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQLADMIN = which mysqladmin
       MYSQL_DATADIR = directory containing mysql database

Source Code
***********

Download the latest version of 'ax_prog_mysqladmin.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqladmin.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqladmin.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqld
==============

Synopsis
********

     AX_PROG_MYSQLD

Description
***********

Check for the program 'mysqld' let script continue if exists & works
pops up error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       MYSQLD = which mysqld

Source Code
***********

Download the latest version of 'ax_prog_mysqld.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqld.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqld.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqlimport
===================

Synopsis
********

     AX_PROG_MYSQLIMPORT

Description
***********

Check for the program 'mysqlimport', let script continue if exists, pops
up error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       MYSQLIMPORT = which mysqlimport

Source Code
***********

Download the latest version of 'ax_prog_mysqlimport.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqlimport.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqlimport.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqlshow
=================

Synopsis
********

     AX_PROG_MYSQLSHOW

Description
***********

Check for the program 'mysqlshow' let script continue if exists & works
pops up error message if not.

Testing of functionality is by invoking it with root password
'rootpass'.  If it works, it should show all databases currently in
system.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQLSHOW = which mysqlshow

Source Code
***********

Download the latest version of 'ax_prog_mysqlshow.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqlshow.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqlshow.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_nasm
============

Synopsis
********

     AX_PROG_NASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the NASM assembler and sets the variable "nasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_NASM()
       AX_PROG_NASM([nasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_nasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_nasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_nasm.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_nasm_opt
================

Synopsis
********

     AX_PROG_NASM_OPT(option, var_name)

Description
***********

This macro checks if the NASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_NASM_OPT([-f obj], [NASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_nasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_nasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_nasm_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_perl_modules
====================

Synopsis
********

     AX_PROG_PERL_MODULES([MODULES], [ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

Checks to see if the given perl modules are available.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  Note if $PERL is not set (for
example by calling AC_CHECK_PROG, or AC_PATH_PROG), AC_CHECK_PROG(PERL,
perl, perl) will be run.

MODULES is a space separated list of module names.  To check for a
minimum version of a module, append the version number to the module
name, separated by an equals sign.

Example:

       AX_PROG_PERL_MODULES( Text::Wrap Net::LDAP=1.0.3, ,
                             AC_MSG_WARN(Need some Perl modules)

Source Code
***********

Download the latest version of 'ax_prog_perl_modules.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_perl_modules.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_perl_modules.m4).

License
*******

Copyright (C) 2009 Dean Povey <povey@wedgetail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_perl_version
====================

Synopsis
********

     AX_PROG_PERL_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that perl supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  Note if $PERL is not set (for example by
running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([PERL],[perl])
       AX_PROG_PERL_VERSION([5.8.0],[ ... ],[ ... ])

This will check to make sure that the perl you have supports at least
version 5.8.0.

NOTE: This macro uses the $PERL variable to perform the check.
AX_WITH_PERL can be used to set that variable prior to running this
macro.  The $PERL_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_perl_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_perl_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_perl_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_pgclient
================

Synopsis
********

     AX_PROG_PGCLIENT()

Description
***********

This macro searches for a program called 'pgclient'.  If found the
variable $pgclient is set to its path.  Else it is set to 0.  An option
is added to the configure script for setting an search path instead of
$PATH ($pgclient_dir).  If pgclient is necessary for installing your
program, you can do something like the following to stop configure with
an error if pgclient wasn't found:

       if test "x$pgclient" = "x0"; then AC_MSG_ERROR([We need that to setup the database!]); fi

pgclient can be found at http://pgclient.freesources.org

Source Code
***********

Download the latest version of 'ax_prog_pgclient.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_pgclient.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_pgclient.m4).

License
*******

Copyright (C) 2008 Moritz Sinn <moritz@freesources.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_python_version
======================

Synopsis
********

     AX_PROG_PYTHON_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that python supports the version indicated.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  Note if $PYTHON is not set (for
example by running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([PYTHON],[python])
       AX_PROG_PYTHON_VERSION([2.4.4],[ ... ],[ ... ])

This will check to make sure that the python you have supports at least
version 2.4.4.

NOTE: This macro uses the $PYTHON variable to perform the check.
AX_WITH_PYTHON can be used to set that variable prior to running this
macro.  The $PYTHON_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_python_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_python_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_python_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_ruby_version
====================

Synopsis
********

     AX_PROG_RUBY_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that ruby supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  Note if $RUBY is not set (for example by
running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([RUBY],[ruby])
       AC_PROG_RUBY_VERSION([1.8.0],[ ... ],[ ... ])

This will check to make sure that the ruby you have supports at least
version 1.6.0.

NOTE: This macro uses the $RUBY variable to perform the check.
AX_WITH_PROG([RUBY],[ruby],[VALUE-IF-NOT-FOUND],[PATH]) can be used to
set that variable prior to running this macro.  The $RUBY_VERSION
variable will be valorized with the detected version.

Source Code
***********

Download the latest version of 'ax_prog_ruby_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_ruby_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_ruby_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_scala
=============

Synopsis
********

     AX_PROG_SCALA

Description
***********

AX_PROG_SCALA will check that scala is available.  If it is SCALA will
be set to its path and SCALA_VERSION will be set to its version.

Hint: AX_COMPARE_VERSION can be used to check if SCALA_VERSION has an
acceptable value.

Source Code
***********

Download the latest version of 'ax_prog_scala.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_scala.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_scala.m4).

License
*******

Copyright (C) 2013 Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_scalac
==============

Synopsis
********

     AX_PROG_SCALAC

Description
***********

AX_PROG_SCALAC will check that a scala compiler is available, that it
works and set SCALAC for the Makefile.

AX_PROG_SCALAC will search the path for a Scala compiler.  To choose
another compiler use the environment variable SCALAC.

Source Code
***********

Download the latest version of 'ax_prog_scalac.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_scalac.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_scalac.m4).

License
*******

Copyright (C) 2013 Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_scp
===========

Synopsis
********

     AX_PROG_SCP

Description
***********

Check for the program 'scp', let script continue if exists, pops up
error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       SCP = which scp

Source Code
***********

Download the latest version of 'ax_prog_scp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_scp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_scp.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_splint
==============

Synopsis
********

     AX_PROG_SPLINT([AX_SPLINTFLAGS])

Description
***********

Check for program splint, the static C code checking tool.  The splint
URL is given by http://www.splint.org.  This macro should be use
together with automake.

Enables following environment variables:

       SPLINT
       SPLINTFLAGS

and AX_SPLINTFLAGS is given by AC_SUBST. If AX_SPLINTFLAGS is not given
by AX_PROG_SPLINT it defaults to "-weak".

Enables the following make target:

       splint-check

which runs splint per PROGRAMS and LIBRARIES. Output from splint run is
collected in file ***_splint.log where *** is given by the PROGRAMS or
LIBRARIES name.

The following line is required in Makefile.am:

       include aminclude_static.am

Source Code
***********

Download the latest version of 'ax_prog_splint.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_splint.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_splint.m4).

License
*******

Copyright (C) 2011 Henrik Uhrenholt

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_ssh
===========

Synopsis
********

     AX_PROG_SSH

Description
***********

Check for the program 'ssh', let script continue if exists, pops up
error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       SSH = which ssh

Source Code
***********

Download the latest version of 'ax_prog_ssh.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_ssh.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_ssh.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_tasm
============

Synopsis
********

     AX_PROG_TASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the TASM assembler and sets the variable "tasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_TASM()
       AX_PROG_TASM([tasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_tasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_tasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_tasm.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_tasm_opt
================

Synopsis
********

     AX_PROG_TASM_OPT(option, var_name)

Description
***********

This macro checks if the TASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_TASM_OPT([/z], [TASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_tasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_tasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_tasm_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_tcl
===========

Synopsis
********

     AX_PROG_TCL([min-version])

Description
***********

Searches for tcl (tclsh and wish) in PATH and checks which version is
installed.  The macro bails out if either tcl is not found or the
minimum version is not satisfied, unless minimum version is "0".

Example:

      AX_PROG_TCL

This checks for tcl and if not found, exits with an error.  If found, it
prints tcl path and version number.

      AX_PROG_TCL([8.0])

Checks for tcl and exits with an error if its not found or the version
is below 8.0.

Source Code
***********

Download the latest version of 'ax_prog_tcl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_tcl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_tcl.m4).

License
*******

Copyright (C) 2008 David Cluytens
Copyright (C) 2008 Uwe Mayer <merkosh@hadiko.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_xsltproc
================

Synopsis
********

     AX_PROG_XSLTPROC([default-flags])

Description
***********

Find an xsltproc executable.

Input:

"default-flags" is the default $XSLTPROC_FLAGS, which will be overridden
if the user specifies -with-xsltproc-flags.

Output:

$XSLTPROC contains the path to xsltproc, or is empty if none was found
or the user specified -without-xsltproc.  $XSLTPROC_FLAGS contains the
flags to use with xsltproc.

Source Code
***********

Download the latest version of 'ax_prog_xsltproc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_xsltproc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_xsltproc.m4).

License
*******

Copyright (C) 2008,2009 Zmanda Inc. <http://www.zmanda.com/>
Copyright (C) 2008,2009 Dustin J. Mitchell <dustin@zmanda.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_yasm
============

Synopsis
********

     AX_PROG_YASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the YASM assembler and sets the variable "yasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_YASM()
       AX_PROG_YASM([yasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_yasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_yasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_yasm.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_yasm_opt
================

Synopsis
********

     AX_PROG_YASM_OPT(option, var_name)

Description
***********

This macro checks if the YASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_YASM_OPT([-f bin], [YASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_yasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_yasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_yasm_opt.m4).

License
*******

Copyright (C) 2007,2009 Bogdan Drozdowski <bogdandr@op.pl>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prototype
============

Synopsis
********

     AX_PROTOTYPE(function, includes, code, TAG1, values1 [, TAG2, values2 [...]])

Description
***********

Try all the combinations of <TAG1>, <TAG2>...  to successfully compile
<code>.  <TAG1>, <TAG2>, ...  are substituted in <code> and <include>
with values found in <values1>, <values2>, ...  respectively.
<values1>, <values2>, ...  contain a list of possible values for each
corresponding tag and all combinations are tested.  When
AC_TRY_COMPILE(include, code) is successful for a given substitution,
the macro stops and defines the following macros: FUNCTION_TAG1,
FUNCTION_TAG2, ...  using AC_DEFINE() with values set to the current
values of <TAG1>, <TAG2>, ...  If no combination is successful the
configure script is aborted with a message.

Intended purpose is to find which combination of argument types is
acceptable for a given function <function>.  It is recommended to list
the most specific types first.  For instance ARG1, [size_t, int] instead
of ARG1, [int, size_t].

Generic usage pattern:

1) add a call in configure.in

      AX_PROTOTYPE(...)

2) call autoheader to see which symbols are not covered

3) add the lines in acconfig.h

      /* Type of Nth argument of function */
      #undef FUNCTION_ARGN

4) Within the code use FUNCTION_ARGN instead of an hardwired type

Complete example:

1) configure.in

      AX_PROTOTYPE(getpeername,
      [
       #include <sys/types.h>
       #include <sys/socket.h>
      ],
      [
       int a = 0;
       ARG2 * b = 0;
       ARG3 * c = 0;
       getpeername(a, b, c);
      ],
      ARG2, [struct sockaddr, void],
      ARG3, [socklen_t, size_t, int, unsigned int, long unsigned int])

2) call autoheader

      autoheader: Symbol `GETPEERNAME_ARG2' is not covered by ./acconfig.h
      autoheader: Symbol `GETPEERNAME_ARG3' is not covered by ./acconfig.h

3) acconfig.h

      /* Type of second argument of getpeername */
      #undef GETPEERNAME_ARG2

      /* Type of third argument of getpeername */
      #undef GETPEERNAME_ARG3

4) in the code

       ...
       GETPEERNAME_ARG2 name;
       GETPEERNAME_ARG3 namelen;
       ...
       ret = getpeername(socket, &name, &namelen);
       ...

Implementation notes: generating all possible permutations of the
arguments is not easily done with the usual mixture of shell and m4,
that is why this macro is almost 100% m4 code.  It generates long but
simple to read code.

Source Code
***********

Download the latest version of 'ax_prototype.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prototype.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prototype.m4).

License
*******

Copyright (C) 2009 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prototype_accept
===================

Synopsis
********

     AX_PROTOTYPE_ACCEPT

Description
***********

Requires the AX_PROTOTYPE macro.  FIXME: Put this in the code!

Find the type of argument two and three of accept.  User must include
the following in acconfig.h:

      /* Type of second argument of accept */
      #undef ACCEPT_ARG2

      /* Type of third argument of accept */
      #undef ACCEPT_ARG3

Source Code
***********

Download the latest version of 'ax_prototype_accept.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prototype_accept.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prototype_accept.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prototype_getsockname
========================

Synopsis
********

     AX_PROTOTYPE_GETSOCKNAME

Description
***********

Requires the AX_PROTOTYPE macro.  FIXME: Put this in the code!

Find the type of argument two and three of getsockname.  User must
include the following in acconfig.h:

      /* Type of second argument of getsockname */
      #undef GETSOCKNAME_ARG2

      /* Type of third argument of getsockname */
      #undef GETSOCKNAME_ARG3

Source Code
***********

Download the latest version of 'ax_prototype_getsockname.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prototype_getsockname.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prototype_getsockname.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prototype_setsockopt
=======================

Synopsis
********

     AX_PROTOTYPE_SETSOCKOPT

Description
***********

Requires the AX_PROTOTYPE macro.  FIXME: Put this in the code!

Find the type of argument three of setsockopt.  User must include the
following in acconfig.h:

      /* Type of third argument of setsockopt */
      #undef SETSOCKOPT_ARG3

Source Code
***********

Download the latest version of 'ax_prototype_setsockopt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prototype_setsockopt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prototype_setsockopt.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_pthread
==========

Synopsis
********

     AX_PTHREAD([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro figures out how to build C programs using POSIX threads.  It
sets the PTHREAD_LIBS output variable to the threads library and linker
flags, and the PTHREAD_CFLAGS output variable to any special C compiler
flags that are needed.  (The user can also force certain compiler
flags/libs to be tested by setting these environment variables.)

Also sets PTHREAD_CC to any special C compiler that is needed for
multi-threaded programs (defaults to the value of CC otherwise).  (This
is necessary on AIX to use the special cc_r compiler alias.)

NOTE: You are assumed to not only compile your program with these flags,
but also to link with them as well.  For example, you might link with
$PTHREAD_CC $CFLAGS $PTHREAD_CFLAGS $LDFLAGS ...  $PTHREAD_LIBS $LIBS

If you are only building threaded programs, you may wish to use these
variables in your default LIBS, CFLAGS, and CC:

       LIBS="$PTHREAD_LIBS $LIBS"
       CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
       CC="$PTHREAD_CC"

In addition, if the PTHREAD_CREATE_JOINABLE thread-attribute constant
has a nonstandard name, this macro defines PTHREAD_CREATE_JOINABLE to
that name (e.g.  PTHREAD_CREATE_UNDETACHED on AIX).

Also HAVE_PTHREAD_PRIO_INHERIT is defined if pthread is found and the
PTHREAD_PRIO_INHERIT symbol is defined when compiling with
PTHREAD_CFLAGS.

ACTION-IF-FOUND is a list of shell commands to run if a threads library
is found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it
is not found.  If ACTION-IF-FOUND is not specified, the default action
will define HAVE_PTHREAD.

Please let the authors know if this macro fails on any platform, or if
you have any other suggestions or comments.  This macro was based on
work by SGJ on autoconf scripts for FFTW (http://www.fftw.org/) (with
help from M. Frigo), as well as ac_pthread and hb_pthread macros posted
by Alejandro Forero Cuervo to the autoconf macro repository.  We are
also grateful for the helpful feedback of numerous users.

Updated for Autoconf 2.68 by Daniel Richard G.

Source Code
***********

Download the latest version of 'ax_pthread.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pthread.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pthread.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2011 Daniel Richard G. <skunk@iSKUNK.ORG>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_python
=========

Synopsis
********

     AX_PYTHON

Description
***********

This macro does a complete Python development environment check.

It checks for all known versions.  When it finds an executable, it looks
to find the header files and library.

It sets PYTHON_BIN to the name of the python executable,
PYTHON_INCLUDE_DIR to the directory holding the header files, and
PYTHON_LIB to the name of the Python library.

This macro calls AC_SUBST on PYTHON_BIN (via AC_CHECK_PROG),
PYTHON_INCLUDE_DIR and PYTHON_LIB.

Source Code
***********

Download the latest version of 'ax_python.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python.m4).

License
*******

Copyright (C) 2008 Michael Tindal

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_python_config_var
====================

Synopsis
********

     AX_PYTHON_CONFIG_VAR(PYTHON_VARIABLE, [SHELL_VARIABLE])
     AX_PYTHON_CONFIG_H
     AX_PYTHON_MAKEFILE

Description
***********

AX_PYTHON_CONFIG_VAR:

Using the Python module distutils.sysconfig[1], return a Python
configuration variable.  PYTHON_VARIABLE is the name of the variable to
request from Python, and SHELL_VARIABLE is the name of the shell
variable into which the results should be deposited.  If SHELL_VARIABLE
is not specified, the macro wil prefix PY_ to the PYTHON_VARIABLE, e.g.,
LIBS -> PY_LIBS.

SHELL_VARIABLE is AC_SUBST'd.  No action is taken if an error occurs.
Note if $PYTHON is not set, AC_CHECK_PROG(PYTHON, python, python) will
be run.

Example:

       AX_PYTHON_CONFIG_VAR(LINKFORSHARED, PY_LFS)

AX_PYTHON_CONFIG_H:

Using the Python module distutils.sysconfig[1], put the full pathname of
the config.h file used to compile Python into the shell variable
PY_CONFIG_H. PY_CONFIG_H is AC_SUBST'd.  Note if $PYTHON is not set,
AC_CHECK_PROG(PYTHON, python, python) will be run.

AX_PYTHON_MAKEFILE:

Using the Python module distutils.sysconfig[1], put the full pathname of
the Makefile file used to compile Python into the shell variable
PY_MAKEFILE. PY_MAKEFILE is AC_SUBST'd.  Note if $PYTHON is not set,
AC_CHECK_PROG(PYTHON, python, python) will be run.

[1]
http://www.python.org/doc/current/dist/module-distutils.sysconfig.html

Source Code
***********

Download the latest version of 'ax_python_config_var.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python_config_var.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python_config_var.m4).

License
*******

Copyright (C) 2008 Dustin J. Mitchell <dustin@cs.uchicago.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_python_devel
===============

Synopsis
********

     AX_PYTHON_DEVEL([version])

Description
***********

Note: Defines as a precious variable "PYTHON_VERSION". Don't override it
in your configure.ac.

This macro checks for Python and tries to get the include path to
'Python.h'.  It provides the $(PYTHON_CPPFLAGS) and $(PYTHON_LIBS)
output variables.  It also exports $(PYTHON_EXTRA_LIBS) and
$(PYTHON_EXTRA_LDFLAGS) for embedding Python in your code.

You can search for some particular version of Python by passing a
parameter to this macro, for example ">= '2.3.1'", or "== '2.4'".
Please note that you *have* to pass also an operator along with the
version to match, and pay special attention to the single quotes
surrounding the version number.  Don't use "PYTHON_VERSION" for this:
that environment variable is declared as precious and thus reserved for
the end-user.

This macro should work for all versions of Python >= 2.1.0.  As an end
user, you can disable the check for the python version by setting the
PYTHON_NOVERSIONCHECK environment variable to something else than the
empty string.

If you need to use this macro for an older Python version, please
contact the authors.  We're always open for feedback.

Source Code
***********

Download the latest version of 'ax_python_devel.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python_devel.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python_devel.m4).

License
*******

Copyright (C) 2009 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2009 Alan W. Irwin
Copyright (C) 2009 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2009 Andrew Collier
Copyright (C) 2009 Matteo Settenvini <matteo@member.fsf.org>
Copyright (C) 2009 Horst Knorr <hk_classes@knoda.org>
Copyright (C) 2013 Daniel Mullner <muellner@math.stanford.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_python_embed
===============

Synopsis
********

     AX_PYTHON_DEFAULT
     AX_PYTHON_ENABLE
     AX_PYTHON_WITH
     AX_PYTHON_PATH
     AX_PYTHON_VERSION_ENSURE( [2.2] )
     AX_PYTHON_CSPEC
     AX_PYTHON_LSPEC

Description
***********

This file provides autoconf support for those applications that want to
embed python.  It supports all pythons >= 2.2 which is the first
official release containing distutils.  Version 2.2 of python was
released December 21, 2001.  Since it actually executes the python,
cross platform configuration will probably not work.  Also, most of the
platforms supported are consistent until you look into Mac OS X. The
python included with it is installed as a framework which is a very
different environment to set up the normal tools such as gcc and libtool
to deal with.  Therefore, once we establish which python that we are
going to use, we use its distutils to actually compile and link our
modules or applications.

At this time, it does NOT support linking with Python statically.  It
does support dynamic linking.

This set of macros help define $PYTHON, $PYTHON_USE, $PYTHON_CSPEC and
$PYTHON_LSPEC. $PYTHON defines the full executable path for the Python
being linked to and is used within these macros to determine if that has
been specified or found.  These macros do execute this python version so
it must be present on the system at configure time.

$PYTHON_USE is an automake variable that defines whether Python support
should be included or not in your application.  $PYTHON_CSPEC is a
variable that supplies additional CFLAGS for the compilation of the
application/shared library.  $PYTHON_LSPEC is a variable that supplies
additional LDFLAGS for linking the application/shared library.

The following is an example of how to set up for python usage within
your application in your configure.in:

       AX_PYTHON_DEFAULT( )
       AX_PYTHON_ENABLE( )             # Optional
       AX_PYTHON_WITH( )               # Optional
       AX_PYTHON_PATH( )               # or AX_PYTHON_INSIST( )
       # if $PYTHON is not defined, then the following do nothing.
       AX_PYTHON_VERSION_ENSURE( [2.2] )
       AX_PYTHON_CSPEC
       AX_PYTHON_LSPEC

The AX_PYTHON_DEFAULT sets the $PYTHON_USE to false.  Thereby, excluding
it if it was optional.

The AX_PYTHON_ENABLE looks for the optional configure parameters of
-enable-python/-disable-python and establishes the $PYTHON and
$PYTHON_USE variables accordingly.

The AX_PYTHON_WITH looks for the optional configure parameters of
-with-python/-without-python and establishes the $PYTHON and $PYTHON_USE
variables accordingly.

The AX_PYTHON_PATH looks for python assuming that none has been
previously found or defined and issues an error if it does not find it.
If it does find it, it establishes the $PYTHON and $PYTHON_USE variables
accordingly.  AX_PYTHON_INSIST could be used here instead if you want to
insist that Python support be included using the -enable-python or
-with-python checks previously done.

The AX_PYTHON_VERSION_ENSURE issues an error if the Python previously
found is not of version 2.2 or greater.

Once that these macros have be run, we can use PYTHON_USE within the
makefile.am file to conditionally add the Python support such as:

Makefile.am example showing optional inclusion of directories:

      if PYTHON_USE
      plugins = plugins
      src = src
      else
      plugins =
      src =
      endif

      SUBDIRS = . $(plugins) $(src)

Makefile.am example showing optional shared library build:

      if PYTHON_USE
      lib_LTLIBRARIES        = libElemList.la
      libElemList_la_SOURCES = libElemList.c
      libElemList_la_CFLAGS  = @PYTHON_CSPEC@
      libElemList_la_LDFLAGS = @PYTHON_LSPEC@
      endif

Makefile.am example showing optional program build:

      if PYTHON_USE
      bin_PROGRAMS    = runFunc
      runFunc_SOURCES = runFunc.c
      runFunc_CFLAGS  = @PYTHON_CSPEC@
      runFunc_LDFLAGS = @PYTHON_LSPEC@
      endif

The above compiles the modules only if PYTHON_USE was specified as true.
Also, the else portion of the if was optional.

Source Code
***********

Download the latest version of 'ax_python_embed.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python_embed.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python_embed.m4).

License
*******

Copyright (C) 2008 Robert White <kranki@mac.com>
Copyright (C) 2008 Dustin J. Mitchell <dustin@cs.uchicago.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_python_module
================

Synopsis
********

     AX_PYTHON_MODULE(modname[, fatal, python])

Description
***********

Checks for Python module.

If fatal is non-empty then absence of a module will trigger an error.
The third parameter can either be "python" for Python 2 or "python3" for
Python 3; defaults to Python 3.

Source Code
***********

Download the latest version of 'ax_python_module.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python_module.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python_module.m4).

License
*******

Copyright (C) 2008 Andrew Collier

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_python_module_version
========================

Synopsis
********

     AX_PYTHON_MODULE_VERSION(modname, min_version[, python])

Description
***********

Checks for Python module with at least the given version.

Triggers an error if module is absent or present but at a lower version.
The third parameter can either be "python" for Python 2 or "python3" for
Python 3; defaults to Python 3.

Source Code
***********

Download the latest version of 'ax_python_module_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_python_module_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_python_module_version.m4).

License
*******

Copyright (C) 2015 Endless Mobile, Inc.; contributed by Philip Chimento <philip@endlessm.com> and Kurt von Laven <kurt@endlessm.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_r_package
============

Synopsis
********

     AX_R_PACKAGE(pkgname[, version, R])

Description
***********

Checks for an R package.

Optionally checks for the version when a second argument is given.  A
different R can be used by providing a third argument.

Source Code
***********

Download the latest version of 'ax_r_package.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_r_package.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_r_package.m4).

License
*******

Copyright (C) 2017 Ricardo Wurmus

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_recursive_eval
=================

Synopsis
********

     AX_RECURSIVE_EVAL(VALUE, RESULT)

Description
***********

Interpolate the VALUE in loop until it doesn't change, and set the
result to $RESULT. WARNING: It's easy to get an infinite loop with some
unsane input.

Source Code
***********

Download the latest version of 'ax_recursive_eval.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_recursive_eval.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_recursive_eval.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_require_defined
==================

Synopsis
********

     AX_REQUIRE_DEFINED(MACRO)

Description
***********

AX_REQUIRE_DEFINED is a simple helper for making sure other macros have
been defined and thus are available for use.  This avoids random issues
where a macro isn't expanded.  Instead the configure script emits a
non-fatal:

       ./configure: line 1673: AX_CFLAGS_WARN_ALL: command not found

It's like AC_REQUIRE except it doesn't expand the required macro.

Here's an example:

       AX_REQUIRE_DEFINED([AX_CHECK_LINK_FLAG])

Source Code
***********

Download the latest version of 'ax_require_defined.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_require_defined.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_require_defined.m4).

License
*******

Copyright (C) 2014 Mike Frysinger <vapier@gentoo.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_require_one_func
===================

Synopsis
********

     AX_REQUIRE_ONE_FUNC (FUNCTION..., [ACTION-IF-ANY-FOUND], [ACTION-IF-NONE-FOUND])

Description
***********

AX_REQUIRE_ONE_FUNC is a simple wrapper for AC_CHECK_FUNCS. It calls
AC_CHECK_FUNCS on the list of functions named in the first argument,
then invokes ACTION-IF-ANY-FOUND if at least one of the functions exists
or ACTION-IF-NONE-FOUND if none of the functions exist.

Here's an example:

       AX_REQUIRE_ONE_FUNC([posix_memalign memalign valloc], ,
         [AC_MSG_ERROR([unable to allocate page-aligned memory])])

Source Code
***********

Download the latest version of 'ax_require_one_func.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_require_one_func.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_require_one_func.m4).

License
*******

Copyright (C) 2008 Scott Pakin <pakin@uiuc.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_restore_flags
================

Synopsis
********

     AX_RESTORE_FLAGS([namespace])

Description
***********

Restore common compilation flags from temporary variables.

Compilation flags includes: CPPFLAGS, CFLAGS, CXXFLAGS, LDFLAGS, LIBS,
OBJCFLAGS.

By default these flags are restored to a global (empty) namespace, but
user could restore from specific NAMESPACE by using
AX_RESTORE_FLAGS(NAMESPACE) macro.

Typical usage is like:

       AX_SAVE_FLAGS(mypackage)
       CPPFLAGS="-Imypackagespath ${CPPFLAGS}"
       dnl ... do some detection ...
       AX_RESTORE_FLAGS(mypackage)

Source Code
***********

Download the latest version of 'ax_restore_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_restore_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_restore_flags.m4).

License
*******

Copyright (C) 2009 Filippo Giunchedi <filippo@esaurito.net>
Copyright (C) 2011 The Board of Trustees of the Leland Stanford Junior University

Copyright (C) 2011 Russ Allbery <rra@stanford.edu>
Copyright (C) 2013 Bastien ROUCARIES <roucaries.bastien+autoconf@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_restore_flags_with_prefix
============================

Synopsis
********

     AX_RESTORE_FLAGS_WITH_PREFIX(PREFIX, LIST-OF-FLAGS)

Description
***********

Restore the flags saved by AX_SAVE_FLAGS_WITH_PREFIX.

Expansion example: AX_RESTORE_FLAGS_WITH_PREFIX([GL], [[CFLAGS],[LIBS]])
expands to

       CFLAGS="$gl_saved_flag_cflags"
       LIBS="$gl_saved_flag_libs"

One common use case is to define a package specific wrapper macro around
this one, and also restore other variables if needed.  For example:

       AC_DEFUN([_AX_CHECK_GL_RESTORE_FLAGS], [
         AX_RESTORE_FLAGS_WITH_PREFIX([GL],[$1])
         AC_LANG_POP([C])
       ])

       # Restores CFLAGS, LIBS and language state
       _AX_CHECK_GL_RESTORE_FLAGS([[CFLAGS],[LIBS]])

Source Code
***********

Download the latest version of 'ax_restore_flags_with_prefix.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_restore_flags_with_prefix.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_restore_flags_with_prefix.m4).

License
*******

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_rpm_init
===========

Synopsis
********

     AX_RPM_INIT

Description
***********

Setup variables for creation of rpms.  It will define several variables
useful for creating rpms on a system where rpms are supported.
Currently, I requires changes to Makefile.am to function properly (see
the example below).

Also note that I do not use any non-UNIX OSs (and for the most part, I
only use RedHat), so this is probably generally not useful for other
systems.

Required setup:

In configure.in:

       dnl For my rpm.m4 macros
       RPM_RELEASE=1
       AC_SUBST(RPM_RELEASE)

       AX_RPM_INIT
       dnl Enable or disable the rpm making rules in Makefile.am
       AM_CONDITIONAL(MAKE_RPMS, test x$make_rpms = xtrue)

Furthermore, the %GNUconfigure rpm macro has a problem in that it does
not define CXXFLAGS for the target system correctly, so for compiling
C++ code, add the following line _before_ calling AC_PROG_CXX:

       dnl This is a little hack to make this work with rpm better (see mysql++.spec.in)
       test -z "$CXXFLAGS" && CXXFLAGS="${CFLAGS}"

Changes to Makefile.am (I am trying to get rid of this step; suggestions
invited):

       if MAKE_RPMS
       rpm: @RPM_TARGET@

       .PHONY: rpm

       $(RPM_TARGET): $(DISTFILES)
         ${MAKE} dist
         -mkdir -p $(RPM_DIR)/SRPMS
         -mkdir -p `dirname $(RPM_TARGET)`
         $(RPM_PROG) $(RPM_ARGS) $(RPM_TARBALL)
         @echo Congratulations, $(RPM_TARGET) "(and friends)" should now exist.
       else
       endif

Also, it works best with a XXXX.spec.in file like the following (this is
way down on the wishlist, but a program to generate the skeleton spec.in
much like autoscan would just kick butt!):

       ---------- 8< ----------
       # -*- Mode:rpm-spec -*-
       # mysql++.spec.in
       Summary: Your package description goes here
       %define rel @RPM_RELEASE@

       %define version @VERSION@
       %define pkgname @PACKAGE@
       %define prefix /usr

       %define lt_release @LT_RELEASE@
       %define lt_version @LT_CURRENT@.@LT_REVISION@.@LT_AGE@

       # This is a hack until I can figure out how to better handle replacing
       # autoconf macros... (gotta love autoconf...)
       %define __aclocal   aclocal || aclocal -I ./macros
       %define configure_args  @RPM_CONFIGURE_ARGS@

       Name: %{pkgname}
       Version: %{version}
       Release: %{rel}

       Copyright: LGPL
       Group: # your group name goes here
       Source: %{pkgname}-%{version}.tar.gz
       Requires: # additional requirements
       Buildroot: /tmp/%{pkgname}-root
       URL: http://yoururl.go.here
       Prefix: %{prefix}
       BuildArchitectures: # Target platforms, i.e., i586
       Packager: Your Name <youremail@your.address>

       %description
       Your package description

       %changelog

       %prep
       %setup
       #%patch

       %build
       %GNUconfigure %{configure_args}
       # This is why we copy the CFLAGS to the CXXFLAGS in configure.in
       # CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" ./configure %{_target_platform} --prefix=%{prefix}
       make

       %install
       # To make things work with BUILDROOT
       if [ "$RPM_BUILD_ROOT" != "/tmp/%{pkgname}-root" ]
       then
         echo
         echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
         echo @                                                                    @
         echo @  RPM_BUILD_ROOT is not what I expected.  Please clean it yourself. @
         echo @                                                                    @
         echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
         echo
       else
         echo Cleaning RPM_BUILD_ROOT: "$RPM_BUILD_ROOT"
         rm -rf "$RPM_BUILD_ROOT"
       fi
       make DESTDIR="$RPM_BUILD_ROOT" install

       %clean
       # Call me paranoid, but I do not want to be responsible for nuking
       # someone's harddrive!
       if [ "$RPM_BUILD_ROOT" != "/tmp/%{pkgname}-root" ]
       then
         echo
         echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
         echo @                                                                    @
         echo @  RPM_BUILD_ROOT is not what I expected.  Please clean it yourself. @
         echo @                                                                    @
         echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
         echo
       else
         echo Cleaning RPM_BUILD_ROOT: "$RPM_BUILD_ROOT"
         rm -rf "$RPM_BUILD_ROOT"
       fi

       %files
       %defattr(-, root, root)
       # Your application file list goes here
       # %{prefix}/lib/lib*.so*
       %doc COPYRIGHT ChangeLog README AUTHORS NEWS
       %doc doc/*

       # If you install a library
       %post -p /sbin/ldconfig

       # If you install a library
       %postun -p /sbin/ldconfig

       %package devel
       Summary: Development files for %{pkgname}
       Group: Applications/Databases
       %description devel
       Development files for %{pkgname}.

       %files devel
       %defattr(-, root, root)
       # Your development files go here
       # Programmers documentation goes here
       %doc doc

       # end of file
       ---------- >8 ----------

Source Code
***********

Download the latest version of 'ax_rpm_init.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_rpm_init.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_rpm_init.m4).

License
*******

Copyright (C) 2008 Dale K. Hawkins <dhawkins@cdrgts.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_ruby_devel
=============

Synopsis
********

     AX_RUBY_DEVEL([version])

Description
***********

This macro checks for Ruby and tries to get the include path to
'ruby.h'.  It provides the $(RUBY_CPPFLAGS) and $(RUBY_LDFLAGS) output
variables.  It also exports $(RUBY_EXTRA_LIBS) for embedding Ruby in
your code.

You can search for some particular version of Ruby by passing a
parameter to this macro, for example "2.2.1".

Source Code
***********

Download the latest version of 'ax_ruby_devel.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ruby_devel.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ruby_devel.m4).

License
*******

Copyright (C) 2008 Rafal Rzepecki <divided.mind@gmail.com>
Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier
Copyright (C) 2008 Matteo Settenvini <matteo@member.fsf.org>
Copyright (C) 2008 Horst Knorr <hk_classes@knoda.org>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_ruby_ext
===========

Synopsis
********

     AX_RUBY_EXT

Description
***********

Fetches the linker flags and C compiler flags for compiling and linking
Ruby binary extensions.  The macro substitutes RUBY_VERSION,
RUBY_EXT_INC, RUBY_EXT_LIB, RUBY_EXT_CPPFLAGS, RUBY_EXT_LDFLAGS and
RUBY_EXT_DLEXT variables if Ruby executable has been found.  It also
checks the same variables before trying to retrieve them from the Ruby
configuration.

       RUBY_VERSION: version of the Ruby interpreter
       RUBY_EXT_INC: Ruby include directory
       RUBY_EXT_LIB: Ruby extensions destination directory
       RUBY_EXT_CPPFLAGS: C preprocessor flags to compile extensions
       RUBY_EXT_LDFLAGS: linker flags to build extensions
       RUBY_EXT_DLEXT: extensions suffix for ruby modules (e.g. "so")

Examples:

       AX_RUBY_EXT
       if test x"$RUBY" = x; then
          AC_ERROR(["cannot find Ruby"])
       fi

Source Code
***********

Download the latest version of 'ax_ruby_ext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ruby_ext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ruby_ext.m4).

License
*******

Copyright (C) 2011 Stanislav Sedov <stas@FreeBSD.org>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1.  Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.

ax_save_flags
=============

Synopsis
********

     AX_SAVE_FLAGS([NAMESPACE])

Description
***********

Save common compilation flags into temporary variables.

Compilation flags includes: CPPFLAGS, CFLAGS, CXXFLAGS, LDFLAGS, LIBS,
OBJCFLAGS.

By default these flags are saved to a global (empty) namespace, but user
could specify a specific NAMESPACE to AX_SAVE_FLAGS macro and latter
restore it by using AX_RESTORE_FLAGS(NAMESPACE).

       AX_SAVE_FLAGS(mypackage)
       CPPFLAGS="-Imypackagespath ${CPPFLAGS}"
       dnl .. do some detection ...
       AX_RESTORE_FLAGS(mypackage)

Source Code
***********

Download the latest version of 'ax_save_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_save_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_save_flags.m4).

License
*******

Copyright (C) 2009 Filippo Giunchedi <filippo@esaurito.net>
Copyright (C) 2011 The Board of Trustees of the Leland Stanford Junior University

Copyright (C) 2011 Russ Allbery <rra@stanford.edu>
Copyright (C) 2013 Bastien ROUCARIES <roucaries.bastien+autoconf@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_save_flags_with_prefix
=========================

Synopsis
********

     AX_SAVE_FLAGS_WITH_PREFIX(PREFIX, LIST-OF-FLAGS)

Description
***********

For each flag in LIST-OF-FLAGS, it expands to lower-cased shell variable
with the prefix holding the flag original value.  The saved variables
can be restored by AX_RESTORE_FLAGS_WITH_PREFIX

As an example: AX_SAVE_FLAGS_WITH_PREFIX([GL], [[CFLAGS],[LIBS]])
expands to

       gl_saved_flag_cflags="$CFLAGS"
       gl_saved_flag_libs="$LIBS"
       CFLAGS="$GL_CFLAGS $CFLAGS"
       LIBS="$GL_LIBS $LIBS"

One common use case is to define a package specific wrapper macro around
this one, and also setup other variables if needed.  For example:

       AC_DEFUN([_AX_CHECK_GL_SAVE_FLAGS], [
         AX_SAVE_FLAGS_WITH_PREFIX([GL],[$1])
         AC_LANG_PUSH([C])
       ])

       # pushes GL_CFLAGS and GL_LIBS to CFLAGS and LIBS
       # also set the current language to test to C
       _AX_CHECK_GL_SAVE_FLAGS([[CFLAGS],[LIBS]])

Source Code
***********

Download the latest version of 'ax_save_flags_with_prefix.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_save_flags_with_prefix.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_save_flags_with_prefix.m4).

License
*******

Copyright (C) 2016 Felix Chern <idryman@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_set_default_paths_system
===========================

Synopsis
********

     AX_SET_DEFAULT_PATHS_SYSTEM

Description
***********

the most interesting changes go about windows-targets - where the
default_prefix is set to /programs, and quite some directories are
aliased: sbindir := libdir := bindir and the docprefix-defaults are also
a bit different, even on FHS2-compliant systems where the mandir is
going to $prefix/man only if prefix=/usr, otherwise they shall go to
$datadir/man.  We use an extra docprefix to express it which is either
defined as being prefix or datadir.  not SUBSTed here.

Source Code
***********

Download the latest version of 'ax_set_default_paths_system.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_set_default_paths_system.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_set_default_paths_system.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_short_sleep
==============

Synopsis
********

     AX_SHORT_SLEEP

Description
***********

This macro searches for a "sleep" function that has 1/1000 of a second
accuracy.  On some systems, this is known as nap() and on others
usleep() / 1000.  There are probably other functions like this defined
in other system libraries, but we don't know how to search for them yet.
Contributions joyously accepted.  :)

Source Code
***********

Download the latest version of 'ax_short_sleep.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_short_sleep.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_short_sleep.m4).

License
*******

Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_silent_mode
==============

Synopsis
********

     AX_SILENT_MODE(on|off)

Description
***********

Temporarily disable console output when running Autoconf macros.  For
example:

       AX_SILENT_MODE(on)    dnl disable console output
       AC_PROG_CXX
       AX_SILENT_MODE(off)   dnl enable console output
       AC_PROG_RANLIB

Source Code
***********

Download the latest version of 'ax_silent_mode.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_silent_mode.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_silent_mode.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>
Copyright (C) 2008 Paolo Bonzini <bonzini@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sip_devel
============

Synopsis
********

     AX_SIP_DEVEL([<min_version>])

Description
***********

Searches for the sip executable and the sip include path.  The sip
include path consists of two components, one which contains the file
qt/qtmod.sip and the other one the path to sip.h, which should be found
in the include/pythonX.Y directory.

The macro bails out if the executable or the file cannot be located.
Otherwise it defines:

       SIP           the path to the sip executable
       SIP_CPPFLAGS  include path: -I<path-to-qt/qtmod.sip> -I<path-to-sip.h-dir>

Example:

       AX_SIP_DEVEL
       AX_SIP_DEVEL([4.1])

Requires: perl (for version string comparison)

FIXME: Use AX_COMPARE_VERSION instead.

Source Code
***********

Download the latest version of 'ax_sip_devel.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sip_devel.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sip_devel.m4).

License
*******

Copyright (C) 2008 Uwe Mayer <merkosh@hadiko.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_spec_file
============

Synopsis
********

     AX_SPEC_FILE [(rpmspecfile [,subdirpath])]

Description
***********

set the specfile - if no argument has been given then check whether the
ac_unique_file looks like a .spec file and use it.  This macro is
ac_REQUIRED by many AX_SPEC_ routines.

the AX_SPEC_EXTRACT macro is a helper used by many AX_SPEC_ routines and
therefore placed here to be automatically included in the macro set of
(older) aclocal/acinclude.

AX_SPEC_EXTRACT(shellvar [,specvar [,defaultvalue]])

Source Code
***********

Download the latest version of 'ax_spec_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_spec_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_spec_file.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_spec_package_version
=======================

Synopsis
********

     AX_SPEC_PACKAGE_AND_VERSION ([specfile])
     AX_SPEC_PACKAGE_NAME ([shellvar],[defaultvalue])
     AX_SPEC_PACKAGE_VERSION ([shellvar],[defaultvalue])
     AX_SPEC_PACKAGE_SUMMARY ([shellvar],[defaultvalue])
     AX_SPEC_PACKAGE_LICENSE ([shellvar],[defaultvalue])
     AX_SPEC_PACKAGE_CATEGORY ([shellvar],[defaultvalue])
     AX_SPEC_PACKAGE_ICON ([shellvar],[defaultvalue])
     AX_SPEC_DEFAULTS([specfile])

Description
***********

set PACKAGE from the given specfile - default to basename of the
rpmspecfile if no "name:" could be found in the spec file.

set VERSION from the given specfile - default to a date-derived value if
no "version:" could be found in the spec file.

this macro builds on top of AX_SPEC_FILE / AX_SPEC_EXTRACT

more specific: if not "name:" or "%define name" was found in the
myproject.spec file then the PACKAGE var is set to the basename
"myproject".  When no spec file was present then it will usually default
to "TODO".

The version spec looks for "version:" or "%define version" in the spec
file.  When no such value was seen or no spec file had been present then
the value is set to 'date +0.%y.%W%w'.

the version value itself is sanitized somewhat with making it to always
carry at least three digits (1.2.3) and cleansing superfluous "0" chars
around from generating numbers elsewhere.

additional macros are provided that extract a specific value from the
spec file, among these:

set PACKAGE_SUMMARY from the given specfile - default to package and try
to detect a type suffix if "summary:" was not in the spec file

set PACKAGE_LICENSE from the given specfile - if no "license:" tag was
given in the spec file then various COPYING files are grepped to have a
guess and the final fallback will be GNU GPL (or GNU LGPL).

set PACKAGE_ICON from the given specfile - if no "icon:" tag was given
in the spec file then we default to $PACKAGE-icon.png

the final AX_SPEC_INIT(specfile) will initialize all variables to its
defaults according to the spec file given.

Source Code
***********

Download the latest version of 'ax_spec_package_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_spec_package_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_spec_package_version.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_split_version
================

Synopsis
********

     AX_SPLIT_VERSION

Description
***********

Splits a version number in the format MAJOR.MINOR.POINT into its
separate components.

Sets the variables.

Source Code
***********

Download the latest version of 'ax_split_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_split_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_split_version.m4).

License
*******

Copyright (C) 2008 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_string_strcasecmp
====================

Synopsis
********

     AX_STRING_STRCASECMP

Description
***********

This macro tries to find strcasecmp() in string.h.

Use this macro in conjunction with AX_STRINGS_STRCASECMP in your
configure.in like so:

       AX_STRING_STRCASECMP
       if test x"$ac_cv_string_strcasecmp" = "xno" ; then
           AX_STRINGS_STRCASECMP
       fi

This will cause either HAVE_STRING_STRCASECMP or HAVE_STRINGS_STRCASECMP
to be defined in config.h, which will tell your code what header to
include to get strcasecmp()'s prototype.

Source Code
***********

Download the latest version of 'ax_string_strcasecmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_string_strcasecmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_string_strcasecmp.m4).

License
*******

Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_strings_strcasecmp
=====================

Synopsis
********

     AX_STRINGS_STRCASECMP

Description
***********

This macro tries to find strcasecmp() in strings.h.  See the
AX_STRING_STRCASECMP macro's commentary for usage details.

Source Code
***********

Download the latest version of 'ax_strings_strcasecmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_strings_strcasecmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_strings_strcasecmp.m4).

License
*******

Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_struct_semun
===============

Synopsis
********

     AX_STRUCT_SEMUN

Description
***********

This macro checks to see if sys/sem.h defines struct semun.  Some
systems do, some systems don't.  Your code must be able to deal with
this possibility; if HAVE_STRUCT_SEMUM isn't defined for a given system,
you have to define this structure before you can call functions like
semctl().

You should call AX_SYSV_IPC before this macro, to separate the check for
System V IPC headers from the check for struct semun.

Source Code
***********

Download the latest version of 'ax_struct_semun.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_struct_semun.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_struct_semun.m4).

License
*******

Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_subdir_files
===============

Synopsis
********

     AX_SUBDIR_FILES [(SUBDIRS [, CASEPATTERN])]

Description
***********

Look into subdirs and copy the (real) files that match pattern into the
local directory.  Preferably we use a symbolic link of course.  existing
local files are not overwritten.

The default casepattern is "*.?|*.cc|*.cpp", the default subdir-list
contains all subdirs available.

Source Code
***********

Download the latest version of 'ax_subdir_files.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_subdir_files.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_subdir_files.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_subdirs_configure
====================

Synopsis
********

     AX_SUBDIRS_CONFIGURE( [subdirs], [mandatory arguments], [possibly merged arguments], [replacement arguments], [forbidden arguments])

Description
***********

AX_SUBDIRS_CONFIGURE attempts to be the equivalent of AC_CONFIG_SUBDIRS
with customizable options for configure scripts.

Run the configure script for each directory from the comma-separated m4
list 'subdirs'.  This macro can be used multiple times.  All arguments
of this macro must be comma-separated lists.

All command line arguments from the parent configure script will be
given to the subdirectory configure script after the following
modifications (in that order):

1.  The arguments from the 'mandatory arguments' list shall always be
appended to the argument list.

2.  The arguments from the 'possibly merged arguments' list shall be
added if not present in the arguments of the parent configure script or
merged with the existing argument otherwise.

3.  The arguments from the 'replacement arguments' list shall be added
if not present in the arguments of the parent configure script or
replace the existing argument otherwise.

4.  The arguments from the 'forbidden arguments' list shall always be
removed from the argument list.

The lists 'mandatory arguments' and 'forbidden arguments' can hold any
kind of argument.  The 'possibly merged arguments' and 'replacement
arguments' expect their arguments to be of the form -option-name=value.

This macro aims to remain as close as possible to the AC_CONFIG_SUBDIRS
macro.  It corrects the paths for '-cache-file' and '-srcdir' and adds
'-disable-option-checking' and '-silent' if necessary.

This macro also sets the output variable subdirs_extra to the list of
directories recorded with AX_SUBDIRS_CONFIGURE. This variable can be
used in Makefile rules or substituted in configured files.

This macro shall do nothing more than managing the arguments of the
configure script.  Just like when using AC_CONFIG_SUBDIRS, it is up to
the user to check any requirements or define and substitute any required
variable for the remainder of the project.

Configure scripts recorded with AX_SUBDIRS_CONFIGURE may be executed
before configure scripts recorded with AC_CONFIG_SUBDIRS.

Without additional arguments, the behaviour of AX_SUBDIRS_CONFIGURE
should be identical to the behaviour of AC_CONFIG_SUBDIRS, apart from
the contents of the variables subdirs and subdirs_extra (except that
AX_SUBDIRS_CONFIGURE expects a comma-separated m4 list):

       AC_CONFIG_SUBDIRS([something])
       AX_SUBDIRS_CONFIGURE([something])

This macro may be called multiple times.

Usage example:

Let us assume our project has 4 dependencies, namely A, B, C and D. Here
are some characteristics of our project and its dependencies:

- A does not require any special option.

- we want to build B with an optional feature which can be enabled with
its configure script's option '-enable-special-feature'.

- B's configure script is strange and has an option '-with-B=build'.
After close inspection of its documentation, we don't want B to receive
this option.

- C and D both need B.

- Just like our project, C and D can build B themselves with the option
'-with-B=build'.

- We want C and D to use the B we build instead of building it
themselves.

Our top-level configure script will be called as follows:

       $ <path/to/configure> --with-A=build --with-B=build --with-C=build \
         --with-D=build --some-option

Thus we have to make sure that:

- neither B, C or D receive the option '-with-B=build'

- C and D know where to find the headers and libraries of B.

Under those conditions, we can use the AC_CONFIG_SUBDIRS macro for A,
but need to use AX_SUBDIRS_CONFIGURE for B, C and D:

- B must receive '-enable-special-feature' but cannot receive
'-with-B=build'

- C and D cannot receive '-with-B=build' (or else it would be built
thrice) and need to be told where to find B (since we are building it,
it would probably not be available in standard paths).

Here is a configure.ac snippet that solves our problem:

       AC_CONFIG_SUBDIRS([dependencies/A])
       AX_SUBDIRS_CONFIGURE(
           [dependencies/B], [--enable-special-feature], [], [],
           [--with-B=build])
       AX_SUBDIRS_CONFIGURE(
           [[dependencies/C],[dependencies/D]],
           [],
           [[CPPFLAGS=-I${ac_top_srcdir}/dependencies/B -I${ac_top_builddir}/dependencies/B],
            [LDFLAGS=-L${ac_abs_top_builddir}/dependencies/B/.libs]],
           [--with-B=system],
           [])

If using automake, the following can be added to the Makefile.am (we use
both $(subdirs) and $(subdirs_extra) since our example above used both
AC_CONFIG_SUBDIRS and AX_SUBDIRS_CONFIGURE):

       SUBDIRS = $(subdirs) $(subdirs_extra)

Source Code
***********

Download the latest version of 'ax_subdirs_configure.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_subdirs_configure.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_subdirs_configure.m4).

License
*******

Copyright (C) 2017 Harenome Ranaivoarivony-Razanajato <ranaivoarivony-razanajato@hareno.me>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

Under Section 7 of GPL version 3, you are granted additional permissions
described in the Autoconf Configure Script Exception, version 3.0, as
published by the Free Software Foundation.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

ax_subst_with
=============

Synopsis
********

     AX_SUBST_WITH([varname])

Description
***********

a very simple macro but also very helpful - the varname is usually the
one from an AC_ARG_ENABLE or AC_ARG_WITH option.  it is transliterated
into uppercase and a prefix WITH_ and WITHOUT_ that are both _SUBSTed.

Only one of these is set to "#" while the other is empty.  In other
words a call like AC_WITHNONE(enable-call) will create two SUBST-symbols
as WITH_ENABLE_CALL and WITHOUT_ENABLE_CALL. When the varname had been
set to something not "no" or "0" or ":" or "false" then it results in

      WITH_ENABLE_CALL="" ; WITHOUT_ENABLE_CALL="#"

which you can use in your Makefile quite easily as if using an
AM_CONDITIONAL but which can be also parsed by normal make

USE = @WITH_ENABLE_CALL@ -Denabled USE = @WITHOUT_ENABLE_CALL@
-Dnot_enabled

Source Code
***********

Download the latest version of 'ax_subst_with.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_subst_with.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_subst_with.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_swig_enable_cxx
==================

Synopsis
********

     AX_SWIG_ENABLE_CXX

Description
***********

Enable SWIG C++ support.  This affects all invocations of $(SWIG).

Source Code
***********

Download the latest version of 'ax_swig_enable_cxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_swig_enable_cxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_swig_enable_cxx.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_swig_multi_module_support
============================

Synopsis
********

     AX_SWIG_MULTI_MODULE_SUPPORT

Description
***********

Enable support for multiple modules.  This effects all invocations of
$(SWIG). You have to link all generated modules against the appropriate
SWIG runtime library.  If you want to build Python modules for example,
use the AX_SWIG_PYTHON macro and link the modules against
$(AX_SWIG_PYTHON_LIBS).

Source Code
***********

Download the latest version of 'ax_swig_multi_module_support.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_swig_multi_module_support.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_swig_multi_module_support.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_swig_python
==============

Synopsis
********

     AX_SWIG_PYTHON([use-shadow-classes = {no, yes}])

Description
***********

Checks for Python and provides the $(AX_SWIG_PYTHON_CPPFLAGS), and
$(AX_SWIG_PYTHON_OPT) output variables.

$(AX_SWIG_PYTHON_OPT) contains all necessary SWIG options to generate
code for Python.  Shadow classes are enabled unless the value of the
optional first argument is exactly 'no'.  If you need multi module
support (provided by the AX_SWIG_MULTI_MODULE_SUPPORT macro) use
$(AX_SWIG_PYTHON_LIBS) to link against the appropriate library.  It
contains the SWIG Python runtime library that is needed by the type
check system for example.

Source Code
***********

Download the latest version of 'ax_swig_python.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_swig_python.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_swig_python.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_switch_flags
===============

Synopsis
********

     AX_SWITCH_FLAGS(newnamespace,[oldnamespace])

Description
***********

Switch common compilation flags from temporary variables between two
compilation namespace.

Compilation flags includes: CPPFLAGS, CFLAGS, CXXFLAGS, LDFLAGS, LIBS,
OBJCFLAGS.

By default these flags are restored to a global (empty) namespace, but
user could restore from specific NAMESPACE by using
AX_RESTORE_FLAGS(NAMESPACE) macro.

Typical usage is like:

       AX_SAVE_FLAGS(beginprogram)
       CPPFLAGS="-Imypackagespath ${CPPFLAGS}"
       AX_SWITCH_FLAGS(mypackage,beginprogram)

Source Code
***********

Download the latest version of 'ax_switch_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_switch_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_switch_flags.m4).

License
*******

Copyright (C) 2009 Filippo Giunchedi <filippo@esaurito.net>
Copyright (C) 2011 The Board of Trustees of the Leland Stanford Junior University

Copyright (C) 2011 Russ Allbery <rra@stanford.edu>
Copyright (C) 2013 Bastien ROUCARIES <roucaries.bastien+autoconf@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sys_dev_poll
===============

Synopsis
********

     AX_SYS_DEV_POLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro tests for the presence of /dev/poll support in the build
environment.  It checks that the needed structure (dvpoll) is available,
with the standard fields.  /dev/poll is most often seen under Solaris.

Note that it does not attempt to actually open /dev/poll - you should
test for errors when you open it and then fall back to poll() if it is
unavailable.

Source Code
***********

Download the latest version of 'ax_sys_dev_poll.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sys_dev_poll.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sys_dev_poll.m4).

License
*******

Copyright (C) 2008 Dave Benson <daveb@ffem.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sys_largefile_sensitive
==========================

Synopsis
********

     AX_SYS_LARGEFILE_SENSITIVE

Description
***********

Check whether the current system is sensitive to -Ddefines making off_t
having different types/sizes.  Automatically define a config.h symbol
LARGEFILE_SENSITIVE if that is the case, otherwise leave everything as
is.

This macro builds on top of AC_SYS_LARGEFILE to detect whether special
options are needed to make the code use 64bit off_t - in many setups
this will also make the code use 64bit off_t immediately.

The common use of a LARGEFILE_SENSITIVE config.h-define is to rename
exported functions, usually adding a 64 to the original function name.
Such renamings are only needed on systems being both (a) 32bit off_t by
default and (b) implementing large.file extensions (as for unix98).

a renaming section could look like this:

      #if defined LARGEFILE_SENSITIVE && _FILE_OFFSET_BITS+0 == 64
      #define zzip_open zzip_open64
      #define zzip_seek zzip_seek64
      #endif

for libraries, it is best to take advantage of the prefix-config.h
macro, otherwise you want to export a renamed LARGEFILE_SENSITIVE in an
installed header file.  -> see AX_PREFIX_CONFIG_H

Source Code
***********

Download the latest version of 'ax_sys_largefile_sensitive.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sys_largefile_sensitive.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sys_largefile_sensitive.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sys_perlsharpbang
====================

Synopsis
********

     AX_SYS_PERLSHARPBANG

Description
***********

Determine how the perl interpreter is located by the OS kernel and make
substitution variable PERL_SHEBANG available.  Does AC_PATH_PROG to find
the path to perl.  As a side-effect, that sets PERLINTERP and makes it
available as a substitution variable.

Note: The macro allows for the possibility (expected to be seldom used)
of an explicit user override (the "user" being the operator executing
the final 'configure' script, in this context) by making the option
argument like:

       --with-perl-shebang='#! /my/funky/perlpath' # OR
       --with-perl-shebang='/my/funky/perlpath'  # we just throw away the #! anyway
                                                 # bec it must be absent in Makefile

Rationale: The are various ways of starting an interpreter on different
*nix-like systems.  Many use the simple

       #!/usr/bin/perl

but it could be instead

       #!/usr/local/bin/perl

and there is even the possibility that the user wants

       #!/usr/bin/env perl

to find whichever perl comes first in the current $PATH. This is
preferred by some of us because we run multiple perl installations on
the same box.  Adjusting our $PATH then allows us to set precedence over
other perls, even whatever the "house" version is.

Users on very non-unix systems like MS Windows do not have a kernel that
does this kind of thing from the first line of script files, but instead
the perl on their machine is started and merely notices whatever comes
after the interpreter path on this first line of the script (options
like "-w").

Acknowledgement: this macro was in part inspired by Dean Povey's
AC_PROG_PERL_VERSION.

Source Code
***********

Download the latest version of 'ax_sys_perlsharpbang.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sys_perlsharpbang.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sys_perlsharpbang.m4).

License
*******

Copyright (C) 2009 Soren Andersen <somian@pobox.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sys_weak_alias
=================

Synopsis
********

     AX_SYS_WEAK_ALIAS

Description
***********

Determines whether weak aliases are supported on the system, and if so,
what scheme is used to declare them.  Also checks to see if aliases can
cross object file boundaries, as some systems don't permit them to.

Most systems permit something called a "weak alias" or "weak symbol."
These aliases permit a library to provide a stub form of a routine
defined in another library, thus allowing the first library to operate
even if the other library is not linked.  This macro will check for
support of weak aliases, figure out what schemes are available, and
determine some characteristics of the weak alias support - primarily,
whether a weak alias declared in one object file may be referenced from
another object file.

There are four known schemes of declaring weak symbols; each scheme is
checked in turn, and the first one found is preferred.  Note that only
one of the mentioned preprocessor macros will be defined!

1.  Function attributes

This scheme was first introduced by the GNU C compiler, and attaches
attributes to particular functions.  It is among the easiest to use, and
so is the first one checked.  If this scheme is detected, the
preprocessor macro HAVE_SYS_WEAK_ALIAS_ATTRIBUTE will be defined to 1.
This scheme is used as in the following code fragment:

       void __weakf(int c)
       {
         /* Function definition... */
       }

       void weakf(int c) __attribute__((weak, alias("__weakf")));

2.  #pragma weak

This scheme is in use by many compilers other than the GNU C compiler.
It is also particularly easy to use, and fairly portable - well, as
portable as these things get.  If this scheme is detected first, the
preprocessor macro HAVE_SYS_WEAK_ALIAS_PRAGMA will be defined to 1.
This scheme is used as in the following code fragment:

       extern void weakf(int c);
       #pragma weak weakf = __weakf
       void __weakf(int c)
       {
         /* Function definition... */
       }

3.  #pragma _HP_SECONDARY_DEF

This scheme appears to be in use by the HP compiler.  As it is rather
specialized, this is one of the last schemes checked.  If it is the
first one detected, the preprocessor macro
HAVE_SYS_WEAK_ALIAS_HPSECONDARY will be defined to 1.  This scheme is
used as in the following code fragment:

       extern void weakf(int c);
       #pragma _HP_SECONDARY_DEF __weakf weakf
       void __weakf(int c)
       {
         /* Function definition... */
       }

4.  #pragma _CRI duplicate

This scheme appears to be in use by the Cray compiler.  As it is rather
specialized, it too is one of the last schemes checked.  If it is the
first one detected, the preprocessor macro
HAVE_SYS_WEAK_ALIAS_CRIDUPLICATE will be defined to 1.  This scheme is
used as in the following code fragment:

       extern void weakf(int c);
       #pragma _CRI duplicate weakf as __weakf
       void __weakf(int c)
       {
         /* Function definition... */
       }

In addition to the preprocessor macros listed above, if any scheme is
found, the preprocessor macro HAVE_SYS_WEAK_ALIAS will also be defined
to 1.

Once a weak aliasing scheme has been found, a check will be performed to
see if weak aliases are honored across object file boundaries.  If they
are, the HAVE_SYS_WEAK_ALIAS_CROSSFILE preprocessor macro is defined to
1.

This Autoconf macro also makes two substitutions.  The first,
WEAK_ALIAS, contains the name of the scheme found (one of "attribute",
"pragma", "hpsecondary", or "criduplicate"), or "no" if no weak aliasing
scheme was found.  The second, WEAK_ALIAS_CROSSFILE, is set to "yes" or
"no" depending on whether or not weak aliases may cross object file
boundaries.

Source Code
***********

Download the latest version of 'ax_sys_weak_alias.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sys_weak_alias.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sys_weak_alias.m4).

License
*******

Copyright (C) 2008 Kevin L. Mitchell <klmitch@mit.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_sysv_ipc
===========

Synopsis
********

     AX_SYSV_IPC

Description
***********

This macro checks for the SysV IPC header files.  It only checks that
you can compile a program with them, not whether the system actually
implements working SysV IPC.

Source Code
***********

Download the latest version of 'ax_sysv_ipc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_sysv_ipc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_sysv_ipc.m4).

License
*******

Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_tls
======

Synopsis
********

     AX_TLS([action-if-found], [action-if-not-found])

Description
***********

Provides a test for the compiler support of thread local storage (TLS)
extensions.  Defines TLS if it is found.  Currently knows about C++11,
GCC/ICC, and MSVC. I think SunPro uses the same as GCC, and Borland
apparently supports either.

Source Code
***********

Download the latest version of 'ax_tls.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_tls.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_tls.m4).

License
*******

Copyright (C) 2008 Alan Woodland <ajw05@aber.ac.uk>
Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_trilinos_amesos
==================

Synopsis
********

     AX_TRILINOS_AMESOS([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.amesos" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_amesos.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_amesos.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_amesos.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_base
================

Synopsis
********

     AX_TRILINOS_BASE([, MINIMUM-VERSION [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

Test for the Trilinos (http://trilinos.sandia.gov/) libraries.

Provides a -with-trilinos=DIR option.  Searches -with-trilinos,
$TRILINOS_HOME, and the usual places for Trilinos installation headers.

Requires that a development branch or released version greater than
MINIMUM-VERSION be found.  If not specified, the default minimum version
is 8.0.0.

Supports separately specifying -with-trilinos-include or
-with-trilinos-libdir to override default locations underneath either
-with-trilinos or $TRILINOS_HOME.

On success, adds -Ipath to CPPFLAGS, -Lpath to LDFLAGS, sets the
variable TRILINOS_INCLUDE based on the discovered location of
Trilinos_version.h, and #defines HAVE_TRILINOS. When ACTION-IF-NOT-FOUND
is not specified, the default behavior is for configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_base.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_base.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_base.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>
Copyright (C) 2009 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Caolan McNamara <caolan@skynet.ie>
Copyright (C) 2009 Alexandre Duret-Lutz <adl@gnu.org>
Copyright (C) 2009 Matthew Mueller <donut@azstarnet.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_epetra
==================

Synopsis
********

     AX_TRILINOS_EPETRA([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.epetra" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_epetra.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_epetra.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_epetra.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_epetraext
=====================

Synopsis
********

     AX_TRILINOS_EPETRAEXT([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.epetraext" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_epetraext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_epetraext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_epetraext.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_epetraext_hdf5
==========================

Synopsis
********

     AX_TRILINOS_EPETRAEXT_HDF5([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

Checks if EpetraExt was compiled with HDF5 support
(-enable-epetraext-hdf5) enabled.  When ACTION-IF-NOT-FOUND is not
specified, the default behavior is for configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_epetraext_hdf5.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_epetraext_hdf5.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_epetraext_hdf5.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_rtop
================

Synopsis
********

     AX_TRILINOS_RTOP([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.rtop" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_rtop.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_rtop.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_rtop.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_rythmos
===================

Synopsis
********

     AX_TRILINOS_RYTHMOS([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.rythmos" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_rythmos.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_rythmos.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_rythmos.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_teuchos
===================

Synopsis
********

     AX_TRILINOS_TEUCHOS([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.teuchos" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.

When ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_teuchos.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_teuchos.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_teuchos.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_thyra
=================

Synopsis
********

     AX_TRILINOS_THYRA([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

On success, adds "include Makefile.export.thyra" statements to every
Automake file containing @INC_AMINCLUDE@.  Requires that Trilinos was
configured with the -enable-export-makefiles option.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_thyra.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_thyra.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_thyra.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_thyra_epetra
========================

Synopsis
********

     AX_TRILINOS_THYRA_EPETRA([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

Checks if the Thyra/Epetra adapters were compiled with Trilinos.  When
ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_thyra_epetra.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_thyra_epetra.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_thyra_epetra.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_trilinos_thyra_epetraext
===========================

Synopsis
********

     AX_TRILINOS_THYRA_EPETRAEXT([, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])

Description
***********

Checks if the Thyra/EpetraExt adapters were compiled with Trilinos.
When ACTION-IF-NOT-FOUND is not specified, the default behavior is for
configure to fail.

Source Code
***********

Download the latest version of 'ax_trilinos_thyra_epetraext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_trilinos_thyra_epetraext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_trilinos_thyra_epetraext.m4).

License
*******

Copyright (C) 2009 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_try_awk_anyout
=================

Synopsis
********

     AX_TRY_AWK_ANYOUT(NAME,TEST-INPUT,TEST-BODY,[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Run a test using the awk program found on AWK variable.  The test being
run has TEST-BODY as body and is feeded with TEST-INPUT. If successful
execute ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_try_awk_anyout.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_try_awk_anyout.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_try_awk_anyout.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_try_awk_expout
=================

Synopsis
********

     AX_TRY_AWK_EXPOUT(NAME,TEST-INPUT,TEST-BODY,EXPECTED-OUTPUT,[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Run a test using the awk program found on AWK variable.  The test being
run has TEST-BODY as body and is feeded with TEST-INPUT. Check if the
test gives the expected output.  If successful execute ACTION-IF-SUCCESS
otherwise ACTION-IF-FAILURE.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_try_awk_expout.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_try_awk_expout.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_try_awk_expout.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_try_compile_java
===================

Synopsis
********

     AX_TRY_COMPILE_JAVA

Description
***********

AX_TRY_COMPILE_JAVA attempt to compile user given source.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_try_compile_java.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_try_compile_java.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_try_compile_java.m4).

License
*******

Copyright (C) 2008 Devin Weaver <ktohg@tritarget.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_try_run_java
===============

Synopsis
********

     AX_TRY_RUN_JAVA

Description
***********

AX_TRY_RUN_JAVA attempt to compile and run user given source.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_try_run_java.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_try_run_java.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_try_run_java.m4).

License
*******

Copyright (C) 2008 Devin Weaver <ktohg@tritarget.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_type_socklen_t
=================

Synopsis
********

     AX_TYPE_SOCKLEN_T

Description
***********

Check whether sys/socket.h defines type socklen_t.  Please note that
some systems require sys/types.h to be included before sys/socket.h can
be compiled.

Source Code
***********

Download the latest version of 'ax_type_socklen_t.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_type_socklen_t.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_type_socklen_t.m4).

License
*******

Copyright (C) 2008 Lars Brinkhoff <lars@nocrew.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_upload
=========

Synopsis
********

     AX_UPLOAD([command])

Description
***********

Adds support for uploading dist files.  %%s in the command will be
substituted with the name of the file.  e.g:

       AX_UPLOAD([ncftpput -v upload.sourceforge.net /incoming %%s])

To add upload support for other custom dists add upload-<TYPE> to
UPLOAD_BIN or UPLOAD_SRC, where <TYPE> is the type of dist that is being
uploaded and add a mapping from <TYPE> to the dist file name in the
format '{<TYPE>=><FILENAME>}' to UPLOAD_TARGETS. For example:

       UPLOAD_BIN += upload-foobar
       UPLOAD_TARGETS += {foobar=>@PACKAGE@-@VERSION@.fb}

You can then upload of the src distribution files by running:

       make upload-src

all the binary distribution files by running:

       make upload-bin

or both by running:

       make upload

Source Code
***********

Download the latest version of 'ax_upload.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_upload.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_upload.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_valgrind_check
=================

Synopsis
********

     AX_VALGRIND_DFLT(memcheck|helgrind|drd|sgcheck, on|off)
     AX_VALGRIND_CHECK()

Description
***********

AX_VALGRIND_CHECK checks whether Valgrind is present and, if so, allows
running 'make check' under a variety of Valgrind tools to check for
memory and threading errors.

Defines VALGRIND_CHECK_RULES which should be substituted in your
Makefile; and $enable_valgrind which can be used in subsequent configure
output.  VALGRIND_ENABLED is defined and substituted, and corresponds to
the value of the -enable-valgrind option, which defaults to being
enabled if Valgrind is installed and disabled otherwise.  Individual
Valgrind tools can be disabled via -disable-valgrind-<tool>, the default
is configurable via the AX_VALGRIND_DFLT command or is to use all
commands not disabled via AX_VALGRIND_DFLT. All AX_VALGRIND_DFLT calls
must be made before the call to AX_VALGRIND_CHECK.

If unit tests are written using a shell script and automake's
LOG_COMPILER system, the $(VALGRIND) variable can be used within the
shell scripts to enable Valgrind, as described here:

       https://www.gnu.org/software/gnulib/manual/html_node/Running-self_002dtests-under-valgrind.html

Usage example:

configure.ac:

       AX_VALGRIND_DFLT([sgcheck], [off])
       AX_VALGRIND_CHECK

in each Makefile.am with tests:

       @VALGRIND_CHECK_RULES@
       VALGRIND_SUPPRESSIONS_FILES = my-project.supp
       EXTRA_DIST = my-project.supp

This results in a "check-valgrind" rule being added.  Running 'make
check-valgrind' in that directory will recursively run the module's test
suite ('make check') once for each of the available Valgrind tools (out
of memcheck, helgrind and drd) while the sgcheck will be skipped unless
enabled again on the commandline with -enable-valgrind-sgcheck.  The
results for each check will be output to test-suite-$toolname.log.  The
target will succeed if there are zero errors and fail otherwise.

Alternatively, a "check-valgrind-$TOOL" rule will be added, for $TOOL in
memcheck, helgrind, drd and sgcheck.  These are useful because often
only some of those tools can be ran cleanly on a codebase.

The macro supports running with and without libtool.

Source Code
***********

Download the latest version of 'ax_valgrind_check.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_valgrind_check.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_valgrind_check.m4).

License
*******

Copyright (C) 2014, 2015, 2016 Philip Withnall <philip.withnall@collabora.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_var_pop
==========

Synopsis
********

     AX_VAR_POPVALUE(VARIABLE)

Description
***********

Restores a variable's previous value.  Compile, link and running tests
usually require the programmer to provide additional flags.  However, it
is strongly recommended not to override flags defined by the user
through the configure command.  AX_VAR_PUSHVALUE and AX_VAR_POPVALUE are
clean way to temporarily store a variable's value and restore it later,
using a stack-like behaviour.  This macro supports nesting.

Example:

       AX_VAR_PUSHVALUE([CXXFLAGS],["my test flags"])
       perform some checks with CXXFLAGS...
       CXXFLAGS value will be "my test flags"
       AX_VAR_POPVALUE([CXXFLAGS])
       CXXFLAGS is restored to its original value

Source Code
***********

Download the latest version of 'ax_var_pop.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_var_pop.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_var_pop.m4).

License
*******

Copyright (C) 2015 Jorge Bellon <jbelloncastro@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_var_push
===========

Synopsis
********

     AX_VAR_PUSHVALUE(VARIABLE, [VALUE])

Description
***********

Stores a copy of variable_name's value and assigns it to 'value' If no
value is given, its original value is kept.  Compile, link and running
tests usually require the programmer to provide additional flags.
However, it is strongly recommended not to override flags defined by the
user through the configure command.  AX_VAR_PUSHVALUE and
AX_VAR_POPVALUE are clean way to temporarily store a variable's value
and restore it later, using a stack-like behaviour.  This macro supports
nesting.

Example:

       AX_VAR_PUSHVALUE([CXXFLAGS],["my test flags"])
       perform some checks with CXXFLAGS...
       CXXFLAGS value will be "my test flags"
       AX_VAR_POPVALUE([CXXFLAGS])
       CXXFLAGS is restored to its original value

Source Code
***********

Download the latest version of 'ax_var_push.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_var_push.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_var_push.m4).

License
*******

Copyright (C) 2015 Jorge Bellon <jbelloncastro@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_var_timezone_externals
=========================

Synopsis
********

     AX_VAR_TIMEZONE_EXTERNALS

Description
***********

Use instead of 'AC_STRUCT_TIMEZONE' to determine whether the external
timezone variables 'timezone', 'altzone' and 'daylight' exist, defining
'HAVE_TIMEZONE', 'HAVE_ALTZONE' and 'HAVE_DAYLIGHT' respectively (as
well as gaining the macros defined by 'AC_STRUCT_TIMEZONE').

Rewritten for Autoconf 2.68, and made robust against BSD's timezone()
function, by Daniel Richard G.

Source Code
***********

Download the latest version of 'ax_var_timezone_externals.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_var_timezone_externals.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_var_timezone_externals.m4).

License
*******

Copyright (C) 2008 Mark R. Bannister <markb@freedomware.co.uk>
Copyright (C) 2011 Daniel Richard G. <skunk@iSKUNK.ORG>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_very_nice
============

Synopsis
********

     AX_VERY_NICE

Description
***********

A macro to check the options of nice, in order to have a VERY_NICE
variable which runs a program at the lowest priority VERY_NICE is
undefined if we don't find the proper options, so you can safely use:

       @VERY_NICE@ mycommand

in a shell script.

The VERY_NICE variable includes the placeholder NICE_VALUE that you have
to instantiate at run-time.  If you give a argument to AX_VERY_NICE, it
will be used as an argument of nice for testing and included in
VERY_NICE instead of the above placeholder.

Source Code
***********

Download the latest version of 'ax_very_nice.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_very_nice.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_very_nice.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_warning_default_aclocaldir
=============================

Synopsis
********

     AX_WARNING_DEFAULT_ACLOCALDIR [(dirvariable [,[defsetting][,[A][,[N/A]]]])]
     AX_ENABLE_DEFAULT_ACLOCALDIR [(dirvariable [,defsetting])]

Description
***********

print a warning message if the $(datadir)/aclocal directory is not in
the dirlist searched by the aclocal tool.  This macro is useful if some
'make install' would target $(datadir)/aclocal to install an autoconf m4
file of your project to be picked up by other projects.

      default $1 dirvariable = aclocaldir
      default $2 defsetting  = ${datadir}/aclocal
      default $3 action = nothing to do
      default $4 action = warn the user about mismatch

In the _WARNING_ variant, the defsetting is not placed in dirvariable
nor is it ac_subst'ed in any way.  The default fail-action $4 is to send
a warning message to the user, and the default accept-action $3 is
nothing.  It is expected that a Makefile is generated with
aclocaldir=${datadir}/aclocal

The _ENABLE_ variant however will set not only the $aclocaldir shell var
of the script, but it is also AC-SUBST'ed on default - and furthermore a
configure option "-enable-default-aclocaldir" is provided.  Only if that
option is set then $2 default is not set to the canonic default in the a
$prefix subpath but instead $2 default is set to the primary path where
'aclocal' looks for macros.  The user may also override the default on
the command line.

Source Code
***********

Download the latest version of 'ax_warning_default_aclocaldir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_warning_default_aclocaldir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_warning_default_aclocaldir.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_warning_default_pkgconfig
============================

Synopsis
********

     AX_WARNING_DEFAULT_PKGCONFIGDIR [(dirvariable [,[defsetting][,[A][,[N/A]]]])]
     AX_ENABLE_DEFAULT_PKGCONFIGDIR [(dirvariable [,defsetting])]

Description
***********

print a warning message if the $(datadir)/aclocal directory is not in
the dirlist searched by the aclocal tool.  This macro is useful if some
'make install' would target $(datadir)/aclocal to install an autoconf m4
file of your project to be picked up by other projects.

      default $1 dirvariable = pkgconfigdir
      default $2 defsetting  = ${libdir}/pkgconfig
      default $3 action = nothing to do
      default $4 action = warn the user about mismatch

In the _WARNING_ variant, the defsetting is not placed in dirvariable
nor is it ac_subst'ed in any way.  The default fail-action $4 is to send
a warning message to the user, and the default accept-action $3 is
nothing.  It is expected that a Makefile is generated with
pkgconfigdir=${libdir}/pkgconfig

The _ENABLE_ variant however will set not only the $pkgconfigdir shell
var of the script, but it is also AC-SUBST'ed on default - and
furthermore a configure option "-enable-default-pkgconfigdir" is
provided.  Only if that option is set then $2 default is not set to the
canonic default in the a $prefix subpath but instead $2 default is set
to the primary path where 'pkg-config' looks for .pc files.  The user
may also override the default on the command line.

Source Code
***********

Download the latest version of 'ax_warning_default_pkgconfig.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_warning_default_pkgconfig.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_warning_default_pkgconfig.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_wint_t
=========

Synopsis
********

     AX_WINT_T

Description
***********

It turns out that MacOS X doesn't guarantee to provide the "wint_t" type
unless you include the strange header <runetype.h> in addition to
<wchar.h>.  Consequently, the "do I have a system wint_t?"  probe fails
and an alternate gets used.  Unfortunately, by the time the program gets
built, one way or another that funny header winds up getting included
and the "#define wint_t unsigned int" patch-up-hack mutilates the
typedef.  This macro will get it right.

Source Code
***********

Download the latest version of 'ax_wint_t.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_wint_t.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_wint_t.m4).

License
*******

Copyright (C) 2008 Bruce Korb <bkorb@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_with_apxs
============

Synopsis
********

     AX_WITH_APXS([value-if-not-found], [path])

Description
***********

Locates an installed apxs binary, placing the result in the precious
variable $APXS. Accepts a preset $APXS, then -with-apxs, and failing
that searches for apxs in the given path (which defaults to the system
path).  If apxs is found, $APXS is set to the full path of the binary;
otherwise it is set to VALUE-IF-NOT-FOUND, which defaults to apxs.

Example:

       AX_WITH_APXS(missing)

Source Code
***********

Download the latest version of 'ax_with_apxs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_apxs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_apxs.m4).

License
*******

Copyright (C) 2008 Dustin J. Mitchell <dustin@cs.uchicago.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_with_build_path
==================

Synopsis
********

     AX_WITH_BUILD_PATH

Description
***********

This macro adds a "-with-build-path" option to the configure script.
This configure option provides a convenient way to add "-I" options to
CPPFLAGS and "-L" options to LDFLAGS, at configure time.

Invoking "./configure -with-build-path=DIR" results in "-I DIR/include"
being added to CPPFLAGS if DIR/include exists, and "-L DIR/lib" being
added to LDFLAGS if DIR/lib exists.

Separate multiple directories using colons; e.g.
"-with-build-path=DIR1:DIR2:DIR3".

Source Code
***********

Download the latest version of 'ax_with_build_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_build_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_build_path.m4).

License
*******

Copyright (C) 2008 Steve M. Robbins <smr@debian.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_with_curses
==============

Synopsis
********

     AX_WITH_CURSES

Description
***********

This macro checks whether a SysV or X/Open-compatible Curses library is
present, along with the associated header file.  The NcursesW
(wide-character) library is searched for first, followed by Ncurses,
then the system-default plain Curses.  The first library found is the
one returned.  Finding libraries will first be attempted by using
pkg-config, and should the pkg-config files not be available, will
fallback to combinations of known flags itself.

The following options are understood: -with-ncursesw, -with-ncurses,
-without-ncursesw, -without-ncurses.  The "-with" options force the
macro to use that particular library, terminating with an error if not
found.  The "-without" options simply skip the check for that library.
The effect on the search pattern is:

       (no options)                           - NcursesW, Ncurses, Curses
       --with-ncurses     --with-ncursesw     - NcursesW only [*]
       --without-ncurses  --with-ncursesw     - NcursesW only [*]
                          --with-ncursesw     - NcursesW only [*]
       --with-ncurses     --without-ncursesw  - Ncurses only [*]
       --with-ncurses                         - NcursesW, Ncurses [**]
       --without-ncurses  --without-ncursesw  - Curses only
                          --without-ncursesw  - Ncurses, Curses
       --without-ncurses                      - NcursesW, Curses

[*] If the library is not found, abort the configure script.

[**] If the second library (Ncurses) is not found, abort configure.

The following preprocessor symbols may be defined by this macro if the
appropriate conditions are met:

       HAVE_CURSES             - if any SysV or X/Open Curses library found
       HAVE_CURSES_ENHANCED    - if library supports X/Open Enhanced functions
       HAVE_CURSES_COLOR       - if library supports color (enhanced functions)
       HAVE_CURSES_OBSOLETE    - if library supports certain obsolete features
       HAVE_NCURSESW           - if NcursesW (wide char) library is to be used
       HAVE_NCURSES            - if the Ncurses library is to be used

       HAVE_CURSES_H           - if <curses.h> is present and should be used
       HAVE_NCURSESW_H         - if <ncursesw.h> should be used
       HAVE_NCURSES_H          - if <ncurses.h> should be used
       HAVE_NCURSESW_CURSES_H  - if <ncursesw/curses.h> should be used
       HAVE_NCURSES_CURSES_H   - if <ncurses/curses.h> should be used

(These preprocessor symbols are discussed later in this document.)

The following output variables are defined by this macro; they are
precious and may be overridden on the ./configure command line:

       CURSES_LIBS  - library to add to xxx_LDADD
       CURSES_CFLAGS  - include paths to add to xxx_CPPFLAGS

In previous versions of this macro, the flags CURSES_LIB and
CURSES_CPPFLAGS were defined.  These have been renamed, in keeping with
AX_WITH_CURSES's close bigger brother, PKG_CHECK_MODULES, which should
eventually supersede the use of AX_WITH_CURSES. Neither the library
listed in CURSES_LIBS, nor the flags in CURSES_CFLAGS are added to LIBS,
respectively CPPFLAGS, by default.  You need to add both to the
appropriate xxx_LDADD/xxx_CPPFLAGS line in your Makefile.am.  For
example:

       prog_LDADD = @CURSES_LIBS@
       prog_CPPFLAGS = @CURSES_CFLAGS@

If CURSES_LIBS is set on the configure command line (such as by running
"./configure CURSES_LIBS=-lmycurses"), then the only header searched for
is <curses.h>.  If the user needs to specify an alternative path for a
library (such as for a non-standard NcurseW), the user should use the
LDFLAGS variable.

The following shell variables may be defined by this macro:

       ax_cv_curses           - set to "yes" if any Curses library found
       ax_cv_curses_enhanced  - set to "yes" if Enhanced functions present
       ax_cv_curses_color     - set to "yes" if color functions present
       ax_cv_curses_obsolete  - set to "yes" if obsolete features present

       ax_cv_ncursesw      - set to "yes" if NcursesW library found
       ax_cv_ncurses       - set to "yes" if Ncurses library found
       ax_cv_plaincurses   - set to "yes" if plain Curses library found
       ax_cv_curses_which  - set to "ncursesw", "ncurses", "plaincurses" or "no"

These variables can be used in your configure.ac to determine the level
of support you need from the Curses library.  For example, if you must
have either Ncurses or NcursesW, you could include:

       AX_WITH_CURSES
       if test "x$ax_cv_ncursesw" != xyes && test "x$ax_cv_ncurses" != xyes; then
           AC_MSG_ERROR([requires either NcursesW or Ncurses library])
       fi

If any Curses library will do (but one must be present and must support
color), you could use:

       AX_WITH_CURSES
       if test "x$ax_cv_curses" != xyes || test "x$ax_cv_curses_color" != xyes; then
           AC_MSG_ERROR([requires an X/Open-compatible Curses library with color])
       fi

Certain preprocessor symbols and shell variables defined by this macro
can be used to determine various features of the Curses library.  In
particular, HAVE_CURSES and ax_cv_curses are defined if the Curses
library found conforms to the traditional SysV and/or X/Open Base Curses
definition.  Any working Curses library conforms to this level.

HAVE_CURSES_ENHANCED and ax_cv_curses_enhanced are defined if the
library supports the X/Open Enhanced Curses definition.  In particular,
the wide-character types attr_t, cchar_t and wint_t, the functions
wattr_set() and wget_wch() and the macros WA_NORMAL and _XOPEN_CURSES
are checked.  The Ncurses library does NOT conform to this definition,
although NcursesW does.

HAVE_CURSES_COLOR and ax_cv_curses_color are defined if the library
supports color functions and macros such as COLOR_PAIR, A_COLOR,
COLOR_WHITE, COLOR_RED and init_pair().  These are NOT part of the
X/Open Base Curses definition, but are part of the Enhanced set of
functions.  The Ncurses library DOES support these functions, as does
NcursesW.

HAVE_CURSES_OBSOLETE and ax_cv_curses_obsolete are defined if the
library supports certain features present in SysV and BSD Curses but not
defined in the X/Open definition.  In particular, the functions
getattrs(), getcurx() and getmaxx() are checked.

To use the HAVE_xxx_H preprocessor symbols, insert the following into
your system.h (or equivalent) header file:

       #if defined HAVE_NCURSESW_CURSES_H
       #  include <ncursesw/curses.h>
       #elif defined HAVE_NCURSESW_H
       #  include <ncursesw.h>
       #elif defined HAVE_NCURSES_CURSES_H
       #  include <ncurses/curses.h>
       #elif defined HAVE_NCURSES_H
       #  include <ncurses.h>
       #elif defined HAVE_CURSES_H
       #  include <curses.h>
       #else
       #  error "SysV or X/Open-compatible Curses header file required"
       #endif

For previous users of this macro: you should not need to change anything
in your configure.ac or Makefile.am, as the previous (serial 10)
semantics are still valid.  However, you should update your system.h (or
equivalent) header file to the fragment shown above.  You are encouraged
also to make use of the extended functionality provided by this version
of AX_WITH_CURSES, as well as in the additional macros
AX_WITH_CURSES_PANEL, AX_WITH_CURSES_MENU and AX_WITH_CURSES_FORM.

Source Code
***********

Download the latest version of 'ax_with_curses.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_curses.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_curses.m4).

License
*******

Copyright (C) 2009 Mark Pulford <mark@kyne.com.au>
Copyright (C) 2009 Damian Pietras <daper@daper.net>
Copyright (C) 2012 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 2011 John Zaitseff <J.Zaitseff@zap.org.au>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_with_curses_extra
====================

Synopsis
********

     AX_WITH_CURSES_PANEL
     AX_WITH_CURSES_MENU
     AX_WITH_CURSES_FORM

Description
***********

These macros try to find additional libraries that often come with
SysV-compatible Curses.  In particular, the Panel, Menu and Form
libraries are searched, along with their header files.  These macros
depend on AX_WITH_CURSES.

The following preprocessor symbols may be defined by these macros:

       By AX_WITH_CURSES_PANEL:

       HAVE_PANEL              - if the Panel library is present
       HAVE_PANEL_H            - if <panel.h> is present and should be used
       HAVE_NCURSES_PANEL_H    - if <ncurses/panel.h> should be used
       HAVE_NCURSESW_PANEL_H   - if <ncursesw/panel.h> should be used

       By AX_WITH_CURSES_MENU:

       HAVE_MENU               - if the Menu library is present
       HAVE_MENU_H             - if <menu.h> is present and should be used
       HAVE_NCURSES_MENU_H     - if <ncurses/menu.h> should be used
       HAVE_NCURSESW_MENU_H    - if <ncursesw/menu.h> should be used

       By AX_WITH_CURSES_FORM:

       HAVE_FORM               - if the Form library is present
       HAVE_FORM_H             - if <form.h> is present and should be used
       HAVE_NCURSES_FORM_H     - if <ncurses/form.h> should be used
       HAVE_NCURSESW_FORM_H    - if <ncursesw/form.h> should be used

The following output variables may be defined by these macros; these are
precious and may be overridden on the ./configure command line:

       PANEL_LIBS   - library to add to xxx_LDADD before CURSES_LIBS
       MENU_LIBS    - library to add to xxx_LDADD before CURSES_LIBS
       FORM_LIBS    - library to add to xxx_LDADD before CURSES_LIBS

In previous versions of this macro, the flags PANEL_LIB, MENU_LIB and
FORM_LIB were defined.  These have been renamed, in keeping with the
variable scheme of PKG_CHECK_MODULES, which should eventually supersede
the use of AX_WITH_CURSES and AX_WITH_CURSES_* macros.  These libraries
are NOT added to LIBS by default.  You need to add them to the
appropriate xxx_LDADD line in your Makefile.am in front of the
equivalent CURSES_LIBS incantation.  For example:

       prog_LDADD = @PANEL_LIBS@ @CURSES_LIBS@

If one of the xxx_LIBS variables is set on the configure command line
(such as by running "./configure PANEL_LIBS=-lmypanel"), then the header
file searched must NOT contain a subpath.  In this case, in other words,
only <panel.h> would be searched for.  The user may use the CPPFLAGS
precious variable to override the standard #include search path.

The following shell variables may be defined by these macros:

       ax_cv_panel   - set to "yes" if Panels library is present
       ax_cv_menu    - set to "yes" if Menu library is present
       ax_cv_form    - set to "yes" if Form library is present

These variables can be used in your configure.ac to determine whether a
library you require is actually present.  For example:

       AX_WITH_CURSES
       if test "x$ax_cv_curses" != xyes; then
           AC_MSG_ERROR([requires a SysV or X/Open-compatible Curses library])
       fi
       AX_WITH_CURSES_PANEL
       if test "x$ax_cv_panel" != xyes; then
           AC_MSG_ERROR([requires the Curses Panel library])
       fi

To use the HAVE_xxx_H preprocessor symbols, insert the following into
your system.h (or equivalent) header file:

       For AX_WITH_CURSES_PANEL:

       #if defined HAVE_NCURSESW_PANEL_H
       #  include <ncursesw/panel.h>
       #elif defined HAVE_NCURSES_PANEL_H
       #  include <ncurses/panel.h>
       #elif defined HAVE_PANEL_H
       #  include <panel.h>
       #else
       #  error "SysV-compatible Curses Panel header file required"
       #endif

       For AX_WITH_CURSES_MENU:

       #if defined HAVE_NCURSESW_MENU_H
       #  include <ncursesw/menu.h>
       #elif defined HAVE_NCURSES_MENU_H
       #  include <ncurses/menu.h>
       #elif defined HAVE_MENU_H
       #  include <menu.h>
       #else
       #  error "SysV-compatible Curses Menu header file required"
       #endif

       For AX_WITH_CURSES_FORM:

       #if defined HAVE_NCURSESW_FORM_H
       #  include <ncursesw/form.h>
       #elif defined HAVE_NCURSES_FORM_H
       #  include <ncurses/form.h>
       #elif defined HAVE_FORM_H
       #  include <form.h>
       #else
       #  error "SysV-compatible Curses Form header file required"
       #endif

Source Code
***********

Download the latest version of 'ax_with_curses_extra.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_curses_extra.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_curses_extra.m4).

License
*******

Copyright (C) 2011 John Zaitseff <J.Zaitseff@zap.org.au>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_with_dmalloc
===============

Synopsis
********

     AX_WITH_DMALLOC

Description
***********

Let the user enable/disable support for the dmalloc library available
from <http://www.dmalloc.org/>.

The macro adds the command-line flag "-with-dmalloc".  Furthermore,
"-IPREFIX/include" will be added to "$CPPFLAGS", "-LPREFIX/lib" to
"$LDFLAGS", and "-DDEBUG_DMALLOC" and "-DDMALLOC_FUNC_CHECK" to
"$CPPFLAGS".

To enable dmalloc support in your code, add the following snippet to
your header files:

       #ifdef DEBUG_DMALLOC
       #  include <dmalloc.h>
       #endif

Source Code
***********

Download the latest version of 'ax_with_dmalloc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_dmalloc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_dmalloc.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_with_mpatrol
===============

Synopsis
********

     AX_WITH_MPATROL(DEFAULT)

Description
***********

Integrates the mpatrol malloc debugging library into a new or existing
project and also attempts to determine the support libraries that need
to be linked in when libmpatrol is used.

It takes one optional parameter specifying whether mpatrol should be
included in the project ('yes') or not ('no').  This can also be
specified as 'threads' if you wish to use the threadsafe version of the
mpatrol library.  You can override the value of the optional parameter
with the '-with-mpatrol' option to the resulting 'configure' shell
script.

Source Code
***********

Download the latest version of 'ax_with_mpatrol.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_mpatrol.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_mpatrol.m4).

License
*******

Copyright (C) 2008 Graeme S. Roy <graeme@epc.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_with_prog
============

Synopsis
********

     AX_WITH_PROG([VARIABLE],[program],[VALUE-IF-NOT-FOUND],[PATH])

Description
***********

Locates an installed program binary, placing the result in the precious
variable VARIABLE. Accepts a present VARIABLE, then -with-program, and
failing that searches for program in the given path (which defaults to
the system path).  If program is found, VARIABLE is set to the full path
of the binary; if it is not found VARIABLE is set to VALUE-IF-NOT-FOUND
if provided, unchanged otherwise.

A typical example could be the following one:

       AX_WITH_PROG(PERL,perl)

NOTE: This macro is based upon the original AX_WITH_PYTHON macro from
Dustin J. Mitchell <dustin@cs.uchicago.edu>.

Source Code
***********

Download the latest version of 'ax_with_prog.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_with_prog.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_with_prog.m4).

License
*******

Copyright (C) 2008 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2008 Dustin J. Mitchell <dustin@cs.uchicago.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_xercesc
==========

Synopsis
********

     AX_XERCESC

Description
***********

Define $HAVE_LIBXERCES_C, $LIBXERCES_C, and $LTLIBXERCES_C to signify
whether Xerces is available.

Source Code
***********

Download the latest version of 'ax_xercesc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_xercesc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_xercesc.m4).

License
*******

Copyright (C) 2008 Ronald Landheer-Cieslak <blytkerchan@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_xsdcxx
=========

Synopsis
********

     AX_XSDCXX

Description
***********

This macro tries to find the CodeSynthesis XSD executable and the
corresponding headers.

Supported options:

       --with-xsdcxx
           use CodeSynthesis XSD from given prefix (ARG=path);
           check PATH (ARG=yes); disable (ARG=no)

       --with-xsdcxx-inc
           path to CodeSynthesis XSD headers (ARG=path); use standard prefix
           (ARG=yes); disable (ARG=no)

Output variables:

       XSDCXX
       XSDCXX_CPPFLAGS

Source Code
***********

Download the latest version of 'ax_xsdcxx.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_xsdcxx.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_xsdcxx.m4).

License
*******

Copyright (C) 2013 Laszlo Kajan <lkajan@rostlab.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_xtra_classpath
=================

Synopsis
********

     AX_XTRA_CLASSPATH(<classpath>,<class>,<jarfile>,<action-if-found>,<action-if-not-found>)

Description
***********

Set $1 to extra classpath components required for class $2 found in a
jar file in $3.  If the class is found do $4 and otherwise do $5.  Uses
AX_JAVA_CHECK_CLASS for testing whether a class is available

Source Code
***********

Download the latest version of 'ax_xtra_classpath.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_xtra_classpath.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_xtra_classpath.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_zmq
======

Synopsis
********

     AX_ZMQ([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the ZMQ libraries of a particular version (or newer).  The
default version tested for is 4.0.0.

The macro tests for ZMQ libraries in the library/include path, and, when
provided, also in the path given by -with-zmq.

This macro calls:

       AC_SUBST(ZMQ_CPPFLAGS) / AC_SUBST(ZMQ_LDFLAGS) / AC_SUBST(ZMQ_LIBS)

And sets:

       HAVE_ZMQ

Source Code
***********

Download the latest version of 'ax_zmq.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_zmq.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_zmq.m4).

License
*******

Copyright (C) 2016 Jeroen Meijer <jjgmeijer@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_zoneinfo
===========

Synopsis
********

     AX_ZONEINFO([options...])

Description
***********

This macro finds compiled zoneinfo files.  If successful it will define
HAVE_ZONEINFO per:

       AC_DEFINE([HAVE_ZONEINFO], [1], [...])

and have the variable TZDIR point to the zoneinfo directory as per

       AC_SUBST([TZDIR])
       AC_DEFINE_UNQUOTED([TZDIR], [/path/to/zic/files], [...])

Optionally, OPTIONS can be 'right' to trigger further tests that will
determine if leap second fix-ups are available.  If so the variables
HAVE_ZONEINFO_RIGHT, ZONEINFO_UTC_RIGHT and TZDIR_RIGHT will be
populated:

       AC_DEFINE([HAVE_ZONEINFO_RIGHT], [1], [...])
       AC_SUBST([TZDIR_RIGHT])
       AC_DEFINE_UNQUOTED([TZDIR_RIGHT], [/path/to/right/zic/files], [...])
       AC_SUBST([ZONEINFO_UTC_RIGHT])
       AC_DEFINE_UNQUOTED([ZONEINFO_UTC_RIGHT], [$ZONEINFO_UTC_RIGHT], [...])

Source Code
***********

Download the latest version of 'ax_zoneinfo.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_zoneinfo.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_zoneinfo.m4).

License
*******

Copyright (C) 2012 Sebastian Freundt <freundt@fresse.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

Appendix A GNU Free Documentation License
*****************************************

                     Version 1.3, 3 November 2008

     Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc.
     <https://fsf.org/>

     Everyone is permitted to copy and distribute verbatim copies
     of this license document, but changing it is not allowed.

  0. PREAMBLE

     The purpose of this License is to make a manual, textbook, or other
     functional and useful document "free" in the sense of freedom: to
     assure everyone the effective freedom to copy and redistribute it,
     with or without modifying it, either commercially or
     noncommercially.  Secondarily, this License preserves for the
     author and publisher a way to get credit for their work, while not
     being considered responsible for modifications made by others.

     This License is a kind of "copyleft", which means that derivative
     works of the document must themselves be free in the same sense.
     It complements the GNU General Public License, which is a copyleft
     license designed for free software.

     We have designed this License in order to use it for manuals for
     free software, because free software needs free documentation: a
     free program should come with manuals providing the same freedoms
     that the software does.  But this License is not limited to
     software manuals; it can be used for any textual work, regardless
     of subject matter or whether it is published as a printed book.  We
     recommend this License principally for works whose purpose is
     instruction or reference.

  1. APPLICABILITY AND DEFINITIONS

     This License applies to any manual or other work, in any medium,
     that contains a notice placed by the copyright holder saying it can
     be distributed under the terms of this License.  Such a notice
     grants a world-wide, royalty-free license, unlimited in duration,
     to use that work under the conditions stated herein.  The
     "Document", below, refers to any such manual or work.  Any member
     of the public is a licensee, and is addressed as "you".  You accept
     the license if you copy, modify or distribute the work in a way
     requiring permission under copyright law.

     A "Modified Version" of the Document means any work containing the
     Document or a portion of it, either copied verbatim, or with
     modifications and/or translated into another language.

     A "Secondary Section" is a named appendix or a front-matter section
     of the Document that deals exclusively with the relationship of the
     publishers or authors of the Document to the Document's overall
     subject (or to related matters) and contains nothing that could
     fall directly within that overall subject.  (Thus, if the Document
     is in part a textbook of mathematics, a Secondary Section may not
     explain any mathematics.)  The relationship could be a matter of
     historical connection with the subject or with related matters, or
     of legal, commercial, philosophical, ethical or political position
     regarding them.

     The "Invariant Sections" are certain Secondary Sections whose
     titles are designated, as being those of Invariant Sections, in the
     notice that says that the Document is released under this License.
     If a section does not fit the above definition of Secondary then it
     is not allowed to be designated as Invariant.  The Document may
     contain zero Invariant Sections.  If the Document does not identify
     any Invariant Sections then there are none.

     The "Cover Texts" are certain short passages of text that are
     listed, as Front-Cover Texts or Back-Cover Texts, in the notice
     that says that the Document is released under this License.  A
     Front-Cover Text may be at most 5 words, and a Back-Cover Text may
     be at most 25 words.

     A "Transparent" copy of the Document means a machine-readable copy,
     represented in a format whose specification is available to the
     general public, that is suitable for revising the document
     straightforwardly with generic text editors or (for images composed
     of pixels) generic paint programs or (for drawings) some widely
     available drawing editor, and that is suitable for input to text
     formatters or for automatic translation to a variety of formats
     suitable for input to text formatters.  A copy made in an otherwise
     Transparent file format whose markup, or absence of markup, has
     been arranged to thwart or discourage subsequent modification by
     readers is not Transparent.  An image format is not Transparent if
     used for any substantial amount of text.  A copy that is not
     "Transparent" is called "Opaque".

     Examples of suitable formats for Transparent copies include plain
     ASCII without markup, Texinfo input format, LaTeX input format,
     SGML or XML using a publicly available DTD, and standard-conforming
     simple HTML, PostScript or PDF designed for human modification.
     Examples of transparent image formats include PNG, XCF and JPG.
     Opaque formats include proprietary formats that can be read and
     edited only by proprietary word processors, SGML or XML for which
     the DTD and/or processing tools are not generally available, and
     the machine-generated HTML, PostScript or PDF produced by some word
     processors for output purposes only.

     The "Title Page" means, for a printed book, the title page itself,
     plus such following pages as are needed to hold, legibly, the
     material this License requires to appear in the title page.  For
     works in formats which do not have any title page as such, "Title
     Page" means the text near the most prominent appearance of the
     work's title, preceding the beginning of the body of the text.

     The "publisher" means any person or entity that distributes copies
     of the Document to the public.

     A section "Entitled XYZ" means a named subunit of the Document
     whose title either is precisely XYZ or contains XYZ in parentheses
     following text that translates XYZ in another language.  (Here XYZ
     stands for a specific section name mentioned below, such as
     "Acknowledgements", "Dedications", "Endorsements", or "History".)
     To "Preserve the Title" of such a section when you modify the
     Document means that it remains a section "Entitled XYZ" according
     to this definition.

     The Document may include Warranty Disclaimers next to the notice
     which states that this License applies to the Document.  These
     Warranty Disclaimers are considered to be included by reference in
     this License, but only as regards disclaiming warranties: any other
     implication that these Warranty Disclaimers may have is void and
     has no effect on the meaning of this License.

  2. VERBATIM COPYING

     You may copy and distribute the Document in any medium, either
     commercially or noncommercially, provided that this License, the
     copyright notices, and the license notice saying this License
     applies to the Document are reproduced in all copies, and that you
     add no other conditions whatsoever to those of this License.  You
     may not use technical measures to obstruct or control the reading
     or further copying of the copies you make or distribute.  However,
     you may accept compensation in exchange for copies.  If you
     distribute a large enough number of copies you must also follow the
     conditions in section 3.

     You may also lend copies, under the same conditions stated above,
     and you may publicly display copies.

  3. COPYING IN QUANTITY

     If you publish printed copies (or copies in media that commonly
     have printed covers) of the Document, numbering more than 100, and
     the Document's license notice requires Cover Texts, you must
     enclose the copies in covers that carry, clearly and legibly, all
     these Cover Texts: Front-Cover Texts on the front cover, and
     Back-Cover Texts on the back cover.  Both covers must also clearly
     and legibly identify you as the publisher of these copies.  The
     front cover must present the full title with all words of the title
     equally prominent and visible.  You may add other material on the
     covers in addition.  Copying with changes limited to the covers, as
     long as they preserve the title of the Document and satisfy these
     conditions, can be treated as verbatim copying in other respects.

     If the required texts for either cover are too voluminous to fit
     legibly, you should put the first ones listed (as many as fit
     reasonably) on the actual cover, and continue the rest onto
     adjacent pages.

     If you publish or distribute Opaque copies of the Document
     numbering more than 100, you must either include a machine-readable
     Transparent copy along with each Opaque copy, or state in or with
     each Opaque copy a computer-network location from which the general
     network-using public has access to download using public-standard
     network protocols a complete Transparent copy of the Document, free
     of added material.  If you use the latter option, you must take
     reasonably prudent steps, when you begin distribution of Opaque
     copies in quantity, to ensure that this Transparent copy will
     remain thus accessible at the stated location until at least one
     year after the last time you distribute an Opaque copy (directly or
     through your agents or retailers) of that edition to the public.

     It is requested, but not required, that you contact the authors of
     the Document well before redistributing any large number of copies,
     to give them a chance to provide you with an updated version of the
     Document.

  4. MODIFICATIONS

     You may copy and distribute a Modified Version of the Document
     under the conditions of sections 2 and 3 above, provided that you
     release the Modified Version under precisely this License, with the
     Modified Version filling the role of the Document, thus licensing
     distribution and modification of the Modified Version to whoever
     possesses a copy of it.  In addition, you must do these things in
     the Modified Version:

       A. Use in the Title Page (and on the covers, if any) a title
          distinct from that of the Document, and from those of previous
          versions (which should, if there were any, be listed in the
          History section of the Document).  You may use the same title
          as a previous version if the original publisher of that
          version gives permission.

       B. List on the Title Page, as authors, one or more persons or
          entities responsible for authorship of the modifications in
          the Modified Version, together with at least five of the
          principal authors of the Document (all of its principal
          authors, if it has fewer than five), unless they release you
          from this requirement.

       C. State on the Title page the name of the publisher of the
          Modified Version, as the publisher.

       D. Preserve all the copyright notices of the Document.

       E. Add an appropriate copyright notice for your modifications
          adjacent to the other copyright notices.

       F. Include, immediately after the copyright notices, a license
          notice giving the public permission to use the Modified
          Version under the terms of this License, in the form shown in
          the Addendum below.

       G. Preserve in that license notice the full lists of Invariant
          Sections and required Cover Texts given in the Document's
          license notice.

       H. Include an unaltered copy of this License.

       I. Preserve the section Entitled "History", Preserve its Title,
          and add to it an item stating at least the title, year, new
          authors, and publisher of the Modified Version as given on the
          Title Page.  If there is no section Entitled "History" in the
          Document, create one stating the title, year, authors, and
          publisher of the Document as given on its Title Page, then add
          an item describing the Modified Version as stated in the
          previous sentence.

       J. Preserve the network location, if any, given in the Document
          for public access to a Transparent copy of the Document, and
          likewise the network locations given in the Document for
          previous versions it was based on.  These may be placed in the
          "History" section.  You may omit a network location for a work
          that was published at least four years before the Document
          itself, or if the original publisher of the version it refers
          to gives permission.

       K. For any section Entitled "Acknowledgements" or "Dedications",
          Preserve the Title of the section, and preserve in the section
          all the substance and tone of each of the contributor
          acknowledgements and/or dedications given therein.

       L. Preserve all the Invariant Sections of the Document, unaltered
          in their text and in their titles.  Section numbers or the
          equivalent are not considered part of the section titles.

       M. Delete any section Entitled "Endorsements".  Such a section
          may not be included in the Modified Version.

       N. Do not retitle any existing section to be Entitled
          "Endorsements" or to conflict in title with any Invariant
          Section.

       O. Preserve any Warranty Disclaimers.

     If the Modified Version includes new front-matter sections or
     appendices that qualify as Secondary Sections and contain no
     material copied from the Document, you may at your option designate
     some or all of these sections as invariant.  To do this, add their
     titles to the list of Invariant Sections in the Modified Version's
     license notice.  These titles must be distinct from any other
     section titles.

     You may add a section Entitled "Endorsements", provided it contains
     nothing but endorsements of your Modified Version by various
     parties--for example, statements of peer review or that the text
     has been approved by an organization as the authoritative
     definition of a standard.

     You may add a passage of up to five words as a Front-Cover Text,
     and a passage of up to 25 words as a Back-Cover Text, to the end of
     the list of Cover Texts in the Modified Version.  Only one passage
     of Front-Cover Text and one of Back-Cover Text may be added by (or
     through arrangements made by) any one entity.  If the Document
     already includes a cover text for the same cover, previously added
     by you or by arrangement made by the same entity you are acting on
     behalf of, you may not add another; but you may replace the old
     one, on explicit permission from the previous publisher that added
     the old one.

     The author(s) and publisher(s) of the Document do not by this
     License give permission to use their names for publicity for or to
     assert or imply endorsement of any Modified Version.

  5. COMBINING DOCUMENTS

     You may combine the Document with other documents released under
     this License, under the terms defined in section 4 above for
     modified versions, provided that you include in the combination all
     of the Invariant Sections of all of the original documents,
     unmodified, and list them all as Invariant Sections of your
     combined work in its license notice, and that you preserve all
     their Warranty Disclaimers.

     The combined work need only contain one copy of this License, and
     multiple identical Invariant Sections may be replaced with a single
     copy.  If there are multiple Invariant Sections with the same name
     but different contents, make the title of each such section unique
     by adding at the end of it, in parentheses, the name of the
     original author or publisher of that section if known, or else a
     unique number.  Make the same adjustment to the section titles in
     the list of Invariant Sections in the license notice of the
     combined work.

     In the combination, you must combine any sections Entitled
     "History" in the various original documents, forming one section
     Entitled "History"; likewise combine any sections Entitled
     "Acknowledgements", and any sections Entitled "Dedications".  You
     must delete all sections Entitled "Endorsements."

  6. COLLECTIONS OF DOCUMENTS

     You may make a collection consisting of the Document and other
     documents released under this License, and replace the individual
     copies of this License in the various documents with a single copy
     that is included in the collection, provided that you follow the
     rules of this License for verbatim copying of each of the documents
     in all other respects.

     You may extract a single document from such a collection, and
     distribute it individually under this License, provided you insert
     a copy of this License into the extracted document, and follow this
     License in all other respects regarding verbatim copying of that
     document.

  7. AGGREGATION WITH INDEPENDENT WORKS

     A compilation of the Document or its derivatives with other
     separate and independent documents or works, in or on a volume of a
     storage or distribution medium, is called an "aggregate" if the
     copyright resulting from the compilation is not used to limit the
     legal rights of the compilation's users beyond what the individual
     works permit.  When the Document is included in an aggregate, this
     License does not apply to the other works in the aggregate which
     are not themselves derivative works of the Document.

     If the Cover Text requirement of section 3 is applicable to these
     copies of the Document, then if the Document is less than one half
     of the entire aggregate, the Document's Cover Texts may be placed
     on covers that bracket the Document within the aggregate, or the
     electronic equivalent of covers if the Document is in electronic
     form.  Otherwise they must appear on printed covers that bracket
     the whole aggregate.

  8. TRANSLATION

     Translation is considered a kind of modification, so you may
     distribute translations of the Document under the terms of section
     4.  Replacing Invariant Sections with translations requires special
     permission from their copyright holders, but you may include
     translations of some or all Invariant Sections in addition to the
     original versions of these Invariant Sections.  You may include a
     translation of this License, and all the license notices in the
     Document, and any Warranty Disclaimers, provided that you also
     include the original English version of this License and the
     original versions of those notices and disclaimers.  In case of a
     disagreement between the translation and the original version of
     this License or a notice or disclaimer, the original version will
     prevail.

     If a section in the Document is Entitled "Acknowledgements",
     "Dedications", or "History", the requirement (section 4) to
     Preserve its Title (section 1) will typically require changing the
     actual title.

  9. TERMINATION

     You may not copy, modify, sublicense, or distribute the Document
     except as expressly provided under this License.  Any attempt
     otherwise to copy, modify, sublicense, or distribute it is void,
     and will automatically terminate your rights under this License.

     However, if you cease all violation of this License, then your
     license from a particular copyright holder is reinstated (a)
     provisionally, unless and until the copyright holder explicitly and
     finally terminates your license, and (b) permanently, if the
     copyright holder fails to notify you of the violation by some
     reasonable means prior to 60 days after the cessation.

     Moreover, your license from a particular copyright holder is
     reinstated permanently if the copyright holder notifies you of the
     violation by some reasonable means, this is the first time you have
     received notice of violation of this License (for any work) from
     that copyright holder, and you cure the violation prior to 30 days
     after your receipt of the notice.

     Termination of your rights under this section does not terminate
     the licenses of parties who have received copies or rights from you
     under this License.  If your rights have been terminated and not
     permanently reinstated, receipt of a copy of some or all of the
     same material does not give you any rights to use it.

  10. FUTURE REVISIONS OF THIS LICENSE

     The Free Software Foundation may publish new, revised versions of
     the GNU Free Documentation License from time to time.  Such new
     versions will be similar in spirit to the present version, but may
     differ in detail to address new problems or concerns.  See
     <https://www.gnu.org/licenses/>.

     Each version of the License is given a distinguishing version
     number.  If the Document specifies that a particular numbered
     version of this License "or any later version" applies to it, you
     have the option of following the terms and conditions either of
     that specified version or of any later version that has been
     published (not as a draft) by the Free Software Foundation.  If the
     Document does not specify a version number of this License, you may
     choose any version ever published (not as a draft) by the Free
     Software Foundation.  If the Document specifies that a proxy can
     decide which future versions of this License can be used, that
     proxy's public statement of acceptance of a version permanently
     authorizes you to choose that version for the Document.

  11. RELICENSING

     "Massive Multiauthor Collaboration Site" (or "MMC Site") means any
     World Wide Web server that publishes copyrightable works and also
     provides prominent facilities for anybody to edit those works.  A
     public wiki that anybody can edit is an example of such a server.
     A "Massive Multiauthor Collaboration" (or "MMC") contained in the
     site means any set of copyrightable works thus published on the MMC
     site.

     "CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0
     license published by Creative Commons Corporation, a not-for-profit
     corporation with a principal place of business in San Francisco,
     California, as well as future copyleft versions of that license
     published by that same organization.

     "Incorporate" means to publish or republish a Document, in whole or
     in part, as part of another Document.

     An MMC is "eligible for relicensing" if it is licensed under this
     License, and if all works that were first published under this
     License somewhere other than this MMC, and subsequently
     incorporated in whole or in part into the MMC, (1) had no cover
     texts or invariant sections, and (2) were thus incorporated prior
     to November 1, 2008.

     The operator of an MMC Site may republish an MMC contained in the
     site under CC-BY-SA on the same site at any time before August 1,
     2009, provided the MMC is eligible for relicensing.

ADDENDUM: How to use this License for your documents
====================================================

To use this License in a document you have written, include a copy of
the License in the document and put the following copyright and license
notices just after the title page:

       Copyright (C)  YEAR  YOUR NAME.
       Permission is granted to copy, distribute and/or modify this document
       under the terms of the GNU Free Documentation License, Version 1.3
       or any later version published by the Free Software Foundation;
       with no Invariant Sections, no Front-Cover Texts, and no Back-Cover
       Texts.  A copy of the license is included in the section entitled ``GNU
       Free Documentation License''.

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts,
replace the "with...Texts." line with this:

         with the Invariant Sections being LIST THEIR TITLES, with
         the Front-Cover Texts being LIST, and with the Back-Cover Texts
         being LIST.

If you have Invariant Sections without Cover Texts, or some other
combination of the three, merge those two alternatives to suit the
situation.

If your document contains nontrivial examples of program code, we
recommend releasing these examples in parallel under your choice of free
software license, such as the GNU General Public License, to permit
their use in free software.